<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['account_type_name'])){
	$type_name = $_POST['account_type_name'];
	$type_category = $_POST['account_type_category'];
	$type_description = $_POST['account_type_description'];
	$user_id = $_POST['account_type_user_id'];
	
	$type_no =  0;	
	//Get the last type number
	$last_account_no = $objHospital->get_last_type_number($user_id,$type_category);
	
	if($type_category == 'Assets'){
		if(empty($last_account_no)){
			$type_no = 1001;
		}else{
			$type_no = floatval($last_account_no) + 1;
		}
	}elseif($type_category == 'Liabilities'){
		if(empty($last_account_no)){
			$type_no = 2001;
		}else{
			$type_no = floatval($last_account_no) + 1;
		}
	}elseif($type_category == 'Equity'){
		if(empty($last_account_no)){
			$type_no = 3001;
		}else{
			$type_no = floatval($last_account_no) + 1;
		}
	}elseif($type_category == 'Revenue'){
		if(empty($last_account_no)){
			$type_no = 4001;
		}else{
			$type_no = floatval($last_account_no) + 1;
		}
	}elseif($type_category == 'Expenses'){
		if(empty($last_account_no)){
			$type_no = 5001;
		}else{
			$type_no = floatval($last_account_no) + 1;
		}
	}elseif($type_category == 'Dividends'){
		if(empty($last_account_no)){
			$type_no = 6001;
		}else{
			$type_no = floatval($last_account_no) + 1;
		}
	}
	$save_account_type= $objHospital->save_account_type($type_name,$type_category,$type_description,$user_id,$type_no);
	
}
elseif(isset($_POST['add_account_name'])){
	$account_name = $_POST['add_account_name'];
	$account_type = $_POST['add_account_type'];
	$sub_account = $_POST['add_sub_account'];
	$description = $_POST['add_account_description'];
	$opening_balance = $_POST['add_account_opening_balance'];
	$user_id = $_POST['add_account_user_id'];
	
	if(empty($account_name)){
		//Do nothing
	}else{
		$save_coa_account= $objHospital->save_coa_account($account_name,$account_type,$sub_account,$description,$opening_balance,$user_id);
	}
}
elseif(isset($_POST['add_asset_name'])){
	$asset_name = $_POST['add_asset_name'];
	$asset_type = $_POST['add_asset_type'];
	$department = $_POST['add_asset_dept'];
	$unique_no = $_POST['add_asset_no'];
	$acquisition_value = $_POST['add_acquisition_value'];
	$acquisition_date = $_POST['add_acquisition_date'];
	$invoice_no = $_POST['add_asset_invoice'];
	$ten_yr_value = $_POST['add_asset_10_yr_value'];
	$supplier_name = $_POST['add_supplier_name'];
	$debt = $_POST['add_asset_debt'];
	$user_id = $_POST['add_asset_user_id'];
	
	$save_asset= $objHospital->save_asset($asset_name,$asset_type,$department,$unique_no,$acquisition_value,$acquisition_date,$invoice_no,$ten_yr_value,$supplier_name,$debt,$user_id);
}
elseif(isset($_POST['get_debit_journal_account'])){
	$user_id = $_POST['get_debit_journal_account'];
		
	$get_accounts = $objHospital->get_coa_accounts($user_id);
	if(empty($get_accounts)){
		echo'<option value="">No account types added yet</option>';
	}else{
		echo'<option disabled>Select Account Type</option>';
		foreach($get_accounts as $account){
			$account_name = $account['coa_account_name'];
			echo'<option>'.$account_name.'</option>';
		}
	}
}
elseif(isset($_POST['get_credit_journal_account'])){
	$user_id = $_POST['get_credit_journal_account'];
		
	$get_accounts = $objHospital->get_coa_accounts($user_id);
	if(empty($get_accounts)){
		echo'<option value="">No account types added yet</option>';
	}else{
		echo'<option disabled>Select Account Type</option>';
		foreach($get_accounts as $account){
			$account_name = $account['coa_account_name'];
			echo'<option>'.$account_name.'</option>';
		}
	}
}

elseif(isset($_POST['journal_entry_name'])){

	//if the debits are not equal to credits, dont save
	if(array_sum($_POST['journal_debit_amount']) == array_sum($_POST['journal_credit_amount'])){
		$entry_name = $_POST['journal_entry_name'];
		$description = $_POST['journal_entry_description'];
		//If the ref no is not entered
		if(empty($_POST['journal_entry_no'])){
			$ref_no = rand(10000,99999);
		}else{
			$ref_no = $_POST['journal_entry_no'];
		}
		$debit_account = implode(',',$_POST['journal_debit_account']);
		$debit_amount = implode(',',$_POST['journal_debit_amount']);
		$credit_account = implode(',',$_POST['journal_credit_account']);
		$credit_amount = implode(',',$_POST['journal_credit_amount']);
		$user_id = $_POST['journal_entry_user_id'];
		
		$save_entry = $objHospital->save_journal_entry($entry_name,$description,$debit_account,$debit_amount,$credit_account,$credit_amount,$user_id,$ref_no);
	}else{
		echo 'The sum of amounts entered as Debit should equal to the sum of the amounts entered as Credit'; 
	}
	
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			$department = $notification['department'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">'.$department.'</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
elseif(isset($_POST['income_statement_start_date'])){
	$start_date = $_POST['income_statement_start_date'];
	$end_date = $_POST['income_statement_end_date'];
	$user_id = $_POST['income_statement_user_id'];
	
	echo'<tr><td colspan="4" style="color:#000; font-weight:bold; font-size:16px; text-align:left;">Revenue</td></tr>';
	
	$get_revenue_entries = $objHospital->get_revenue_entries($start_date,$end_date,$user_id);
	$total_revenue = 0;
	if(empty($get_revenue_entries) || is_null($get_revenue_entries)){
		echo'<tr><td style="text-indent:20px; line-height:0.5rem; style="color:#000;">Sales Revenue</td>
		<td style="line-height:0.5rem;"><center></center></td>
		<td style="line-height:0.5rem;"><center></center></td>
		<td style="line-height:0.5rem; style="color:#000;"><center>0</center></td>
		</tr>';
		$total_revenue = 0;
	}else{
		foreach($get_revenue_entries as $entry){
			$amount = $entry['amount'];
			$total_revenue += intval($amount);
		}
		echo'<tr><td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;">Sales Revenue</p></td>
			<td style="line-height:0.5rem;"><center></center></td>
			<td style="line-height:0.5rem;"><center></center></td>
			<td style="line-height:0.5rem;"><p style="color:#000;">'.number_format($total_revenue,0,0,',').'</p></td>
			</tr>';
	}
	
	echo'<tr><td colspan="4" style="color:#000; font-weight:bold; font-size:16px; text-align:left;">Expenses</td></tr>';
	$total_expense = 0;
	$get_expense_entries = $objHospital->get_expense_by_period($start_date,$end_date,$user_id);
	if(empty($get_expense_entries) || is_null($get_expense_entries)){
		echo'<tr><td style="text-indent:20px; line-height:0.5rem; color:#000;">Operational Expenses</td>
		<td style="line-height:0.5rem;"><center></center></td>
		<td style="line-height:0.5rem;"><center></center></td>
		<td style="line-height:0.5rem; color:#000;"><center>0</center></td>
		</tr>';
		
		$total_expense = 0;
	}else{
		
		foreach($get_expense_entries as $entry){
			$description = $entry['description'];
			$amount = $entry['amount'];
			$total_expense += intval($amount);
			
			echo'<tr><td style="text-indent:20px; line-height:0.5rem; color:#000;">'.$description.'</p></td>
			<td style="line-height:0.5rem;"><center></center></td>
			<td style="line-height:0.5rem;"><center></center></td>
			<td style="line-height:0.5rem;"><center><p style="color:#000;">'.number_format($amount,0,0,',').'</p></center></td>
			</tr>';
		}
	}
	
	//Total expense 
	echo'<tr><td style="line-height:0.5rem; color:#000; font-weight:bold; font-size:16px;">Total Expenses</p></td>
	<td style="line-height:0.5rem;"><center></center></td>
	<td style="line-height:0.5rem;"><center></center></td>
	<td style="line-height:0.5rem;"><u><p style="color:#000; font-weight:bold; font-size:16px;">'.number_format($total_expense,0,0,',').'</p></u></td>
	</tr>';
	
	//Get net income
	$net_income = intval($total_revenue) - intval($total_expense);
	echo'<tr><td style="line-height:0.5rem; color:blue; font-weight:bold; font-size:16px;">Net Income</p></td>
	<td style="line-height:0.5rem;"><center></center></td>
	<td style="line-height:0.5rem;"><center></center></td>
	<td style="line-height:0.5rem;"><u><p style="color:blue; font-weight:bold; font-size:16px;">'.number_format($net_income,0,0,',').'</p></u></td>
	</tr>';
}
elseif(isset($_POST['equity_start_date'])){
	$start_date = $_POST['equity_start_date'];
	$end_date = $_POST['equity_end_date'];
	$user_id = $_POST['equity_user_id'];
	
	$first_day_of_year = date("d-M-Y", strtotime('first day of January '.$end_date ));
	$last_day_of_year = date("d-M-Y", strtotime('first day of december '.$end_date ));
	$first_day_of_previous_year = date("Y-m-d",strtotime ( '-1 year' , strtotime ( 'first day of january '.$end_date ) )) ;
	$last_day_of_previous_year = date("Y-m-d",strtotime ( '-1 year' , strtotime ( 'last day of december '.$end_date ) )) ;
	
	echo'<tr><td style="color:#000; font-weight:bold; font-size:16px; text-align:left;"><center></center></td>
		<td style="color:blue; font-weight:bold; font-size:16px; text-align:left;"><center>Common Shares</center></td>
		<td style="color:blue; font-weight:bold; font-size:16px; text-align:left;"><center>Retained Earnings</center></td>
		<td style="color:blue; font-weight:bold; font-size:16px; text-align:left;"><center>Total</center></td>
	</tr>';
	
	//Brought forward
	echo'<tr><td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;">'.$first_day_of_year.'</p></td>
		<td style="line-height:0.5rem;"><center><p style="color:#000;">'; 
		$total_common_shares = 0; 
		$get_common_shares_brought_forward = $objHospital->get_common_shares_brought_forward($first_day_of_previous_year,$last_day_of_previous_year,$user_id);
		if(empty($get_common_shares_brought_forward) || is_null($get_common_shares_brought_forward)){
			$total_common_shares = 0; 
			echo number_format($total_common_shares,0,0,',');
		}else{
			$total_common_shares += intval($get_common_shares_brought_forward);
			echo number_format($total_common_shares,0,0,',');
		}
		echo'</p></center></td>
		<td style="line-height:0.5rem;"><center><p style="color:#000;">'; 
		$total_retained_earnings = 0; 
		$get_retained_earnings_brought_forward = $objHospital->get_retained_earnings_brought_forward($first_day_of_previous_year,$last_day_of_previous_year,$user_id);
		if(empty($get_retained_earnings_brought_forward) || is_null($get_retained_earnings_brought_forward)){
			$total_retained_earnings = 0; 
			echo number_format($total_retained_earnings,0,0,',');
		}else{
			$total_retained_earnings += intval($get_retained_earnings_brought_forward);
			echo number_format($total_retained_earnings,0,0,',');
		}
		echo'</p></center></td>
		<td style="line-height:0.5rem;"><center><p style="color:#000;">';
		$totals_brought_forward = $total_common_shares + $total_retained_earnings;
		echo number_format($totals_brought_forward,0,0,',');
		echo'</p></center></td>
	</tr>';
	
	//Net Income
	echo'<tr><td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;">Net Income</p></td>
		<td style="line-height:0.5rem;"><center><p style="color:#000;"></p></center></td>
		<td style="line-height:0.5rem;"><center><p style="color:#000;">'; 
		
		//Get total revenue for the selected period
		$get_revenue_entries = $objHospital->get_revenue_entries($start_date,$end_date,$user_id);
		$total_revenue = 0;
		if(empty($get_revenue_entries) || is_null($get_revenue_entries)){
			$total_revenue = 0;
		}else{
			foreach($get_revenue_entries as $entry){
				$amount = $entry['amount'];
				$total_revenue += intval($amount);
			}
		}
		
		//Get total Expenses for the selected period
		$total_expense = 0;
		$get_expense_entries = $objHospital->get_expense_by_period($start_date,$end_date,$user_id);
		if(empty($get_expense_entries) || is_null($get_expense_entries)){			
			$total_expense = 0;
		}else{
			
			foreach($get_expense_entries as $entry){
				$description = $entry['description'];
				$amount = $entry['amount'];
				$total_expense += intval($amount);
			}
		}
		
		//Get net income
		$net_income = intval($total_revenue) - intval($total_expense);
		
		echo number_format($net_income,0,0,',');
		echo'</p></center></td>
		<td style="line-height:0.5rem;"><center><p style="color:#000;">'.number_format($net_income,0,0,',').'</p></center></td>
	</tr>';
	
	//Dividends
	echo'<tr><td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;">Dividends</p></td>
		<td style="line-height:0.5rem;"><center><p style="color:#000;"></p></center></td>
		<td style="line-height:0.5rem;"><center><p style="color:#000;">('; 
		
		//Get dividends for the selected period
		$get_dividends = $objHospital->get_dividends($start_date,$end_date,$user_id);
		if(empty($get_dividends) || is_null($get_dividends)){
			$dividend = 0; 
			echo number_format($dividend,0,0,',');
		}else{
			$dividend = $get_dividends;
			echo number_format($dividend,0,0,',');
		}
		echo')</p></center></td>
		<td style="line-height:0.5rem;"><center><p style="color:#000;">('.number_format($dividend,0,0,',').')</p></center></td>
	</tr>';
	
	//Get common shares for the selected timeline
	$total_current_common_shares = 0; 
	$get_common_shares = $objHospital->get_common_shares($start_date,$end_date,$user_id);
	if(empty($get_common_shares) || is_null($get_common_shares)){
		$total_current_common_shares = 0; 
	}else{
		$total_current_common_shares += intval($get_common_shares);
	}
	
	//A total of all shares brought forward and the current ones
	$total_common_shares = intval($total_current_common_shares) + intval($total_common_shares);
	
	//Get total retained Earnings
	$total_retained = (intval($total_retained_earnings) + intval($net_income)) - intval($dividend);
	
	$total_equity = intval($total_common_shares) + intval($total_retained);
	
	//Total Equity 
	echo'<tr><td style="text-indent:20px; line-height:0.5rem; font-weight:bold; font-size:16px;"><p style="color:#000;">'.$last_day_of_year.'</p></td>
	<td style="line-height:0.5rem; font-weight:bold; font-size:16px;"><center><p style="color:#000;">'.number_format($total_common_shares,0,0,',').'</p></center></td>
	<td style="line-height:0.5rem; font-weight:bold; font-size:16px;"><center><p style="color:#000;">'.number_format($total_retained,0,0,',').'</p></center></td>
	<td style="line-height:0.5rem; font-weight:bold; font-size:16px;"><center><p style="color:#000;">'.number_format($total_equity,0,0,',').'</p></center></td>
	</tr>';
	
}
elseif(isset($_POST['tb_start_date'])){
	$start_date = $_POST['tb_start_date'];
	$end_date = $_POST['tb_end_date'];
	$user_id = $_POST['tb_user_id'];
	
	$first_day_of_year = date("d-M-Y", strtotime('first day of January '.$end_date ));
	$last_day_of_year = date("d-M-Y", strtotime('first day of december '.$end_date ));
	$first_day_of_previous_year = date("Y-m-d",strtotime ( '-1 year' , strtotime ( 'first day of january '.$end_date ) )) ;
	$last_day_of_previous_year = date("Y-m-d",strtotime ( '-1 year' , strtotime ( 'last day of december '.$end_date ) )) ;
	
	echo'<tr><td style="color:#000; font-weight:bold; font-size:16px; text-align:left;"><center></center></td>
		<td style="color:blue; font-weight:bold; font-size:16px; text-align:right;">DR</td>
		<td style="color:blue; font-weight:bold; font-size:16px; text-align:right;">CR</td>
	</tr>';
	
	$total_dr = 0;
	$total_cr = 0;
	//Get Assets from journal 
	$get_tb_entries = $objHospital->get_tb_entries($start_date,$end_date,$user_id);
	foreach($get_tb_entries as $entry){
		$account_name = $entry['account_name']; 
		$coa_account_type = $entry['coa_account_type']; 
		$coa_account_type_category = $entry['coa_account_type_category']; 
		$debit = $entry['debit']; 
		$credit = $entry['credit']; 
		$amount = abs($entry['amount']); //The abs function is meant to remove the negatives
		
		if($debit == 'yes'){
			$total_dr += intval($amount);
			$total_cr += 0;
			echo'<tr><td style="color:#000; text-align:left; line-height:0.7rem;">'.$account_name.'</td>
				<td style="color:#000; text-align:right; line-height:0.7rem;">'.number_format($amount,0,0,',').'</td>
				<td style="color:#000; text-align:right; line-height:0.7rem;"><center></center></td>
			</tr>';
		}elseif($credit == 'yes'){
			$total_dr += 0;
			$total_cr += intval($amount);
			echo'<tr><td style="color:#000; text-align:left; line-height:0.7rem;">'.$account_name.'</td>
				<td style="color:#000; text-align:right; line-height:0.7rem;"><center></center></td>
				<td style="color:#000; text-align:right; line-height:0.7rem;">'.number_format($amount,0,0,',').'</td>
			</tr>';
		}
	}
	echo'<tr><td style="color:#000; text-align:left; font-weight:bold; line-height:1.5rem;">Totals</td>
		<td style="color:#000; text-align:right; font-weight:bold; line-height:1.5rem;">'.number_format($total_dr,0,0,',').'</td>
		<td style="color:#000; text-align:right; font-weight:bold; line-height:1.5rem;">'.number_format($total_cr,0,0,',').'</td>
	</tr>';
	
}
elseif(isset($_POST['cf_start_date'])){
	$start_date = $_POST['cf_start_date'];
	$end_date = $_POST['cf_end_date'];
	$user_id = $_POST['cf_user_id'];
	
	$first_day_of_year = date("d-M-Y", strtotime('first day of January '.$end_date ));
	$last_day_of_year = date("d-M-Y", strtotime('first day of december '.$end_date ));
	$first_day_of_previous_year = date("Y-m-d",strtotime ( '-1 year' , strtotime ( 'first day of january '.$end_date ) )) ;
	$last_day_of_previous_year = date("Y-m-d",strtotime ( '-1 year' , strtotime ( 'last day of december '.$end_date ) )) ;
	
	$get_journal_entries_date = $objHospital->get_journal_entries_date($start_date,$end_date,$user_id);
	if(empty($get_journal_entries_date) || is_null($get_journal_entries_date)){
		//Do nothing
	}else{		
	
		echo'<tr><td colspan="3" style="color:blue; font-weight:bold; font-size:16px; text-align:left;">Cash flows from Operating Activities</td></tr>
		
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Collections from Customers</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">';
			//Cash collected from customers = Sales - Increase in A/R
			$get_cf_revenue_entries = $objHospital->get_cf_revenue_entries($start_date,$end_date,$user_id);
			$get_cf_acc_receivable_entries = $objHospital->get_cf_acc_receivable_entries($start_date,$end_date,$user_id);
			echo number_format(($get_cf_revenue_entries + $get_cf_acc_receivable_entries),0,0,',');
			echo'</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;"></td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Paid for Merchandise</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">'; 
			//But COGS = (Period starting Inventory + Purchases) - Period ending Inventory
			$get_starting_inventory = $objHospital->get_starting_inventory($start_date,$end_date,$user_id);
			$get_ending_inventory = $objHospital->get_ending_inventory($start_date,$end_date,$user_id);
			$get_purchased_inventory = $objHospital->get_purchased_inventory($start_date,$end_date,$user_id);
			$cogs = (intval($get_starting_inventory) + intval($get_purchased_inventory)) - intval($get_ending_inventory);
			
			//Cash paid for merchandise = COGS - Decrease in Inventory - Increase in Accounts Payable
			$get_decrease_in_inventory = $objHospital->get_decrease_in_inventory($start_date,$end_date,$user_id);
			$get_increase_in_payables = $objHospital->get_increase_in_payables($start_date,$end_date,$user_id);
			$cash_paid_in_merchandise = number_format((intval($cogs) - intval($get_decrease_in_inventory) - intval($get_increase_in_payables)),0,0,',');
			echo '('.$cash_paid_in_merchandise.')';
			echo'</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;"></td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Paid for Operating Expenses</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">';
			//Cash paid for operating expenses
			$get_paid_for_operating_expenses = $objHospital->get_paid_for_operating_expenses($start_date,$end_date,$user_id);
			echo '('.number_format($get_paid_for_operating_expenses,0,0,',').')';
			echo'</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;"></td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Paid for Salaries</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">';
			//Cash paid for salaries = wages expense - Decrease in wages payable
			$get_wages_expense = $objHospital->get_wages_expense($start_date,$end_date,$user_id);
			$get_decrease_in_wages_payable = $objHospital->get_decrease_in_wages_payable($start_date,$end_date,$user_id);
			echo '('.number_format(($get_wages_expense + $get_decrease_in_wages_payable),0,0,',').')';
			echo'</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;"></td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Paid for Interest</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">';
			//Cash paid for Interest = Interest expense - Decrease in Interest payable
			$get_interest_expense = $objHospital->get_interest_expense($start_date,$end_date,$user_id);
			$get_decrease_in_interest_payable = $objHospital->get_decrease_in_interest_payable($start_date,$end_date,$user_id);
			echo '('.number_format(($get_interest_expense + $get_decrease_in_interest_payable),0,0,',').')';
			echo'</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;"></td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Paid for Income Taxes</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">';
			//Cash paid for Income Taxes = Income Tax expense - Decrease in Income Tax payable
			$get_income_tax_expense = $objHospital->get_income_tax_expense($start_date,$end_date,$user_id);
			$get_decrease_in_income_tax_payable = $objHospital->get_decrease_in_income_tax_payable($start_date,$end_date,$user_id);
			echo '('.number_format(($get_income_tax_expense + $get_decrease_in_income_tax_payable),0,0,',').')';
			echo'</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;"></td>
		</tr>
		<tr><td style="color:#000; font-weight:bold; text-align:left; line-height:0.7rem;">'; 
		$net_cash_inflow = ((intval($get_cf_revenue_entries) + intval($get_cf_acc_receivable_entries)) - (intval($cogs) - intval($get_decrease_in_inventory) - intval($get_increase_in_payables)) - (intval($get_paid_for_operating_expenses)) - (intval($get_wages_expense) + intval($get_decrease_in_wages_payable)) - (intval($get_interest_expense) + intval($get_decrease_in_interest_payable)) - (intval($get_income_tax_expense) + intval($get_decrease_in_income_tax_payable)));
		
		if($net_cash_inflow < 0){
			$cash_flow = $net_cash_inflow * -1;
			echo'Net Cash Outflow from Operating Activites';
		}else{
			$cash_flow = $net_cash_inflow;
			echo'Net Cash Inflow from Operating Activites';
		}
		echo'</td>
			<td style="color:#000; text-align:right; font-weight:bold; line-height:0.7rem;"></td>
			<td style="color:#000; text-align:right; font-weight:bold; line-height:0.7rem;">'.number_format($cash_flow,0,0,',').'</td>
		</tr>
		<tr><td colspan="3" style="color:blue; font-weight:bold; font-size:16px; text-align:left;">Cash flows from Investing Activities</td></tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash paid for Equipment</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">';
			//Cash paid for Equipment = Increase in cash paid for Equipment + Decrease in Equipment payable
			$get_cash_paid_for_equipment = $objHospital->get_cash_paid_for_equipment($start_date,$end_date,$user_id);
			$get_decrease_in_equipment_payable = $objHospital->get_decrease_in_equipment_payable($start_date,$end_date,$user_id);
			echo '('.number_format(($get_decrease_in_equipment_payable + $get_cash_paid_for_equipment),0,0,',').')';
			echo'</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;"></td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Received on Sale of Equipment</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">';
			//Cash paid for sale of equipment
			$get_received_on_sale_of_equipment = $objHospital->get_received_on_sale_of_equipment($start_date,$end_date,$user_id);
			echo '('.number_format($get_received_on_sale_of_equipment,0,0,',').')';
			
			echo'</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;"></td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Paid for Investments Expenses</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">';
			//Cash paid for Investment Expenses
			$get_paid_for_investment_expenses = $objHospital->get_paid_for_investment_expenses($start_date,$end_date,$user_id);
			echo '('.number_format($get_paid_for_investment_expenses,0,0,',').')';
			
			echo'</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;"></td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Received for Sale of Investments</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">';
			//Cash paid for Investment Expenses
			$get_received_on_sale_of_investments = $objHospital->get_received_on_sale_of_investments($start_date,$end_date,$user_id);
			echo '('.number_format($get_received_on_sale_of_investments,0,0,',').')';
			
			echo'</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;"></td>
		</tr>
		<tr><td style="color:#000; font-weight:bold; text-align:left; line-height:0.7rem;">'; 
		$net_cash_inflow_investing = ((intval($get_decrease_in_equipment_payable) + intval($get_cash_paid_for_equipment)) + intval($get_received_on_sale_of_equipment) + intval($get_paid_for_investment_expenses) + intval($get_received_on_sale_of_investments));
		
		if($net_cash_inflow_investing < 0){
			$cash_flow_investing = $net_cash_inflow_investing * -1;
			echo'Net Cash Outflow from Investing Activites';
		}else{
			$cash_flow_investing = $net_cash_inflow_investing;
			echo'Net Cash Inflow from Investing Activites';
		}
		echo'
			<td style="color:#000; text-align:right; font-weight:bold; line-height:0.7rem;"></td>
			<td style="color:#000; text-align:right; font-weight:bold; line-height:0.7rem;">'.$cash_flow_investing.'</td>
		</tr>
		
		<tr><td colspan="3" style="color:blue; font-weight:bold; font-size:16px; text-align:left;">Cash flows from Financing Activities</td></tr>
		
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash paid for reduction of Bonds/Longterm Debt</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Received on Issuance of Bonds/Long Term Debt</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Received on Issuance of Shares</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Paid for Redemption of Shares</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Paid for Dividends</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
		</tr>
		<tr><td style="color:#000; font-weight:bold; text-align:left; line-height:0.7rem;">Net Cash Inflow/Outflow from Financing Activites</td>
			<td style="color:#000; text-align:right; font-weight:bold; line-height:0.7rem;">_</td>
			<td style="color:#000; text-align:right; font-weight:bold; line-height:0.7rem;">_</td>
		</tr>
		
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Net Increase/Decrease in Cash</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Balance, Beginning of </td>Year
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
		</tr>
		<tr><td style="color:#000; text-align:left; line-height:0.7rem;">Cash Balance, End of Year</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
			<td style="color:#000; text-align:right; line-height:0.7rem;">_</td>
		</tr>
		';
	}
}
elseif(isset($_POST['bal_sheet_start_date'])){
	$start_date = $_POST['bal_sheet_start_date'];
	$end_date = $_POST['bal_sheet_end_date'];
	$user_id = $_POST['bal_sheet_user_id'];
	
	$first_day_of_year = date("d-M-Y", strtotime('first day of January '.$end_date ));
	$last_day_of_year = date("d-M-Y", strtotime('first day of december '.$end_date ));
	$first_day_of_previous_year = date("Y-m-d",strtotime ( '-1 year' , strtotime ( 'first day of january '.$end_date ) )) ;
	$last_day_of_previous_year = date("Y-m-d",strtotime ( '-1 year' , strtotime ( 'last day of december '.$end_date ) )) ;
	
	echo'<tr><td colspan="2" style="text-indent:40px; color:blue; font-weight:bold; font-size:16px; text-align:left;">Assets</td>
		<td colspan="2" style="text-indent:40px; color:blue; font-weight:bold; font-size:16px; text-align:left;">Liabilities</td>
	</tr>';
	echo'<tr><td colspan="2">
		<table class="table table-borderless">
			<tbody>';
				//Get current Assets
				$get_current_assets = $objHospital->get_current_assets($start_date,$end_date,$user_id);
				$total_current =0; 
				if(empty($get_current_assets)){
					echo'<tr><td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;"></p></td>
					<td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;"></p></td></tr>';
					$total_current =0; 
				}else{
					foreach($get_current_assets as $asset){
						$account_name = $asset['account_name'];
						
						//If the asset is cash deduct the Expenses
						if($account_name = 'Cash'){
							//Get total Expenses for the selected period
							$total_expense = 0;
							$get_expense_entries = $objHospital->get_expense_by_period($start_date,$end_date,$user_id);
							if(empty($get_expense_entries) || is_null($get_expense_entries)){			
								$total_expense = 0;
							}else{
								
								foreach($get_expense_entries as $entry){
									$description = $entry['description'];
									$exp_amount = $entry['amount'];
									$total_expense += intval($exp_amount);
								}
							}
							$amount = intval($asset['amount']) - intval($total_expense);
						}else{
							$amount = $asset['amount'];
						}
						$total_current += intval($amount);
						echo'<tr><td colspan="2" style="color:grey; font-weight:bold; font-size:16px; text-align:left;">Current Assets</td>
						</tr>
						<tr><td style="text-indent:20px; line-height:0.5rem; text-align:left;"><p style="color:#000;">'.$account_name.'</p></td>
						<td style="text-indent:40px; line-height:0.5rem; text-align:left;"><p style="color:#000;">'.number_format($amount,0,0,',').'</p></td></tr>';
					}
				}
				echo'<tr><td style="line-height:0.5rem; font-size:16px;  text-align:left; font-weight:bold;"><p style="color:#000;">Total Current Assets</p></td>
				<td style="text-indent:40px; line-height:0.5rem; font-size:16px;  text-align:left; font-weight:bold;"><p style="color:#000;">'.number_format($total_current,0,0,',').'</p></td></tr>';
				
				//Get non current Assets
				$get_non_current_assets = $objHospital->get_non_current_assets($start_date,$end_date,$user_id);
				$total_non_current =0; 
				if(empty($get_non_current_assets)){
					echo'<tr><td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;"></p></td>
					<td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;"></p></td></tr>';
					$total_non_current =0; 
				}else{
					foreach($get_non_current_assets as $asset){
						$account_name = $asset['account_name'];
						$amount = $asset['amount'];
						$total_non_current += intval($amount);
						echo'<tr><td colspan="2" style="color:grey; font-weight:bold; font-size:16px; text-align:left;">Non-Current Assets</td>
						</tr>
						<tr><td style="text-indent:20px; line-height:0.5rem; text-align:left;"><p style="color:#000;">'.$account_name.'</p></td>
						<td style="text-indent:20px; line-height:0.5rem; text-align:left;"><p style="color:#000;">'.number_format($amount,0,0,',').'</p></td></tr>';
					}
				}
				$total_assets = $total_current + $total_non_current;
				echo'<tr><td style="line-height:0.5rem; text-align:left; font-size:16px; font-weight:bold;"><p style="color:#000;">Total Non-Current Assets</p></td>
				<td style="text-indent:20px; line-height:0.5rem; text-align:left; font-size:16px; font-weight:bold;"><p style="color:#000;"><u>'.number_format($total_non_current,0,0,',').'</u></p></td></tr>
				<tr><td style="line-height:0.5rem; text-align:left; font-size:18px; font-weight:bold;"><p style="color:#000;">Total Assets</p></td>
				<td style="text-indent:20px; line-height:0.5rem; text-align:left; font-size:18px; font-weight:bold;"><p style="color:#000;">'.number_format($total_assets,0,0,',').'</p></td></tr>';
			echo'</tbody>
		</table>
	</td>
	<td colspan="2">
		<table class="table table-borderless">
			<tbody>';
				//Get current Assets
				$get_current_liabilities = $objHospital->get_current_liabilities($start_date,$end_date,$user_id);
				$total_current_liabilities =0; 
				if(empty($get_current_liabilities)){
					echo'<tr><td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;"></p></td>
					<td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;"></p></td></tr>';
					$total_current_liabilities =0;
				}else{
					
					foreach($get_current_liabilities as $liability){
						$account_name = $liability['account_name'];
						$amount = $liability['amount'];
						$total_current_liabilities += intval($amount);
						echo'<tr><td colspan="2" style="color:grey; font-weight:bold; font-size:16px; text-align:left;">Current Liabilities</td>
						</tr>
						<tr><td style="text-indent:20px; line-height:0.5rem; text-align:left;"><p style="color:#000;">'.$account_name.'</p></td>
						<td style="text-indent:40px; line-height:0.5rem; text-align:left;"><p style="color:#000;">'.number_format($amount,0,0,',').'</p></td></tr>';
					}
				}
				echo'<tr><td style="line-height:0.5rem; font-size:16px;  text-align:left; font-weight:bold;"><p style="color:#000;">Total Current Liabilities</p></td>
				<td style="text-indent:40px; line-height:0.5rem; font-size:16px;  text-align:left; font-weight:bold;"><p style="color:#000;">'.number_format($total_current_liabilities,0,0,',').'</p></td></tr>';
				
				//Get non current Assets
				$get_non_current_liabilities = $objHospital->get_non_current_liabilities($start_date,$end_date,$user_id);
				$total_non_current_liabilities =0;
				if(empty($get_non_current_liabilities)){
					echo'<tr><td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;"></p></td>
					<td style="text-indent:20px; line-height:0.5rem;"><p style="color:#000;"></p></td></tr>';
					$total_non_current_liabilities =0;
				}else{ 
					foreach($get_non_current_liabilities as $asset){
						$account_name = $asset['account_name'];
						$amount = $asset['amount'];
						$total_non_current_liabilities += intval($amount);
						echo'<tr><td colspan="2" style="color:grey; font-weight:bold; font-size:16px; text-align:left;">Non Current Liabilities</td>
						</tr>
						<tr><td style="text-indent:20px; line-height:0.5rem; text-align:left;"><p style="color:#000;">'.$account_name.'</p></td>
						<td style="text-indent:20px; line-height:0.5rem; text-align:left;"><p style="color:#000;">'.number_format($amount,0,0,',').'</p></td></tr>';
					}
				}
				
				echo'<tr><td style="line-height:0.5rem; text-align:left; font-size:16px; font-weight:bold;"><p style="color:#000;">Non-Current Liabilities</p></td>
				<td style="text-indent:40px; line-height:0.5rem; text-align:left; font-size:16px; font-weight:bold;"><p style="color:#000;">'.number_format($total_non_current_liabilities,0,0,',').'</p></td></tr>';
				
				//Calculate commonshares and retained Earnings
				//1- Common shares brought forward
				$total_common_shares = 0; 
				$get_common_shares_brought_forward = $objHospital->get_common_shares_brought_forward($first_day_of_previous_year,$last_day_of_previous_year,$user_id);
				if(empty($get_common_shares_brought_forward) || is_null($get_common_shares_brought_forward)){
					$total_common_shares = 0; 
				}else{
					$total_common_shares += intval($get_common_shares_brought_forward);
				}
				
				//2- Common shares for the selected timeline
				$total_current_common_shares = 0; 
				$get_common_shares = $objHospital->get_common_shares($start_date,$end_date,$user_id);
				if(empty($get_common_shares) || is_null($get_common_shares)){
					$total_current_common_shares = 0; 
				}else{
					$total_current_common_shares += intval($get_common_shares);
				}
				
				//3- Get retained earnings brought forward
				$total_retained_earnings = 0; 
				$get_retained_earnings_brought_forward = $objHospital->get_retained_earnings_brought_forward($first_day_of_previous_year,$last_day_of_previous_year,$user_id);
				if(empty($get_retained_earnings_brought_forward) || is_null($get_retained_earnings_brought_forward)){
					$total_retained_earnings = 0; 
				}else{
					$total_retained_earnings += intval($get_retained_earnings_brought_forward);
				}
				
				//4- Calculate net Income
				$get_revenue_entries = $objHospital->get_revenue_entries($start_date,$end_date,$user_id);
				$total_revenue = 0;
				if(empty($get_revenue_entries) || is_null($get_revenue_entries)){
					$total_revenue = 0;
				}else{
					foreach($get_revenue_entries as $entry){
						$amount = $entry['amount'];
						$total_revenue += intval($amount);
					}
				}
				
				//Get total Expenses for the selected period
				$total_expense = 0;
				$get_expense_entries = $objHospital->get_expense_by_period($start_date,$end_date,$user_id);
				if(empty($get_expense_entries) || is_null($get_expense_entries)){			
					$total_expense = 0;
				}else{
					
					foreach($get_expense_entries as $entry){
						$description = $entry['description'];
						$amount = $entry['amount'];
						$total_expense += intval($amount);
					}
				}
				
				//Get net income
				$net_income = intval($total_revenue) - intval($total_expense);
				
				//5- Calculate dividends for selected period
				$get_dividends = $objHospital->get_dividends($start_date,$end_date,$user_id);
				if(empty($get_dividends) || is_null($get_dividends)){
					$dividend = 0; 
				}else{
					$dividend = $get_dividends;
				}
				
				//6- Get total retained earnings
				$total_retained = (intval($total_retained_earnings) + intval($net_income)) - intval($dividend);
				
				$total_equity = intval($total_common_shares) + intval($total_retained);
						
				echo'<tr><td colspan="2" style="text-indent:40px; color:blue; font-weight:bold; font-size:16px; text-align:left;">Equity</td>
				</tr>
				<tr><td style="text-indent:20px; line-height:0.5rem; text-align:left;"><p style="color:#000;">Common Shares</p></td>
				<td style="text-indent:40px; line-height:0.5rem; text-align:left;"><p style="color:#000;">'.number_format($total_common_shares,0,0,',').'</p></td></tr>
				<tr><td style="text-indent:20px; line-height:0.5rem; text-align:left;"><p style="color:#000;">Retained Earnings</p></td>
				<td style="text-indent:40px; line-height:0.5rem; text-align:left;"><p style="color:#000;">'.number_format($total_retained,0,0,',').'</p></td></tr>
				<tr><td style="line-height:0.5rem; text-align:left; font-size:16px; font-weight:bold;"><p style="color:#000;">Total Shareholders Equity</p></td>
				<td style="text-indent:40px; line-height:0.5rem; text-align:left; font-size:16px; font-weight:bold;"><p style="color:#000;"><u>'.number_format($total_equity,0,0,',').'</u></p></td></tr>';
				
				//Get total of all liabilities
				$total_liabilities = $total_current_liabilities + $total_non_current_liabilities + $total_equity;
				echo'<tr><td style="line-height:0.5rem; text-align:left; font-size:18px; font-weight:bold;"><p style="color:#000;">Total Liabilities</p></td>
				<td style="text-indent:40px; line-height:0.5rem; text-align:left; font-size:18px; font-weight:bold;"><p style="color:#000;">'.number_format($total_liabilities,0,0,',').'</p></td></tr>';
			echo'</tbody>
		</table>
	</td>
	</tr>';
	
}










?>