<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['get_chat_users'])){
	$user_id = $_POST['get_chat_users'];
		
	$get_chat_users = $objHospital->get_chat_users($user_id);

	if(empty($get_chat_users)){
		echo'<li class="p-2 border-bottom" style="background-color: #eee; align-text:center;">There are no users in the system yet</li>';
	}else{
		foreach($get_chat_users as $chat){
			$other_user_id = $chat['user_id'];
			$first_name = $chat['first_name'];
			$last_name = $chat['last_name'];
			$login_status = $chat['login_status'];
			$logout_time = $chat['logout_time'];
			$image = $chat['image'];
			
			//Login status
			switch($login_status){
			  case '1':
				$login_status = "<span style='color:green;'>Online</span>";
			  break;
			  default:
				$login_status = "<span style='color:red;'>Last seen: </span>".date('d-m-Y H:i:s',strtotime($logout_time));
			}
			
			$get_last_message = $objHospital->get_last_message($other_user_id,$user_id);
			if(empty($get_last_message)){
				echo'
				<li class="p-2 border-bottom chat_user" style="background-color: #eee;" data-user-id="'.$other_user_id.'" data-first-name="'.$first_name.'" data-last-name="'.$last_name.'">
					<a href="#" class="d-flex justify-content-between">
					  <div class="d-flex flex-row">
						<img src="'.$image.'" alt="avatar"
						  class="rounded-circle d-flex align-self-center me-3 shadow-1-strong" width="60">
						<div class="pt-1">
						  <p class="fw-bold mb-0">'.$first_name.' '.$last_name.'</p>
						</div>
					  </div>
					  <div class="pt-1">
						<p class="small text-muted mb-1">'.$login_status.'</p>
						<!---<span class="badge bg-danger float-end">1</span>--->
					  </div>
					</a>
				</li>
				';
			}else{
				//If it is accredited write a portion of the last message
				foreach($get_last_message as $value){
					$get_last = $value['message'];
					$outgoing_id = $value['sender_id'];
					if($outgoing_id == $user_id){//If sender is the user account id, add the word "you" to the message 
						if(strlen($get_last)>28){
							$last_message = 'You: '.substr($get_last,0,28).'...';
						}else{
							$last_message = 'You: '.$get_last;
						}
					}else{
						if(strlen($get_last)>28){
							$last_message = substr($get_last,0,28).'...';
						}else{
							$last_message = $get_last;
						}
					}
					echo'
					<li class="p-2 border-bottom chat_user" style="background-color: #eee;" data-user-id="'.$other_user_id.'" data-first-name="'.$first_name.'" data-last-name="'.$last_name.'">
						<a href="#" class="d-flex justify-content-between">
						  <div class="d-flex flex-row">
							<img src="'.$image.'" alt="avatar"
							  class="rounded-circle d-flex align-self-center me-3 shadow-1-strong" width="60">
							<div class="pt-1">
							  <p class="fw-bold mb-0">'.$first_name.' '.$last_name.'</p>
							  <p class="small text-muted">'.$last_message.'</p>
							</div>
						  </div>
						  <div class="pt-1">
							<p class="small text-muted mb-1">'.$login_status.'</p>
							<!---<span class="badge bg-danger float-end">1</span>-->
						  </div>
						</a>
					</li>
					';
				}
			}
		}
	}
	
}elseif(isset($_POST['other_chats_user'])){
	$chat_user_id = $_POST['other_chats_user'];
	$user_id = $_POST['chats_user'];
		
	$get_chats = $objHospital->get_chats($user_id,$chat_user_id);
	

	if(empty($get_chats)){
		echo'<class="d-flex justify-content-between mb-4">
		There are no chats for this user
		</li>';
	}else{
		foreach($get_chats as $chat){
			$chat_id = $chat['chat_id'];
			$sender_id = $chat['sender_id'];
			$receiver_id = $chat['receiver_id'];
			$message = $chat['message'];
			$message_time = date('H:i:s',strtotime($chat['message_date']));
			$message_date = date('d-m-Y',strtotime($chat['message_date']));
			if($sender_id === $user_id){
				echo '
					<div class="outgoing_msg">
					  <div class="sent_msg">
						<p style="word-wrap: break-word;">'.$message.'</p>
						<span class="time_date"> '.$message_time.'    |    '.$message_date.'</span> 
					  </div>
					</div>
				';
			}else{
				$get_user = $objHospital->get_user($sender_id);
				foreach($get_user as $user){
					$image = $user['image'];
				}
				echo'
					<div class="incoming_msg">
					  <div class="incoming_msg_img"> <img style="border-radius:25px;" src="'.$image.'" alt="sunil"> </div>
					  <div class="received_msg">
						<div class="received_withd_msg">
						  <span></span>
						  <p style="word-wrap: break-word;">'.$message.'</p>
						  <span class="time_date"> '.$message_time.'    |    '.$message_date.'</span></div>
					  </div>
					</div>
				';
			}
		}
	}
	
}
elseif(isset($_POST['chat_text'])){
	$message = $_POST['chat_text'];
	$outgoing_id = $_POST['sending_chat_user_id'];
	$incoming_id = $_POST['sending_other_chat_user_id'];
	
	$insert_chat = $objHospital->insert_chat($outgoing_id,$incoming_id,$message);
	
}elseif(isset($_POST['logout_staff_id'])){
	$user_id = $_POST['logout_staff_id'];
	
	$logout = $objHospital->logout($user_id);
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
























?>