<?php 

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include '../model/pdf.php';
include '../model/hospital.php';
include '../assets/PHPMailer/src/Exception.php';
include '../assets/PHPMailer/src/PHPMailer.php';
include '../assets/PHPMailer/src/SMTP.php';

$objHospital = new Hospitals();
$objPdf = new Pdf();
$objPHPMailer = new PHPMailer(true);


if(isset($_POST['send_follow_up_patient_id'])){
	$patient_id = $_POST['send_follow_up_patient_id'];
	$hospital_id = $_POST['send_follow_up_hospital_id'];
	$user_id = $_POST['send_follow_up_user_id'];
	$visit_id = $_POST['send_follow_visit_id'];
	
	$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
	$form = '<style>'.file_get_contents("../assets/css/lib/bootstrap.min.css").';
	$form .='.file_get_contents("../assets/css/lib/bootstrap.min.css").'</style>';
	$form .= '<div id="print_discharge_card" style="margin-left:20px; margin-right:20px;">
	<div class="content" style="border-color:#ffffff; margin-bottom:30px;">
		<div class="row grid" style="margin-top:-20px;">
			<div class="col-xl-3">
				<div class="grid-col">
					<div class="media pt-3 pb-3">
						<img src="http://localhost/jupyterhs/assets/images/skyz.JPEG" alt="image" class="mr-3" style="width:7rem; height:7rem;">
					</div>
				</div>
			</div>
			<div class="col-xl-9" style="margin-top:-110px;">
				<div class="grid-col d-flex flex-column">
					<div class="col-md-12">
						<center><h2>'.$hospital_name.'</h2></center>
					</div>
					<div class="col-md-12" style="margin-top:-20px;">
						<div class="form-group">
							<center><span style="font-size:14px;"> Email: '.$hospital_email.'</span>
							<span style="font-size:14px;"> Phone: '.$hospital_phone.'</span></center>
						</div>
					</div>
					<div class="col-md-12" style="margin-top:-20px;">
						<div class="form-group">
							<center><span style="font-size:14px;">'.$hospital_city.', '.$hospital_country.' </span>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<table class="table table-borderless">
		<tbody>
			<tr style="border-radius:5px; width:100%; background-color:#343957;">
			  <th colspan="4"><h2 style="color:white; line-height:1rem;"><center><b>Medical Form</b></center></h2></th>
			</tr>';
			
			//Get patient details
			$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
			foreach($get_patient_details as $details){
				$p_first_name = $details['first_name'];
				$p_last_name = $details['last_name'];
				$gender = $details['gender'];
				$phone_number = $details['phone_number'];
				$age = $details['age'];
				$address = $details['address'];
				$email = $details['email'];
				$next_of_kin = $details['next_of_kin'];
				$next_of_kin_phone = $details['next_of_kin_phone'];
				
				//Get visit details
				$get_visit_details = $objHospital->get_visit_by_id($visit_id,$patient_id,$user_id);
				foreach($get_visit_details as $details){
					$visit_date = date('d-M-Y',strtotime($details['visit_date']));
					$visit_time = date('H:i',strtotime($details['visit_date']));
					$discharge_date = date('d-M-Y',time());
					$discharge_time = date('H:i',time());
					$condition = $details['condition_at_discharge'];
					$review_required = $details['review_required'];
					$review_date = $details['review_date'];
					$review_doctor = $details['review_doctor'];
				}
				
				//get_doctors_details
				$get_doctors_details = $objHospital->get_staff_details($review_doctor,$user_id);
				if(empty($get_doctors_details)){
					$review_doctors_name = '';
				}else{
					foreach($get_doctors_details as $doctor){
						$first_name = $doctor['first_name'];
						$last_name = $doctor['last_name'];
						$review_doctors_name = $first_name.' '.$last_name;
					}
				}
				
				$form .= '<tr >
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>First Name</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Last Name</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Age</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Gender</center></th>
				</tr>
				<tr >
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$p_first_name.'</center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$p_last_name.'</center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$age.'</center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$gender.'</center></td>
				</tr>
				<tr >
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Phone Number</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Address</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Next of Kin</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Next of Kin Contact</center></th>
				</tr>
				<tr >
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$phone_number.'</center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$address.'</center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$next_of_kin.'</center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$next_of_kin_phone.'</center></td>
				</tr>
				<tr>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Date of Visit</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Time of Visit</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Date of Discharge</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Time of Discharge</center></th>
				</tr>
				<tr >
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$visit_date.'</center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$visit_time.'</center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$discharge_date.'</center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$discharge_time.'</center></td>
				</tr>
				<tr>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Condition at Discharge</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Review Date</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Review Doctor</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center></center></th>
				</tr>
				<tr >
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$condition.'<center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.date('d-M-Y',strtotime($details['review_date'])).'</center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center>'.$review_doctors_name.'</center></td>
				  <td scope="col" style="color:blue; line-height:0.7rem; border: none;"><center></center></td>
				</tr>
				';
			}
		
		$get_case_history = $objHospital->get_all_cases_by_visit_id($patient_id,$user_id,$visit_id);
		if(empty($get_case_history)){
			/*echo'<tr >
				  <th colspan="4" style="color:blue; line-height:0.7rem;">There are no cases yet</th>
				</tr>';*/
		}else{
			$form .= '<tr style="border-radius:5px; width:100%; background-color:#343957;">
			  <th colspan="4"><h4 style="color:white; line-height:1rem;"><center><b>Clinical Notes:</b></center></h4></th>
			</tr>';
			foreach($get_case_history as $history){
				$case_id = $history['case_id'];
				$case_date = $history['case_date'];
				$complaint = $history['complaint'];
				$examination = $history['examination'];
				$medical_surgical_drug_history = $history['medical_surgical_drug_history'];
				$family_social_history = $history['family_social_history'];
				$physical_examination = $history['physical_examination'];
				$diagnosis_partial_diagnosis = $history['diagnosis_partial_diagnosis'];
				$mgt_plan = $history['mgt_plan'];
				$staff_id = $history['added_by'];
				$get_doctors_details = $objHospital->get_staff_details($staff_id,$user_id);
				//var_dump($get_doctors_details);
				foreach($get_doctors_details as $doctor){
					$first_name = $doctor['first_name'];
					$last_name = $doctor['last_name'];
					$doctors_name = $first_name.' '.$last_name;
				}
				if(empty($complaint)){
					//Do nothing
				}else{
					$form .='<tr >
					  <th colspan="4" style="line-height:0.7rem; border: none;"><b>History Notes: </b><span style="color:blue;">'.$complaint.'</span></th>
					</tr>';
				}
				if(empty($examination)){
					//Do nothing
				}else{
					$form .='<tr>
					  <th colspan="4" style="line-height:1.5rem; border: none;"><b>Examination Notes: </b><span style="color:blue;">'.$examination.'</span></th>
				`  </tr>';
				}
				$form .='<tr>
					<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Case History taken by Dr. </b><span style="color:blue;">'.$doctors_name.'</span></th>
					<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date: </b><span style="color:blue;">'.date('d-m-Y',strtotime($case_date)).'</span></th>
				</tr>';
				
			}
		}
		
		$get_result = $objHospital->get_all_results_by_patient_id($patient_id, $user_id);
		
		if(empty($get_result)){
			/*echo'<tr >
				  <th colspan="4" style="color:blue; line-height:1.7rem;">There are no released results yet</th>
				</tr>';*/
		}else{
			
			$form .='<tr style="border-radius:5px; width:100%; background-color:#343957;">
			  <th colspan="4"><center><h4 style="color:white; line-height:1rem;"><b>Investigations Done:</b></h4></center></th>
			</tr>';
			foreach($get_result as $result){
				$test_name=$result['test_name'];
				$sample_no=$result['sample_no'];
			
			
				$test_array = explode(',',$test_name); 

				foreach($test_array as $key=>$value){
					$test = $value;
					
					//First get the test menu id
					$get_test_menu_id = $objHospital->get_test_menu_id($test,$hospital_id);
					
					
					$get_parameters = $objHospital->get_parameters($test,$hospital_id);
					if(empty($get_parameters)){
						
						//Get this test's results
						$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
						
						if(empty($get_test_results)){
							$form .='<tr">
							  <th colspan="2" style="font-weight:bold; float:left; line-height:1.5rem; border: none;"><span style="color:black;">Test Requested: </span><span style="color:blue;">'.$test.'</span></th>
							  <th colspan="2"><span style="color:black; line-height:1.5rem; border: none;"><b>Test Date: </b></span><span style="color:blue;">_</span></th>
							</tr>
							<tr">
							  <td colspan="4" style="color:black; float:left; line-height:1.5rem; border: none;"><span style="color:black;"><b>Result: </b></span><span style="color:blue;">No Results added yet</span></td>
							</tr>
							';
						}else{
							foreach($get_test_results as $data){
								if($data['equipment_name']==''){
									$equipment = 'N/A';
								}else{
									$equipment = $data['equipment_name'];
								}
								$result = $data['result'];
								$result_reviewed_by = $data['result_reviewed_by'];
								$review_date = $data['review_date'];
								$released_by = $data['released_by'];
								$release_date = $data['release_date'];
								$review_comments = $data['review_comments'];
							}
							$form .='<tr>
							  <th colspan="2" style="font-weight:bold; line-height:1.5rem; float:left; border: none;"><span style="color:black;">Test Requested: </span><span style="color:blue;">'.$test.'</span></th>
							</tr>
							<tr>
							  <td colspan="4" style="color:black; float:left; line-height:1.5rem; border: none;"><span style="color:black;"><b>Result: </b></span><span style="color:blue;">'.$result.'</span></td>
							</tr>';
						}
					}else{
						
						$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
						foreach($get_test_results as $data){
							if($data['equipment_name']==''){
								$equipment = 'N/A';
							}else{
								$equipment = $data['equipment_name'];
							}
							$result = $data['result'];
							$result_reviewed_by = $data['result_reviewed_by'];
							$review_date = $data['review_date'];
							$released_by = $data['released_by'];
							$release_date = $data['release_date'];
							$review_comments = $data['review_comments'];
						}
						if(empty($get_test_results)){
							$form .='<tr>
							  <th scope="col" style="color:black; font-weight:bold; float:left; line-height:1.5rem; border: none;"><center>Test Requested: </center></th>
							  <th scope="col" style="color:blue; font-weight:bold; float:left; line-height:1.5rem; border: none;"><center>'.$test.'</center></th>
							</tr>
							<tr>
							  <td colspan="2" style="color:black; float:right; line-height:1.5rem; border: none;"><center>There are no results yet</center></td>
							</tr>';
						}else{
							//Get the equipment used to analyse
							$get_analysis_equipment = $objHospital->get_analysis_equipment($test,$hospital_id,$sample_no);
							if(empty($get_analysis_equipment)){
								$equipment = 'N/A';
							}else{
								$equipment = $get_analysis_equipment;
							}
							
							$form .='<tr>
							  <th colspan="4" style="font-weight:bold; line-height:1.5rem; float:left; border: none;"><span style="color:black;">Test Name: </span><span style="color:blue;">'.$test.'</span></th>
							</tr>
							<tr style="height:14px;">
							  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>Parameter</center></th>
							  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>Result</center></th>
							  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>Normal Range</center></th>
							  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>H/N/L</center></th>
							</tr>';
							
							foreach($get_test_results as $data){
								$parameter = $data['parameter_name'];
								$result = $data['result'];
								$review_comments = $data['review_comments'];
								$result_reviewed_by = $data['result_reviewed_by'];
								$review_date = $data['review_date'];
								$released_by = $data['released_by'];
								$release_date = $data['release_date'];
								$get_normal_interval = $objHospital->get_normal_interval($test,$parameter,$hospital_id,$gender,$age);
								if(empty($get_normal_interval)){
									$si_units = '';
									$form .='
									<tr>
									  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>'.$parameter.' ('.$si_units.'):</center></td>
									  <td scope="col" style="color:blue; line-height:1.5rem; border: none;"><center>'.$result.'</center></td>
									  <td scope="col" style="color:blue; line-height:1.5rem; border: none;"><center>_</center></td>
									  <td scope="col" style="color:blue; line-height:1.5rem; border: none;"><center>_</center></td>
									</tr>';
								}else{
									foreach($get_normal_interval as $interval){
										$si_units = $interval['si_units'];
										$normal_lower_limit = $interval['normal_ll'];
										$normal_upper_limit = $interval['normal_ul'];
										$critical_ll = $interval['critical_ll'];
										$critical_ul = $interval['critical_ul'];
										$gender = $interval['gender'];
										$lower_age_limit = $interval['lower_age_limit'];
										$upper_age_limit = $interval['upper_age_limit'];
										$multiplier = $interval['multiplier'];
										$form .='
										<tr>
										  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>'.$parameter.' ('.$si_units.'):</center></td>
										  <td scope="col" style="color:blue; line-height:1.5rem; border: none;"><center>'.$result.'</center></td>
										  <td scope="col" style="color:blue; line-height:1.5rem; border: none;"><center>'; 
										  if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
											  $form .='';
										  }else{
											  $form .= $normal_lower_limit.' - '.$normal_upper_limit;
										  }
										  $form .='</center></td>
										  <td scope="col" style="color:blue; line-height:1.5rem; border: none;"><center>'; 
											if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
												$form .='';
											}else{
												if($result < $normal_lower_limit){
												$form .='<span style="color:red">Low</span>';
												}elseif($result > $normal_upper_limit){
													$form .='<span style="color:red">High</span>';
												}else{
													$form .='<span style="color:blue">Normal</span>';
												}
											}
										  $form .='</center></td>
										</tr>
										';
									}
								}
							}

						}
					}
				}
			}
			//Reviewed details
			$get_reviewer_details = $objHospital->get_reviewer_details($sample_no,$hospital_id);
			if(empty($get_reviewer_details)){
				$reviewer = '_';
				$date_reviewed = '_';
			}else{
				foreach($get_reviewer_details as $details){
					$reviewer = $details['first_name'].' '.$details['last_name'];
					if(date('d-M-Y',strtotime($details['review_date'])) == '01-Jan-1970'){
						$date_reviewed = '_';
					}else{
						$date_reviewed = date('d-M-Y',strtotime($details['review_date']));
					}
				}
			}
			
			//Released details
			$get_releaser_details = $objHospital->get_releaser_details($sample_no,$hospital_id);
			if(empty($get_releaser_details)){
				$releaser = '_';
				$date_released = '_';
			}else{
				foreach($get_releaser_details as $data){
					$releaser = $data['first_name'].' '.$data['last_name'];
					if(date('d-M-Y',strtotime($data['release_date'])) == '01-Jan-1970'){
						$date_reviewed = '_';
					}else{
						$date_released = date('d-M-Y',strtotime($data['release_date']));
					}
				}
			}
			$form .='<tr style="background-color:#E5E4E2;">
				  <td colspan="2" style="text-align:left; border: none;"><span style="color:black; line-height:1.5rem;"><b>Released By: </b></span><span style="color:blue;">'.$releaser.'</span></td>
				  <td colspan="2" style="text-align:left; border: none;"><span style="color:black; line-height:1.5rem;"><b>Date: </b></span><span style="color:blue;">'.date('d-M-Y',strtotime($release_date)).'</span></td>
			  </tr>';
		}
		
		$get_services = $objHospital->get_clinical_services($patient_id,$hospital_id,$visit_id);
		if(empty($get_services)){
			/*echo'<tr >
			  <th colspan="4" style="color:blue; line-height:0.7rem;">There are no clinical services provided yet</th>
			</tr>';*/
		}else{
			$form .='<tr style="border-radius:5px; width:100%; background-color:#343957;">
			  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>Clinical Services Report:</b></h4></center></th>
			</tr>';
			
			foreach($get_services as $service){
				$service_name = $service['service_name'];
				$report = $service['report'];
				$date = $service['added_date'];
				$added_by = $service['added_by'];
				
				$get_doctors_details = $objHospital->get_staff_details($added_by,$user_id);
				foreach($get_doctors_details as $doctor){
					$first_name = $doctor['first_name'];
					$last_name = $doctor['last_name'];
					$doctors_name = $first_name.' '.$last_name;
				}
				
				$form .='<tr>
					<th colspan="4" style="line-height:1.5rem; border: none;"><b>Service Provided: </b><span style="color:blue;"><b>'.$service_name.'</b></span></th>
				</tr>
				<tr>
					<th colspan="4" style="line-height:1.5rem; border: none;"><b>Report: </b><span style="color:blue;">'.$report.'</span></th>
				</tr>
				<tr>
					<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Offered by: </b><span style="color:blue;">'.$doctors_name.'</span></th>
					<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date: </b><span style="color:blue;">'.date('d-m-Y',strtotime($date)).'</span></th>
				</tr>';
			}
		}
		
		
		$get_patient_prescriptions = $objHospital->get_prescription_by_patient_and_visit_id($patient_id, $visit_id, $hospital_id);

		if(empty($get_patient_prescriptions)){
			/*echo'<tr >
			  <th colspan="4" style="color:blue; line-height:1.5rem;">There are no prescriptions made yet</th>
			</tr>';*/
		}else{
			$form .='<tr style="border-radius:5px; width:100%; background-color:#343957;">
			  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>Treatment:</b></h4></center></th>
			</tr>';
			
			$get_diagnosis = $objHospital->get_diagnosis_by_patient_and_visit_id($patient_id, $visit_id, $hospital_id);
			if(empty($get_diagnosis)){
				//Do nothing
			}else{
				foreach($get_diagnosis as $diagnosis){
					$diagnosis_id = $diagnosis['diagnosis_id'];
					
					$form .='<tr>
						<th colspan="4" style="line-height:1.5rem; border: none;"><b>Dx: </b><span style="color:blue;">';
						$get_diagnosis_by_id = $objHospital->get_diagnosis_by_id($patient_id, $hospital_id,$diagnosis_id);
						$form .= $get_diagnosis_by_id;
						$form .='</span></th>
					</tr>';
				}
			} 
			$form .='<tr><th style="border: none;"><b>Tx: </b></th></tr>';
			$serial_no = 0;
			foreach($get_patient_prescriptions as $prescription){
				$product_name = $prescription['product_name'];
				$product_strength = $prescription['product_strength'];
				$frequency = $prescription['frequency'];
				$period = $prescription['period'];
				$timeline = $prescription['timeline'];
				$sold_as = $prescription['sold_as'];
				$dosage_route = $prescription['dosage_route'];
				$quantity_prescribed = $prescription['total_quantity'];
				$quantity_dispensed = $prescription['amount_dispensed'];
				$date_prescribed = $prescription['date_prescribed'];
				$prescriber = $prescription['prescriber'];
				
				//Get prescriber's name
				$get_doctors_details = $objHospital->get_staff_details($prescriber,$user_id);
				foreach($get_doctors_details as $doctor){
					$first_name = $doctor['first_name'];
					$last_name = $doctor['last_name'];
					$doctors_name = $first_name.' '.$last_name;
				}
				
				$serial_no += 1;
				
				//Timeline
				if($timeline = 'Days'){
					$time = '/7';
				}elseif($timeline = 'Weeks'){
					$time = '/52';
				}elseif($timeline = 'Months'){
					$time = '/12';
				}
				
				//Frequency
				if($frequency = 'Hourly (qh)'){
					$freq = 'qh';
				}elseif($frequency = 'Every 4 hours (Q4h)'){
					$freq = 'Q4h';
				}elseif($frequency = 'Every 4 to 8 hours (Q4-8h)'){
					$freq = 'Q4-8h';
				}elseif($frequency = 'Once a Day (qd)'){
					$freq = 'qd';
				}elseif($frequency = 'Twice a Day (BID)'){
					$freq = 'BID';
				}elseif($frequency = 'Three times a day (TID)'){
					$freq = 'TID';
				}elseif($frequency = 'Four times a day (QID)'){
					$freq = 'QID';
				}elseif($frequency = 'At bed time (QHS)'){
					$freq = 'QHS';
				}elseif($frequency = 'Every week (QWK)'){
					$freq = 'QWK';
				}
				
				$form .='
				<tr>
					<td colspan="4" style="text-align:left;"><span style="color:blue; line-height:1.5rem;">'.$serial_no.') '.$quantity_prescribed.' '.$sold_as.' '.$product_name.' '.$product_strength.', '.$dosage_route.', '.$freq.' x '.$period.''.$time.'</span></td>
				</tr>';
			}
			$form .='<tr>
				<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Prescribed by: </b><span style="color:blue;">'.$doctors_name.'</span></th>
				<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date: </b><span style="color:blue;">'.date('d-m-Y',strtotime($date_prescribed)).'</span></th>
			</tr>';
			
		}
		
		$form .='</tbody>
		</table>';
	$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
	$form .='<div class="content" style="border-radius:10px; transform:rotate(-30deg); border-style:solid; border-color:#00008B; margin-top:10px; margin-left:100px; width:17rem; height:10rem;">
		<div class="d-flex flex-column" style="margin-left:-10px;">
			<div class="col-md-12" style="color:#00008B;"><b>'.$hospital_name.'<b></div>
			<div class="col-md-12" style="color:#00008B; margin-left:-10px;"><center>'.$hospital_city.', '.$hospital_country.'</center></div>
			<div style="col-md-12" style="color:red; margin-left:10px; margin-top:10px; margin-bottom:10px;"><center>'.date("d-M-Y", time()).'</center></div>
			<div class="col-md-12" style="color:#00008B; margin-left:-10px;"><center>'.$hospital_phone.'</center></div>
			<div class="col-md-12" style="color:#00008B;">'.$hospital_email.'</div>
		</div>
	</div>
	';
	
	$file_name = $p_first_name.' '.$p_last_name.'.pdf';
	$objPdf->set_option('isHtml5ParserEnabled', true);
    $objPdf->set_option('isRemoteEnabled',true);
	$objPdf ->load_html($form);
	$objPdf ->render();
	$file = $objPdf->output();
	file_put_contents($file_name,$file);
	
	//Email server settings
	//$objPHPMailer->SMTPDebug = SMTP::DEBUG_SERVER;
	$objPHPMailer->isSMTP();
	$objPHPMailer->Host = 'ssl://smtp.gmail.com:465';
	$objPHPMailer->SMTPAuth = true;
	$objPHPMailer->Username = 'ahmadabdulauthor@gmail.com';
	$objPHPMailer->Password = 'vqjaogiyrmhmynxq';
	$objPHPMailer->SMTPSecure = 'ssl';
	$objPHPMailer->Port  = 465;
	$objPHPMailer->AddAttachment($file_name);
	$objPHPMailer->SMTPOptions = array(
        'ssl' => array(
            'verify_peer' => false,
            'verify_peer_name' => false,
            'allow_self_signed' => true
        )
    );
	
	//sender and recipient
	$objPHPMailer->From='support@jupytertechnologies.com';
	$objPHPMailer->FromName='support@jupytertechnologies.com';
    $objPHPMailer->addAddress($email, $p_first_name);     //Add a recipient
    $objPHPMailer->addReplyTo('support@jupytertechnologies.com', 'Support Team');
	
	//Content
    $objPHPMailer->isHTML(true);   //Set email format to HTML
    $objPHPMailer->WordWrap=50;
    $objPHPMailer->Subject = "Medical form -".date('d-M-Y H:i:s');
    $objPHPMailer->Body = "Hello ".$p_first_name.", \n Kindly find attached your medical form. \n We thank you for trusting us, and we wish you are quick recovery";
	
	if($objPHPMailer->send()){
		echo'Email has been sent successfully';
	}else{
		echo'Email not sent';
	}
	
	unlink($file_name);
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
elseif(isset($_POST['delete_request_reason'])){
	$reason = $_POST['delete_request_reason'];
	$user_id = $_POST['delete_request_user_id'];
	$patient_id = $_POST['delete_request_patient_id'];
	$hospital_id = $_POST['delete_request_hospital_id'];
	$request_id = $_POST['delete_request_request_id'];
	$request_name = $_POST['delete_request_request_name'];
	$department = $_POST['delete_request_department'];
	
	$delete_requested_service = $objHospital->delete_requested_service($reason,$patient_id,$hospital_id,$request_id,$user_id,$department,$request_name); 
	
	//Get super admin email
	$get_super_admin = $objHospital->get_super_admin($user_id);
	foreach($get_super_admin as $row){
		$admin_first_name = $row['first_name'];
		$admin_last_name = $row['last_name'];
		$admin_email = $row['email'];
	}
	
	//Get user details
	$user_details = $objHospital->get_user($user_id);
	foreach($user_details as $user){
		$first_name = $user['first_name'];
		$last_name = $user['last_name'];
	}
	
	//Get patient details
	$patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
	foreach($patient_details as $patient){
		$patient_first_name = $patient['first_name'];
		$patient_last_name = $patient['last_name'];
	}
	
	
}


























?>