<?php 

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

include '../assets/PHPMailer/src/Exception.php';
include '../assets/PHPMailer/src/PHPMailer.php';
include '../assets/PHPMailer/src/SMTP.php';

$objHospital = new Hospitals();
$objPHPMailer = new PHPMailer(true);

if(isset($_POST['payment_method_name'])){
	$payment_method_name = $_POST['payment_method_name'];
	$payment_method_user_id = $_POST['payment_method_user_id'];
		
	$save_method= $objHospital->save_payment_method($payment_method_user_id, $payment_method_name);
	
}
elseif(isset($_POST['currency_name'])){
	$currency_name = $_POST['currency_name'];
	$abbreviation = $_POST['abbreviation'];
	$currency_user_id = $_POST['currency_user_id'];
		
	$save_currency= $objHospital->save_currency($currency_name,$abbreviation,$currency_user_id);
	
}
elseif(isset($_POST['add_vendor_name'])){
	$vendor_name = $_POST['add_vendor_name'];
	$address = $_POST['add_vendor_address'];
	$phone = $_POST['add_vendor_phone'];
	$email = $_POST['add_vendor_email'];
	$nature_of_goods = $_POST['add_vendor_nature_of_goods'];
	$user_id = $_POST['add_vendor_user_id'];
		
	$save_vendor= $objHospital->save_vendor($vendor_name,$address,$phone,$email,$nature_of_goods,$user_id);
	
}
elseif(isset($_POST['vendor_invoice_user_id'])){
	$vendor_id = $_POST['vendor_invoice_name'];
	$invoice_no = $_POST['vendor_invoice_no'];
	$invoice_date = $_POST['vendor_invoice_date'];
	$amount = $_POST['vendor_invoice_amount'];
	$account = $_POST['vendor_invoice_account'];
	$description = $_POST['vendor_invoice_description'];
	$user_id = $_POST['vendor_invoice_user_id'];
		
	$save_vendor_invoice= $objHospital->save_vendor_invoice($vendor_id,$invoice_no,$invoice_date,$amount,$description,$user_id,$account);
	
}
elseif(isset($_POST['pay_invoice_payment_amount'])){
	$invoice_id = $_POST['pay_invoice_id'];
	$invoice_no = $_POST['pay_invoice_number'];
	$payment_amount = $_POST['pay_invoice_payment_amount'];
	$invoice_amount = $_POST['pay_invoice_amount'];
	$user_id = $_POST['pay_invoice_user_id'];
	$vendor_name = $_POST['pay_invoice_vendor_name'];
		
	$save_invoice_payment= $objHospital->save_invoice_payment($invoice_id,$payment_amount,$invoice_amount,$user_id,$invoice_no,$vendor_name);
	
}
elseif(isset($_POST['vendor_payment_invoice_id'])){
	$invoice_id = $_POST['vendor_payment_invoice_id'];
	$hospital_id = $_POST['vendor_payment_hospital_id'];
	$get_payment = $objHospital->get_payment_by_invoice_id($hospital_id,$invoice_id);
	if(empty($get_payment)){
		//Do nothing
	}else{
		echo'<div class="table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th scope="col"><center>Payment ID</center></th>
					<th scope="col"><center>Payment Date</center></th>
					<th scope="col"><center>Paid</center></th>
					<th scope="col"><center>Balance</center></th>
				</tr>
			</thead>
			<tbody>';
			
			$total_paid = 0;
			foreach($get_payment as $payment){
				$payment_id   = $payment['invoice_payment_id']; 
				$vendor_name = $payment['vendor_name'];
				$invoice_no = $payment['invoice_no'];
				$payment_amount = $payment['payment_amount'];
				$invoice_amount = $payment['invoice_amount'];
				$balance = $payment['balance'];
				$date_added = $payment['date_added'];
				
				$total_paid += $payment_amount;
				
				echo'
				<tr>
					<td><center>'.$payment_id.'</center></td>
					<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
					<td><center>'.number_format(floatval($payment_amount),0,0,',').'</center></td>
					<td><center>'.number_format(floatval($balance),0,0,',').'</center></td>
				</tr>';
			}
			
			$bal = floatval($invoice_amount) - floatval($total_paid);
			echo'
			</tbody>
			<tfoot>
				<tr>
					<th scope="col" style="color:blue;"><center><b>Total</b></center></th>
					<th scope="col"><center></center></th>
					<th scope="col" style="color:blue;"><center><b>'.number_format(floatval($total_paid),0,0,',').'</b></center></th>
					<th scope="col" style="color:red;"><center>'.number_format(floatval($bal),0,0,',').'</center></th>
				</tr>
			</tfoot>
		</table>';
	}
}
elseif(isset($_POST['default_currency_id'])){
	$currency_id = $_POST['default_currency_id'];
	$currency_name = $_POST['default_currency_name'];
	$hospital_id = $_POST['default_currency_hospital_id'];
	$user_id = $_POST['default_currency_user_id'];
	
	$set_default = $objHospital->set_default($currency_id,$currency_name,$hospital_id,$user_id);
}
elseif(isset($_POST['delete_currency_id'])){
	$currency_id = $_POST['delete_currency_id'];
	$currency_name = $_POST['delete_currency_name'];
	$hospital_id = $_POST['delete_currency_hospital_id'];
	$user_id = $_POST['delete_currency_user_id'];
	
	$delete_currency = $objHospital->delete_currency($currency_id,$currency_name,$hospital_id,$user_id);
}
elseif(isset($_POST['get_patients_bills'])){
	$user_id = $_POST['get_patients_bills'];
	$get_visits = $objHospital->get_patient_visits($user_id);
	if(empty($get_visits)){
		//Do nothing
	}else{ 
		foreach($get_visits as $visit){
			if($visit['nature_of_visit'] !== 'Walk-In'){
				$patient_id  = $visit['patient_id']; 
				$hospital_id = $visit['hospital_id'];
				$visit_date = $visit['visit_date'];
				$visit_id = $visit['visit_id'];
				$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
				foreach($get_patient_details as $details){
					$first_name = $details['first_name'];
					$last_name = $details['last_name'];
					$gender = $details['gender'];
					$age = $details['age'];
					
					$name=$first_name.' '.$last_name;
				}
				//Get total bills
				$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id); 
				//Get total payments
				$get_total_bill_payment = $objHospital->get_total_bill_payment($patient_id, $hospital_id, $visit_id);
				//Check if there is a discount
				$get_visit_discount = $objHospital->get_visit_discount($patient_id, $hospital_id, $visit_id);
				
				$balance = $get_total - $get_total_bill_payment;
				echo'
				<tr>
					<td><center>'.$patient_id.'</center></td>
					<td><center>'.date('d-m-Y',strtotime($visit_date)).'</center></td>
					<td><center>'.$name.'</center></td>
					<td><center>'.$gender.'</center></td>
					<td><center>'; 
					if(empty($get_visit_discount)){
						echo number_format(floatval($balance),0,0,',');
					}else{
						foreach($get_visit_discount as $discount){
							$approved_amount = $discount['approved_amount'];
						}
						echo number_format(floatval($approved_amount),0,0,',').'<sub><span class="badge badge-info" style="border-radius:25px;">D</span><sub>';
					}
					
					
					echo'</center></td>
					<td>
						<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Actions</button><center>
						<div class="dropdown-menu dropdown-menu-right" role="menu">';
							if((empty($get_total_bill_payment) || ($balance ==0)) && empty($get_visit_discount)){
								echo'<button class="badge badge-dark dropdown-item request_discount" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'"  data-balance="'.$balance.'"data-toggle="modal" data-target="#add_request_discount">Request Discount</button>';
							}else{
								//Do nothing
							}
							echo'<button class="badge badge-info dropdown-item pay_bill_button" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'" data-toggle="modal" data-target="#add_payment_modal">Pay Bill</button>
							<button class="badge badge-warning dropdown-item receipt_btn" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'" data-toggle="modal" data-target="#receipt_modal">Receipt</button>
						</div>	
					</td>
				</tr>';
			}else{
				$patient_id  = $visit['patient_id']; 
				$hospital_id = $visit['hospital_id'];
				$visit_date = $visit['visit_date'];
				$visit_id = $visit['visit_id'];
				$get_walkin_details = $objHospital->get_walkin_patient_details($patient_id,$hospital_id);
				foreach($get_walkin_details as $details){
					$name = $details['name'];
					$gender = $details['gender'];
					$age = $details['age'];
				}
				//Get total bills
				$get_total = $objHospital->get_walkin_bill_total($patient_id, $hospital_id, $visit_id); 
				//Get total payments
				$get_total_bill_payment = $objHospital->get_total_walkin_payment($patient_id, $hospital_id, $visit_id);
				
				$balance = $get_total - $get_total_bill_payment;
				echo'
				<tr>
					<td><center>'.$patient_id.'</center></td>
					<td><center>'.date('d-m-Y',strtotime($visit_date)).'</center></td>
					<td><center>'.$name.'</center></td>
					<td><center>'.$gender.'</center></td>
					<td><center>'.number_format(floatval($balance),0,0,',').'</center></td>
					<td>
						<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Actions</button><center>
						<div class="dropdown-menu dropdown-menu-right" role="menu">
							<button class="badge badge-info dropdown-item pay_bill_button" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'" data-toggle="modal" data-target="#add_payment_modal">Pay Bill</button>
							<button class="badge badge-warning dropdown-item receipt_btn" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'" data-toggle="modal" data-target="#receipt_modal">Receipt</button>
						</div>	
					</td>
				</tr>';
			}	
		}
	}
}
elseif(isset($_POST['searched_patients_bills_user_id'])){
	$user_id = $_POST['searched_patients_bills_user_id'];
	$searched_patient = $_POST['get_searched_patients_bills'];
	$get_visits = $objHospital->get_searched_visits($searched_patient,$user_id);
	if(empty($get_visits)){
		//Do nothing
	}else{ 
		foreach($get_visits as $visit){
			if($visit['nature_of_visit'] !== 'Walk-In'){
				$patient_id  = $visit['patient_id']; 
				$hospital_id = $visit['hospital_id'];
				$visit_date = $visit['visit_date'];
				$visit_id = $visit['visit_id'];
				$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
				foreach($get_patient_details as $details){
					$first_name = $details['first_name'];
					$last_name = $details['last_name'];
					$gender = $details['gender'];
					$age = $details['age'];
					
					$name=$first_name.' '.$last_name;
				}
				//Get total bills
				$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id); 
				//Get total payments
				$get_total_bill_payment = $objHospital->get_total_bill_payment($patient_id, $hospital_id, $visit_id);
				//Check if there is a discount
				$get_visit_discount = $objHospital->get_visit_discount($patient_id, $hospital_id, $visit_id);
				
				$balance = $get_total - $get_total_bill_payment;
				echo'
				<tr>
					<td><center>'.$patient_id.'</center></td>
					<td><center>'.date('d-m-Y',strtotime($visit_date)).'</center></td>
					<td><center>'.$name.'</center></td>
					<td><center>'.$gender.'</center></td>
					<td><center>'; 
					if(empty($get_visit_discount)){
						echo number_format(floatval($balance),0,0,',');
					}else{
						foreach($get_visit_discount as $discount){
							$approved_amount = $discount['approved_amount'];
						}
						echo number_format(floatval($approved_amount),0,0,',').'<sub><span class="badge badge-info" style="border-radius:25px;">D</span><sub>';
					}
					
					
					echo'</center></td>
					<td>
						<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Actions</button><center>
						<div class="dropdown-menu dropdown-menu-right" role="menu">';
							if((empty($get_total_bill_payment) || ($balance ==0)) && empty($get_visit_discount)){
								echo'<button class="badge badge-dark dropdown-item request_discount" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'"  data-balance="'.$balance.'"data-toggle="modal" data-target="#add_request_discount">Request Discount</button>';
							}else{
								//Do nothing
							}
							echo'<button class="badge badge-info dropdown-item pay_bill_button" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'" data-toggle="modal" data-target="#add_payment_modal">Pay Bill</button>
							<button class="badge badge-warning dropdown-item receipt_btn" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'" data-toggle="modal" data-target="#receipt_modal">Receipt</button>
						</div>	
					</td>
				</tr>';
			}	
		}
	}
}
elseif(isset($_POST['bill_patient_id'])){
	$patient_id = $_POST['bill_patient_id'];
	$hospital_id = $_POST['bill_hospital_id'];
	$visit_id = $_POST['bill_visit_id'];
	$visit_date = $_POST['bill_visit_date'];
	$name = $_POST['bill_name'];
	$gender = $_POST['bill_gender'];
	$age = $_POST['bill_age'];
	$user_id = $_POST['bill_user_id'];

	//Get last invoice number
	$get_last_invoice = $objHospital->get_last_invoice($hospital_id);
	if(empty($get_last_invoice)){
		$invoice_no = 00001;
		$invoice_date = date('m-d-Y');
	}else{
		//Check if there is a patient's invoice for this visit
		$get_patient_invoice = $objHospital->get_patient_invoice($patient_id,$visit_id,$hospital_id);
		if(empty($get_patient_invoice)){
			foreach($get_last_invoice as $invoice){
				$invoice = $invoice['invoice_no'];
				$invoice_no = intval($invoice) + 1;
				$invoice_date = date('m-d-Y');
			}
		}else{
			foreach($get_patient_invoice as $invoice){
				$invoice_no = $invoice['invoice_no'];
				$invoice_date = $invoice['date_added'];
			}
		}
	}
	
	//Get visit type ie if patient is walkin
	$get_visit_details = $objHospital->get_visit_by_id($visit_id,$patient_id,$user_id);
	foreach($get_visit_details as $detail){
		$nature_of_visit = $detail['nature_of_visit'];
		$type_of_visit = $detail['type_of_visit'];
	}

	//Get hospital info
	$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
	
	echo'
	<form method="post" id="payment_form">
	<div class="row">
	  <div class="col-lg-12">
		<div class="card print_invoice_card">
		  <div class="row grid" style="margin-top:-20px;">
			<div class="col-xl-3">
				<div class="grid-col">
					<div class="media pt-3 pb-3">
						<img src="../assets/images/bb.PNG" alt="image" class="mr-3" style="width:7rem; height:7rem;">
					</div>
				</div>
			</div>
			<div class="col-xl-9" style="margin-top:-110px;">
				<div class="grid-col">
					<div class="col-md-12" style="height:30px; float:center;">
						<center><h2>'.$hospital_name.'</h2></center>
					</div>
					<div class="col-md-12" style="height:30px; float:center;">
						<center><h3>Laboratory Department</h4></center>
					</div>	
					<div class="col-md-12" style="height:30px; float:center;">
						<div class="form-group">
							<center><span style="font-size:14px;"> '.$hospital_email.'</span>
							<span style="font-size:14px;"> Phone: '.$hospital_phone.'</span></center>
						</div>
					</div>
					<div class="col-md-12" style="height:30px; float:center; margin-top:-10px;">
						<div class="form-group">
							<center><span style="font-size:14px;">'.$hospital_city.', '.$hospital_country.' </span></center>
						</div>
					</div>
				</div>
			</div>
		</div>
		  <div class="card-header">
			<h3 class="modal-title" id="modalLabel"><center>Invoice</center></h3>
		  </div>
		  <div class="card-body">
			<div id="invoice" class="effect2 m-t-120">
				<div id="invoice-top">
					<div class="invoice-logo"></div>
					<div class="invoice-info" style="margin-left:-50px;">
						<h6>Name: <span style="color:blue;">'.$name.'</span></h6>
						<p>Age: <span style="color:blue;">'.$age.'</span></p>
						<p>Gender: <span style="color:blue;">'.$gender.'</span></p>
					</div>
					<!--End Info-->
					<div class="title">
						<h6 style="text-align:right;">Invoice #: <span style="color:blue;">'.$invoice_no.'</span></h6>
						<p>Issued On: <span style="color:blue;">'.$invoice_date.'</span></p>
						<p>Payment By: <span style="color:blue;">'.$invoice_date.'</span></p>
					</div>
					<!--End Title-->
				</div>

				<div id="invoice-bot">

					<div id="invoice-table">
						<div class="table">
							<table class="table table-striped table-sm" id="invoice_table">
								<tbody>
								<tr class="tabletitle">
									<td class="table-item">
										<h2>Description</h2>
									</td>
									<td class="table-item" style="width:5rem;">
										<h2>Fee</h2>
									</td>
									<td class="table-item" style="width:8rem;">
										<h2>Paid</h2>
									</td>
									<td class="subtotal" colspan="2">
										<h2><center>Pay</center></h2>
									</td>
								</tr>';
								//Get patient bills for this visit
								$get_bills = $objHospital->get_bills($patient_id, $hospital_id, $visit_id); 
																
								if(empty($get_bills)){
									echo'<tr><td colspan="5">There are no bills to show</td></tr>';
								}else{
									$get_request_types = $objHospital->get_bill_request_types($patient_id, $hospital_id, $visit_id); 
									foreach($get_request_types as $types){
										$type = $types['request_type'];
										
										if($type == 'Laboratory'){
											$department = 'Laboratory';
											echo"<tr style='background:#f9f9f9;'><td colspan='5' style='text-align:left;'><b>Laboratory</b></td></tr>";
											foreach($get_bills as $bills){
												$bill_id = $bills['bill_id'];
												$lab_request_type = $bills['request_type'];
												$lab_request_name = $bills['request_name'];
												$request_id = $bills['request_id'];
												//$lab_request_cost = $bills['request_cost'];
												$approved = $bills['approved'];
												$paid = $bills['paid'];
												
												//Check if there is the bill is fully paid
												$get_bill_balance = $objHospital->get_bill_payment_balance($bill_id,$hospital_id);
												$get_payment_balance = $objHospital->get_payment_balance($bill_id,$hospital_id);
												$get_bill_paid_status = $objHospital->get_bill_paid_status($bill_id,$hospital_id);
												
												if($get_bill_paid_status == 'Partial'){
													$lab_request_cost = $get_payment_balance;
												}else{
													$lab_request_cost = $bills['request_cost'];
												}
												
												if($lab_request_type == 'Laboratory'){
													echo'<tr class="service" id="row'.$bill_id.'">
														<td class="tableitem" style="height:1rem;">
															<p class="itemtext">'.$lab_request_name.'</p>
														</td>
														<td class="tableitem" style="height:1rem;">
															<p class="itemtext" >'.number_format(floatval($lab_request_cost),0,0,',').'</p>
														</td>';
														if($get_bill_paid_status == 'Fully'){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($lab_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:1rem;" colspan="2">
																<p class="itemtext"><span style="font-weight:bold; color:#228B22;">Paid</span></p>
															</td>';
														}elseif($lab_request_cost == '0' || empty($lab_request_cost)){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($lab_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<center><p class="itemtext"><span style="font-weight:bold; color:#228B22;">Free</span></p></center>
															</td>';
														}else{
															//If patient nature of visit is a group
															if($type_of_visit == 'Group'){
																echo'<td class="tableitem" style="height:1rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold;">Group Patient</span></p>
																</td>';
															}elseif($type_of_visit == 'Insurance'){
																echo'<td class="tableitem" style="height:1rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Insurance</span></p>
																</td>';
															}else{
																echo'<td class="tableitem" style="height:1rem;" >
																<p class="itemtext"><input class="form-control" type="text" style="width:5rem; border-radius: 3px; border-color:#36454F; height:2rem;" id="'.$bill_id.'" ></p>
																</td>
																<td class="tableitem d-flex" style="height:1rem; text-align:left;" colspan="2">
																	<p class="itemtext"><button type="button" class="btn btn-sm btn-primary invoice_pay_individual_item_btn" data-invoice-no="'.$invoice_no.'" data-bill-id="'.$bill_id.'" data-bill-amount="'.$lab_request_cost.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-request-name="'.$lab_request_name.'">Pay</button></p>
																	<p class="itemtext" style="float:left; margin-left:5px;"><button type="button" class="btn btn-sm btn-danger delete_request_btn" data-toggle="modal" data-target="#delete_request" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-request-id="'.$request_id.'" data-request-name="'.$lab_request_name.'" data-department="'.$department.'"><i class="fa fa-trash"></i></button></p>
																</td>
																';
															}
														}
													echo'</tr>';
												}
											}
										}elseif($type == 'Pharmacy'){
											$department = 'Pharmacy';
											echo"<tr style='background:#f9f9f9;'><td colspan='5' style='text-align:left;'><b>Medicines</b></td></tr>";
											foreach($get_bills as $bills){
												$bill_id = $bills['bill_id'];
												$pharm_request_type = $bills['request_type'];
												$pharm_request_name = $bills['request_name'];
												$pharm_request_id = $bills['request_id'];
												$pharm_request_cost = $bills['request_cost'];
												$approved = $bills['approved'];
												$paid = $bills['paid'];
												
												//Check if there is the bill is fully paid
												$get_bill_balance = $objHospital->get_bill_balance($bill_id,$hospital_id);
												$get_payment_balance = $objHospital->get_payment_balance($bill_id,$hospital_id);
												$get_bill_paid_status = $objHospital->get_bill_paid_status($bill_id,$hospital_id);
												
												if($get_bill_paid_status == 'Partial'){
													$pharm_request_cost = $get_payment_balance;
												}else{
													$pharm_request_cost = $bills['request_cost'];
												}
												
												if($pharm_request_type == 'Pharmacy'){
													echo'<tr class="service" id="row'.$bill_id.'">
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.$pharm_request_name.'</p>
														</td>
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.number_format(floatval($pharm_request_cost),0,0,',').'</p>
														</td>';
														if($get_bill_paid_status == 'Fully'){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($pharm_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<p class="itemtext"><span style="font-weight:bold; color:#228B22;">Paid</span></p>
															</td>';
														}elseif($pharm_request_cost == '0' || empty($pharm_request_cost)){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($pharm_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<center><p class="itemtext"><span style="font-weight:bold; color:#228B22;">Free</span></p></center>
															</td>';
														}else{
															//If patient nature of visit is a group
															if($type_of_visit == 'Group'){
																echo'<td class="tableitem" style="height:2rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Group Patient</span></p>
																</td>';
															}elseif($type_of_visit == 'Insurance'){
																echo'<td class="tableitem" style="height:1rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Insurance</span></p>
																</td>';
															}else{
																echo'<td class="tableitem" style="height:2rem;">
																	<p class="itemtext"><input class="form-control" type="text" style="width:5rem; border-radius: 3px; border-color:#36454F; height:2rem;" id="'.$bill_id.'" ></p>
																</td>
																<td class="tableitem d-flex" style="height:2rem; text-align:left;" colspan="2">
																	<p class="itemtext"><button type="button" class="btn btn-sm btn-primary invoice_pay_individual_item_btn" data-invoice-no="'.$invoice_no.'" data-bill-id="'.$bill_id.'" data-bill-amount="'.$pharm_request_cost.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-request-name="'.$pharm_request_name.'">Pay</button></p>
																	<p class="itemtext" style="float:left; margin-left:5px;"><button type="button" class="btn btn-sm btn-danger delete_request_btn" data-toggle="modal" data-target="#delete_request" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-request-id="'.$pharm_request_id.'" data-request-name="'.$pharm_request_name.'" data-department="'.$department.'"><i class="fa fa-trash"></i></button></p>
																</td>
																';
															}
														}
													echo'</tr>';
												}
											}
										}elseif($type == 'Admission'){
											echo"<tr style='background:#f9f9f9;'><td colspan='5' style='text-align:left;'><b>Admission</b></td></tr>";
											foreach($get_bills as $bills){
												$bill_id = $bills['bill_id'];
												$admission_request_type = $bills['request_type'];
												$admission_request_name = $bills['request_name'];
												$request_id = $bills['request_id'];
												$admission_request_cost = $bills['request_cost']; 
												$approved = $bills['approved'];
												$paid = $bills['paid']; 
												$date_added = $bills['date_added']; 
												
												//Check if there is the bill is fully paid
												$get_bill_balance = $objHospital->get_bill_balance($bill_id,$hospital_id);
												$get_payment_balance = $objHospital->get_payment_balance($bill_id,$hospital_id);
												$get_bill_paid_status = $objHospital->get_bill_paid_status($bill_id,$hospital_id);
												
												if($get_bill_paid_status == 'Partial'){
													$admission_request_cost = $get_payment_balance;
												}else{
													$admission_request_cost = $bills['request_cost'];
												}
																							
												if($admission_request_type == 'Admission'){
													$department = 'Admission'; 
													echo'<tr class="service" id="row'.$bill_id.'">
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.$admission_request_name.'</p>
														</td>
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.number_format(floatval($admission_request_cost),0,0,',').'</p>
														</td>';
														if($get_bill_paid_status == 'Fully'){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($admission_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<center><p class="itemtext"><span style="font-weight:bold; color:#228B22;">Paid</span></p></center>
															</td>';
														}elseif($admission_request_cost == '0' || empty($admission_request_cost)){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($admission_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<p class="itemtext"><span style="font-weight:bold; color:#228B22;">Free</span></p>
															</td>';
														}else{
															//If patient nature of visit is a group
															if($type_of_visit == 'Group'){
																echo'<td class="tableitem" style="height:2rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Group Patient</span></p>
																</td>';
															}elseif($type_of_visit == 'Insurance'){
																echo'<td class="tableitem" style="height:1rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Insurance</span></p>
																</td>';
															}else{
																echo'<td class="tableitem" style="height:2rem;">
																	<p class="itemtext"><input class="form-control" type="text" style="width:5rem; border-radius: 3px; border-color:#36454F; height:2rem;" id="'.$bill_id.'" ></p>
																</td>
																<td class="tableitem d-flex" style="height:2rem; text-align:left;" colspan="2">
																	<p class="itemtext"><button type="button" class="btn btn-sm btn-primary invoice_pay_individual_item_btn" data-invoice-no="'.$invoice_no.'" data-bill-id="'.$bill_id.'" data-bill-amount="'.$admission_request_cost.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-request-name="'.$admission_request_name.'">Pay</button></p>
																	<p class="itemtext" style="float:left; margin-left:5px;"><button type="button" class="btn btn-sm btn-danger delete_request_btn" data-toggle="modal" data-target="#delete_request" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-request-id="'.$request_id.'" data-request-name="'.$admission_request_name.'" data-department="'.$department.'"><i class="fa fa-trash"></i></button></p>
																</td>
																';
															}
														}
													echo'</tr>';
												}
											}
										}elseif($type == 'Consultation'){
											$department = 'Consultation';
											echo"<tr style='background:#f9f9f9;'><td colspan='5' style='text-align:left;'><b>Consultation</b></td></tr>";
											foreach($get_bills as $bills){
												$bill_id = $bills['bill_id'];
												$admission_request_type = $bills['request_type'];
												$consultation_request_name = $bills['request_name'];
												$request_id = $bills['request_id'];
												$consultation_request_cost = $bills['request_cost']; 
												$approved = $bills['approved'];
												$paid = $bills['paid']; 
												$date_added = $bills['date_added']; 
												
												//Check if there is the bill is fully paid
												$get_bill_balance = $objHospital->get_bill_balance($bill_id,$hospital_id);
												$get_payment_balance = $objHospital->get_payment_balance($bill_id,$hospital_id);
												$get_bill_paid_status = $objHospital->get_bill_paid_status($bill_id,$hospital_id);
												
												if($get_bill_paid_status == 'Partial'){
													$consultation_request_cost = $get_payment_balance;
												}else{
													$consultation_request_cost = $bills['request_cost'];
												}
																							
												if($admission_request_type == 'Consultation'){
													echo'<tr class="service" id="row'.$bill_id.'">
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.$consultation_request_name.'</p>
														</td>
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.number_format(floatval($consultation_request_cost),0,0,',').'</p>
														</td>';
														if($get_bill_paid_status == 'Fully'){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($consultation_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<p class="itemtext"><span style="font-weight:bold; color:#228B22;">Paid</span></p>
															</td>';
														}elseif($consultation_request_cost == '0' || empty($consultation_request_cost)){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($consultation_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<center><p class="itemtext"><span style="font-weight:bold; color:#228B22;">Free</span></p></center>
															</td>';
														}else{
															//If patient nature of visit is a group
															if($type_of_visit == 'Group'){
																echo'<td class="tableitem" style="height:2rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Group</span></p>
																</td>';
															}elseif($type_of_visit == 'Insurance'){
																echo'<td class="tableitem" style="height:1rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Insurance</span></p>
																</td>';
															}else{
																echo'<td class="tableitem" style="height:2rem;">
																	<p class="itemtext"><input class="form-control" type="text" style="width:5rem; border-radius: 3px; border-color:#36454F; height:2rem;" id="'.$bill_id.'" ></p>
																</td>
																<td class="tableitem d-flex" style="height:2rem; text-align:left;" colspan="2">
																	<p class="itemtext"><button type="button" class="btn btn-sm btn-primary invoice_pay_individual_item_btn" data-invoice-no="'.$invoice_no.'" data-bill-id="'.$bill_id.'" data-bill-amount="'.$consultation_request_cost.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-request-name="'.$consultation_request_name.'">Pay</button></p>
																	<p class="itemtext" style="float:left; margin-left:5px;"><button type="button" class="btn btn-sm btn-danger delete_request_btn" data-toggle="modal" data-target="#delete_request" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-request-id="'.$request_id.'" data-request-name="'.$consultation_request_name.'" data-department="'.$department.'"><i class="fa fa-trash"></i></button></p>
																</td>
																';
															}
														}
													echo'</tr>';
												}
											}
										}elseif($type !== 'Laboratory' && $type !== 'Pharmacy' && $type !== 'Surgical' && $type !== 'Radiology' && $type !== 'Consultation' && $type !== 'Consumables' && $type !== 'Admission'){
											$department = $type;
											echo"<tr style='background:#f9f9f9;'><td colspan='5' style='text-align:left;'><b>Clinical Service</b></td></tr>";
											foreach($get_bills as $bills){
												$bill_id = $bills['bill_id'];
												$service_request_type = $bills['request_type'];
												$service_request_name = $bills['request_name'];
												$request_id = $bills['request_id'];
												$service_request_cost = $bills['request_cost'];
												$approved = $bills['approved'];
												$paid = $bills['paid'];
												
												//Check if there is the bill is fully paid
												$get_bill_balance = $objHospital->get_bill_balance($bill_id,$hospital_id);
												$get_payment_balance = $objHospital->get_payment_balance($bill_id,$hospital_id);
												$get_bill_paid_status = $objHospital->get_bill_paid_status($bill_id,$hospital_id);
												
												if($get_bill_paid_status == 'Partial'){
													$service_request_cost = $get_payment_balance;
												}else{
													$service_request_cost = $bills['request_cost'];
												}
												
												if($service_request_type !== 'Laboratory' && $service_request_type !== 'Pharmacy' && $service_request_type !== 'Surgical' && $service_request_type !== 'Radiology' && $service_request_type !== 'Consultation' && $service_request_type !== 'Consumables' && $service_request_type !== 'Admission'){
													echo'<tr class="service" id="row'.$bill_id.'">
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.$service_request_name.'</p>
														</td>
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.number_format(floatval($service_request_cost),0,0,',').'</p>
														</td>';
														if($get_bill_paid_status == 'Fully'){
															echo'<td class="tableitem" style="height:2rem;" colspan="">
																<p class="itemtext">'.number_format(floatval($service_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<p class="itemtext"><span style="font-weight:bold; color:#228B22;">Paid</span></p>
															</td>';
														}elseif($service_request_cost == '0' || empty($service_request_cost)){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($service_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<center><p class="itemtext"><span style="font-weight:bold; color:#228B22;">Free</span></p></center>
															</td>';
														}else{
															//If patient nature of visit is a group
															if($type_of_visit == 'Group'){
																echo'<td class="tableitem" style="height:2rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Group Patient</span></p>
																</td>';
															}elseif($type_of_visit == 'Insurance'){
																echo'<td class="tableitem" style="height:1rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Insurance</span></p>
																</td>';
															}else{
																echo'<td class="tableitem" style="height:2rem;">
																	<p class="itemtext"><input class="form-control" type="text" style="width:5rem; border-radius: 3px; border-color:#36454F; height:2rem;" id="'.$bill_id.'" ></p>
																</td>
																<td class="tableitem d-flex" style="height:2rem; text-align:left;" colspan="2">
																	<p class="itemtext"><button type="button" class="btn btn-sm btn-primary invoice_pay_individual_item_btn" data-invoice-no="'.$invoice_no.'" data-bill-id="'.$bill_id.'" data-bill-amount="'.$service_request_cost.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-request-name="'.$service_request_name.'">Pay</button></p>
																	<p class="itemtext" style="float:left; margin-left:5px;"><button type="button" class="btn btn-sm btn-danger delete_request_btn" data-toggle="modal" data-target="#delete_request" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-request-id="'.$request_id.'" data-request-name="'.$service_request_name.'" data-department="'.$department.'"><i class="fa fa-trash"></i></button></p>
																</td>
																';
															}
														}
													echo'</tr>';
												}
											}
										}elseif($type == 'Radiology'){
											$department = 'Radiology';
											echo"<tr style='background:#f9f9f9;'><td colspan='5' style='text-align:left;'><b>Radiology</b></td></tr>";
											foreach($get_bills as $bills){
												$bill_id = $bills['bill_id'];
												$service_request_type = $bills['request_type'];
												$radiology_request_name = $bills['request_name'];
												$request_id = $bills['request_id'];
												$radiology_request_cost = $bills['request_cost'];
												$approved = $bills['approved'];
												$paid = $bills['paid'];
												
												//Check if there is the bill is fully paid
												$get_bill_balance = $objHospital->get_bill_balance($bill_id,$hospital_id);
												$get_payment_balance = $objHospital->get_payment_balance($bill_id,$hospital_id);
												$get_bill_paid_status = $objHospital->get_bill_paid_status($bill_id,$hospital_id);
												
												if($get_bill_paid_status == 'Partial'){
													$radiology_request_cost = $get_payment_balance;
												}else{
													$radiology_request_cost = $bills['request_cost'];
												}
												
												if($service_request_type == 'Radiology'){
													echo'<tr class="service" id="row'.$bill_id.'">
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.$radiology_request_name.'</p>
														</td>
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.number_format(floatval($radiology_request_cost),0,0,',').'</p>
														</td>';
														if($get_bill_paid_status == 'Fully'){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($radiology_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<p class="itemtext"><span style="font-weight:bold; color:#228B22;">Paid</span></p>
															</td>';
														}elseif($radiology_request_cost == '0' || empty($radiology_request_cost)){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($radiology_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<center><p class="itemtext"><span style="font-weight:bold; color:#228B22;">Free</span></p></center>
															</td>';
														}else{
															//If patient nature of visit is a group
															if($type_of_visit == 'Group'){
																echo'<td class="tableitem" style="height:2rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Group Patient</span></p>
																</td>';
															}elseif($type_of_visit == 'Insurance'){
																echo'<td class="tableitem" style="height:1rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Insurance</span></p>
																</td>';
															}else{
																echo'<td class="tableitem" style="height:2rem;">
																	<p class="itemtext"><input class="form-control" type="text" style="width:5rem; border-radius: 3px; border-color:#36454F; height:2rem;" id="'.$bill_id.'" ></p>
																</td>
																<td class="tableitem d-flex" style="height:2rem; text-align:left;" colspan="2">
																	<p class="itemtext"><button type="button" class="btn btn-sm btn-primary invoice_pay_individual_item_btn" data-invoice-no="'.$invoice_no.'" data-bill-id="'.$bill_id.'" data-bill-amount="'.$radiology_request_cost.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-request-name="'.$radiology_request_name.'">Pay</button></p>
																	<p class="itemtext" style="float:left; margin-left:5px;"><button type="button" class="btn btn-sm btn-danger delete_request_btn" data-toggle="modal" data-target="#delete_request" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-request-id="'.$request_id.'" data-request-name="'.$radiology_request_name.'" data-department="'.$department.'"><i class="fa fa-trash"></i></button></p>
																</td>
																';
															}
														}
													echo'</tr>';
												}
											}
										}elseif($type == 'Surgical'){
											$department = 'Surgical';
											echo"<tr style='background:#f9f9f9;'><td colspan='5' style='text-align:left;'><b>Surgical</b></td></tr>";
											foreach($get_bills as $bills){
												$bill_id = $bills['bill_id'];
												$service_request_type = $bills['request_type'];
												$surgical_request_name = $bills['request_name'];
												$request_id = $bills['request_id'];
												$service_request_cost = $bills['request_cost'];
												$approved = $bills['approved'];
												$paid = $bills['paid'];
												
												//Check if there is the bill is fully paid
												$get_bill_balance = $objHospital->get_bill_balance($bill_id,$hospital_id);
												$get_payment_balance = $objHospital->get_payment_balance($bill_id,$hospital_id);
												$get_bill_paid_status = $objHospital->get_bill_paid_status($bill_id,$hospital_id);
												
												if($get_bill_paid_status == 'Partial'){
													$service_request_cost = $get_payment_balance;
												}else{
													$service_request_cost = $bills['request_cost'];
												}
												
												if($service_request_type == 'Surgical'){
													echo'<tr class="service" id="row'.$bill_id.'">
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.$surgical_request_name.'</p>
														</td>
														<td class="tableitem" style="height:2rem;">
															<p class="itemtext">'.number_format(floatval($service_request_cost),0,0,',').'</p>
														</td>';
														if($get_bill_paid_status == 'Fully'){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($service_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<p class="itemtext"><span style="font-weight:bold; color:#228B22;">Paid</span></p>
															</td>';
														}elseif($service_request_cost == '0' || empty($service_request_cost)){
															echo'<td class="tableitem" style="height:2rem;">
																<p class="itemtext">'.number_format(floatval($service_request_cost),0,0,',').'</p>
															</td>
															<td class="tableitem" style="height:2rem;" colspan="2">
																<center><p class="itemtext"><span style="font-weight:bold; color:#228B22;">Free</span></p></center>
															</td>';
														}else{
															//If patient nature of visit is a group
															if($type_of_visit == 'Group'){
																echo'<td class="tableitem" style="height:2rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Group Patient</span></p>
																</td>';
															}elseif($type_of_visit == 'Insurance'){
																echo'<td class="tableitem" style="height:1rem;" colspan="3">
																	<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Insurance</span></p>
																</td>';
															}else{
																echo'<td class="tableitem" style="height:2rem;">
																	<p class="itemtext"><input class="form-control" type="text" style="width:5rem; border-radius: 3px; border-color:#36454F; height:2rem;" id="'.$bill_id.'" ></p>
																</td>
																<td class="tableitem d-flex" style="height:2rem; text-align:left;" colspan="2">
																	<p class="itemtext"><button type="button" class="btn btn-sm btn-primary invoice_pay_individual_item_btn" data-invoice-no="'.$invoice_no.'" data-bill-id="'.$bill_id.'" data-bill-amount="'.$service_request_cost.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-request-name="'.$surgical_request_name.'">Pay</button></p>
																	<p class="itemtext" style="float:left; margin-left:5px;"><button type="button" class="btn btn-sm btn-danger delete_request_btn" data-toggle="modal" data-target="#delete_request" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-request-id="'.$request_id.'" data-request-name="'.$surgical_request_name.'" data-department="'.$department.'"><i class="fa fa-trash"></i></button></p>
																</td>
																';
															}
														}
													echo'</tr>';
												}
											}
										}elseif($type == 'Consumables'){
											//Get consumable details
											$check_consumable_bill = $objHospital->check_consumable_bills($patient_id,$hospital_id,$visit_id);
											foreach($check_consumable_bill as $bill){
												$cost = $bill['request_cost'];
												if(empty($cost) || $cost==0){
													//Do nothing
												}else{
													echo"<tr style='background:#f9f9f9;'><td colspan='4' style='text-align:left;'><b>Consumables</b></td></tr>";
													foreach($get_bills as $bills){
														$consumable_request_cost = $bills['request_cost'];
													}
													$get_consumables = $objHospital->get_clinical_service_consumables($patient_id,$hospital_id,$visit_id);
													
													foreach($get_consumables as $consumable){
														$consumables = explode(',',$consumable['consumables']);
														foreach($consumables as $key => $value){
															$get_product_details = $objHospital->get_store_product_by_product_id($value,$hospital_id);
															if(empty($get_product_details) || is_null($get_product_details)){
																$product_name = '';
															}else{
																foreach($get_product_details as $product){
																	$product_name = $product['product_name'];
																}
															}
														}
													}
													//If patient nature of visit is a group
													if($type_of_visit == 'Group'){
														echo'<td class="tableitem" style="height:2rem;" colspan="2">
															<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Group Patient</span></p>
														</td>';
													}elseif($type_of_visit == 'Insurance'){
														echo'<td class="tableitem" style="height:1rem;" colspan="2">
															<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Insurance</span></p>
														</td>';
													}else{
														echo'<tr class="service">
															<td class="tableitem" colspan="3">
																<p class="itemtext">'.$product_name.'</p>
															</td>
															<td class="tableitem">
																<p class="itemtext">'.number_format(floatval($consumable_request_cost),0,0,',').'</p>
															</td>
														</tr>';
													}
												}
											}
										}
										
									}
								}
								
								//Check if the consumables are already updated into the bills database
								$check_consumable_bill = $objHospital->check_consumable_bills($patient_id,$hospital_id,$visit_id);
								if(empty($check_consumable_bill)){
									//Do nothing
								}else{
									//Get consumables if they were used in the clinical service
									$get_consumables = $objHospital->get_clinical_service_consumables($patient_id,$hospital_id,$visit_id);
									if(empty($get_consumables)){
										//Do nothing
									}else{
										echo"<tr style='background:#f9f9f9;'><td colspan='4' style='text-align:left;'><b>Consumables</b></td></tr>";
										foreach($get_consumables as $consumable){
											$consumables = explode(',',$consumable['consumables']);
											foreach($consumables as $key => $value){
												$get_product_details = $objHospital->get_store_product_by_product_id($value,$hospital_id);
												foreach($get_product_details as $product){
													$product_name = $product['product_name'];
												}
											}
											//If patient nature of visit is a group
											if($type_of_visit == 'Group'){
												echo'<td class="tableitem" style="height:2rem;" colspan="2">
													<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Group Patient</span></p>
												</td>';
											}elseif($type_of_visit == 'Insurance'){
												echo'<td class="tableitem" style="height:1rem;" colspan="2">
													<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Insurance</span></p>
												</td>';
											}else{
												echo'<tr class="service">
													<td class="tableitem" colspan="3">
														<p class="itemtext">'.$product_name.'</p>
													</td>
													<td class="tableitem">
														<center><input type="text" class="form-control" name = "consumable_cost" id="consumable_cost" placeholder="Insert amount (No commas)"></center>
													</td>
												</tr>';
											}
										}
									}
								}
								
								
								//Check if there is a discount
								$get_visit_discount = $objHospital->get_visit_discount($patient_id, $hospital_id, $visit_id);
								if(empty($get_visit_discount)){
									$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id); 
								}else{
									foreach($get_visit_discount as $discount){
										$approved_amount = $discount['approved_amount'];
									}
									$get_total = $approved_amount; 
								}
								
								$currency_name = $objHospital->get_default_currency($user_id);
								
								echo'<tr class="tabletitle">
									<td class="Rate" colspan="2">
										<h2>Total ('.$currency_name.') </h2>
									</td>
									<td class="payment" colspan="2">
										<h2><span id="total_invoice_amount" data-invoice-amount="'.intval($get_total).'">'.number_format(floatval($get_total),0,0,',').'</span></h2>
									</td>
								</tr>';
								//Check if there is a balance after payment
								$get_total_bill_payment = $objHospital->get_total_bill_payment($patient_id, $hospital_id, $visit_id);
								
								if(empty($get_total_bill_payment)){
									//$bal = $get_total;
									$bal = $get_total - $get_total_bill_payment;
									echo '
										<tr class="service" id="paid_row">
											<td class="tableitem" colspan="2">
												<p><b>Paid ('.$currency_name.') </b></p>
											</td>
											<td class="tableitem" colspan="2">
												<p><b>'.number_format(floatval($get_total_bill_payment),0,0,',').'<b></p>
											</td>
										</tr>
										<tr class="tabletitle" id="balance_row">
										<td class="Rate" colspan="2">
											<h2 style="color:red;">Balance ('.$currency_name.') </h2>
										</td>
										<td class="payment" colspan="2">
											<h2 style="color:red;"><span id="total_invoice_balance" data-invoice-balance="'.intval($bal).'">'.number_format(floatval($bal),0,0,',').'</span></h2>
										</td>
									</tr>
										'; 
								}else{
									//$bal = $get_total - $get_total_bill_payment;
									echo '
									<tr class="service" id="paid_row">
										<td class="tableitem" colspan="2">
											<p><b>Paid ('.$currency_name.') </b></p>
										</td>
										<td class="tableitem" colspan="2">
											<p><b>'.number_format(floatval($get_total_bill_payment),0,0,',').'<b></p>
										</td>
									</tr>
									<tr class="tabletitle" id="balance_row">
									<td class="Rate" colspan="2">
										<h2 style="color:red;">Balance ('.$currency_name.') </h2>
									</td>
									<td class="payment" colspan="2">
										<h2 style="color:red;"><span id="total_invoice_balance" data-invoice-balance="'.intval($bal).'">'.number_format(floatval($bal),0,0,',').'</span></h2>
									</td>
								</tr>
									'; 
								}
								//If the balance is zero 
								//$bal = $get_total - $get_total_bill_payment;
								if($bal !== 0){
									echo'<tr class="tabletitle">
										<td colspan="4"><center><button type="button" id="pay_all_outstanding_total" data-payment-amount="'.$bal.'" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-visit-id="'.$visit_id.'" data-invoice-no="'.$invoice_no.'" data-invoice-amount="'.$get_total.'" data-visit-date="'.$visit_date.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" class="btn btn-lg btn-primary pay_full_invoice">Pay All Outstanding</button></center></td>
									</tr>';
								}else{
									//Do nothing
								}
								
							echo'</tbody></table>
						</div>
					</div>';
					echo'<div class="row">';
						$get_visit_details = $objHospital->get_visit_by_id($visit_id,$patient_id,$user_id);
						foreach($get_visit_details as $details){
							$type_of_visit = $details['type_of_visit'];
							$discharged = $details['discharged'];
						}
						if($type_of_visit == 'Insurance' && $discharged !== 'yes'){
							
							//Get insurance details
							$get_insurance_customers = $objHospital->get_insurance_patient($patient_id,$user_id);
							foreach($get_insurance_customers as $customers){
								$policy_number = $customers['policy_number'];
								$hospital_id = $customers['hospital_id'];
								$patient_id = $customers['patient_id'];
								$patient_name = $customers['patient_name'];
								$company_id = $customers['company_id'];
								$company_name = $customers['company_name'];
								$policy_number = $customers['policy_number'];
								$dependant_code = $customers['dependant_code'];
							}
							
							echo'<input type="hidden" name="payment_policy_number" id="payment_policy_number" value="'.$policy_number.'"/>
							<input type="hidden" name="pay_patient_id" id="pay_patient_id" value="'.$patient_id.'"/>
							<input type="hidden" name="pay_patient_name" id="pay_patient_name" value="'.$patient_name.'"/>
							<input type="hidden" name="pay_hospital_id" id="pay_hospital_id" value="'.$hospital_id.'"/>
							<input type="hidden" name="dependant_code" id="dependant_code" value="'.$dependant_code.'"/>
							<input type="hidden" name="company_id" id="company_id" value="'.$company_id.'"/>
							<input type="hidden" name="company_name" id="company_name" value="'.$company_name.'"/>';
							
							
							if(empty($get_total_bill_payment)){
								echo '<input type="hidden" name="pay_total_fees" value="'.$get_total.'"/>';
							}else{
								echo '<input type="hidden" name="pay_total_fees" value="'.$bal.'"/>'; 
							}
							
							echo'<input type="hidden" name="pay_visit_id" id="pay_visit_id" value="'.$visit_id.'"/>
							<input type="hidden" name="pay_userid" id="pay_userid" value="'.$user_id.'"/>
							<input type="hidden" name="pay_invoice_no" id="pay_invoice_no" value="'.$invoice_no.'"/>
							<input type="hidden" name="pay_visit_date" id="pay_visit_date" value="'.$visit_date.'"/>
							<input type="hidden" name="pay_total_amount" id="pay_total_amount" value="'.$get_total.'"/>';
							
							echo'<div class="col-md-12">
								<center><button type="submit" name="post_invoice" class="btn btn-lg btn-success">Post Invoice</button></center>
							</div>';
						}elseif($type_of_visit == 'Insurance' && $discharged == 'yes'){
							echo'<div class="col-md-12">
								<center><span style="color:green;"><b>Insurance invoice already posted</b></span></center>
							</div>';
						}
					echo'</div>';
				echo'</div>
			</div>
		  </div>
		</div>
		</div>
		</div>
	</div>
	</form>
	';
}
elseif(isset($_POST['after_pay_invoice_bill_id'])){
	$bill_id = $_POST['after_pay_invoice_bill_id'];	
	$patient_id = $_POST['after_pay_invoice_patient_id'];
	$patient_name = $_POST['after_pay_invoice_patient_Name'];
	$hospital_id = $_POST['after_pay_invoice_Hospital_id'];
	$gender = $_POST['after_pay_invoice_Gender'];
	$age = $_POST['after_pay_invoice_Pay_age'];
	$visit_id = $_POST['after_pay_invoice_Visit_id'];
	$userid = $_POST['after_pay_invoice_User_id'];
	$invoice_no = $_POST['after_pay_invoiceNo'];
	$visit_date = $_POST['after_pay_invoice_Visit_date'];
	$request_name = $_POST['after_pay_request_name'];
	
	//Check if there is the bill is fully paid
	$get_bill_balance = $objHospital->get_bill_payment_balance($bill_id,$hospital_id);
	$get_payment_balance = $objHospital->get_payment_balance($bill_id,$hospital_id);
	$get_bill_paid_status = $objHospital->get_bill_paid_status($bill_id,$hospital_id);
	$get_bill_by_id = $objHospital->get_bill_by_id($bill_id, $hospital_id);
	
	if($get_bill_paid_status == 'Partial'){
		$request_cost = $get_payment_balance;
	}else{
		foreach($get_bill_by_id as $bills){
			$request_cost = $bills['request_cost'];
		}
	}
	
	echo'<td class="tableitem" style="height:1rem;">
			<p class="itemtext">'.$request_name.'</p>
		</td>
		<td class="tableitem" style="height:1rem;">
			<p class="itemtext" >'.number_format(floatval($request_cost),0,0,',').'</p>
		</td>';
		if($get_bill_paid_status == 'Fully'){
			echo'<td class="tableitem" style="height:2rem;">
				<p class="itemtext">'.number_format(floatval($request_cost),0,0,',').'</p>
			</td>
			<td class="tableitem" style="height:1rem;">
				<p class="itemtext"><span style="font-weight:bold; color:#228B22;">Paid</span></p>
			</td>';
		}else{
			//If patient nature of visit is a group
			if($type_of_visit == 'Group'){
				echo'<td class="tableitem" style="height:1rem;" colspan="2">
					<p class="itemtext" style="color:#blue;"><span style="font-weight:bold;">Group Patient</span></p>
				</td>';
			}elseif($type_of_visit == 'Insurance'){
				echo'<td class="tableitem" style="height:1rem;" colspan="2">
					<p class="itemtext" style="color:#blue;"><span style="font-weight:bold; color:#blue;">Insurance</span></p>
				</td>';
			}else{
				echo'<td class="tableitem" style="height:1rem;">
				<p class="itemtext"><input class="form-control" type="text" style="width:5rem; border-radius: 3px; border-color:#36454F; height:2rem;" id="'.$bill_id.'"></p>
				</td>
				<td class="tableitem" style="height:1rem;">
					<p class="itemtext"><button type="button" class="btn btn-sm btn-primary invoice_pay_individual_item_btn" data-invoice-no="'.$invoice_no.'" data-bill-id="'.$bill_id.'" data-bill-amount="'.$request_cost.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-request-name="'.$request_name.'">Pay</button></p>
				</td>
				';
			}
		}
}
elseif(isset($_POST['total_paid_invoice_User_id'])){
	$user_id = $_POST['total_paid_invoice_User_id'];	
	$patient_id = $_POST['total_paid_invoice_patient_id'];
	$visit_id = $_POST['after_paid_invoice_Visit_id'];
	$hospital_id = $_POST['total_paid_invoice_Hospital_id'];
	
	//Check if there is a discount
	$get_visit_discount = $objHospital->get_visit_discount($patient_id, $hospital_id, $visit_id);
	if(empty($get_visit_discount)){
		$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id); 
	}else{
		foreach($get_visit_discount as $discount){
			$approved_amount = $discount['approved_amount'];
		}
		$get_total = $approved_amount; 
	}
	
	$currency_name = $objHospital->get_default_currency($user_id);
	
	//Check if there is a balance after payment
	$get_total_bill_payment = $objHospital->get_total_bill_payment($patient_id, $hospital_id, $visit_id);
	if(empty($get_total_bill_payment)){
		//$bal = $get_total;
		$bal = $get_total - $get_total_bill_payment;
		echo '
			<td class="tableitem" colspan="2">
				<p><b>Paid ('.$currency_name.') </b></p>
			</td>
			<td class="tableitem" colspan="2">
				<p><b>'.number_format(floatval($get_total_bill_payment),0,0,',').'<b></p>
			</td>
			'; 
	}else{
		$bal = $get_total - $get_total_bill_payment;
		echo '
			<td class="tableitem" colspan="2">
				<p><b>Paid ('.$currency_name.') </b></p>
			</td>
			<td class="tableitem" colspan="2">
				<p><b>'.number_format(floatval($get_total_bill_payment),0,0,',').'<b></p>
			</td>
		'; 
	}
}
elseif(isset($_POST['total_bal_invoice_User_id'])){
	$user_id = $_POST['total_bal_invoice_User_id'];	
	$patient_id = $_POST['total_bal_invoice_patient_id'];
	$visit_id = $_POST['total_bal_invoice_Visit_id'];
	$hospital_id = $_POST['total_bal_invoice_Hospital_id'];
	
	//Check if there is a discount
	$get_visit_discount = $objHospital->get_visit_discount($patient_id, $hospital_id, $visit_id);
	if(empty($get_visit_discount)){
		$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id); 
	}else{
		foreach($get_visit_discount as $discount){
			$approved_amount = $discount['approved_amount'];
		}
		$get_total = $approved_amount; 
	}
	
	$currency_name = $objHospital->get_default_currency($user_id);
	
	//Check if there is a balance after payment
	$get_total_bill_payment = $objHospital->get_total_bill_payment($patient_id, $hospital_id, $visit_id);
	if(empty($get_total_bill_payment)){
		//$bal = $get_total;
		$bal = $get_total - $get_total_bill_payment;
		echo '
			<td class="Rate" colspan="2">
				<h2 style="color:red;">Balance ('.$currency_name.') </h2>
			</td>
			<td class="payment" colspan="2">
				<h2 style="color:red;"><span id="total_invoice_balance" data-invoice-balance="'.intval($bal).'">'.number_format(floatval($bal),0,0,',').'</span></h2>
			</td>
			'; 
	}else{
		$bal = $get_total - $get_total_bill_payment;
		echo '
		<td class="Rate" colspan="2">
			<h2 style="color:red;">Balance ('.$currency_name.') </h2>
		</td>
		<td class="payment" colspan="2">
			<h2 style="color:red;"><span id="total_invoice_balance" data-invoice-balance="'.intval($bal).'">'.number_format(floatval($bal),0,0,',').'</span></h2>
		</td>
		'; 
	}
}
elseif(isset($_POST['pay_invoice_bill_id'])){
	$bill_id = $_POST['pay_invoice_bill_id'];
	
	if(!empty($_POST['paid_invoice_Amount'])){
		$paid_amount = $_POST['paid_invoice_Amount'];
		$bill_amount = $_POST['pay_invoice_bill_amount'];
		$pay_balance = intval($bill_amount) - intval($paid_amount);
	}else{
		$paid_amount = $_POST['pay_invoice_bill_amount'];
		$bill_amount = $_POST['pay_invoice_bill_amount'];
		$pay_balance = 0;
	}
	
	$patient_id = $_POST['pay_invoice_patient_id'];
	$patient_name = $_POST['pay_invoice_patient_Name'];
	$hospital_id = $_POST['pay_invoice_Hospital_id'];
	$gender = $_POST['pay_invoice_Gender'];
	$age = $_POST['pay_invoice_Pay_age'];
	$visit_id = $_POST['pay_invoice_Visit_id'];
	$userid = $_POST['pay_invoice_User_id'];
	$invoice_no = $_POST['pay_invoiceNo'];
	$visit_date = $_POST['pay_invoice_Visit_date'];
	$pay_consumables = '';
	
	$save_payment = $objHospital->save_individual_payment($bill_id,$paid_amount,$pay_balance,$bill_amount,$pay_consumables,$patient_id,$patient_name,$hospital_id,$gender,$age,$visit_id,$userid,$invoice_no,$visit_date);
}
elseif(isset($_POST['total_bill_amount'])){
	$total_payment_amount = $_POST['total_payment_amount'];
	$total_bill_amount = $_POST['total_bill_amount'];
	$total_consumables = 0;
	$total_payment_balance = 0;
	$total_patient_id = $_POST['total_patient_id'];
	$total_patient_name = $_POST['total_patient_name'];
	$total_hospital_id = $_POST['total_hospital_id'];
	$total_gender = $_POST['total_gender'];
	$total_age = $_POST['total_age'];
	$total_visit_id = $_POST['total_visit_id'];
	$total_user_id = $_POST['total_user_id'];
	$total_invoice_no = $_POST['total_invoice_no'];
	$total_visit_date = $_POST['total_visit_date'];
	
	$save_payment = $objHospital->save_payment($total_payment_amount,$total_payment_balance,$total_bill_amount,$total_consumables,$total_patient_id,$total_patient_name,$total_hospital_id,$total_gender,$total_age,$total_visit_id,$total_user_id,$total_invoice_no,$total_visit_date);
}
elseif(isset($_POST['payment_policy_number'])){
	$policy_no = $_POST['payment_policy_number'];
	$company_id = $_POST['company_id'];
	$company_name = $_POST['company_name'];
	$total_amount = $_POST['pay_total_amount'];
	$patient_id = $_POST['pay_patient_id'];
	$patient_name = $_POST['pay_patient_name'];
	$hospital_id = $_POST['pay_hospital_id'];
	$dependant_code = $_POST['dependant_code'];
	$visit_id = $_POST['pay_visit_id'];
	$userid = $_POST['pay_userid'];
	$invoice_no = $_POST['pay_invoice_no'];
	$visit_date = $_POST['pay_visit_date'];
	
	$save_insurance_payment = $objHospital->save_insurance_payment($policy_no,$company_id,$company_name,$total_amount,$patient_id,$patient_name,$hospital_id,$dependant_code,$visit_id,$userid,$invoice_no,$visit_date);
}
elseif(isset($_POST['receipt_patient_id'])){
	$patient_id = $_POST['receipt_patient_id'];
	$patient_name = $_POST['receipt_patient_name'];
	$hospital_id = $_POST['receipt_hospital_id'];
	$gender = $_POST['receipt_gender'];
	$age = $_POST['receipt_age'];
	$user_id = $_POST['receipt_user'];
	$visit_id = $_POST['receipt_visit_id'];
	$visit_date = $_POST['receipt_visit_date'];
	
	$invoice = $objHospital->get_invoice($patient_id,$hospital_id,$visit_id);
	$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id); 
	//Get last invoice number
	$get_last_receipt = $objHospital->get_last_receipt($patient_id,$visit_date,$hospital_id);
	if(empty($get_last_receipt)){
		$receipt_no = 00001;
		$receipt_date = date('m-d-Y');
		$receipt = $objHospital->save_receipt($receipt_no,$patient_id,$patient_name,$hospital_id,$gender,$age,$get_total,$visit_id,$user_id,$invoice,$visit_date);
	}else{
		//Check if there is a patient's receipt for this visit
		$get_patient_receipt = $objHospital->get_patient_receipt($patient_id,$visit_id,$visit_date,$hospital_id);
		if(empty($get_patient_receipt)){
			foreach($get_last_receipt as $receipt){
				$receipt = $receipt['receipt_no'];
				$receipt_no = intval($receipt) + 1;
				$receipt_date = date('m-d-Y');
			}
			$receipt = $objHospital->save_receipt($receipt_no,$patient_id,$patient_name,$hospital_id,$gender,$age,$get_total,$visit_id,$user_id,$invoice,$visit_date);
		}else{
			foreach($get_patient_receipt as $invoice){
				$receipt_no = $invoice['receipt_no'];
				$receipt_date = $invoice['date_added'];
			}
		}
	}
	
	//Get hospital info
	$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
	
	echo'
	<div class="card print_receipt_card" style="margin-top:100px; width:160px; max-width:160px;">
	  <div class="card-body" id="receipt_no_div" data-receipt-no ="'.$receipt_no.'" data-receipt-date ="'.$receipt_date.'">
		<table class="table">
			<thead>
				<tr><td colspan="2" style="font-size:70px;"><center><h1>'.$hospital_name.'</h1></center></td></tr>
				<tr><td colspan="2" style="font-size:70px;"><center><h2>'.$hospital_city.', '.$hospital_country.'</h2></center></td></tr>
				<tr><td colspan="2" style="font-size:70px;"><center><h2>'.$hospital_email.'</h2></center></td></tr>
				<tr><td colspan="2" style="font-size:70px;"><center><h2>'.$hospital_phone.'</h2></center></td></tr>
				<tr>
					<td colspan="2" style="font-size:70px;"><center><h3>Receipt: <span style="color:blue;">#'.$receipt_no.'</span> || Date: <span style="color:blue;">'.$receipt_date.'</span></h3></center></td>
				</tr>
				<tr>
					<td style="font-size:70px;"><center><h3>Name: <span style="color:blue;">'.$patient_name.'</span></h3></center></td>
					<td style="font-size:70px;"><center><h3>Name: <span style="color:blue;">'.$age.'</span></h3></center></td>
				</tr>
			</thead>
			<tbody>
			
			<tr class="tabletitle">
				<td class="table-item" style="font-size:70px;">
					<h2>Description</h2>
				</td>
				<td class="subtotal" style="font-size:70px;">
					<h2>Sub-total</h2>
				</td>
			</tr>';
			$get_bills = $objHospital->get_bills($patient_id, $hospital_id, $visit_id); 
			
			if(empty($get_bills)){
				echo'<tr><td colspan="2" style="font-size:50px;">There are no bills to show</td></tr>';
			}else{
				$get_request_types = $objHospital->get_bill_request_types($patient_id, $hospital_id, $visit_id); 
				foreach($get_request_types as $types){
					$type = $types['request_type'];
					
					if($type == 'Laboratory'){
						echo"<tr style='background:#f9f9f9;'><td colspan='2' style='text-align:left; font-size:50px;'><b>Laboratory</b></td></tr>";
						foreach($get_bills as $bills){
							$bill_id = $bills['bill_id'];
							$lab_request_type = $bills['request_type'];
							$lab_request_name = $bills['request_name'];
							$request_id = $bills['request_id'];
							$lab_request_cost = $bills['request_cost'];
							$approved = $bills['approved'];
							$paid = $bills['paid'];
							if($lab_request_type == 'Laboratory'){
								echo'<tr class="service">
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.$lab_request_name.'</p>
									</td>
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.number_format(floatval($lab_request_cost),0,0,',').'</p>
									</td>
								</tr>';
							}
						}
					}elseif($type == 'Pharmacy'){
						echo"<tr style='background:#f9f9f9;'><td colspan='2' style='text-align:left; font-size:50px;'><b>Medicines</b></td></tr>";
						foreach($get_bills as $bills){
							$bill_id = $bills['bill_id'];
							$pharm_request_type = $bills['request_type'];
							$pharm_request_name = $bills['request_name'];
							$pharm_request_id = $bills['request_id'];
							$pharm_request_cost = $bills['request_cost'];
							$approved = $bills['approved'];
							$paid = $bills['paid'];
							if($pharm_request_type == 'Pharmacy'){
								echo'<tr class="service">
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.$pharm_request_name.'</p>
									</td>
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.number_format(floatval($pharm_request_cost),0,0,',').'</p>
									</td>
								</tr>';
							}
						}
					}elseif($type == 'Admission'){
						echo"<tr style='background:#f9f9f9;'><td colspan='2' style='text-align:left; font-size:50px;'><b>Admission</b></td></tr>";
						foreach($get_bills as $bills){
							$bill_id = $bills['bill_id'];
							$admission_request_type = $bills['request_type'];
							$admission_request_name = $bills['request_name'];
							$request_id = $bills['request_id'];
							$admission_request_cost = $bills['request_cost']; 
							$approved = $bills['approved'];
							$paid = $bills['paid']; 
							$date_added = $bills['date_added']; 
																		
							if($admission_request_type == 'Admission'){
								echo'<tr class="service">
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.$admission_request_name.'</p>
									</td>
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.number_format(floatval($admission_request_cost),0,0,',').'</p>
									</td>
								</tr>';
							}
						}
					}elseif($type == 'Consultation'){
						echo"<tr style='background:#f9f9f9;'><td colspan='2' style='text-align:left; font-size:50px;'><b>Consultation</b></td></tr>";
						foreach($get_bills as $bills){
							$bill_id = $bills['bill_id'];
							$admission_request_type = $bills['request_type'];
							$admission_request_name = $bills['request_name'];
							$request_id = $bills['request_id'];
							$admission_request_cost = $bills['request_cost']; 
							$approved = $bills['approved'];
							$paid = $bills['paid']; 
							$date_added = $bills['date_added']; 
																		
							if($admission_request_type == 'Consultation'){
								echo'<tr class="service">
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.$admission_request_name.'</p>
									</td>
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.number_format(floatval($admission_request_cost),0,0,',').'</p>
									</td>
								</tr>';
							}
						}
					}elseif($type == 'Clinical Service'){
						echo"<tr style='background:#f9f9f9;'><td colspan='2' style='text-align:left; font-size:50px;'><b>Clinical Service</b></td></tr>";
						foreach($get_bills as $bills){
							$bill_id = $bills['bill_id'];
							$service_request_type = $bills['request_type'];
							$service_request_name = $bills['request_name'];
							$request_id = $bills['request_id'];
							$service_request_cost = $bills['request_cost'];
							$approved = $bills['approved'];
							$paid = $bills['paid'];
							if($service_request_type == 'Clinical Service'){
								echo'<tr class="service">
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.$service_request_name.'</p>
									</td>
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.number_format(floatval($service_request_cost),0,0,',').'</p>
									</td>
								</tr>';
							}
						}
					}elseif($type == 'Consumables'){
						//Get consumable details
						$check_consumable_bill = $objHospital->check_consumable_bills($patient_id,$hospital_id,$visit_id);
						foreach($check_consumable_bill as $bill){
							$cost = $bill['request_cost'];
							if(empty($cost) || $cost==0){
								//Do nothing
							}else{
								echo"<tr style='background:#f9f9f9;'><td colspan='2' style='text-align:left; font-size:50px;'><b>Consumables</b></td></tr>";
								foreach($get_bills as $bills){
									$service_request_cost = $bills['request_cost'];
								}
								$get_consumables = $objHospital->get_clinical_service_consumables($patient_id,$hospital_id,$visit_id);
								
								foreach($get_consumables as $consumable){
									$consumables = explode(',',$consumable['consumables']);
									foreach($consumables as $key => $value){
										$get_product_details = $objHospital->get_store_product_by_product_id($value,$hospital_id);
										if(empty($get_product_details) || is_null($get_product_details)){
											$product_name = '';
										}else{
											foreach($get_product_details as $product){
												$product_name = $product['product_name'];
											}
										}
									}
								}
								echo'<tr class="service">
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.$product_name.'</p>
									</td>
									<td class="tableitem">
										<p class="itemtext" style="color:black; font-size:50px;">'.number_format(floatval($service_request_cost),0,0,',').'</p>
									</td>
								</tr>';
							}
						}
					}
					
				}
			}
			$get_total_bill_payment = $objHospital->get_total_bill_payment($patient_id, $hospital_id, $visit_id);
			$currency_name = $objHospital->get_default_currency($user_id);
			$bal = $get_total - $get_total_bill_payment;
			echo'<tr style="height:5rem;">
				<td class="Rate" style="color:green; font-size:70px;">
					<h1>Paid</h1>
				</td>
				<td class="payment style="font-size:70px;">
					<h1>'.$currency_name.' '.number_format(intval($get_total_bill_payment),0,0,',').'</h1>
				</td>
			</tr>
			<tr class="tabletitle" >';
			if($bal == '0'){
				echo'
				<td class="Rate" style="font-size:70px;">
					<h1>Balance</h1>
				</td>
				<td class="payment" style="font-size:70px;">
					<h1>NILL</h1>
				</td>
				';
			}else{
				echo'<td class="Rate" style="font-size:70px;">
					<h1 style="color:red;">Balance</h1>
				</td>
				<td class="payment" style="font-size:70px;">
					<h1 style="color:red;">'.$currency_name.' '.number_format(intval($bal),0,0,',').'</h1>
				</td>';
			}
			echo'</tr>';
		echo'</tbody></table>
	</div>
</div>';
}
elseif(isset($_POST['print_receipt_patient_id'])){
	$patient_id = $_POST['print_receipt_patient_id'];
	$patient_name = $_POST['print_receipt_patient_name'];
	$hospital_id = $_POST['print_receipt_hospital_id'];
	$gender = $_POST['print_receipt_gender'];
	$age = $_POST['print_receipt_age'];
	$user_id = $_POST['print_receipt_user'];
	$visit_id = $_POST['print_receipt_visit_id'];
	$visit_date = $_POST['print_receipt_visit_date'];
	$receipt_no = $_POST['print_reciept_rct_no'];
	$receipt_date = $_POST['print_reciept_rct_date'];
	
	$invoice = $objHospital->get_invoice($patient_id,$hospital_id,$visit_id);
	$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id); 
	
	
	//Get hospital info
	$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
	
	echo'
	<div class="card" style="width:220px;">
	  <div class="row">
		<!--<div class="media pt-3 pb-3">
			<img src="../assets/images/bb.PNG" alt="image" class="mr-3" style="width:7rem; height:7rem;">
		</div>-->
		<div class="col-md-12" style="float:center;">
			<center><h2>'.$hospital_name.'</h2></center>
		</div>
		<div class="col-md-12" style="float:center;">
			<center><h3>Laboratory Department</h4></center>
		</div>	
		<div class="col-md-12" style="float:center;">
			<div class="form-group">
				<center><span style="font-size:14px;"> '.$hospital_email.'</span>
				<span style="font-size:14px;"> Phone: '.$hospital_phone.'</span></center>
			</div>
		</div>
		<div class="col-md-12" style="float:center; ">
			<div class="form-group">
				<center><span style="font-size:14px;">'.$hospital_city.', '.$hospital_country.' </span> </center>
			</div>
		</div>
	  </div>
	  <div class="card-header">
		<h3 class="modal-title" id="modalLabel"><center>Receipt</center></h3>
	  </div>
	  <div class="card-body">
		<div id="invoice" class="effect2 m-t-120">
			<div id="invoice-top">
				<div class="invoice-logo"></div>
				<div class="invoice-info" style="margin-left:-50px;">
					<h6>Name: <span style="color:blue;">'.$patient_name.'</span></h6>
					<p>Age: <span style="color:blue;">'.$age.'</span></p>
					<p>Gender: <span style="color:blue;">'.$gender.'</span></p>
				</div>
				<!--End Info-->
				<div class="title">
					<h6 style="text-align:right;">Receipt #: <span style="color:blue;">'.$receipt_no.'</span></h6>
					<p>Issued On: <span style="color:blue;">'.$receipt_date.'</span></p>
					<p>Thank you for your support</span></p>
				</div>
				<!--End Title-->
			</div>

			<div id="invoice-bot">

				<div id="invoice-table">
					<div class="table-responsive">
						<table class="table">
							<tbody>
							<tr class="tabletitle">
								<td class="table-item" colspan="3">
									<h2>Description</h2>
								</td>
								<td class="subtotal">
									<h2>Sub-total</h2>
								</td>
							</tr>';
							$get_bills = $objHospital->get_bills($patient_id, $hospital_id, $visit_id); 
							
							if(empty($get_bills)){
								echo'<tr><td>There are no bills to show</td></tr>';
							}else{
								$get_request_types = $objHospital->get_bill_request_types($patient_id, $hospital_id, $visit_id); 
								foreach($get_request_types as $types){
									$type = $types['request_type'];
									
									if($type == 'Laboratory'){
										echo"<tr style='background:#f9f9f9;'><td colspan='4' style='text-align:left;'><b>Laboratory</b></td></tr>";
										foreach($get_bills as $bills){
											$bill_id = $bills['bill_id'];
											$lab_request_type = $bills['request_type'];
											$lab_request_name = $bills['request_name'];
											$request_id = $bills['request_id'];
											$lab_request_cost = $bills['request_cost'];
											$approved = $bills['approved'];
											$paid = $bills['paid'];
											if($lab_request_type == 'Laboratory'){
												echo'<tr class="service">
													<td class="tableitem" colspan="3">
														<p class="itemtext">'.$lab_request_name.'</p>
													</td>
													<td class="tableitem">
														<p class="itemtext">'.number_format(floatval($lab_request_cost),0,0,',').'</p>
													</td>
												</tr>';
											}
										}
									}elseif($type == 'Pharmacy'){
										echo"<tr style='background:#f9f9f9;'><td colspan='4' style='text-align:left;'><b>Medicines</b></td></tr>";
										foreach($get_bills as $bills){
											$bill_id = $bills['bill_id'];
											$pharm_request_type = $bills['request_type'];
											$pharm_request_name = $bills['request_name'];
											$pharm_request_id = $bills['request_id'];
											$pharm_request_cost = $bills['request_cost'];
											$approved = $bills['approved'];
											$paid = $bills['paid'];
											if($pharm_request_type == 'Pharmacy'){
												echo'<tr class="service">
													<td class="tableitem" colspan="3">
														<p class="itemtext">'.$pharm_request_name.'</p>
													</td>
													<td class="tableitem">
														<p class="itemtext">'.number_format(floatval($pharm_request_cost),0,0,',').'</p>
													</td>
												</tr>';
											}
										}
									}elseif($type == 'Admission'){
										echo"<tr style='background:#f9f9f9;'><td colspan='4' style='text-align:left;'><b>Admission</b></td></tr>";
										foreach($get_bills as $bills){
											$bill_id = $bills['bill_id'];
											$admission_request_type = $bills['request_type'];
											$admission_request_name = $bills['request_name'];
											$request_id = $bills['request_id'];
											$admission_request_cost = $bills['request_cost']; 
											$approved = $bills['approved'];
											$paid = $bills['paid']; 
											$date_added = $bills['date_added']; 
																						
											if($admission_request_type == 'Admission'){
												echo'<tr class="service">
													<td class="tableitem" colspan="3">
														<p class="itemtext">'.$admission_request_name.'</p>
													</td>
													<td class="tableitem">
														<p class="itemtext">'.number_format(floatval($admission_request_cost),0,0,',').'</p>
													</td>
												</tr>';
											}
										}
									}elseif($type == 'Consultation'){
										echo"<tr style='background:#f9f9f9;'><td colspan='4' style='text-align:left;'><b>Consultation</b></td></tr>";
										foreach($get_bills as $bills){
											$bill_id = $bills['bill_id'];
											$admission_request_type = $bills['request_type'];
											$admission_request_name = $bills['request_name'];
											$request_id = $bills['request_id'];
											$admission_request_cost = $bills['request_cost']; 
											$approved = $bills['approved'];
											$paid = $bills['paid']; 
											$date_added = $bills['date_added']; 
																						
											if($admission_request_type == 'Consultation'){
												echo'<tr class="service">
													<td class="tableitem" colspan="3">
														<p class="itemtext">'.$admission_request_name.'</p>
													</td>
													<td class="tableitem">
														<p class="itemtext">'.number_format(floatval($admission_request_cost),0,0,',').'</p>
													</td>
												</tr>';
											}
										}
									}elseif($type == 'Clinical Service'){
										echo"<tr style='background:#f9f9f9;'><td colspan='4' style='text-align:left;'><b>Clinical Service</b></td></tr>";
										foreach($get_bills as $bills){
											$bill_id = $bills['bill_id'];
											$service_request_type = $bills['request_type'];
											$service_request_name = $bills['request_name'];
											$request_id = $bills['request_id'];
											$service_request_cost = $bills['request_cost'];
											$approved = $bills['approved'];
											$paid = $bills['paid'];
											if($service_request_type == 'Clinical Service'){
												echo'<tr class="service">
													<td class="tableitem" colspan="3">
														<p class="itemtext">'.$service_request_name.'</p>
													</td>
													<td class="tableitem">
														<p class="itemtext">'.number_format(floatval($service_request_cost),0,0,',').'</p>
													</td>
												</tr>';
											}
										}
									}elseif($type == 'Consumables'){
										//Get consumable details
										$check_consumable_bill = $objHospital->check_consumable_bills($patient_id,$hospital_id,$visit_id);
										foreach($check_consumable_bill as $bill){
											$cost = $bill['request_cost'];
											if(empty($cost) || $cost==0){
												//Do nothing
											}else{
												echo"<tr style='background:#f9f9f9;'><td colspan='4' style='text-align:left;'><b>Consumables</b></td></tr>";
												foreach($get_bills as $bills){
													$service_request_cost = $bills['request_cost'];
												}
												$get_consumables = $objHospital->get_clinical_service_consumables($patient_id,$hospital_id,$visit_id);
												
												foreach($get_consumables as $consumable){
													$consumables = explode(',',$consumable['consumables']);
													foreach($consumables as $key => $value){
														$get_product_details = $objHospital->get_store_product_by_product_id($value,$hospital_id);
														if(empty($get_product_details) || is_null($get_product_details)){
															$product_name = '';
														}else{
															foreach($get_product_details as $product){
																$product_name = $product['product_name'];
															}
														}
													}
												}
												echo'<tr class="service">
													<td class="tableitem" colspan="3">
														<p class="itemtext">'.$product_name.'</p>
													</td>
													<td class="tableitem">
														<p class="itemtext">'.number_format(floatval($service_request_cost),0,0,',').'</p>
													</td>
												</tr>';
											}
										}
									}
									
								}
							}
							$get_total_bill_payment = $objHospital->get_total_bill_payment($patient_id, $hospital_id, $visit_id);
							$currency_name = $objHospital->get_default_currency($user_id);
							$bal = $get_total - $get_total_bill_payment;
							echo'<tr style="height:10rem;">
								<td class="Rate" colspan="3" style="color:green;">
									<h2>Paid</h2>
								</td>
								<td class="payment">
									<h2>'.$currency_name.' '.number_format(intval($get_total_bill_payment),0,0,',').'</h2>
								</td>
							</tr>
							<tr class="tabletitle">';
							if($bal == '0'){
								echo'
								<td class="Rate" colspan="3">
									<h2>Balance</h2>
								</td>
								<td class="payment">
									<h2>NILL</h2>
								</td>
								';
							}else{
								echo'<td class="Rate" colspan="3">
									<h2 style="color:red;">Balance</h2>
								</td>
								<td class="payment">
									<h2 style="color:red;">'.$currency_name.' '.number_format(intval($bal),0,0,',').'</h2>
								</td>';
							}
							echo'</tr>';
						echo'</tbody></table>
					</div>
				</div>
			</div>
		</div>
	  </div>
	</div>
	';
}
elseif(isset($_POST['account_name'])){
	$account_name = $_POST['account_name'];
	$description = $_POST['account_description'];
	$user_id = $_POST['account_user_id'];
	
	$save_account = $objHospital->save_account($account_name,$description,$user_id);
}
elseif(isset($_POST['delete_account_name'])){
	$account_name = $_POST['delete_account_name'];
	$hospital_id = $_POST['delete_account_hospital_id'];
	$account_id = $_POST['delete_account_id'];
	
	$delete_account = $objHospital->delete_account($account_name,$hospital_id,$account_id);
}
elseif(isset($_POST['other_paid_by_name'])){
	$paid_name = $_POST['other_paid_by_name'];
	$account = $_POST['other_payment_account'];
	$amount = $_POST['other_payment_amount'];
	$description = $_POST['other_payment_description'];
	$user_id = $_POST['other_payment_user_id'];
	
	$save_other_payment = $objHospital->save_other_payment($paid_name,$account,$amount,$description,$user_id);
}
elseif(isset($_POST['approve_drug_hospital_id'])){
	$hospital_id = $_POST['approve_drug_hospital_id'];
	$patient_id = $_POST['approve_drug_patient_id'];
	$product_name = $_POST['approve_drug_product_name'];
	$user_id = $_POST['approve_drug_user_id'];
	
	$approve_drugs = $objHospital->approve_drugs($hospital_id,$patient_id,$product_name,$user_id);
}
elseif(isset($_POST['approve_labs_hospital_id'])){
	$hospital_id = $_POST['approve_labs_hospital_id'];
	$patient_id = $_POST['approve_labs_patient_id'];
	$test_name = $_POST['approve_labs_test_name'];
	$user_id = $_POST['approve_labs_user_id'];
	
	$approve_labs = $objHospital->approve_labs($hospital_id,$patient_id,$test_name,$user_id);
}
elseif(isset($_POST['approve_service_hospital_id'])){
	$hospital_id = $_POST['approve_service_hospital_id'];
	$patient_id = $_POST['approve_service_patient_id'];
	$service_name = $_POST['approve_service_name'];
	$user_id = $_POST['approve_service_user_id'];
	
	$approve_services = $objHospital->approve_services($hospital_id,$patient_id,$service_name,$user_id);
}
elseif(isset($_POST['expense_account_name'])){
	$account_name = $_POST['expense_account_name'];
	$description = $_POST['expense_account_description'];
	$user_id = $_POST['expense_account_user_id'];
	
	$save_expense_account = $objHospital->save_expense_account($account_name,$description,$user_id);
}

elseif(isset($_POST['delete_exp_account_id'])){
	$account_id = $_POST['delete_exp_account_id'];
	$hospital_id = $_POST['delete_exp_account_hospital_id'];
	$user_id = $_POST['delete_exp_account_user_id'];
	
	$delete_expense_account = $objHospital->delete_expense_account($account_id,$hospital_id,$user_id);
}
elseif(isset($_POST['add_expense_payee'])){
	$payee = $_POST['add_expense_payee'];
	$account = $_POST['add_expense_account'];
	$source = $_POST['add_expense_bank_account'];
	$amount = $_POST['add_expense_amount'];
	$description = $_POST['add_expense_description'];
	$user_id = $_POST['add_expense_user_id'];
	$invoice = $_POST['add_expense_invoice'];
	$department = $_POST['add_expense_department'];
	
	$make_expense = $objHospital->make_expense($payee,$account,$amount,$description,$user_id,$invoice,$department);
}
elseif(isset($_POST['add_bank_name'])){
	$bank_name = $_POST['add_bank_name'];
	$bank_address = $_POST['add_bank_address'];
	$bank_phone = $_POST['add_bank_phone'];
	$bank_email = $_POST['add_bank_email'];
	$account_name = $_POST['add_bank_account_name'];
	$account_number = $_POST['add_bank_account_number'];
	$opening_balance = $_POST['add_bank_account_balance'];
	$user_id = $_POST['add_bank_user_id'];
	
	$save_transaction_account = $objHospital->save_transaction_account($bank_name,$bank_address,$bank_phone,$bank_email,$account_name,$account_number,$opening_balance,$user_id);
}
elseif(isset($_POST['transfer_from'])){
	$transfer_from = $_POST['transfer_from'];
	$transfer_to = $_POST['transfer_to'];
	$transfer_amount = $_POST['transfer_amount'];
	$transfer_notes = $_POST['transfer_notes'];
	$user_id = $_POST['transfer_user_id'];
	
	$save_transfer = $objHospital->save_transfer($transfer_from,$transfer_to,$transfer_amount,$transfer_notes,$user_id);
}
elseif(isset($_POST['loan_bank_account'])){
	$bank_account = $_POST['loan_bank_account'];
	$loan_amount = $_POST['loan_amount'];
	$loan_interest = $_POST['loan_interest'];
	$loan_frequency = $_POST['loan_installment_frequency'];
	$loan_term = $_POST['loan_term'];
	$user_id = $_POST['loan_user_id'];
	
	$save_loan = $objHospital->save_loan($bank_account,$loan_amount,$loan_interest,$loan_frequency,$loan_term,$user_id);
}
elseif(isset($_POST['delete_expense_id'])){
	$expense_id = $_POST['delete_expense_id'];
	$hospital_id = $_POST['delete_expense_hospital_id'];
	$user_id = $_POST['delete_expense_user_id'];
	
	$delete_expense = $objHospital->delete_expense($expense_id,$hospital_id,$user_id);
}
elseif(isset($_POST['income_report_start_date'])){
	$start_date = $_POST['income_report_start_date'];
	$end_date = $_POST['income_report_end_date'];
	$department = $_POST['income_report_department'];
	$user_id = $_POST['income_report_user_id'];
	
	$get_sales = $objHospital->get_sales($start_date,$end_date,$department,$user_id);
	
	if(empty($get_sales) || is_null($get_sales)){
		echo'<tr><td colspan="2" style="color:red;"><center>There are no sales generated yet</center></td></tr>';
	}else{
		
		foreach($get_sales as $key => $value){
			if($key == 'sales_array'){
				echo'<tr style="background:#E5E4E2;"><td style="color:black;"><h6>Income</h6></td><td> </td><tr>';
				foreach($value as $sale){
					$cash_revenue = $sale['cash_payments'];
					$receivables = $sale['receivables'];
					$bed_charge = $sale['bed_charge'];
					$lab_fees = $sale['lab_fees'];
					$service_fees = $sale['service_fees'];
					$consultation = $sale['consultation'];
					$drugs = $sale['drugs'];
					if($cash_revenue == 0){
						echo'<tr style="color:black;">
							<td><b>Cash Revenue</b></td>
							<td style="text-align:left; color:black;">0</td>
						</tr>';
					}else{
						echo'
						<tr><td style="color:black;"><b>Cash Revenue</td><td style="text-align:left; color:black;">'.number_format(intval($cash_revenue),0,0,',').'</b></td></tr>
						<tr><td style="color:black;"><b>Receivables</td><td style="text-align:left; color:black;">'.number_format(intval($receivables),0,0,',').'</b></td></tr>
						<tr><td style="color:black;"><b>Total</td><td style="text-align:left; color:black;">'.number_format((intval($cash_revenue)+intval($receivables)),0,0,',').'</b></td></tr>
						<tr><td><b>Income Breakdown</td><td style="text-align:left; color:black;"> </b></td></tr>';
						if($bed_charge == 0){
							//Do nothing
						}else{
							echo'<tr><td>Inpatient Fees</td><td style="text-align:left;">'.number_format(intval($bed_charge),0,0,',').'</td></tr>';
						}
						if($lab_fees == 0){
							//Do nothing
						}else{
							echo'<tr><td>Laboratory</td><td style="text-align:left;">'.number_format(intval($lab_fees),0,0,',').'</td></tr>';
						}
						if($service_fees == 0){
							//Do nothing
						}else{
							$get_services = $objHospital->get_services_over_a_period($start_date,$end_date,$user_id);
							foreach($get_services as $service){
								$service_cost = $service['service_cost'];
								$department_name = $service['department_name'];
								echo'<tr><td>'.$department_name.'</td><td style="text-align:left;">'.number_format(intval($service_cost),0,0,',').'</td></tr>';
							}
						}
						if($consultation == 0){
							//Do nothing
						}else{
							echo'<tr><td>Consultation</td><td style="text-align:left;">'.number_format(intval($consultation),0,0,',').'</td></tr>';
						}
						if($drugs == 0){
							//Do nothing
						}else{
							echo'<tr><td>Pharmacy</td><td style="text-align:left;">'.number_format(intval($drugs),0,0,',').'</td></tr>';
						}
					}
				}
			}elseif($key == 'other_sales_array'){
				echo'<tr><td style="color:black;"><b>Other Revenue</b></td><td></td></tr>';
				$other_total = 0;
				foreach($value as $other_sale){
					$amount_paid = $other_sale['amount_paid'];
					$payment_account = $other_sale['payment_account'];
					$other_total += $amount_paid;
					if($amount_paid == 0){
						echo'<tr><td>Other Revenue</td><td>0</td></tr>';
					}else{
						echo'<tr><td style="color:black;">'.$payment_account.'</td><td style="text-align:left; color:black;">'.number_format(intval($other_total),0,0,',').'</td></tr>';
					}
				}
				echo'<tr><td style="color:black;"><b>Total</b></td><td style="text-align:left; color:black;"><b>'.number_format(intval($other_total),0,0,',').'</b></td></tr>';
			}elseif($key == 'lab_array'){
				echo'<tr style="background:#E5E4E2;"><td style="color:black;"><h6>Laboratory Sales</h6></td><td> </td><tr>';
				$total_tests = 0;
				foreach($value as $labs){
					$test_name = $labs['request_name'];
					$cost = $labs['cost'];
					$total_tests += $cost;
					echo'<tr><td style="color:black;">'.$test_name.'</td><td style="text-align:left; color:black;">'.number_format(intval($cost),0,0,',').'</td></tr>';
				}
				echo'<tr><td style="color:black;"><h5>Grand Total: </h5></td><td style="text-align:left; color:black;"><h5>'.number_format(intval($total_tests),0,0,',').'</h5></td></tr>';
			}elseif($key == 'drug_array'){
				echo'<tr style="background:#E5E4E2;"><td style="color:black;"><h6>Pharmacy Sales</h6></td><td> </td><tr>';
				$total_drugs = 0;
				foreach($value as $drugs){
					$product_name = $drugs['request_name'];
					$cost = $drugs['cost'];
					$total_drugs += $cost;
					echo'<tr><td style="color:black;">'.$product_name.'</td><td style="text-align:left; color:black;">'.number_format(intval($cost),0,0,',').'</td></tr>';
				}
				echo'<tr><td style="color:black;"><h5>Grand Total: </h5></td><td style="text-align:left; color:black;"><h5>'.number_format(intval($total_drugs),0,0,',').'</h5></td></tr>';
			}elseif($key == $department){
				echo'<tr style="background:#E5E4E2;"><td style="color:black;"><h6>'.$key.' Sales</h6></td><td> </td><tr>';
				$total_services = 0;
				foreach($value as $service){
					$service_name = $service['request_name'];
					$cost = $service['cost'];
					$total_services += $cost;
					echo'<tr><td style="color:black;">'.$service_name.'</td><td style="text-align:left; color:black;">'.number_format(intval($cost),0,0,',').'</td></tr>';
				}
				echo'<tr><td style="color:black;"><h5>Grand Total: </h5></td><td style="text-align:left; color:black;"><h5>'.number_format(intval($total_services),0,0,',').'</h5></td></tr>';
			}
		}
		//echo'<tr><td style="color:black;"><h5>Total Income (Cash + Recievables + Other Revenue): </h5></td><td style="text-align:left; color:black;"><h5>'.number_format(intval($other_total+$cash_revenue+$receivables),0,0,',').'</h5></td></tr>';
	}
}
elseif(isset($_POST['exp_report_start_date'])){
	$start_date = $_POST['exp_report_start_date'];
	$end_date = $_POST['exp_report_end_date'];
	$user_id = $_POST['exp_report_user_id'];
	
	$expense_report = $objHospital->get_expense_report($start_date,$end_date,$user_id);
	if(empty($expense_report)){
		echo'<tr><td colspan="2" style="color:red;"><center>There are no expenses made yet</center></td></tr>';
	}else{
		$total_expense = 0;
		foreach($expense_report as $report){
			$amount = $report['amount'];
			$expense_account_name = $report['expense_account_name'];
			$total_expense += $amount;
			echo'<tr><td style="color:black;"><b>'.$expense_account_name.'</td><td style="text-align:left; color:black;">'.number_format(intval($amount),0,0,',').'</b></td></tr>';
		}
		echo'<tr><td style="color:black;"><h5>Grand Total: </h5></td><td style="text-align:left; color:black;"><h5>'.number_format(intval($total_expense),0,0,',').'</h5></td></tr>';
	}
}
elseif(isset($_POST['payable_report_start_date'])){
	$start_date = $_POST['payable_report_start_date'];
	$end_date = $_POST['payable_report_end_date'];
	$user_id = $_POST['payable_report_user_id'];
	
	$payables_report = $objHospital->get_payables_report($start_date,$end_date,$user_id);
	if(empty($payables_report)){
		echo'<tr><td colspan="5" style="color:red;"><center>There are no payables yet</center></td></tr>';
	}else{
		$total_invoice = 0;
		$total_paid = 0;
		$total_balance = 0;
		foreach($payables_report as $report){
			$vendor_name = $report['vendor_name'];
			$invoice_no = $report['invoice_no'];
			$invoice_amount = $report['invoice_amount'];
			$payment_amount = $report['payment_amount'];
			$balance = $report['balance'];
			
			$total_invoice += $invoice_amount;
			$total_paid += $payment_amount;
			$total_balance += $balance;
			
			echo'<tr>
				<td style="color:black; font-size:16px;">'.$vendor_name.'</td>
				<td style="color:black; font-size:16px;"><center>'.$invoice_no.'</center></td>
				<td style="color:black; font-size:16px;"><center>'.number_format(intval($invoice_amount),0,0,',').'</center></td>
				<td style="color:black; font-size:16px;"><center>'.number_format(intval($payment_amount),0,0,',').'</center></td>
				<td style="color:black; font-size:16px;"><center>'.number_format(intval($balance),0,0,',').'</center></td>
			</tr>';
		}
		echo'<tr>
			<td colspan="2" style="color:blue;"><h5>Grand Total: </h5></td>
			<td style="color:blue;"><center><h5>'.number_format(intval($total_invoice),0,0,',').'</h5></center></td>
			<td style="color:blue;"><center><h5>'.number_format(intval($total_paid),0,0,',').'</h5></center></td>
			<td style="color:blue;"><center><h5>'.number_format(intval($total_balance),0,0,',').'</h5></center></td>
		</tr>
		';
	}
}
elseif(isset($_POST['p_l_report_start_date'])){
	$start_date = $_POST['p_l_report_start_date'];
	$end_date = $_POST['p_l_report_end_date'];
	$user_id = $_POST['p_l_report_user_id'];
	$department = 'All Departments';
	
	$get_sales = $objHospital->get_sales($start_date,$end_date,$department,$user_id);
	if(empty($get_sales) || is_null($get_sales)){
		echo'<tr><td colspan="2" style="color:red;"><center>There are no sales generated yet</center></td></tr>';
	}else{
		foreach($get_sales as $key => $value){
			if($key == 'sales_array'){
				echo'<tr style="background:#E5E4E2;"><td style="color:black;"><h6>Income</h6></td><td> </td><tr>';
				foreach($value as $sale){
					$cash_revenue = $sale['cash_payments'];
					$receivables = $sale['receivables'];
					$bed_charge = $sale['bed_charge'];
					$lab_fees = $sale['lab_fees'];
					$service_fees = $sale['service_fees'];
					$consultation = $sale['consultation'];
					$drugs = $sale['drugs'];
					if($cash_revenue == 0){
						echo'<tr style="color:black;">
							<td><b>Cash Revenue</b></td>
							<td style="text-align:left; color:black;">0</td>
						</tr>';
					}else{
						echo'
						<tr><td style="color:black;"><b>Cash Revenue</td><td style="text-align:left; color:black;">'.number_format(intval($cash_revenue),0,0,',').'</b></td></tr>
						<tr><td style="color:black;"><b>Receivables</td><td style="text-align:left; color:black;">'.number_format(intval($receivables),0,0,',').'</b></td></tr>
						<tr><td style="color:black;"><b>Total</b></td><td style="text-align:left; color:black;"><b>'.number_format((intval($cash_revenue)+intval($receivables)),0,0,',').'</b></td></tr>
						<tr><td><b>Income Breakdown</td><td style="text-align:left; color:black;"> </b></td></tr>';
						if($bed_charge == 0){
							//Do nothing
						}else{
							echo'<tr><td>Inpatient Fees</td><td style="text-align:left;">'.number_format(intval($bed_charge),0,0,',').'</td></tr>';
						}
						if($lab_fees == 0){
							//Do nothing
						}else{
							echo'<tr><td>Laboratory</td><td style="text-align:left;">'.number_format(intval($lab_fees),0,0,',').'</td></tr>';
						}
						if($service_fees == 0){
							//Do nothing
						}else{
							$get_services = $objHospital->get_services_over_a_period($start_date,$end_date,$user_id);
							foreach($get_services as $service){
								$service_cost = $service['service_cost'];
								$department_name = $service['department_name'];
								echo'<tr><td>'.$department_name.'</td><td style="text-align:left;">'.number_format(intval($service_cost),0,0,',').'</td></tr>';
							}
						}
						if($consultation == 0){
							//Do nothing
						}else{
							echo'<tr><td>Consultation</td><td style="text-align:left;">'.number_format(intval($consultation),0,0,',').'</td></tr>';
						}
						if($drugs == 0){
							//Do nothing
						}else{
							echo'<tr><td>Pharmacy</td><td style="text-align:left;">'.number_format(intval($drugs),0,0,',').'</td></tr>';
						}
					}
				}
			}elseif($key == 'other_sales_array'){
				echo'<tr><td style="color:black;"><b>Other Revenue</b></td><td></td></tr>';
				$other_total = 0; 
				foreach($value as $other_sale){
					$amount_paid = $other_sale['amount_paid'];
					$payment_account = $other_sale['payment_account'];
					$other_total += $amount_paid;
					if($amount_paid == 0){
						echo'<tr><td style="color:black;">Other Revenue</td><td style="color:black;">0</td></tr>';
					}else{
						echo'<tr><td style="color:black;">'.$payment_account.'</td><td style="text-align:left; color:black;">'.number_format(intval($amount_paid),0,0,',').'</td></tr>';
					}
				}
				echo'<tr><td style="color:black;"><b>Total</b></td><td style="text-align:left; color:black;"><b>'.number_format(intval($other_total),0,0,',').'</b></td></tr>';
				
			}elseif($key == 'lab_array'){
				echo'<tr style="background:#E5E4E2;"><td style="color:black;"><h6>Laboratory Sales</h6></td><td> </td><tr>';
				$total_tests = 0;
				foreach($value as $labs){
					$test_name = $labs['test_name'];
					$cost = $labs['cost'];
					$total_tests += $cost;
					echo'<tr><td style="color:black;">'.$test_name.'</td><td style="text-align:left; color:black;">'.number_format(intval($cost),0,0,',').'</td></tr>';
				}
				echo'<tr><td style="color:black;"><h5>Grand Total: </h5></td><td style="text-align:left; color:black;"><h5>'.number_format(intval($total_tests),0,0,',').'</h5></td></tr>';
			}elseif($key == 'drug_array'){
				echo'<tr style="background:#E5E4E2;"><td style="color:black;"><h6>Pharmacy Sales</h6></td><td> </td><tr>';
				$total_drugs = 0;
				foreach($value as $drugs){
					$product_name = $drugs['product_name'];
					$cost = $drugs['cost'];
					$total_drugs += $cost;
					echo'<tr><td style="color:black;">'.$product_name.'</td><td style="text-align:left; color:black;">'.number_format(intval($cost),0,0,',').'</td></tr>';
				}
				echo'<tr><td style="color:black;"><h5>Grand Total: </h5></td><td style="text-align:left; color:black;"><h5>'.number_format(intval($total_drugs),0,0,',').'</h5></td></tr>';
			}elseif($key == $department){
				echo'<tr style="background:#E5E4E2;"><td style="color:black;"><h6>'.$key.' Sales</h6></td><td> </td><tr>';
				$total_services = 0;
				foreach($value as $service){
					$service_name = $service['service_name'];
					$cost = $service['cost'];
					$total_services += $cost;
					echo'<tr><td style="color:black;">'.$service_name.'</td><td style="text-align:left; color:black;">'.number_format(intval($cost),0,0,',').'</td></tr>';
				}
				echo'<tr><td style="color:black;"><h5>Grand Total: </h5></td><td style="text-align:left; color:black;"><h5>'.number_format(intval($total_services),0,0,',').'</h5></td></tr>';
			}
		}
		echo'<tr><td style="color:black;"><h5>Total Income (Cash + Recievables + Other Revenue): </h5></td><td style="text-align:left; color:black;"><h5>'.number_format((intval($amount_paid)+intval($cash_revenue)+intval($receivables)),0,0,',').'</h5></td></tr>';
		$total_incomes = intval($amount_paid)+intval($cash_revenue)+intval($receivables);
	}
	
	$expense_report = $objHospital->get_expense_report($start_date,$end_date,$user_id);
	if(empty($expense_report)){
		echo'<tr><td colspan="2" style="color:red;"><center>There are no expenses made yet</center></td></tr>';
	}else{
		echo'<tr style="background:#E5E4E2;"><td style="color:black;"><h6>Expenses</h6></td><td> </td><tr>';
		$total_expense = 0;
		foreach($expense_report as $report){
			$amount = $report['amount'];
			$expense_account_name = $report['expense_account_name'];
			$total_expense += $amount;
			echo'<tr><td style="color:black;">'.$expense_account_name.'</td><td style="text-align:left; color:black;">'.number_format(floatval($amount),0,0,',').'</td></tr>';
		}
		echo'<tr><td style="color:black;"><h5>Total Expenditure: </h5></td><td style="text-align:left; color:black;"><h5>'.number_format(intval($total_expense),0,0,',').'</h5></td></tr>';
	}
	if(empty($expense_report)){
		$total_expense = 0;
	}else{
		$total_expense = $total_expense;
	}
	echo'<tr style="background:#E5E4E2;"><td style="color:black;"><h5>';
	$difference = intval($total_incomes - $total_expense);
	if($difference > 0){
		echo'Surplus';
	}else{
		echo'Deficit';
	}
	echo'</h5></td><td style="text-align:left; color:black;">';
	if($difference > 0){
		echo'<h5>'.number_format(floatval($difference),0,0,',').'</h5>';
	}else{
		echo'<h5 style-"color:red;">'.number_format(floatval($difference),0,0,',').'</h5>';
	}
	echo'</td></tr>';
}
elseif(isset($_POST['company_name'])){
	$company_name = $_POST['company_name'];
	$address = $_POST['company_address'];
	$phone = $_POST['company_phone'];
	$email = $_POST['company_email'];
	$contact_person = $_POST['company_contact_person'];
	$user_id = $_POST['company_user_id'];
	
	$save_company = $objHospital->save_company($company_name,$address,$phone,$email,$contact_person,$user_id);
}
elseif(isset($_POST['get_insurance_tests_user_id'])){
	$user_id = $_POST['get_insurance_tests_user_id'];
	
	$get_tests = $objHospital->get_tests($user_id);
	if(empty($get_tests)){
		echo'<option>There are no Tests added yet</option>';
	}else{
		foreach($get_tests as $tests){
			$test_name = $tests['test_name'];
			echo'<option>'.$test_name.'</option>';
		}
	}
}
elseif(isset($_POST['add_patient_insurance_company'])){
	$company_id = $_POST['add_patient_insurance_company'];
	$patient_id = $_POST['add_patient_name'];
	$policy_number = $_POST['add_patient_policy_number'];
	$dependant_code = $_POST['add_patient_dependant_code'];
	$user_id = $_POST['add_patient_user_id'];
		
	$save_insurance_patient = $objHospital->save_insurance_patient($company_id,$patient_id,$policy_number,$dependant_code,$user_id);
	
}
elseif(isset($_POST['test_insurance_company'])){
	$company_name = $_POST['test_insurance_company'];
	$user_id = $_POST['test_insurance_user_id'];
	$test_name = implode(',',$_POST['test_name']);
	$cost = implode(',',$_POST['test_insurance_cost']);
	
	$save_insurance_test_cost = $objHospital->save_insurance_test_cost($company_name,$test_name,$cost,$user_id);
}
elseif(isset($_POST['get_insurance_pharm_user_id'])){
	$user_id = $_POST['get_insurance_pharm_user_id'];
	
	$get_products = $objHospital->get_products_by_user_id($user_id);
	if(empty($get_products)){
		echo'<option>There are no Products added yet</option>';
	}else{
		foreach($get_products as $product){
			$product_name = $product['product_name'];
			echo'<option>'.$product_name.'</option>';
		}
	}
}
elseif(isset($_POST['product_insurance_company'])){
	$company_name = $_POST['product_insurance_company'];
	$user_id = $_POST['product_insurance_user_id'];
	$product_name = implode(',',$_POST['insurance_product_name']);
	$cost = implode(',',$_POST['product_insurance_cost']);
	
	$save_insurance_product_cost = $objHospital->save_insurance_product_cost($company_name,$product_name,$cost,$user_id);
}
elseif(isset($_POST['get_insurance_service_user_id'])){
	$user_id = $_POST['get_insurance_service_user_id'];
	
	$get_all_services = $objHospital->get_all_services($user_id);
	if(empty($get_all_services)){
		echo'<option>There are no Services added yet</option>';
	}else{
		foreach($get_all_services as $service){
			$service_name = $service['service_name'];
			$service_id = $service['service_id'];
			echo'<option value="'.$service_id.'">'.$service_name.'</option>';
		}
	}
}
elseif(isset($_POST['service_insurance_company'])){
	$company_name = $_POST['service_insurance_company'];
	$user_id = $_POST['service_insurance_user_id'];
	$service_name = implode(',',$_POST['insurance_service_name']);
	$cost = implode(',',$_POST['service_insurance_cost']);
	
	$save_insurance_service_cost = $objHospital->save_insurance_service_cost($company_name,$service_name,$cost,$user_id);
}
elseif(isset($_POST['add_company_id'])){
	$company_id = $_POST['add_company_id'];
	$company_name = $_POST['add_company_name'];
	$total_bill = $_POST['add_total_bill'];
	$start_date = $_POST['add_start_date'];
	$hospital_id = $_POST['add_hospital_id'];
	$user_id = $_POST['add_user_id'];
	
	$save_insurance_invoice = $objHospital->save_insurance_invoice($company_id,$company_name,$total_bill,$start_date,$hospital_id,$user_id);
}
elseif(isset($_POST['insurance_invoice_company_id'])){
	$company_id = $_POST['insurance_invoice_company_id'];
	$invoice_id = $_POST['insurance_invoice_id'];
	$hospital_id = $_POST['insurance_invoice_hospital_id'];
	$user_id = $_POST['insurance_invoice_user_id'];
	
	$get_insurance_company_details = $objHospital->get_insurance_company_details($company_id, $hospital_id);
	foreach($get_insurance_company_details as $company){
		$company_name   = $company['company_name']; 
		$address  = $company['address']; 
		$phone  = $company['phone']; 
		$email  = $company['email']; 
		$contact_person  = $company['contact_person']; 
			
	}

	//Get insurance invoice
	$get_insurance_invoice_by_id = $objHospital->get_insurance_invoice_by_id($invoice_id, $hospital_id);
	foreach($get_insurance_invoice_by_id as $id){
		$date_added = $id['date_added'];
	}
	
	//Get hospital info
	$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
	
	echo'
	<div class="row">
	  <div class="col-lg-12">
		<div class="card print_invoice_card">
		  <div class="row grid" style="margin-top:-20px;">
			<div class="col-xl-3">
				<div class="grid-col">
					<div class="media pt-3 pb-3">
						<img src="../assets/images/bb.PNG" alt="image" class="mr-3" style="width:7rem; height:7rem;">
					</div>
				</div>
			</div>
			<div class="col-xl-9" style="margin-top:-110px;">
				<div class="grid-col">
					<div class="col-md-12" style="height:30px; float:center;">
						<center><h2>'.$hospital_name.'</h2></center>
					</div>
					<div class="col-md-12" style="height:30px; float:center;">
						<center><h3>Laboratory Department</h4></center>
					</div>	
					<div class="col-md-12" style="height:30px; float:center;">
						<div class="form-group">
							<center><span style="font-size:14px;"> '.$hospital_email.'</span>
							<span style="font-size:14px;"> Phone: '.$hospital_phone.'</span></center>
						</div>
					</div>
					<div class="col-md-12" style="height:30px; float:center; margin-top:-10px;">
						<div class="form-group">
							<center><span style="font-size:14px;">'.$hospital_city.', '.$hospital_country.' </span></center>
						</div>
					</div>
				</div>
			</div>
		  </div>
		  <div class="card-header">
			<h3 class="modal-title" id="modalLabel"><center>Invoice</center></h3>
		  </div>
		  <div class="card-body">
			<div id="invoice">
				<div id="invoice-top">
					<div class="invoice-logo"></div>
					<div class="invoice-info" style="margin-left:-50px;">
						<h6>Company Name: <span style="color:blue;">'.$company_name.'</span></h6>
						<p>Address: <span style="color:blue;">'.$address.'</span></p>
						<p>Phone: <span style="color:blue;">'.$phone.'</span> Email: <span style="color:blue;">'.$email.'</span></p>
					</div>
					<!--End Info-->
					<div class="title">
						<h6 style="text-align:right;">Invoice #: <span style="color:blue;">'.$invoice_id.'</span></h6>
						<p>Invoice Date: <span style="color:blue;">'.date('d-m-Y',strtotime($date_added)).'</span></p>
						<p>Contact Person: <span style="color:blue;">'.$contact_person.'</span></p>
					</div>
					<!--End Title-->
				</div>
			</div>
			<table class="table table-borderless" style="margin-top:-100px;">
				<thead>
					<tr><td colspan="6" style="color:white; background-color:#343957; border-radius:5px; font-weight:bold; line-height:0.7rem;"><center>Services Offered</center></td></tr>
					<tr>
						<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Bill ID</b></center></td>
						<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Date of Service</b></center></td>
						<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Member Name</b></center></td>
						<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Service Offered</b></center></td>
						<td scope="col" style="line-height:0.7rem; color:black; float:right;"><b>Amount</b></td>
						<!--<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Pay Status</b></center></td>-->
					</tr>
				</thead>
				<tbody>';
				$total_bill = 0;
				$get_company_members = $objHospital->get_insurance_company_patients($company_id,$hospital_id);
				foreach($get_company_members as $member){ 
					$patient_id = $member['patient_id'];
					$full_name = $member['patient_name'];
								
					//Get each members bills
					$get_member_bills = $objHospital->get_all_patient_insurance_bills($patient_id,$user_id);
					if(empty($get_member_bills)){
						//Do nothing
					}else{
						foreach($get_member_bills as $bill){
							$bill_id = $bill['bill_id'];
							$visit_id = $bill['visit_id'];
							$visit_date = $bill['visit_date'];
							$request_name = $bill['request_name'];
							$request_cost = $bill['request_cost'];
							$paid = $bill['paid'];
							
							$total_bill += intval($request_cost);
							echo'
							<tr>
								<td style="line-height:0.7rem;"><center>'.$bill_id.'</center></td>
								<td style="line-height:0.7rem;"><center>'.date('d-M-Y',strtotime($visit_date)).'</center></td>
								<td style="line-height:0.7rem;"><center>'.$full_name.'</center></td>
								<td style="line-height:0.7rem;"><center>'.$request_name.'</center></td>
								<td style="line-height:0.7rem;">'.number_format($request_cost,0,0,',').'</td>';
							echo'</tr>';
						}
					}
				}
				
				$get_member_bills = $objHospital->get_all_patient_insurance_bills($patient_id,$user_id);
				if(empty($get_member_bills)){
					$balance = 0;
				}else{
					$total_paid = $objHospital->get_statement_insurance_payments($company_id,$user_id);
																										
					$balance = $total_bill - intval($total_paid);
					
					echo'
					<tr>
						<td style="line-height:0.7rem; color:blue;"><center><b>Total Bill</b></center></td>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem; color:blue;"><b>'.number_format($total_bill,0,0,',').'</b></td>
						<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
					</tr>
					<tr>
						<td style="line-height:0.7rem; color:green;"><center><b>Total Paid</b></center></td>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem; color:green; float:left;"><b>'.number_format(intval($total_paid),0,0,',').'</b></td>
						<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
					</tr>
					<tr>
						<td style="line-height:0.7rem; color:red;"><center><b>Balance</b></center></td>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem; color:red;"><b>'.number_format($balance,0,0,',').'</b></td>
						<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
					</tr>';
				}
				echo'</tbody>
			</table>
		  </div>
		</div>
	  </div>
	</div>';
}
elseif(isset($_POST['insurance_payment_company_id'])){
	$company_id = $_POST['insurance_payment_company_id'];
	$invoice_id = $_POST['insurance_payment_invoice_id'];
	$hospital_id = $_POST['insurance_payment_hospital_id'];
	$user_id = $_POST['insurance_payment_user_id'];
	
	$get_insurance_company_details = $objHospital->get_insurance_company_details($company_id, $hospital_id);
	foreach($get_insurance_company_details as $company){
		$company_id = $company['insurance_company_id']; 
		$company_name = $company['company_name']; 
		$address  = $company['address']; 
		$phone  = $company['phone']; 
		$email  = $company['email']; 
		$contact_person  = $company['contact_person']; 
			
	}
	
	echo'<div class="row d-flex justify-content-between">
	<div class="col-md-8" style="border:solid 0.5px; border-radius:5px; margin-left:-5px; overflow-x:auto; height:28rem;">
	<div class="table-responsive">
	<table class="table">
		<thead>
			<tr>
				<td scope="col" style="line-height:0.7rem;"><center><b>Company ID</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Company Name</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Address</b></center></td>
				<td scope="col" style="line-height:0.7rem;" colspan="2"><center><b>Phone Number</b></center></td>
			</tr>
			<tr>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$company_id.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center><b>'.$company_name.'</b></center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$address.'</center></td>
				<td scope="col" colspan="2" style="color:blue; line-height:0.7rem;"><center>'.$phone.'</center></td>
			</tr>
			<tr>
				<td scope="col" style="line-height:0.7rem;" colspan="2"><center><b>Email</b></center></td>
				<td scope="col" style="line-height:0.7rem;" colspan="2"><center><b>Contact Person</b></center></td>
			</tr>
			<tr>
				<td scope="col" style="color:blue; line-height:0.7rem;" colspan="2"><center>'.$email.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;" colspan="2"><center>'.$contact_person.'</center></td>
			</tr>
		</thead>
	</table>
	<table class="table table-borderless">
		<thead>
			<tr><td colspan="6" style="color:white; background-color:#343957; border-radius:5px; font-weight:bold; line-height:0.7rem;"><center>Services Offered</center></td></tr>
			<tr>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Bill ID</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Date of Service</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Member Name</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Service Offered</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black; float:right;"><b>Amount</b></td>
				<!--<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Pay Status</b></center></td>-->
			</tr>
		</thead>
		<tbody>';
		$total_bill = 0;
		$get_company_members = $objHospital->get_insurance_company_patients($company_id,$hospital_id);
		foreach($get_company_members as $member){ 
			$patient_id = $member['patient_id'];
			$full_name = $member['patient_name'];
						
			//Get each members bills
			$get_member_bills = $objHospital->get_all_patient_insurance_bills($patient_id,$user_id);
			if(empty($get_member_bills)){
				//Do nothing
			}else{
				foreach($get_member_bills as $bill){
					$bill_id = $bill['bill_id'];
					$visit_id = $bill['visit_id'];
					$visit_date = $bill['visit_date'];
					$request_name = $bill['request_name'];
					$request_cost = $bill['request_cost'];
					$paid = $bill['paid'];
					
					$total_bill += intval($request_cost);
					echo'
					<tr>
						<td style="line-height:0.7rem;"><center>'.$bill_id.'</center></td>
						<td style="line-height:0.7rem;"><center>'.date('d-M-Y',strtotime($visit_date)).'</center></td>
						<td style="line-height:0.7rem;"><center>'.$full_name.'</center></td>
						<td style="line-height:0.7rem;"><center>'.$request_name.'</center></td>
						<td style="line-height:0.7rem;">'.number_format($request_cost,0,0,',').'</td>';
					echo'</tr>';
				}
			}
		}
		
		$get_member_bills = $objHospital->get_all_patient_insurance_bills($patient_id,$user_id);
		if(empty($get_member_bills)){
			$balance = 0;
		}else{
			$total_paid = $objHospital->get_statement_insurance_payments($company_id,$user_id);
																								
			$balance = $total_bill - intval($total_paid);
			
			echo'
			<tr>
				<td style="line-height:0.7rem; color:blue;"><center><b>Total Bill</b></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem; color:blue;"><b>'.number_format($total_bill,0,0,',').'</b></td>
				<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
			</tr>
			<tr>
				<td style="line-height:0.7rem; color:green;"><center><b>Total Paid</b></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem; color:green; float:left;"><b>'.number_format(intval($total_paid),0,0,',').'</b></td>
				<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
			</tr>
			<tr>
				<td style="line-height:0.7rem; color:red;"><center><b>Balance</b></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem; color:red;"><b>'.number_format($balance,0,0,',').'</b></td>
				<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
			</tr>';
		}
		echo'</tbody>
	</table>
	</div>
	</div>';
	$get_member_bills = $objHospital->get_all_patient_insurance_bills($patient_id,$user_id);
	if(empty($get_member_bills)){
		$balance = 0;
	}else{
		$total_paid = $objHospital->get_statement_insurance_payments($company_id,$user_id);
																							
		$balance = $total_bill - intval($total_paid);
	}
	echo'<div class="col-md-4" style="border:solid 0.5px; border-radius:5px; margin-left:5px; height:28rem;"	>
		<form method="post" id="make_insurance_payment_form">
		<div class="card">
		  <div class="row">
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-6 col-form-label" style="color:black; font-size:20px;"><b><i>Balance: </i></b></label>
				<div class="col-sm-6" style="color:blue; font-size:20px;"><b><i>'.number_format(floatval($balance),0,0,',').' Ugx</i></b></div>
			  </div>
			</div>
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;"><b>Deposit Amount: </b></label>
				<div class="col-sm-6">
				  <input name="pay_insurance_amount" type="text" class="form-control" placeholder="No commas, symbols or letters" style="border: 1px solid grey; border-radius:5px;">
				</div>
			  </div>
			  <div class="row">
				<div class="col-md-12">
					<center><button type="submit" class="btn btn-lg btn-success">Submit Payment</button></center>
				</div>
			  </div>
			</div>
			<input type="hidden" name="pay_company_user_id" value="'.$user_id.'">
			<input type="hidden" name="pay_company_hospital_id" value="'.$hospital_id.'">
			<input type="hidden" name="pay_company_id" value="'.$company_id.'">
			<input type="hidden" name="pay_company_balance" value="'.$total_bill.'">
			<input type="hidden" name="pay_company_invoice_id" value="'.$invoice_id.'">
		 </div>
		</div>
		</form>
	</div>
		
	</div>
	</div>';
	
}
elseif(isset($_POST['pay_company_id'])){
	$company_id = $_POST['pay_company_id'];
	$hospital_id = $_POST['pay_company_hospital_id'];
	$user_id = $_POST['pay_company_user_id'];
	$amount_due = $_POST['pay_company_balance'];
	$paid_amount = $_POST['pay_insurance_amount'];
	$invoice_no = $_POST['pay_company_invoice_id'];
	
	$pay_invoice_bill = $objHospital->pay_invoice_bill($company_id,$invoice_no,$amount_due,$paid_amount,$hospital_id,$user_id);
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			$department = $notification['department'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">'.$department.'</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
elseif(isset($_POST['discount_patient_id'])){
	$patient_id = $_POST['discount_patient_id'];
	$hospital_id = $_POST['discount_hospital_id'];
	$visit_id = $_POST['discount_visit_id'];
	$visit_date = $_POST['discount_visit_date'];
	$name = $_POST['discount_name'];
	$gender = $_POST['discount_gender'];
	$age = $_POST['discount_age'];
	$user_id = $_POST['discount_user_id'];
	$balance = $_POST['discount_balance'];
	
	echo'
	<div class="card">
		<div class="row">
		  <div class="row">
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-5 col-form-label" style="color:black; font-size:16px;">System Amount: </label>
				<div class="col-sm-7" style="color:blue; font-size:20px;">'.number_format(floatval($balance),0,0,',').' Ugx</div>
			  </div>
			</div>
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-5 col-form-label" style="color:black; font-size:16px;">How much the patient has: </label>
				<div class="col-sm-7">
				  <input name="discount_request_amount" type="text" class="form-control" placeholder="No commas, symbols or letters" style="border: 1px solid grey;">
				</div>
			  </div>
			</div>
			<input type="hidden" name="discount_request_user_id" value="'.$user_id.'">
			<input type="hidden" name="discount_request_patient_id" value="'.$patient_id.'">
			<input type="hidden" name="discount_request_hospital_id" value="'.$hospital_id.'">
			<input type="hidden" name="discount_request_visit_id" value="'.$visit_id.'">
			<input type="hidden" name="discount_request_visit_date" value="'.$visit_date.'">
			<input type="hidden" name="discount_request_name" value="'.$name.'">
			<input type="hidden" name="discount_request_gender" value="'.$gender.'">
			<input type="hidden" name="discount_request_age" value="'.$age.'">
			<input type="hidden" name="discount_request_balance" value="'.$balance.'">
		  </div>
		</div>	
	</div>
	';
}
elseif(isset($_POST['discount_request_amount'])){
	$request_amount = $_POST['discount_request_amount'];
	$patient_id = $_POST['discount_request_patient_id'];
	$hospital_id = $_POST['discount_request_hospital_id'];
	$visit_id = $_POST['discount_request_visit_id'];
	$visit_date = $_POST['discount_request_visit_date'];
	$name = $_POST['discount_request_name'];
	$gender = $_POST['discount_request_gender'];
	$age = $_POST['discount_request_age'];
	$user_id = $_POST['discount_request_user_id'];
	$balance = $_POST['discount_request_balance'];
	
	$send_discount_request = $objHospital->discount_request($request_amount,$patient_id,$hospital_id,$visit_id,$visit_date,$name,$gender,$age,$user_id,$balance);
}
elseif(isset($_POST['approve_discount_requested_amount'])){
	$request_amount = $_POST['approve_discount_requested_amount'];
	$patient_id = $_POST['approve_discount_patient_id'];
	$hospital_id = $_POST['approve_discount_hospital_id'];
	$visit_id = $_POST['approve_discount_visit_id'];
	$visit_date = $_POST['approve_discount_visit_date'];
	$name = $_POST['approve_discount_name'];
	$requester_id = $_POST['approve_discount_requester_id'];
	$user_id = $_POST['approve_discount_user_id'];
	$system_amount = $_POST['approve_discount_system_amount'];
	
	if(empty($_POST['approve_discount_approved_amount'])){
		$approved_amount = $request_amount;
	}else{
		$approved_amount = $_POST['approve_discount_approved_amount'];
	}
	
	$approve_discount_request = $objHospital->approve_discount_request($request_amount,$patient_id,$hospital_id,$visit_id,$visit_date,$name,$requester_id,$system_amount,$user_id,$approved_amount);
}
elseif(isset($_POST['sales_report_start_date'])){
	$start_date = $_POST['sales_report_start_date'];
	$end_date = $_POST['sales_report_end_date'];
	$user_id = $_POST['sales_report_user_id'];
	
	$get_payments_days = $objHospital->get_periodic_payments_days($start_date,$end_date,$user_id);
	if(empty($get_payments_days)){
		echo'<tr><td colspan="9" style="color:green;"><center>There are no payments made yet</center></td></tr>';
	}else{
		$total_paid = 0;
		$total_balance = 0;
		$total_bill = 0;
		foreach($get_payments_days as $days){
			$date_added = $days['date_added'];
			echo'<tr><td colspan="9" style="font-weight:bold; text-align:left; line-height:0.7rem; background-color:#E5E4E2;">'.date('D d-M-Y',strtotime($date_added)).'</td></tr>';
			
			$get_visit_payments = $objHospital->get_visit_payment_by_days($date_added,$user_id);
			if(empty($get_visit_payments)){
				echo'<tr><td colspan="7" style="color:green;"><center>There are no payments made yet</center></td></tr>';
			}else{ 
				//Get all bills
				$total_paid_daily = 0;
				$total_balance_daily = 0;
				$total_bill_daily = 0;
				foreach($get_visit_payments as $payment){
					$invoice_no  = $payment['invoice_no']; 
					$hospital_id  = $payment['hospital_id']; 
					$patient_id  = $payment['patient_id']; 
					$visit_id  = $payment['visit_id']; 
					$visit_date  = $payment['visit_date']; 
					$date_added = $payment['date_added'];
					
					if(empty($payment['patient_name'])){
						$patient_name = 'Walkin-Patient';
						$gender = 'N/A';
						$age = 'N/A';
					}else{
						$patient_name = $payment['patient_name'];
						$gender = $payment['gender'];
						$age = $payment['age'];
					}
					
					$amount_paid = $payment['paid'];
					
					//Get the visits total bill
					$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id);
					
					$bill_balance = floatval($get_total) - floatval($amount_paid);
					
					$total_paid += $amount_paid;
					$total_balance += $bill_balance;
					$total_bill += $get_total;
					
					//Daily totals
					$total_paid_daily += $amount_paid;
					$total_balance_daily += $bill_balance;
					$total_bill_daily += $get_total;
					
					echo'
					<tr>
						<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
						<td><center>'.$patient_name.'</center></td>
						<td><center>'.$gender.'</center></td>
						<td><center>'.$age.'</center></td>
						<td><center>'.number_format($get_total,0,0,',').'</center></td>
						<td><center>'.number_format($amount_paid,0,0,',').'</center></td>
						<td><center>';
						if($bill_balance == '0'){
							echo'<span style="color:#36454F;">'.number_format($bill_balance,0,0,',').'</span>';
						}else{
							echo'<span style="color:red;">'.number_format($bill_balance,0,0,',').'</span>';
						}
						echo'</center></td>
						<td><center>'.$invoice_no.'</center></td>
						<td>
							<center><button class="btn btn-success dispense_medicine_button"  data-toggle="modal" data-target="#dispense_medicine_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-name="'.$patient_name.'" data-gender="'.$gender.'" data-age="'.$age.'">Details</button>
							</center>
						</td>
					</tr>
					
					';
				}
			}
			echo'<tr>
				<th scope="col" style="color:blue; font-weight:bold;"><center>Daily Total</center></th>
				<th scope="col"><center> </center></th>
				<th scope="col"><center> </center></th>
				<th scope="col"><center> </center></th>
				<th scope="col" style="font-weight:bold;"><center>'.number_format(floatval($total_bill_daily),0,0,',').'</center></th>
				<th scope="col" style="color:blue; font-weight:bold;"><center>'.number_format(floatval($total_paid_daily),0,0,',').'</center></th>
				<th scope="col" style="color:red; font-weight:bold;"><center>'.number_format(floatval($total_balance_daily),0,0,',').'</center></th>
				<th scope="col"><center> </center></th>
				<th scope="col"><center> </center></th>
			</tr>';
		}
		echo'<tr>
			<th scope="col" style="color:blue; font-weight:bold;"><center>Total</center></th>
			<th scope="col"><center> </center></th>
			<th scope="col"><center> </center></th>
			<th scope="col"><center> </center></th>
			<th scope="col" style="font-weight:bold;"><center>'.number_format(floatval($total_bill),0,0,',').'</center></th>
			<th scope="col" style="color:blue; font-weight:bold;"><center>'.number_format(floatval($total_paid),0,0,',').'</center></th>
			<th scope="col" style="color:red; font-weight:bold;"><center>'.number_format(floatval($total_balance),0,0,',').'</center></th>
			<th scope="col"><center> </center></th>
			<th scope="col"><center> </center></th>
		</tr>';
	}
	
}
elseif(isset($_POST['receivables_report_start_date'])){
	$start_date = $_POST['receivables_report_start_date'];
	$end_date = $_POST['receivables_report_end_date'];
	$user_id = $_POST['receivables_report_user_id'];
	
	$get_visit_payments = $objHospital->get_periodic_visit_payments($start_date,$end_date,$user_id);
	if(empty($get_visit_payments)){
		echo'<tr><td colspan="7" style="color:green;"><center>There are no payments made yet</center></td></tr>';
	}else{ 
		$total_paid = 0;
		$total_balance = 0;
		//Get all bills
		foreach($get_visit_payments as $payment){
			$invoice_no  = $payment['invoice_no']; 
			$hospital_id  = $payment['hospital_id']; 
			$patient_id  = $payment['patient_id']; 
			$visit_id  = $payment['visit_id']; 
			$visit_date  = $payment['visit_date']; 
			$date_added = $payment['date_added'];
			
			if(empty($payment['patient_name'])){
				$patient_name = 'Walkin-Patient';
				$gender = 'N/A';
				$age = 'N/A';
			}else{
				$patient_name = $payment['patient_name'];
				$gender = $payment['gender'];
				$age = $payment['age'];
			}
			
			$amount_paid = $payment['paid'];
			
			$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id);
			
			$bill_balance = floatval($get_total) - floatval($amount_paid);
			
			$total_paid += $amount_paid;
			$total_balance += $bill_balance;
			if($bill_balance == '0'){
				//Do nothing
			}else{
				echo'
				<tr>
					<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
					<td><center>'.$patient_name.'</center></td>
					<td><center>'.$gender.'</center></td>
					<td><center>'.$age.'</center></td>
					<td><center><span style="color:red;">'.number_format($bill_balance,0,0,',').'</span></center></td>
					<td><center>'.$invoice_no.'</center></td>
					<td>
						<center><button class="btn btn-success dispense_medicine_button"  data-toggle="modal" data-target="#dispense_medicine_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-name="'.$patient_name.'" data-gender="'.$gender.'" data-age="'.$age.'">Details</button>
						</center>
					</td>
				</tr>
				
				';
			}
		}
		
		echo'<tr>
			<th scope="col" style="color:blue;"><center>Total</center></th>
			<th scope="col"><center> </center></th>
			<th scope="col"><center></center></th>
			<th scope="col" style="color:blue;"><center></center></th>
			<th scope="col" style="color:red;"><center>'.number_format(floatval($total_balance),0,0,',').'</center></th>
			<th scope="col"><center> </center></th>
			<th scope="col"><center> </center></th>
		</tr>';
	}
}
elseif(isset($_POST['search_service_name'])){
	$searched_product_name = $_POST['search_service_name']; 
	$user_id = $_POST['search_service_user_id']; 
	$dept = $_POST['search_service_dept']; 
	
	$search_service = $objHospital->search_service($searched_product_name,$dept,$user_id);

	if(empty($search_service)){
		echo'<tr><td colspan="3" style="color:red;"><center>There are no Products/Services with such search terms in the system yet</center></td></tr>';
	}else{
		if($dept == "Pharmacy"){
			foreach($search_service as $product){
				$product_id = $product['pharmacy_product_id'];
				$product_name = $product['product_name'];
				$unit_strength = $product['unit_strength'];
				$hospital_id = $product['hospital_id'];
				
				//Get stock details
				$get_product = $objHospital->getlast_stock_entry_prices($product_id,$hospital_id);
				if(empty($get_product)){
					$get_product_2 = $objHospital->get_product_by_product_id($product_id,$hospital_id);
					foreach($get_product_2 as $product){
						$selling_price = $product['selling_price'];
					}
				}else{
					foreach($get_product as $product){
						$selling_price = $product['sell_price'];
					}
				}
				
				$total_issued = $objHospital->get_total_issue($product_id, $hospital_id);
				$total_received = $objHospital->get_total_received($product_id, $hospital_id);
				$balance = $objHospital->get_pharmacy_balance($product_id, $hospital_id);
				if(empty($total_issued)){
					$total_issue = 0;
				}else{
					$total_issue = $total_issued;
				}
				
				if(empty($total_received)){
					$received = 0;
				}else{
					$received = $total_received;
				}
				
				$in_stock = intval($received) - intval($total_issue);
				echo'<tr class="search_term_result" data-product-id="'.$product_id.'" data-product-name="'.$product_name.'" data-hospital-id="'.$hospital_id.'" data-cost="'.$selling_price.'">
					<td><center>'.$product_name.'</center></td>
					<td><center>'.$unit_strength.'</center></td>
					<td><center>'.number_format(floatval($selling_price),0,0,',').'</center></td>
				</tr>';
			}
		}elseif($dept == "Radiology"){
			foreach($search_service as $image){
				$request_id = $image['imaging_id'];
				$request_name = $image['imaging_name'];
				$hospital_id = $image['hospital_id'];
				$cost = $image['cost'];
				echo'<tr class="search_term_result" data-product-id="'.$request_id.'" data-product-name="'.$request_name.'" data-hospital-id="'.$hospital_id.'" data-cost="'.$cost.'">
					<td><center>'.$request_name.'</center></td>
					<td><center> _ </center></td>
					<td><center>'.number_format(floatval($cost),0,0,',').'</center></td>
				</tr>';
			}
		}elseif($dept == "Laboratory"){
			foreach($search_service as $tests){
				$test_menu_id = $tests['test_menu_id'];
				$test_name = $tests['test_name'];
				$hospital_id = $tests['hospital_id'];
				$cost = $tests['cost'];
				echo'<tr class="search_term_result" data-product-id="'.$test_menu_id.'" data-product-name="'.$test_name.'" data-hospital-id="'.$hospital_id.'" data-cost="'.$cost.'">
					<td><center>'.$test_name.'</center></td>
					<td><center> _ </center></td>
					<td><center>'.number_format(floatval($cost),0,0,',').'</center></td>
				</tr>';
			}
		}elseif($dept == "Clinical Services"){
			foreach($search_service as $service){
				$service_id = $service['service_id'];
				$service_name = $service['service_name'];
				$hospital_id = $service['hospital_id'];
				$cost = $service['cost'];
				echo'<tr class="search_term_result" data-product-id="'.$service_id.'" data-product-name="'.$service_name.'" data-hospital-id="'.$hospital_id.'" data-cost="'.$cost.'">
					<td><center>'.$service_name.'</center></td>
					<td><center> _ </center></td>
					<td><center>'.number_format(floatval($cost),0,0,',').'</center></td>
				</tr>';
			}
		}
	}
}
elseif(isset($_POST['get_product_exp_id'])){
	$product_id = $_POST['get_product_exp_id'];
	$user_id = $_POST['get_product_exp_user_id'];
	$product_name = $_POST['get_product_exp_name'];
	
	$get_exp_details = $objHospital->get_product_exp_details($product_id,$user_id);
	if(empty($get_exp_details)){
		echo'<tr>
			<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.$product_name.'</center></td>
			<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>_</center></td>
			<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>_</center></td>
		</tr>';
	}else{
		foreach($get_exp_details as $product){
			$product_id = $product['product_id'];
			$product_name = $product['product_name'];
			$exp_date = $product['exp_date'];
			$lot_no = $product['lot_no'];
			$hospital_id = $product['hospital_id'];
			
			echo'<tr>
				<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.$product_name.'</center></td>
				<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.$lot_no.'</center></td>
				<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.date('d-m-Y',strtotime($exp_date)).'</center></td>
			</tr>';
		}
	}
}
elseif(isset($_POST['walkin_product_id'])){
	$product_id = implode(',',$_POST['walkin_product_id']);
	$product_name = implode(',',$_POST['walkin_product_name']);
	$cost = implode(',',$_POST['walkin_service_cost']);
	$qty = implode(',',$_POST['walkin_qty']);
	$amount = implode(',',$_POST['walkin_product_amount']);
	$dept = implode(',',$_POST['walkin_product_dept']);
	$hospital_id = implode(',',$_POST['walkin_product_hospital_id']);
	
	$user_id = $_POST['walkin_user_id'];
	$amount_due = $_POST['total_amount_to_pay'];
	$amount_paid = $_POST['amount_paid'];
	$patient_name = $_POST['walkin_patient_name'];
	$gender = $_POST['walkin_gender'];
	$age = $_POST['walkin_age'];
	$phone = $_POST['walkin_phone_number'];
	$address = $_POST['walkin_address'];
	
	$hospital_id = $objHospital->get_hospital_id($user_id);
	
	//Get last visit id
	$get_last_visit = $objHospital->get_last_visit($hospital_id);
	if(empty($get_last_visit)){
		$visit_id = 1;
	}else{
		foreach($get_last_visit as $visit){
			$visit = $visit['visit_id'];
			$visit_id = intval($visit) + 1;
		}
	}
	
	$save_walkin_sale = $objHospital->save_walkin_sale($product_id,$product_name,$cost,$qty,$amount,$hospital_id,$dept,$user_id,$amount_due,$amount_paid,$patient_name,$gender,$age,$phone,$address,$visit_id);
}
elseif(isset($_POST['delete_request_reason'])){
	$reason = $_POST['delete_request_reason'];
	$user_id = $_POST['delete_request_user_id'];
	$patient_id = $_POST['delete_request_patient_id'];
	$hospital_id = $_POST['delete_request_hospital_id'];
	$request_id = $_POST['delete_request_request_id'];
	$request_name = $_POST['delete_request_request_name'];
	$department = $_POST['delete_request_department'];
	
	$delete_requested_service = $objHospital->delete_requested_service($reason,$patient_id,$hospital_id,$request_id,$user_id,$department,$request_name); 
	
	//Get super admin email
	$get_super_admin = $objHospital->get_super_admin($user_id);
	foreach($get_super_admin as $row){
		$admin_first_name = $row['first_name'];
		$admin_last_name = $row['last_name'];
		$admin_email = $row['email'];
	}
	
	//Get user details
	$user_details = $objHospital->get_user($user_id);
	foreach($user_details as $user){
		$first_name = $user['first_name'];
		$last_name = $user['last_name'];
	}
	
	//Get patient details
	$patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
	foreach($patient_details as $patient){
		$patient_first_name = $patient['first_name'];
		$patient_last_name = $patient['last_name'];
	}
	
	//Send email to super admin
	//Server settings
	//$objPHPMailer->SMTPDebug = SMTP::DEBUG_SERVER;
	$objPHPMailer->isSMTP();
	$objPHPMailer->Host = 'ssl://smtp.gmail.com:465';
	$objPHPMailer->SMTPAuth = true;
	$objPHPMailer->Username = 'ahmadabdulauthor@gmail.com';
	$objPHPMailer->Password = 'vqjaogiyrmhmynxq';
	$objPHPMailer->SMTPSecure = 'ssl';
	$objPHPMailer->Port  = 465;
	$objPHPMailer->SMTPOptions = array(
        'ssl' => array(
            'verify_peer' => false,
            'verify_peer_name' => false,
            'allow_self_signed' => true
        )
    );
	
	//sender and recipient
	$objPHPMailer->setFrom('support@jupytertechnologies.com', 'Mailer');
    $objPHPMailer->addAddress($admin_email, $admin_first_name);     //Add a recipient
    $objPHPMailer->addReplyTo('support@jupytertechnologies.com', 'Support Team');
	
	//Content
    $objPHPMailer->isHTML(true);                                  //Set email format to HTML
    $objPHPMailer->Subject = "Critical action on JupyterHMS system at".date('d-M-Y H:i:s');
    $objPHPMailer->Body = "Hello ".$admin_first_name.", \n The ".$request_name." request for patient: ".$patient_first_name." ".$patient_last_name." has been deleted by ".$first_name." ".$last_name.".
	\n Reason: ".$reason." \n Date and Time: ".date('d-M-Y H:i:s');
	
	$objPHPMailer->send();
}




















?>