<?php 

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';
include '../assets/PHPMailer/src/Exception.php';
include '../assets/PHPMailer/src/PHPMailer.php';
include '../assets/PHPMailer/src/SMTP.php';

$objHospital = new Hospitals();
$objPHPMailer = new PHPMailer(true);

if(isset($_POST['patient_first_name'])){
	$first_name = $_POST['patient_first_name'];
	$middle_name = $_POST['patient_middle_name'];
	$last_name = $_POST['patient_last_name'];
	$gender = $_POST['patient_gender'];
	$phone_number = $_POST['patient_phone_number'];
	$age_year = $_POST['patient_age_year'];
	$age_month = $_POST['patient_age_month'];
	
	if(empty($age_month) && !empty($age_year)){
		$age = $age_year;
	}elseif(!empty($age_month) && !empty($age_year)){
		$age = floatval($age_year) + (round(floatval($age_year)/12, 1));
	}elseif(!empty($age_month) && empty($age_year)){
		$age = round(floatval($age_month)/12,1);
	}
	
	
	$address = $_POST['patient_address'];
	$hospital_number = '';
	$patient_email = $_POST['patient_email'];
	$nature_of_visit = $_POST['nature_of_visit'];
	$next_of_kin = $_POST['next_of_kin'];
	$next_of_kin_phone = $_POST['next_of_kin_phone'];
	$user_id = $_POST['add_patient_user_id'];
	$snap_photo = $_POST['taken_patient_snap'];
	$department = $_POST['add_patient_department'];
	
	//Save vitals if recorded
	$systolic = $_POST['systolic'];
	$diastolic = $_POST['diastolic'];
	$heart_rate = $_POST['heart_rate'];
	$weight = $_POST['weight'];
	$temperature = $_POST['temperature'];
	$respiratory_rate = $_POST['respiratory_rate'];
	$oxygen_saturation = $_POST['oxygen_saturation'];
	$height = $_POST['height'];
	
	
	$allowed_types = array('jpg','png','jpeg','gif','JPG','PNG','JPEG','GIF');
	
	if($_FILES['patient_photo']['name'] == '' && $snap_photo == ''){
		$target_file_path = "";
		
		if(empty($systolic) && empty($diastolic) && empty($heart_rate) && empty($weight) && empty($temperature) && empty($respiratory_rate) && empty($oxygen_saturation) && empty($height)){
			$save_patient = $objHospital->save_patient($first_name,$middle_name,$last_name,$gender,$phone_number,$age,$address,$patient_email,$target_file_path,$nature_of_visit,$next_of_kin,$next_of_kin_phone,$user_id,$hospital_number,$department);
		}else{
			$save_patient = $objHospital->save_patient_with_vitals($first_name,$middle_name,$last_name,$gender,$phone_number,$age,$address,$patient_email,$target_file_path,$nature_of_visit,$next_of_kin,$next_of_kin_phone,$user_id,$hospital_number,$systolic,$diastolic,$heart_rate,$weight,$temperature,$respiratory_rate,$oxygen_saturation,$height,$department);
		}
		
	}elseif($snap_photo !== ''){
		//Convert base64 image to file image
		$image_parts = explode(";base64",$snap_photo);
		$image_type_aux = explode("image/",$image_parts[0]);
		$image_type = $image_type_aux[1];
		$image_base_64 = base64_decode($image_parts[1]);
		
		//Save the image file into the patients image folder 
		$target_file_path = '../assets/images/patient_images/'.uniqid().'.JPEG';
		file_put_contents($target_file_path,$image_base_64);
		
		if(empty($systolic) && empty($diastolic) && empty($heart_rate) && empty($weight) && empty($temperature) && empty($respiratory_rate) && empty($oxygen_saturation) && empty($height)){
			$save_patient = $objHospital->save_patient($first_name,$middle_name,$last_name,$gender,$phone_number,$age,$address,$patient_email,$target_file_path,$nature_of_visit,$next_of_kin,$next_of_kin_phone,$user_id,$hospital_number,$department);
		}else{
			$save_patient = $objHospital->save_patient_with_vitals($first_name,$middle_name,$last_name,$gender,$phone_number,$age,$address,$patient_email,$target_file_path,$nature_of_visit,$next_of_kin,$next_of_kin_phone,$user_id,$hospital_number,$systolic,$diastolic,$heart_rate,$weight,$temperature,$respiratory_rate,$oxygen_saturation,$height,$department);
		}
			
	}elseif($_FILES['patient_photo']['name'] !==''){	
		$image_name=$_FILES['patient_photo']['name'];
		$tmp_name=$_FILES['patient_photo']['tmp_name'];
		$size=$_FILES['patient_photo']['size'];
		$type=$_FILES['patient_photo']['type'];
		$error=$_FILES['patient_photo']['error'];
		
		//File upload path
		$file_name = basename($image_name);
		$target_file_path = '../assets/images/patient_images/'.$file_name;
		
		//Lets explode the image file to get its extensions
		$image_explode = explode('.',$image_name);
		$file_type = end($image_explode);
		
		if(in_array($file_type, $allowed_types)===true){
			//Store images on server
			if(move_uploaded_file($tmp_name,$target_file_path)){
				if(empty($systolic) && empty($diastolic) && empty($heart_rate) && empty($weight) && empty($temperature) && empty($respiratory_rate) && empty($oxygen_saturation) && empty($height)){
					$save_patient = $objHospital->save_patient($first_name,$middle_name,$last_name,$gender,$phone_number,$age,$address,$patient_email,$target_file_path,$nature_of_visit,$next_of_kin,$next_of_kin_phone,$user_id,$hospital_number,$department);
				}else{
					$save_patient = $objHospital->save_patient_with_vitals($first_name,$middle_name,$last_name,$gender,$phone_number,$age,$address,$patient_email,$target_file_path,$nature_of_visit,$next_of_kin,$next_of_kin_phone,$user_id,$hospital_number,$systolic,$diastolic,$heart_rate,$weight,$temperature,$respiratory_rate,$oxygen_saturation,$height,$department);
				}
			}else{
				echo'Image has not been uploaded to the server';
			}
		}else{
			echo'Image format not recognized';
		}
	}
	
}
elseif(isset($_POST['searched_patient'])){
	$patient_name = $_POST['searched_patient'];
	$user_id = $_POST['searched_patient_user_id'];
	
	$get_searched_patients = $objHospital->get_patient_by_searched_name($patient_name,$user_id);
	
	if(empty($get_searched_patients)){
		echo'<tr><td colspan="7">
			There are no patients added yet</td></tr>';
	}else{
		foreach($get_searched_patients as $patient){
			$patient_id = $patient['patient_id'];
			$hospital_id = $patient['hospital_id'];
			$patient_unique_no = $patient['patient_unique_no'];
			$first_name = $patient['first_name'];
			$last_name = $patient['last_name'];
			$other_name = $patient['other_name'];
			$gender = $patient['gender'];
			$phone_number = $patient['phone_number'];
			$age = $patient['age'];
			$date_created = date('m-d-Y',strtotime($patient['date_created']));
			
			echo'
			<tr class="patient_triage_tr" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'">
				<td><center>'.$patient_unique_no.'</center></td>
				<td colspan="2">'.$first_name.' '.$last_name.' '.$other_name.'</td>
				<td><center>'.$gender.'</center></td>
				<td><center>'.$phone_number.'</center></td>
				<td><center>'.$age.'</center></td>
				<td id="'.$patient_id.'"><center></center></td>
				<td style="width:17rem;"></td>
				<td>
					<a class="btn btn-secondary btn-sm patient_details_button" href="clerk_patient.php?patient_id='.$patient_id.'&user_id='.$user_id.'"><i class="fa fa-eye"></i></a>
					<button class="btn btn-warning btn-sm edit_patient_button" data-patient-id="'.$patient_id.'" data-toggle="modal" data-target=".edit_patient"><i class="fa fa-edit"></i></button>
					<button class="btn btn-danger btn-sm delete_patient_button" data-patient-id="'.$patient_id.'"><i class="fa fa-trash"></i></button>				
				</td>
			</tr>
			
			';
		}
	}
	
}
elseif(isset($_POST['get_searched_diagnosis'])){
	$search_term = $_POST['get_searched_diagnosis'];
	$user_id = $_POST['get_searched_diagnosis_user_id'];
	
	$get_searched_diagnosis = $objHospital->search_diagnosis($search_term,$user_id);
	
	if(empty($get_searched_diagnosis)){
		echo'<tr><td colspan="2">
			There are no Diagnoses added yet</td></tr>';
	}else{
		
		foreach($get_searched_diagnosis as $diagnosis){
			$icd_id = $diagnosis['icd_id'];
			$icd_title = $diagnosis['icd_title'];
			$icd_code = $diagnosis['icd_code'];
			
			echo'
			<tr class="icd_tr" data-icd-id="'.$icd_id.'" data-icd-name="'.$icd_title.'" data-icd-code="'.$icd_code.'">
				<td style="line-height:0.7rem;"><center>'.$icd_title.'</center></td><td style="line-height:0.7rem;"><center>'.$icd_code.'</center></td>
			</tr>
			
			';
		}
	}
	
}
elseif(isset($_POST['get_patients'])){
	$user_id = $_POST['get_patients'];
	$department = $_POST['get_patient_department'];
	if($department=='OPD' || $department==''){
		$get_patients = $objHospital->get_patients($user_id);
	
		if(empty($get_patients)){
			echo'<tr><td colspan="7">
				There are no patients added yet</td></tr>';
		}else{
			foreach($get_patients as $patient){
				$patient_id = $patient['patient_id'];
				$hospital_id = $patient['hospital_id'];
				$patient_unique_no = $patient['patient_unique_no'];
				$first_name = $patient['first_name'];
				$last_name = $patient['last_name'];
				$other_name = $patient['other_name'];
				$gender = $patient['gender'];
				$phone_number = $patient['phone_number'];
				$age = $patient['age'];
				$nature_of_visit = $patient['nature_of_visit'];
				$added_department = $patient['added_department'];
				
				if($nature_of_visit == 'Walk-In'){
					//Do nothing
				}else{
					//Chek if patient has a visit, if not display them. If yes, check whether the current visit is active, coz we dont wana display discharged patients
					$get_last_visit = $objHospital->get_one_last_visit($patient_id,$user_id);
					
					$get_the_last_visit = $objHospital->get_the_last_discharge_visit($patient_id,$user_id);
					
					if(empty($get_last_visit)){
						echo'
						<tr  data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'">
							<td><center>'.$patient_unique_no.'</center></td>
							<td colspan="2">'.$first_name.' '.$last_name.' '.$other_name.'</td>
							<td><center>'.$gender.'</center></td>
							<td><center>'.$phone_number.'</center></td>
							<td><center>'.$age.'</center></td>
							<td id="'.$patient_id.'"><center>';
							if(empty($get_the_last_visit)){
								echo'<span class="badge badge-success badge-sm send_to_doc" data-toggle="modal" data-placement="top" title="Select Doctor" data-target="#send_to_doc_modal" data-patient-id="'.$patient_id.'" data-department ="'.$department.'" style="color:white;">Send to Dr</span>';
							}else{
								//Do nothing
							}
							echo'</center></td>
							<td style="width:17rem;"></td>
							<td>
								<a class="btn btn-secondary btn-sm patient_details_button" href="clerk_patient.php?patient_id='.$patient_id.'&user_id='.$user_id.'" data-toggle="tooltip" data-placement="top" title="View Patient Details"><i class="fa fa-eye"></i></a>
								<button class="btn btn-warning btn-sm edit_patient_button" data-patient-id="'.$patient_id.'" data-toggle="modal" data-placement="top" title="Edit Patient Details" data-target=".edit_patient"><i class="fa fa-edit"></i></button>		
								<button class="btn btn-danger btn-sm delete_patient_button" data-patient-id="'.$patient_id.'" data-toggle="tooltip" data-placement="top" title="Delete Patient"><i class="fa fa-trash"></i></button>
							</td>
						</tr>
						
						';
					}else{
						foreach($get_last_visit as $visit){
							$sent_to_doctor = $visit['sent_to_doctor'];
							$visit_id = $visit['visit_id'];
							$visit_date = $visit['visit_date'];
							$discharged = $visit['discharged'];
							
							//Do not display discharged patients
							if($discharged == 'yes'){
								//Do nothing
							}else{
								echo'
								<tr  data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'">
									<td><center>'.$patient_unique_no.'</center></td>
									<td colspan="2">'.$first_name.' '.$last_name.' '.$other_name.'</td>
									<td><center>'.$gender.'</center></td>
									<td><center>'.$phone_number.'</center></td>
									<td><center>'.$age.'</center></td>
									<td id="'.$patient_id.'"><center>'; 
									if($sent_to_doctor == 'yes'){
										echo'<center><span style="color:blue;">Sent to Dr</span></center>';
									}else{
										echo'<center><span class="badge badge-success badge-sm send_to_doc" data-toggle="modal" data-placement="top" title="Select Doctor" data-target="#send_to_doc_modal" data-patient-id="'.$patient_id.'" data-department ="'.$department.'" style="color:white;">Send to Dr</span></center>';
									}
									echo'</center></td>
									<td style="width:17rem;">'; 
									$get_requests = $objHospital->get_all_requests($patient_id,$user_id);
									if(empty($get_requests)){
										//Do nothing
									}else{
										foreach($get_requests as $request){
											$request_id = $request['request_id'];
											$request_name = $request['request_name'];
											$req_department = $request['department'];
											$get_request_completion = $objHospital->get_request_completion($request_id,$req_department,$user_id);
											if($get_request_completion == 'yes'){
												echo'<span class="badge badge-sm badge-primary" style="font-size:10px;">'.$request_name.'</span>';
											}else{
												echo'<span class="badge badge-sm badge-danger" style="font-size:10px;">'.$request_name.'</span>';
											}
										}
									}
									echo'</td>
									<td>
										<a class="btn btn-secondary btn-sm patient_details_button" href="clerk_patient.php?patient_id='.$patient_id.'&user_id='.$user_id.'" data-toggle="tooltip" data-placement="top" title="View Patient Details"><i class="fa fa-eye"></i></a>
										<button class="btn btn-warning btn-sm edit_patient_button" data-patient-id="'.$patient_id.'" data-toggle="modal" data-placement="top" title="Edit Patient Details" data-target=".edit_patient"><i class="fa fa-edit"></i></button>
										<button class="btn btn-success btn-sm follow_up_patient_btn" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-toggle="modal" data-target="#followup_modal" data-placement="top" title="Discharge Patient"><i class="fa fa-hand-paper-o"></i></button>		
										<button class="btn btn-danger btn-sm delete_patient_button" data-patient-id="'.$patient_id.'" data-toggle="tooltip" data-placement="top" title="Delete Patient"><i class="fa fa-trash"></i></button>
									</td>
								</tr>
								
								';
							}
						}
					}
				}
			}
		}
	}else{
		$get_patient_by_dept = $objHospital->get_patient_by_dept($user_id,$department);
	
		if(empty($get_patient_by_dept)){
			echo'<tr><td colspan="7">
				There are no patients added yet</td></tr>';
		}else{
			foreach($get_patient_by_dept as $patient){
				$patient_id = $patient['patient_id'];
				$hospital_id = $patient['hospital_id'];
				$patient_unique_no = $patient['patient_unique_no'];
				$first_name = $patient['first_name'];
				$last_name = $patient['last_name'];
				$other_name = $patient['other_name'];
				$gender = $patient['gender'];
				$phone_number = $patient['phone_number'];
				$age = $patient['age'];
				$nature_of_visit = $patient['nature_of_visit'];
				
				if($nature_of_visit == 'Walk-In'){
					//Do nothing
				}else{
					//Chek if patient has a visit, if not display them. If yes, check whether the current visit is active, coz we dont wana display discharged patients
					$get_last_visit = $objHospital->get_one_last_visit($patient_id,$user_id);
					if(empty($get_last_visit)){
						echo'
						<tr  data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'">
							<td><center>'.$patient_unique_no.'</center></td>
							<td colspan="2">'.$first_name.' '.$last_name.' '.$other_name.'</td>
							<td><center>'.$gender.'</center></td>
							<td><center>'.$phone_number.'</center></td>
							<td><center>'.$age.'</center></td>
							<td id="'.$patient_id.'"><center>';
							if(empty($get_the_last_visit)){
								echo'<span class="badge badge-success badge-sm send_to_doc" data-toggle="modal" data-placement="top" title="Select Doctor" data-target="#send_to_doc_modal" data-patient-id="'.$patient_id.'" data-department ="'.$department.'" style="color:white;">Send to Dr</span>';
							}else{
								//Do nothing
							}
							echo'</center></td>
							<td style="width:17rem;"></td>
							<td>
								<a class="btn btn-secondary btn-sm patient_details_button" href="clerk_patient.php?patient_id='.$patient_id.'&user_id='.$user_id.'" data-toggle="tooltip" data-placement="top" title="View Patient Details"><i class="fa fa-eye"></i></a>
								<button class="btn btn-warning btn-sm edit_patient_button" data-patient-id="'.$patient_id.'" data-toggle="modal" data-placement="top" title="Edit Patient Details" data-target=".edit_patient"><i class="fa fa-edit"></i></button>		
								<button class="btn btn-danger btn-sm delete_patient_button" data-patient-id="'.$patient_id.'" data-toggle="tooltip" data-placement="top" title="Delete Patient"><i class="fa fa-trash"></i></button>
							</td>
						</tr>
						
						';
					}else{
						foreach($get_last_visit as $visit){
							$sent_to_doctor = $visit['sent_to_doctor'];
							$visit_id = $visit['visit_id'];
							$visit_date = $visit['visit_date'];
							$discharged = $visit['discharged'];
							
							//Do not display discharged patients
							if($discharged == 'yes'){
								//Do nothing
							}else{
								echo'
								<tr  data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'">
									<td><center>'.$patient_unique_no.'</center></td>
									<td colspan="2">'.$first_name.' '.$last_name.' '.$other_name.'</td>
									<td><center>'.$gender.'</center></td>
									<td><center>'.$phone_number.'</center></td>
									<td><center>'.$age.'</center></td>
									<td id="'.$patient_id.'"><center>'; 
									if($sent_to_doctor == 'yes'){
										echo'<center><span style="color:blue;">Sent to Dr</span></center>';
									}else{
										echo'<center><span class="badge badge-success badge-sm send_to_doc" data-toggle="modal" data-placement="top" title="Select Doctor" data-target="#send_to_doc_modal" data-patient-id="'.$patient_id.'" data-department ="'.$department.'" style="color:white;">Send to Dr</span></center>';
									}
									echo'</center></td>
									<td style="width:17rem;">'; 
									$get_requests = $objHospital->get_all_requests($patient_id,$user_id);
									if(empty($get_requests)){
										//Do nothing
									}else{
										foreach($get_requests as $request){
											$request_id = $request['request_id'];
											$request_name = $request['request_name'];
											$department = $request['department'];
											$get_request_completion = $objHospital->get_request_completion($request_id,$department,$user_id);
											if($get_request_completion == 'yes'){
												echo'<span class="badge badge-sm badge-primary" style="font-size:10px;">'.$request_name.'</span>';
											}else{
												echo'<span class="badge badge-sm badge-danger" style="font-size:10px;">'.$request_name.'</span>';
											}
										}
									}
									echo'</td>
									<td>
										<a class="btn btn-secondary btn-sm patient_details_button" href="clerk_patient.php?patient_id='.$patient_id.'&user_id='.$user_id.'" data-toggle="tooltip" data-placement="top" title="View Patient Details"><i class="fa fa-eye"></i></a>
										<button class="btn btn-warning btn-sm edit_patient_button" data-patient-id="'.$patient_id.'" data-toggle="modal" data-placement="top" title="Edit Patient Details" data-target=".edit_patient"><i class="fa fa-edit"></i></button>
										<button class="btn btn-success btn-sm follow_up_patient_btn" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-toggle="modal" data-target="#followup_modal" data-placement="top" title="Discharge Patient"><i class="fa fa-hand-paper-o"></i></button>		
										<button class="btn btn-danger btn-sm delete_patient_button" data-patient-id="'.$patient_id.'" data-toggle="tooltip" data-placement="top" title="Delete Patient"><i class="fa fa-trash"></i></button>
									</td>
								</tr>
								
								';
							}
						}
					}
				}
			}
		}
	}
	
	
}
elseif(isset($_POST['send_patient_to_doc_id'])){
	$patient_id = $_POST['send_patient_to_doc_id'];
	$user_id = $_POST['send_patient_to_doc_user_id'];
	$department = $_POST['send_patient_to_doc_dept'];
	
	$send_patient_to_doc = $objHospital->send_patient_to_doc($patient_id,$department,$user_id);
}
elseif(isset($_POST['add_symptom_name'])){
	$symptom_name = $_POST['add_symptom_name'];
	$user_id = $_POST['add_symptom_user_id'];
	
	$add_symptom = $objHospital->add_symptom($symptom_name,$user_id);
}
elseif(isset($_POST['get_searched_triaged_patient'])){
	$patient_name = $_POST['get_searched_triaged_patient'];
	$user_id = $_POST['get_searched_triaged_user_id'];
	
	$get_triaged_patients = $objHospital->get_patient_by_searched_name($patient_name,$user_id);
	
	if(empty($get_triaged_patients)){
		//Do nothing
	}else{
		foreach($get_triaged_patients as $patient){
			$patient_id = $patient['patient_id'];
			$hospital_id = $patient['hospital_id'];
			$patient_unique_no = $patient['patient_unique_no'];
			$first_name = $patient['first_name'];
			$last_name = $patient['last_name'];
			$other_name = $patient['other_name'];
			$gender = $patient['gender'];
			$phone_number = $patient['phone_number'];
			$age = $patient['age'];
			$date_created = date('m-d-Y',strtotime($patient['date_created']));
			
			echo'
			<tr class="patient_tr" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'">
				<td><center>'.$date_created.'</center></td>
				<td><center>'.$patient_unique_no.'</center></td>
				<td colspan="2"><center>'.$first_name.' '.$last_name.' '.$other_name.'</center></td>
				<td><center>'.$gender.'</center></td>
				<td><center>'.$phone_number.'</center></td>
				<td><center>'.$age.'</center></td>
				<td><center>'.$date_created.'</center></td>
			</tr>';
		}
	}
	
}
elseif(isset($_POST['edit_patient_id'])){
	$patient_id = $_POST['edit_patient_id'];
	$user_id = $_POST['user_staff_patient_id'];
	
	$edit_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
	foreach($edit_patient as $patient){
		$hospital_no = $patient['hospital_no'];
		$first_name = $patient['first_name'];
		$last_name = $patient['last_name'];
		$other_name = $patient['other_name'];
		$gender = $patient['gender'];
		$phone_number = $patient['phone_number'];
		$age = $patient['age'];
		$address = $patient['address'];
		$email = $patient['email'];
		$nature_of_visit = $patient['nature_of_visit'];
		$next_of_kin = $patient['next_of_kin'];
		$next_of_kin_phone = $patient['next_of_kin_phone'];
		$image = $patient['image'];
		echo'
			<div class="card">
				<div class="card-body">
					<div class="basic-form">
						<div class="form-row">
							<div class="form-group col-md-4">
								<label><span style="color:black;">First Name</span></label>
								<input type="text" name="edit_patient_first_name" class="form-control" placeholder="'.$first_name.'">
							</div>
							<div class="form-group col-md-4">
								<label><span style="color:black;">Other Name</span></label>
								<input type="text" name="edit_patient_other_name" class="form-control" placeholder="'.$other_name.'">
							</div>
							<div class="form-group col-md-4">
								<label><span style="color:black;">Last Name</span></label>
								<input type="text" name="edit_patient_last_name" class="form-control" placeholder="'.$last_name.'">
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-6">
								<label><span style="color:black;">Gender</span></label>
								<select type="text" class="form-control" name="edit_patient_gender" >
									<option value="Male">Male</option>
									<option value="Female">Female</option>
								</select>
							</div>
							<div class="form-group col-md-6">
								<label><span style="color:black;">Phone Number</span></label>
								<input type="text" name="edit_patient_phone_number" class="form-control" placeholder="'.$phone_number.'">
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-4">
								<label><span style="color:black;">Age</span></label>
								<input type="text" name="edit_patient_age" class="form-control" placeholder="'.$age.'">
							</div>
							<div class="form-group col-md-4">
								<label><span style="color:black;">Physical Address</span></label>
								<input type="text" name="edit_patient_address" class="form-control" placeholder="'.$address.'">
							</div>
							<div class="form-group col-md-4">
								<label><span style="color:black;">Hospital Number</span></label>
								<input type="text" name="edit_hospital_number" class="form-control" placeholder="'.$hospital_no.'">
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-6">
								<label><span style="color:black;">Assign a Doctor</span></label>
								<select class="form-control" name="edit_assigned_doctor" style="width:100%;" required>';
								
									$get_doctors = $objHospital->get_all_doctors($user_id);
									if(empty($get_doctors)){
										echo'<option>There are no Doctors yet</option>';
									}else{
										foreach($get_doctors as $doctors){
											$first_name = $doctors['first_name'];
											$last_name = $doctors['last_name'];
											echo'<option>'.$first_name.' '.$last_name.'</option>';
										}
									}
									echo'</select>
							</div>
							<div class="form-group col-md-6">
								<label><span style="color:black;">Attach Photo</span></label>
								<div class="custom-file">
									<input type="file" name="edit_patient_image" id="edit_patient_image" class="custom-file-input">
									<label class="custom-file-label">Choose file</label>
								</div>
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-4">
								<label><span style="color:black;">Nature of Visit</span></label>
								<select class="form-control" name="edit_nature_of_visit">
									<option value="First-time">First-time</option>
									<option value="Return">Return</option>
								</select>
							</div>
							<div class="form-group col-md-4">
								<label><span style="color:black;">Next of Kin Name</span><span style="color:red;">*</span></label>
								<input type="text" name="edit_next_of_kin" class="form-control" placeholder="'.$next_of_kin.'">
							</div>
							<div class="form-group col-md-4">
								<label><span style="color:black;">Next of Kin Phone Number</span><span style="color:red;">*</span></label>
								<input type="text" name="edit_next_of_kin_phone" class="form-control" placeholder="'.$next_of_kin_phone.'">
							</div>
							
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<input type="hidden" name="edit_patient_user_id" value="'.$user_id.'">
				<input type="hidden" name="editted_patient_id" value="'.$patient_id.'">
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
				<button type="submit" class="btn btn-primary">Submit</button>
			</div>
		';
	}
}
elseif(isset($_POST['edit_patient_first_name'])){
	$first_name = $_POST['edit_patient_first_name'];
	$other_name = $_POST['edit_patient_other_name'];
	$last_name = $_POST['edit_patient_last_name'];
	$gender = $_POST['edit_patient_gender'];
	$phone_number = $_POST['edit_patient_phone_number'];
	$age = $_POST['edit_patient_age'];
	$address = $_POST['edit_patient_address'];
	$hospital_no = $_POST['edit_hospital_number'];
	$assigned_doctor = $_POST['edit_assigned_doctor'];
	$nature_of_visit = $_POST['edit_nature_of_visit'];
	$next_of_kin = $_POST['edit_next_of_kin'];
	$next_of_kin_phone = $_POST['edit_next_of_kin_phone'];
	$user_id = $_POST['edit_patient_user_id'];
	$patient_id = $_POST['editted_patient_id'];
	
	$allowed_types = array('jpg','png','jpeg','gif','JPG','PNG','JPEG','GIF');
	
	if($_FILES['edit_patient_image']['name']==''){
		$target_file_path = "";
		$edit_patient = $objHospital->edit_patient($first_name,$other_name,$last_name,$gender,$phone_number,$age,$address,$target_file_path,$hospital_no,$assigned_doctor,$user_id,$next_of_kin,$next_of_kin_phone,$nature_of_visit,$patient_id);
	}else{	
		$image_name=$_FILES['edit_patient_image']['name'];
		$tmp_name=$_FILES['edit_patient_image']['tmp_name'];
		$size=$_FILES['edit_patient_image']['size'];
		$type=$_FILES['edit_patient_image']['type'];
		$error=$_FILES['edit_patient_image']['error'];
		
		//File upload path
		$file_name = basename($image_name);
		$target_file_path = '../assets/images/staff_images/'.$file_name;
		
		//Lets explode the image file to get its extensions
		$image_explode = explode('.',$image_name);
		$file_type = end($image_explode);
		
		if(in_array($file_type, $allowed_types)===true){
			//Store images on server
			if(move_uploaded_file($tmp_name,$target_file_path)){
				$edit_patient = $objHospital->edit_patient($first_name,$other_name,$last_name,$gender,$phone_number,$age,$address,$target_file_path,$hospital_no,$assigned_doctor,$user_id,$next_of_kin,$next_of_kin_phone,$nature_of_visit,$patient_id);
			}else{
				echo'Image has not been uploaded to the server';
			}
		}else{
			echo'Image format not recognized';
		}
	}
}
elseif(isset($_POST['delete_patient_id'])){
	$patient_id = $_POST['delete_patient_id'];
	$user_id = $_POST['delete_patient_user_id'];
	
	$delete_patient = $objHospital->delete_patient($patient_id,$user_id);
	
}
elseif(isset($_POST['visit_patient_id'])){
	$patient_id = $_POST['visit_patient_id'];
	$user_id = $_POST['visit_user_id'];
	
	$get_visits = $objHospital->get_visits($patient_id,$user_id);
	if(empty($get_visits)){
		echo'<tr><td colspan="5" style="color:red;"><center>There are no visits for this patient yet</center></td></tr>';
	}else{
		foreach($get_visits as $visit){
			$visit_id = $visit['visit_id'];
			$visit_date = $visit['visit_date'];
			$assigned_doctor = $visit['assigned_doctor'];
			$nature_of_visit = $visit['nature_of_visit'];
			$hospital_id = $visit['hospital_id'];
			$discharged = $visit['discharged'];
			
			echo'
			<tr>
				<td><center>'.$visit_id.'</center></td>
				<td><center>'.$visit_date.'</center></td>
				<td><center>'.$assigned_doctor.'</center></td>
				<td><center>'.$nature_of_visit.'</center></td>
				<td><center>';
				//Get total bills
				$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id); 
				//Get total payments
				$get_total_bill_payment = $objHospital->get_total_bill_payment($patient_id, $hospital_id, $visit_id);
				//Check if there is a discount
				$get_visit_discount = $objHospital->get_visit_discount($patient_id, $hospital_id, $visit_id);
				
				$balance = $get_total - $get_total_bill_payment;
				
				if(empty($get_visit_discount)){
					echo number_format(floatval($balance),0,0,',');
				}else{
					foreach($get_visit_discount as $discount){
						$approved_amount = $discount['approved_amount'];
					}
					echo number_format(floatval($approved_amount),0,0,',').'<sub><span class="badge badge-info" style="border-radius:25px;">D</span><sub>';
				}
				
				echo'</center></td>
				<td><center>';
				if($discharged=='yes'){
					echo'<div class="badge badge-success">Discharged</div>';
				}else{
					echo'<div class="badge badge-warning">Not Yet Discharged</div>';
				}
				
				echo'</center></td>
				<td><center><button class="btn btn-success btn-sm" data-visit-id="'.$visit_id.'">Details</button></center></td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['visit_assigned_doctor'])){
	
	$visit_assigned_doctor = $_POST['visit_assigned_doctor'];
	$visit_nature_of_visit = $_POST['visit_nature_of_visit'];
	$visit_type_of_visit = $_POST['visit_type_of_visit'];
	$visit_hospital_id = $_POST['visit_hospital_id'];
	$visit_added_by = $_POST['visit_added_by'];
	$visit_patientid = $_POST['visit_patientid'];
	
	$save_visit = $objHospital->save_visit($visit_assigned_doctor,$visit_nature_of_visit,$visit_type_of_visit,$visit_hospital_id,$visit_added_by,$visit_patientid);
	
}
elseif(isset($_POST['group_id'])){
	
	$group_id = $_POST['group_id'];
	$hospital_id = $_POST['group_hospital_id'];
	$user_id = $_POST['group_added_by'];
	$patient_id = $_POST['group_patient_id'];
	
	$assign_group = $objHospital->assign_group($group_id,$hospital_id,$user_id,$patient_id);
	
}
elseif(isset($_POST['vitals_patient_id'])){
	$vitals_patient_id = $_POST['vitals_patient_id'];
	$vitals_user_id = $_POST['vitals_user_id'];
	
	$get_vitals = $objHospital->get_vitals($vitals_patient_id,$vitals_user_id);
	if(empty($get_vitals)){
		echo'<tr><td colspan="9" style="color:red;"><center>There are no vitals taken for this patient yet</center></td></tr>';
	}else{
		foreach($get_vitals as $vitals){
			
			//Get visit date
			$visit_id = $vitals['visit_id'];
			$get_visit_by_id = $objHospital->get_visit_by_id($visit_id,$vitals_patient_id,$vitals_user_id);
			foreach($get_visit_by_id as $get_visit){
				$visit_date = date('m-d-Y',strtotime($get_visit['visit_date']));
			}
			
			$recorded_date = date('m-d-Y',strtotime($vitals['added_date']));
			$taken_by_id = $vitals['taken_by_id'];
			$systolic = $vitals['systolic'];
			$diastolic = $vitals['diastolic'];
			$heart_rate = $vitals['heart_rate'];
			$weight = $vitals['weight'];
			$temperature = $vitals['temperature'];
			$respiratory_rate = $vitals['respiratory_rate'];
			$oxygen_saturation = $vitals['oxygen_saturation'];
			$height = $vitals['height'];
			$vitals_id = $vitals['vitals_id'];
			
			if(empty($weight) || empty($height)){
				$bmi = '';
			}else{
				$body_mass_index = (floatval($weight)/((floatval($height)/100)*(floatval($height)/100)));
				if(floatval($body_mass_index) < 16.0){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Severely<br>Underweight</span>';
				}elseif(floatval($body_mass_index) >= 16.0 && floatval($body_mass_index) <= 18.4){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Underweight</span>';
				}elseif(floatval($body_mass_index) >= 18.5 && floatval($body_mass_index) <= 24.9){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Normal</span>';
				}elseif(floatval($body_mass_index) >= 25.0 && floatval($body_mass_index) <= 29.9){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Overweight</span>';
				}elseif(floatval($body_mass_index) >= 30.0 && floatval($body_mass_index) <= 34.9){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Moderately <br> Obese</span>';
				}elseif(floatval($body_mass_index) >= 35.0 && floatval($body_mass_index) <= 39.9){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Severely <br> Obese</span>';
				}elseif(floatval($body_mass_index) >= 40.0){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Morbidly <br> Obese</span>';
				}
			}
			
			if(empty($systolic) || empty($diastolic)){
				$blood_pressure = '';
			}else{
				if(floatval($systolic) <= 120 && floatval($diastolic) < 80){
					$blood_pressure = '<span style="color:blue;">'.$systolic.'/'.$diastolic.'</span>';
				}elseif((floatval($systolic) > 120 && floatval($systolic) <= 129) && floatval($diastolic) < 80){
					$blood_pressure = '<span style="color:red;">'.$systolic.'/'.$diastolic.'</span>';
				}elseif((floatval($systolic) >= 130 && floatval($systolic) <= 139) || (floatval($diastolic) >= 80 && floatval($diastolic) <= 89)){
					$blood_pressure = '<span style="color:red;"><sup>*</sup>'.$systolic.'/'.$diastolic.'</span>';
				}elseif(floatval($systolic) > 140 && floatval($diastolic) >= 90){
					$blood_pressure = '<span style="color:red;"><sup>**</sup>'.$systolic.'/'.$diastolic.'</span>';
				}
				
			}
			
			echo'
			<tr>
				<td><center>'.$visit_date.'</center></td>
				<td><center>'.$recorded_date.'</center></td>
				<td><center>'.$blood_pressure.'</center></td>
				<td><center>'.$heart_rate.'</center></td>
				<td><center>'.$weight.'</center></td>
				<td><center>'.$temperature.'</center></td>
				<td><center>'.$respiratory_rate.'</center></td>
				<td><center>'.$oxygen_saturation.'</center></td>
				<td><center>'.$height.'</center></td>
				<td><center>'.$bmi.'</center></td>
				<td>
					<center><button type="button" class="btn btn-sm btn-danger delete_vitals_button" data-vitals-id="'.$vitals_id.'">Delete</button><center>		
				</td>
			</tr>
			
			';
		}
	}
}elseif(isset($_POST['manage_vitals_patient_id'])){
	$vitals_patient_id = $_POST['manage_vitals_patient_id'];
	$vitals_user_id = $_POST['manage_vitals_user_id'];
	
	$get_vitals = $objHospital->get_vitals($vitals_patient_id,$vitals_user_id);

	if(empty($get_vitals)){
		echo'<tr><td colspan="9" style="color:red;"><center>There are no vitals taken for this patient yet</center></td></tr>';
	}else{
		foreach($get_vitals as $vitals){
			
			//Get visit date
			$visit_id = $vitals['visit_id'];
			$get_visit_by_id = $objHospital->get_visit_by_id($visit_id,$vitals_patient_id,$vitals_user_id); 
			
			foreach($get_visit_by_id as $get_visit){
				$visit_date = date('m-d-Y',strtotime($get_visit['visit_date']));
			}
			
			$recorded_date = date('m-d-Y',strtotime($vitals['added_date']));
			$taken_by_id = $vitals['taken_by_id'];
			$systolic = $vitals['systolic'];
			$diastolic = $vitals['diastolic'];
			$heart_rate = $vitals['heart_rate'];
			$weight = $vitals['weight'];
			$temperature = $vitals['temperature'];
			$respiratory_rate = $vitals['respiratory_rate'];
			$oxygen_saturation = $vitals['oxygen_saturation'];
			$height = $vitals['height'];
			$vitals_id = $vitals['vitals_id'];
			
			if(empty($weight) || empty($height)){
				$bmi = '';
			}else{
				$body_mass_index = (floatval($weight)/((floatval($height)/100)*(floatval($height)/100)));
				if(floatval($body_mass_index) < 16.0){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Severely<br>Underweight</span>';
				}elseif(floatval($body_mass_index) >= 16.0 && floatval($body_mass_index) <= 18.4){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Underweight</span>';
				}elseif(floatval($body_mass_index) >= 18.5 && floatval($body_mass_index) <= 24.9){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Normal</span>';
				}elseif(floatval($body_mass_index) >= 25.0 && floatval($body_mass_index) <= 29.9){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Overweight</span>';
				}elseif(floatval($body_mass_index) >= 30.0 && floatval($body_mass_index) <= 34.9){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Moderately <br> Obese</span>';
				}elseif(floatval($body_mass_index) >= 35.0 && floatval($body_mass_index) <= 39.9){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Severely <br> Obese</span>';
				}elseif(floatval($body_mass_index) >= 40.0){
					$bmi = '<span style="color:#FFAC1C;">'.number_format(floatval($body_mass_index),1).' - Morbidly <br> Obese</span>';
				}
			}
			
			if(empty($systolic) || empty($diastolic)){
				$blood_pressure = '';
			}else{
				if(floatval($systolic) <= 120 && floatval($diastolic) < 80){
					$blood_pressure = '<span style="color:blue;">'.$systolic.'/'.$diastolic.'</span>';
				}elseif(((floatval($systolic) > 120 && floatval($systolic) <= 129) && floatval($diastolic) < 80) || ((floatval($systolic) > 120 && floatval($systolic) <= 129) && (floatval($diastolic) >= 80 && floatval($diastolic) <= 89))){
					$blood_pressure = '<span style="color:red;">'.$systolic.'/'.$diastolic.'</span>';
				}elseif((floatval($systolic) >= 130 && floatval($systolic) <= 139) || (floatval($diastolic) >= 80 && floatval($diastolic) <= 89)){
					$blood_pressure = '<span style="color:red;"><sup>*</sup>'.$systolic.'/'.$diastolic.'</span>';
				}elseif(floatval($systolic) > 140 && floatval($diastolic) >= 90){
					$blood_pressure = '<span style="color:red;"><sup>**</sup>'.$systolic.'/'.$diastolic.'</span>';
				}
				
			}
			
			echo'
			<tr>
				<td style="color:blue;"><center>'.$visit_date.'</center></td>
				<td style="color:blue;"><center>'.$recorded_date.'</center></td>
				<td><center>'.$blood_pressure.'</center></td>
				<td style="color:blue;"><center>'.$heart_rate.'</center></td>
				<td style="color:blue;"><center>'.$weight.'</center></td>
				<td style="color:blue;"><center>'.$temperature.'</center></td>
				<td style="color:blue;"><center>'.$respiratory_rate.'</center></td>
				<td style="color:blue;"><center>'.$oxygen_saturation.'</center></td>
				<td style="color:blue;"><center>'.$height.'</center></td>
				<td><center>'.$bmi.'</center></td>
				<td>
					<center><button type="button" class="btn btn-sm btn-danger delete_vitals_button" data-vitals-id="'.$vitals_id.'">Delete</button><center>		
				</td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['vitals_visit_id'])){
	$vitals_visit_id = $_POST['vitals_visit_id'];
	$systolic = $_POST['systolic'];
	$diastolic = $_POST['diastolic'];
	$heart_rate = $_POST['heart_rate'];
	$weight = $_POST['weight'];
	$temperature = $_POST['temperature'];
	$respiratory_rate = $_POST['respiratory_rate'];
	$oxygen_saturation = $_POST['oxygen_saturation'];
	$height = $_POST['height'];
	$vitals_hospital_id = $_POST['vitals_hospital_id'];
	$vitals_user_id = $_POST['vitals_added_by'];
	$vitals_patientid = $_POST['vitals_patientid'];
	
	$save_vitals = $objHospital->save_vitals($vitals_visit_id,$systolic,$diastolic,$heart_rate,$weight,$temperature,$respiratory_rate,$oxygen_saturation,$height,$vitals_hospital_id,$vitals_user_id,$vitals_patientid);
}
elseif(isset($_POST['delete_vitals_id'])){
	$delete_vitals_id = $_POST['delete_vitals_id'];
	$delete_vitals_user_id = $_POST['delete_vitals_user_id'];
	
	$delete_vitals = $objHospital->delete_vitals($delete_vitals_id,$delete_vitals_user_id);
}
elseif(isset($_POST['manage_patient_id'])){
	$patient_id = $_POST['manage_patient_id'];
	$user_id = $_POST['manage_user_id'];
	
	$get_visits = $objHospital->get_visits($patient_id,$user_id);
	if(empty($get_visits)){
		echo'<tr><td colspan="6" style="color:red;"><center>There are no visits for this patient yet</center></td></tr>';
	}else{
		foreach($get_visits as $visit){
			$visit_id = $visit['visit_id'];
			$hospital_id = $visit['hospital_id'];
			$visit_date = $visit['visit_date'];
			$assigned_doctor = $visit['assigned_doctor'];
			$nature_of_visit = $visit['nature_of_visit'];
			$discharged = $visit['discharged'];
			$first_name = $visit['first_name'];
			$last_name = $visit['last_name'];
			
			$patient_name = $first_name.' '.$last_name;
			//Get the first case by visit id
			$get_case_by_visit_id = $objHospital->get_case_by_visit_id($patient_id,$user_id,$visit_id);
			if(empty($get_case_by_visit_id)){
				$complaint = "_";
				$final_diagnosis = "_";
			}else{
				foreach($get_case_by_visit_id as $case){
					$complaint = $case['complaint'];
					//if the final diagnosis is not yet out
					if($case['final_diagnosis']==''){
						$final_diagnosis = '_';
					}else{
						$final_diagnosis = $case['final_diagnosis'];
					}
				}
			}
			echo'
			<tr>
				<td><center>'.date('m-d-Y',strtotime($visit_date)).'</center></td>
				<td><center>'.$assigned_doctor.'</center></td>
				<td><center>'.$complaint.'</center></td>
				<td><center>'.$final_diagnosis.'</center></td>
				<td><center>';
				if($discharged=='no'){
					echo'<div class="badge badge-danger">Not yet</div>';
				}else{
					echo'<div class="badge badge-primary">Yes</div>';
				}
				
				echo'</center></td>
				<td><center><button class="btn btn-success btn-sm patient_details_btn" data-toggle="modal" data-target="#patient_details_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-visit-id="'.$visit_id.'" data-patient-name="'.$patient_name.'">Details</button></center></td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['get_predictions_term'])){
	//$user_id = $_POST['get_predictions_id'];
	$term = $_POST['get_predictions_term'];
	
	$get_predictions = $objHospital->get_predictions($term);

}
elseif(isset($_POST['case_visit_id'])){
	$case_visit_id = $_POST['case_visit_id'];
	$complaint = $_POST['complaint'];
	$examination = $_POST['examination'];
	$medical_surgical_drug_history = '';
	$family_social_history = '';
	$examination_notes = '';
	$diagnosis = '';
	$management_plan = '';
	$case_hospital_id = $_POST['case_hospital_id'];
	$case_added_by = $_POST['case_added_by'];
	$case_patientid = $_POST['case_patientid'];
	$case_visit_date = $_POST['case_visit_date'];
	
	if($case_visit_id == 'There are no visits recorded yet'){
		echo'Please first enter a visit for this patient';
	}else{
		$save_case_history = $objHospital->save_case_history($case_visit_id,$complaint,$examination,$medical_surgical_drug_history,$family_social_history,$examination_notes,$diagnosis,$management_plan,$case_hospital_id,$case_added_by,$case_patientid,$case_visit_date);
	}
}
elseif(isset($_POST['tests_requested'])){
	$tests_requested = implode(',',$_POST['tests_requested']);
	$urgency = $_POST['urgency'];
	$request_hospital_id = $_POST['request_hospital_id'];
	$request_added_by = $_POST['request_added_by'];
	$request_patientid = $_POST['request_patientid'];
	$request_visit_id = $_POST['request_visit_id'];
	$request_visit_date = $_POST['request_visit_date'];
	
	if($request_visit_id == 'There are no visits recorded yet'){
		echo'Please first enter a visit for this patient';
	}else{
		$save_lab_request = $objHospital->save_lab_request($tests_requested,$urgency,$request_hospital_id,$request_added_by,$request_patientid,$request_visit_id,$request_visit_date);
	}
}
elseif(isset($_POST['imaging_requested'])){
	$imaging_requested = implode(',',$_POST['imaging_requested']);
	$imaging_site = $_POST['imaging_site'];
	$imaging_urgency = $_POST['imaging_urgency'];
	$imaging_hospital_id = $_POST['imaging_hospital_id'];
	$imaging_added_by = $_POST['imaging_added_by'];
	$imaging_patient_id = $_POST['imaging_patient_id'];
	$imaging_visit_id = $_POST['imaging_visit_id'];
	$imaging_visit_date = $_POST['imaging_visit_date'];
	
	if($imaging_visit_id == 'There are no visits recorded yet'){
		echo'Please first enter a visit for this patient';
	}else{
		$save_imaging_request = $objHospital->save_imaging_request($imaging_requested,$imaging_site,$imaging_urgency,$imaging_hospital_id,$imaging_added_by,$imaging_patient_id,$imaging_visit_id,$imaging_visit_date);
	}
}

elseif(isset($_POST['admission_ward_id'])){
	$admission_ward = $_POST['admission_ward_id'];
	$admission_hospital_id = $_POST['admission_ward_hospital_id'];
	
	$get_bed_count = $objHospital->get_bed_count($admission_ward,$admission_hospital_id);
	if(empty($get_bed_count)){
		echo'<span style="color:green; font-weight:bold; font-size="16px"; font-style:italic;">There are no beds added in this ward yet!!!</span>';
	}else{
		foreach($get_bed_count as $count){
			$vacant = $count['vacant'];
			if(intval($vacant) == 0){
				echo'<span style="color:red; font-weight:bold; font-size="16px"; font-style:italic;">There are no vacant beds in this ward<span>';
			}else{
				echo'<span style="color:blue; font-weight:bold; font-size="16px"; font-style:italic;">There are '.$vacant.' vacant beds<span>';
			}
		}
	}
	
}
elseif(isset($_POST['admission_visit_id'])){
	$admission_visit_id = $_POST['admission_visit_id'];
	$admit_to_ward_id = $_POST['admit_to_ward_id'];
	$admission_user_id = $_POST['admission_user_id'];
	$admission_patientid = $_POST['admission_patientid'];
	$admision_hospital_id = $_POST['admision_hospital_id'];
	
	if($admission_visit_id == 'There are no visits recorded yet'){
		echo'Please first enter a visit for this patient';
	}else{
		$admit_patient = $objHospital->admit_patient($admission_visit_id,$admit_to_ward_id,$admission_user_id,$admission_patientid,$admision_hospital_id);
	}
}
elseif(isset($_POST['admitted_patient_id'])){
	$admitted_patient_id = $_POST['admitted_patient_id'];
	$admitted_user_id = $_POST['admitted_user_id'];
	
	$get_patient_admission = $objHospital->get_patient_admission($admitted_patient_id,$admitted_user_id);
	
	
	if(empty($get_patient_admission)){
		echo'<tr><td colspan="6" style="color:red;"><center>There are no admissions for this patient yet</center></td></tr>';
	}else{
		foreach($get_patient_admission as $admission){
			$admission_id = $admission['admission_id'];
			$hospital_id = $admission['hospital_id'];
			$ward_id = $admission['ward_id'];
			$bed_id = $admission['bed_id'];
			$patient_id = $admission['patient_id'];
			$visit_id = $admission['visit_id'];
			$admitted_by_id = $admission['admitted_by_id'];
			$date_admitted = $admission['date_admitted'];
			$visit_date = $admission['visit_date'];
			$discharged = $admission['discharged'];
			
			//Get department's name
			$get_ward = $objHospital->get_ward_by_id($admitted_user_id,$ward_id);
			foreach($get_ward as $ward){
				$ward_name = $ward['ward_name'];
			}
			
			echo'
			<tr>
				<td><center>'.date('d-m-Y',strtotime($date_admitted)).'</center></td>
				<td><center>'.date('h:i:s',strtotime($date_admitted)).'</center></td>
				<td><center>'.$ward_name.'</center></td>
				<td><center>';
				if($bed_id==''){
					echo'<div class="badge badge-warning">Not yet assigned</div>';
				}else{
					echo'<div class="badge badge-info">'.$bed_id.'</div>';
				}
				echo'</center></td>
				<td><center>';
				if($discharged=='no'){
					echo'<div class="badge badge-danger">Not yet</div>';
				}else{
					echo'<div class="badge badge-primary">Yes</div>';
				}
				echo'</center></td>
				<td>
					<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
					<div class="dropdown-menu dropdown-menu-right">
						<button class="badge badge-secondary dropdown-item add_bed_button" data-ward-id="'.$ward_id.'" data-toggle="modal" data-target="#add_bed_modal">Assign Bed to Patient</button>
						<!----<button class="badge badge-warning dropdown-item add_bed_button" data-ward-id="'.$ward_id.'" data-toggle="modal" data-target="#edit_bed_modal">Edit Bed</button>
						<button class="badge badge-danger dropdown-item delete_bed_button" data-ward-id="'.$ward_id.'">Delete Bed</button>--->
					</div>					
				</td>
			</tr>
			
			';
		}
	}

}
elseif(isset($_POST['service_department_name'])){
	$department = $_POST['service_department_name'];
	$user_id = $_POST['service_department_user_id'];
	
	$get_service_by_department = $objHospital->get_service_by_department($department,$user_id);
	if(empty($get_service_by_department)){
		//Do nothing
	}else{
		echo'<option>Click here to select service</option>';
		foreach($get_service_by_department as $service){
			$department_name = $service['service_name'];
			echo'<option>'.$department_name.'</option>';
		}
	}
	
}
elseif(isset($_POST['service_choice'])){
	$report = '';
	$visit_id = $_POST['service_visit_id'];
	$added_by = $_POST['service_added_by'];
	$patient_id = $_POST['service_patientid'];
	$visit_date = $_POST['service_visit_date'];
	$hospital_id = $_POST['service_hospital_id'];
		
	//Get department by Service
	$service_id = $_POST['service_choice'];
	$get_service_by_id = $objHospital->get_service_by_id($service_id,$hospital_id);
	if(empty($get_service_by_id)){
		echo'Please select atleast one service';
	}else{
		foreach($get_service_by_id as $service){
			$service_name = $service['service_name'];
			$department = $service['department_name'];
		}
		
		if($visit_id == 'There are no visits recorded yet'){
			echo'Please first enter a visit for this patient';
		}else{
			$save_service = $objHospital->save_service($department,$service_name,$report,$visit_id,$added_by,$patient_id,$visit_date,$hospital_id);
		}
	}
}
elseif(isset($_POST['search_product_name'])){
	$product = $_POST['search_product_name'];
	$user_id = $_POST['search_product_user_id'];
	
	$search_product = $objHospital->search_product($product,$user_id);
	if(empty($search_product)){
		echo'<table class="table table-bg-hover">
		<tbody>
			<tr>
				<th colspan="4"><span style="color:black; font-size:16px;">There are no Products with that search term in the system</span></th>
			</tr>
		</tbody>
		</table>';
	}else{
		echo'<table class="table table-bg-hover">
		<tbody>
			<tr>
				<th scope="col"><b>Name</b></th>
				<th scope="col"><b>Strength</b></th>
				<th scope="col"><center><b>Expiry</b></center></th>
				<th scope="col"><center><b>Stock</b></center></th>
			</tr>';
			foreach($search_product as $product){
				$product_id = $product['pharmacy_product_id'];
				$product_name = $product['product_name'];
				$product_brand = $product['product_brand'];
				$unit_strength = $product['unit_strength'];
				$product_sold_as = $product['product_sold_as'];
				$route = $product['route'];
				$dosage_unit = $product['dosage_unit'];
				
				//Get SI Units
				$get_product_units = $objHospital->get_product_units_by_id($dosage_unit,$user_id);
				if(empty($get_product_units)){
					$unit_symbol = '';
				}else{
					foreach($get_product_units as $products){
						$unit_symbol = $products['unit_symbol'];
					}
				}
				
				$product_details = $objHospital->product_stock_details($product_id,$user_id);
				if(empty($product_details)){
					$exp_date = '';
					$selling_price = '';
				}else{
					foreach($product_details as $detail){
						$exp_date = date('d-m-Y', strtotime($detail['exp_date']));
						$selling_price = $detail['sell_price'];
					}
				}
				
				//Check stock status
				$check_product_stock = $objHospital->check_product_stock($product_id,$user_id);
				if(empty($check_product_stock)){
					echo'<tr class="search_term_result" data-product-id="'.$product_id.'" data-product-name="'.$product_name.'" data-product-brand="'.$product_brand.'" data-unit-strength="'.$unit_strength.'" data-sold-as="'.$product_sold_as.'" data-unit-symbol="'.$unit_symbol.'" data-route="'.$route.'">
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$product_name.'</td>
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$unit_strength.' '.$unit_symbol.'</td>
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>_</center></td>
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center><span style="color:red;">No stock added yet</span></center></td>
					</tr>';
				}elseif($check_product_stock <= 0){
					echo'<tr class="search_term_result" data-product-id="'.$product_id.'" data-product-name="'.$product_name.'" data-product-brand="'.$product_brand.'" data-unit-strength="'.$unit_strength.'" data-sold-as="'.$product_sold_as.'" data-unit-symbol="'.$unit_symbol.'" data-route="'.$route.'">
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$product_name.'</td>
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$unit_strength.'  '.$unit_symbol.'</td>
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>_</center></td>
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center><span class="badge badge-danger" style="color:red;">O/S</span></center></td>
					</tr>';
				}else{
					echo'<tr class="search_term_result" data-product-id="'.$product_id.'" data-product-name="'.$product_name.'" data-product-brand="'.$product_brand.'" data-unit-strength="'.$unit_strength.'" data-sold-as="'.$product_sold_as.'" data-unit-symbol="'.$unit_symbol.'" data-route="'.$route.'">
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$product_name.'</td>
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$unit_strength.'  '.$unit_symbol.'</td>
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.$exp_date.'</center></td>
						<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center><span class="badge badge-success" style="color:red;">'.$check_product_stock.' '.$product_sold_as.'</span></center></td>
					</tr>';
				}
			}
		echo'</tbody>
		</table>';
	}
}
elseif(isset($_POST['search_symptom_name'])){
	$product = $_POST['search_symptom_name'];
	$user_id = $_POST['search_symptom_user_id'];
	
	$search_symptom = $objHospital->search_symptom($product,$user_id);
	if(empty($search_symptom)){
		echo'<table class="table table-bg-hover">
		<tbody>
			<tr>
				<th colspan="4"><span style="color:black; font-size:16px;">There are no Symptoms in the system with that search term</span></th>
			</tr>
		</tbody>
		</table>';
	}else{
		echo'<table class="table table-bg-hover">
		<tbody>';
			foreach($search_symptom as $symptom){
				$symptom_id  = $symptom['symptom_id'];
				$symptom_name = $symptom['symptom_name'];
				
				echo'<tr class="search_symptom_result" data-symptom-name="'.$symptom_name.'" data-symptom-id="'.$symptom_id.'"><td scope="col" style="text-align:left;">'.$symptom_name.'</td></tr>';
			}
		echo'</tbody>
		</table>';
	}
}
elseif(isset($_POST['get_frequency'])){
	echo'
	
	
	<option>Once a Day (qd)</option>
	<option>Twice a Day (BID)</option>
	<option>Three times a day (TID)</option>
	<option>Four times a day (QID)</option>
	<option>At bed time (QHS)</option>
	<option>Every week (QWK)</option>';
}
elseif(isset($_POST['get_route'])){
	echo'<option>PO (by mouth)</option>
	<option>PR (per rectum)</option>
	<option>IM (intramuscular)</option>
	<option>IV (intravenous)</option>
	<option>ID (intradermal)</option>
	<option>IN (intranasal)</option>
	<option>TP (topical)</option>
	<option>SL (sublingual)</option>
	<option>BUCC (buccal)</option>
	<option>IP (intraperitoneal)</option>';
}
elseif(isset($_POST['get_period'])){
	echo'<option>Days</option>
	<option>Weeks</option>
	<option>Months</option>';
}
elseif(isset($_POST['dosage_amount'])){
	//For items in stock
	$amount = implode(',',$_POST['dosage_amount']);
	$frequency = implode(',',$_POST['dosage_frequency']);
	$period = implode(',',$_POST['dosage_period']);
	$route = implode(',',$_POST['dosage_route']);
	$product_id = implode(',',$_POST['dosage_product_id']);
	$prescriber = $_POST['prescriber'];
	$product_name = implode(',',$_POST['dosage_name']);
	$product_strength = implode(',',$_POST['dosage_strength']);
	$visit_id = $_POST['prescription_visit_id'];
	$visit_date = $_POST['prescription_visit_date'];
	$patient_id = $_POST['prescription_patient_id'];
	if(empty($_POST['prescription_diagnosis'])){
		$diagnosis = '';
	}else{
		$diagnosis = implode(',',$_POST['prescription_diagnosis']);
	}
	$timeline = implode(',',$_POST['dosage_timeline']);
	$sold_as = implode(',',$_POST['sold_as']);
	
	//For items not in stock
	$other_product_name = implode(',',$_POST['other_product_name']);
	$other_unit_strength = implode(',',$_POST['other_unit_strength']);
	$other_frequency = implode(',',$_POST['other_frequency']);
	$other_period = implode(',',$_POST['other_period']);
	$other_timeline = implode(',',$_POST['other_timeline']);
	$other_route = implode(',',$_POST['other_route']);
	$discharge_prescription = $_POST['prescription_discharge'];
	$emergency = $_POST['prescription_emergency'];
	
	if(empty($visit_id)){
		echo'Please first enter a visit for this patient';
	}elseif(!empty($visit_id) && empty($product_name) && empty($other_product_name)){
		echo'Please select item to prescribe or click the "Non-stocked Prescriptions" button in case the item you want to prescribe is not in stock';
	}else{	
		$save_prescription = $objHospital->save_prescription($amount,$frequency,$period,$route,$product_id,$prescriber,$product_name,$product_strength,$visit_id,$visit_date,$patient_id,$timeline,$sold_as,$diagnosis,$discharge_prescription,$emergency);
		
		if(empty($other_product_name)){
			//Do nothing
		}else{
			$save_other_prescription = $objHospital->save_other_prescription($other_product_name,$other_unit_strength,$other_frequency,$other_period,$other_timeline,$other_route,$visit_id,$visit_date,$patient_id,$prescriber,$discharge_prescription,$emergency);
		}
	}
}
elseif(isset($_POST['details_patient_id'])){
	$patient_id = $_POST['details_patient_id'];
	$hospital_id = $_POST['details_hospital_id'];
	$visit_id = $_POST['details_visit_id'];
	$user_id = $_POST['details_user_id'];
	
	echo'<div class="form-row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:20px;">
			<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Patient Biodata</h6>
		</div>
	
		<div class="content" style="margin-left:-5px; border-radius:10px; height:10rem; border-style:solid; border-color:#E5E4E2;">';
		$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
		foreach($get_patient_details as $details){
			$first_name = $details['first_name'];
			$last_name = $details['last_name'];
			$gender = $details['gender'];
			$phone_number = $details['phone_number'];
			$age = $details['age'];
			$address = $details['address'];
			$next_of_kin = $details['next_of_kin'];
			$next_of_kin_phone = $details['next_of_kin_phone'];
			
			echo'<div class="form-row" style="height:5rem;">
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">First Name:</span></label></center>
				<center><label><span style="color:blue;">'.$first_name.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Last Name:</span></label></center>
				<center><label><span style="color:blue;">'.$last_name.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Age:</span></label></center>
				<center><label><span style="color:blue;">'.$age.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Gender:</span></label></center>
				<center><label><span style="color:blue;">'.$gender.'</span></label></center>
			</div></div>
			
			<div class="form-row">
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Phone Number:</span></label></center>
				<center><label><span style="color:blue;">'.$phone_number.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Address:</span></label></center>
				<center><label><span style="color:blue;">'.$address.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Next of Kin:</span></label></center>
				<center><label><span style="color:blue;">'.$next_of_kin.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Next of Kin Contact:</span></label></center>
				<center><label><span style="color:blue;">'.$next_of_kin_phone.'</span></label></center>
			</div>
			';
		}
	echo'</div>
		<div class="form-row">
			<div class="form-group">
				<center><label><span style="color:black; font-size:16px;"><b>Case History:</b></span></label></center><br>
				';
				$get_case_history = $objHospital->get_all_cases_by_visit_id($patient_id,$user_id,$visit_id);
				if(empty($get_case_history)){
					echo'No case has been recorded yet';
				}else{
					foreach($get_case_history as $history){
						$case_id = $history['case_id'];
						$case_date = $history['case_date'];
						$complaint = $history['complaint'];
						$examination = $history['examination'];
						$medical_surgical_drug_history = $history['medical_surgical_drug_history'];
						$family_social_history = $history['family_social_history'];
						$physical_examination = $history['physical_examination'];
						$diagnosis_partial_diagnosis = $history['diagnosis_partial_diagnosis'];
						$mgt_plan = $history['mgt_plan'];
						$staff_id = $history['added_by'];
						$get_doctors_details = $objHospital->get_staff_details($staff_id,$user_id);
						//var_dump($get_doctors_details);
						foreach($get_doctors_details as $doctor){
							$first_name = $doctor['first_name'];
							$last_name = $doctor['last_name'];
							$doctors_name = $first_name.' '.$last_name;
						}
						if(empty($complaint)){
							//Do nothing
						}else{
							echo'<p><b>Complaint & History: </b><span style="color:blue;">'.$complaint.'</span></p><br>';
						}
						if(empty($examination)){
							//Do nothing
						}else{
							echo'<p><b>O/E: </b><span style="color:blue;">'.$examination.'</span></p><br>';
						}
						if(empty($medical_surgical_drug_history)){
							//Do nothing
						}else{
							echo'<p><b>Surgical and Drug History: </b><span style="color:blue;">'.$medical_surgical_drug_history.'</span></p><br>';
						}
						if(empty($family_social_history)){
							//Do nothing
						}else{
							echo'<p><b>Family Social History: </b><span style="color:blue;">'.$family_social_history.'</span></p><br>';
						}
						if(empty($physical_examination)){
							//Do nothing
						}else{
							echo'<p><b>On Examination: </b><span style="color:blue;">'.$physical_examination.'</span></p><br>';
						}
						if(empty($diagnosis_partial_diagnosis)){
							//Do nothing
						}else{
							echo'<p><b>Partial Diagnosis: </b><span style="color:blue;">'.$diagnosis_partial_diagnosis.'</span></p><br>';
						}
						if(empty($mgt_plan)){
							//Do nothing
						}else{
							echo'<p><b>Management Plan: </b><span style="color:blue;">'.$mgt_plan.'</span></p><br>';
						}
						
						echo '<p><b>History taken by Dr. </b><span style="color:blue;">'.$doctors_name.'</span></p>';
					}
				}
				echo'</p>	
			</div>
		</div>
			
		<div class="form-row">
			<div class="form-group">
				<center><label><span style="color:black; font-size:16px;"><b>Laboratory Results:</b></span></label></center>
				<p>';
					$get_result = $objHospital->get_released_results_by_patient_id($patient_id, $visit_id, $user_id);
					if(empty($get_result)){
						echo'There no results released yet';
					}else{
						foreach($get_result as $result){
							$test_name=$result['test_name'];
							$sample_no=$result['sample_no'];
						}
						$test_array = explode(',',$test_name); 

						foreach($test_array as $key=>$value){
							$test = $value;
							
							//First get the test menu id
							$get_test_menu_id = $objHospital->get_test_menu_id($test,$hospital_id);
							
							
							$get_parameters = $objHospital->get_parameters($test,$hospital_id);
							
							if(empty($get_parameters)){
								
								//Get this test's results
								$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
								
								if(empty($get_test_results)){
									echo'<div class="row">
										<div class="col-md-4 d-inline-flex">
											<center><label><span style="color:black; font-size:12px;">Test: </span></label>
											<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
										</div>
										<div class="col-md-8 d-inline-flex">
											<center><label><span style="color:red; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;No results yet</span></label></center>
										</div>
									</div>
									';
								}else{
									foreach($get_test_results as $data){
										if($data['equipment_name']==''){
											$equipment = 'N/A';
										}else{
											$equipment = $data['equipment_name'];
										}
										$result = $data['result'];
										$result_reviewed_by = $data['result_reviewed_by'];
										$review_date = $data['review_date'];
										$released_by = $data['released_by'];
										$release_date = $data['release_date'];
										$review_comments = $data['review_comments'];
									}
									echo'<div class="row">
										<div class="col-md-12 d-inline-flex">
											<center><label><span style="color:black; font-size:12px;">Test Requested: </span></label>
											<label><span style="color:blue; font-size:14px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
										</div>
										<div class="col-md-12 d-inline-flex">
											<center><label><span style="color:black; font-size:12px;">Result: </span></label>
											<label><span style="color:blue;">&nbsp;&nbsp;&nbsp;&nbsp;'.$result.'</span></label></center>
										</div>				
									</div>
									<hr align="center" width="70%;" style="border-width:3px; border-color:#E5E4E2;">
								';
								}
							}else{
								
								$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
								
								if(empty($get_test_results)){
									echo'<div class="row">
										<div class="col-md-4 d-inline-flex">
											<center><label><span style="color:black; font-size:12px;">Test Requested: </span></label>
											<label><span style="color:blue; font-size:14px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
										</div>
										<div class="col-md-8 d-inline-flex">
											<center><label><span style="color:red; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;No results yet</span></label></center>
										</div>
									</div>
									';
								}else{
									//Get the equipment used to analyse
									$get_analysis_equipment = $objHospital->get_analysis_equipment($test,$hospital_id,$sample_no);
									if(empty($get_analysis_equipment)){
										$equipment = 'N/A';
									}else{
										$equipment = $get_analysis_equipment;
									}
									
									echo'<div class="row">
										<div class="col-md-12 d-inline-flex">
											<p><b>Test Requested: </b><span style="color:blue;">'.$test.'</span></p><br>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12 d-inline-flex">
											<div class="col-sm-3">
												<center><label><span style="color:black; font-size:12px;"><b>Parameter</b></span></label></center>
											</div>
											<div class="col-sm-3">
												<center><label><span style="color:black; font-size:12px;"><b>Result</b></span></label></center>
											</div>
											<div class="col-sm-3">
												<center><label><span style="color:black; font-size:12px;"><b>Normal Range</b></span></label></center>
											</div>
											<div class="col-sm-3">
												<center><label><span style="color:black; font-size:12px;"><b>H/N/L</b></span></label></center>
											</div>
										</div>
									</div>
									<div class="row">';
									
									foreach($get_test_results as $data){
										$parameter = $data['parameter_name'];
										$result = $data['result'];
										$review_comments = $data['review_comments'];
										$result_reviewed_by = $data['result_reviewed_by'];
										$review_date = $data['review_date'];
										$released_by = $data['released_by'];
										$release_date = $data['release_date'];
										$get_normal_interval = $objHospital->get_normal_interval($test,$parameter,$hospital_id,$gender,$age);
										
										if(empty($get_normal_interval)){
											$si_units ='';
                					    	echo'
                    						<div class="col-md-12 d-inline-flex">
                    							<div class="col-sm-3">
                    								<center><label><span style="color:black; font-size:12px;">'.$parameter.' ('.$si_units.'): </span></label></center>
                    							</div>
                    							<div class="col-sm-3">
                    								<center><label><span style="color:blue; font-size:12px;">'.$result.'</span></label></center>
                    							</div>
                    							<div class="col-sm-3">
                    								<center><label><span style="color:blue; font-size:12px;">_</span></label></center>
                    							</div>
                    							<div class="col-sm-3">
                    								<center><label><span style="color:black; font-size:12px;">_</span></label></center>
                    							</div>
                    						</div>';
                    					}else{
    										foreach($get_normal_interval as $interval){
    											$si_units = $interval['si_units'];
    											$normal_lower_limit = $interval['normal_ll'];
    											$normal_upper_limit = $interval['normal_ul'];
    											$critical_ll = $interval['critical_ll'];
    											$critical_ul = $interval['critical_ul'];
    											$gender = $interval['gender'];
    											$lower_age_limit = $interval['lower_age_limit'];
    											$upper_age_limit = $interval['upper_age_limit'];
    										    $multiplier = $interval['multiplier'];
    											echo'
    											<div class="col-md-12 d-inline-flex">
    												<div class="col-sm-3">
    													<center><label><span style="color:black;">'.$parameter.' ('.$si_units.'): </span></label></center>
    												</div>
    												<div class="col-sm-3">
    													<center><label><span style="color:blue;">'.$result.'</span></label></center>
    												</div>
    												<div class="col-sm-3">
    													<center><label><span style="color:blue;">'.$normal_lower_limit.' - '.$normal_upper_limit.'</span></label></center>
    												</div>
    												<div class="col-sm-3">
    													<center><label><span style="color:black; font-size:12px;">';
    													if((($lower_age_limit < $age)&& ($age< $upper_age_limit)) && ($result < $normal_lower_limit)){
    														echo'Low';
    													}elseif((($lower_age_limit < $age)&& ($age< $upper_age_limit)) && ($result > $normal_upper_limit)){
    														echo'High';
    													}elseif((($lower_age_limit < $age)&& ($age< $upper_age_limit)) && ($result < $critical_ll)){
    														echo'Critical';
    													}elseif((($lower_age_limit < $age)&& ($age< $upper_age_limit)) && ($result > $critical_ul)){
    														echo'Critical';
    													}
    													
    													echo'</span></label></center>
    												</div>
    											</div>';
    										}
                					    }
									}
								}
								echo'</div>
								<hr align="center" width="70%;" style="border-width:3px; border-color:#E5E4E2;">';
							}
						}
								$get_collection_details = $objHospital->get_collection_details($sample_no,$hospital_id);
								foreach($get_collection_details as $details){
									$collector = $details['first_name'].' '.$details['last_name'];
									$date_collected = $details['date_collected'];
								}
								
								$get_reception_details = $objHospital->get_reception_details($sample_no,$hospital_id);
								foreach($get_reception_details as $data){
									$receiver = $data['first_name'].' '.$data['last_name'];
									$date_received = $data['date_received'];
								}
								
								$get_reviewer_details = $objHospital->get_reviewer_details($sample_no,$hospital_id);
								foreach($get_reviewer_details as $details){
									$reviewer = $details['first_name'].' '.$details['last_name'];
									$date_reviewed = $details['date_reviewed'];
								}
								
								$get_releaser_details = $objHospital->get_releaser_details($sample_no,$hospital_id);
								foreach($get_releaser_details as $data){
									$releaser = $data['first_name'].' '.$data['last_name'];
									$date_released = $data['date_released'];
								}
								
								echo'<div class="form-row">
									<div class="form-group col-md-12 d-inline-flex">
										<div class="col-sm-3">
											<center><label><span style="color:black; font-size:12px;"><b>Reviewed By:</b></span> <span style="color:blue;">'.$reviewer.'</span></label></center>
										</div>
										<div class="col-sm-3">
											<center><label><span style="color:black; font-size:12px;"><b>Date:</b></span> <span style="color:blue;">'.date('d-m-Y H:i:s',strtotime($date_reviewed)).'</span></label></center>
										</div>
										<div class="col-sm-3">
											<center><label><span style="color:black; font-size:12px;"><b>Released By:</b></span> <span style="color:blue;">'.$releaser.'</span></label></center>
										</div>
										<div class="col-sm-3">
											<center><label><span style="color:black; font-size:12px;"><b>Date:</b></span> <span style="color:blue;">'.date('d-m-Y H:i:s',strtotime($date_released)).'</span></label></center>
										</div>
									</div>
								</div>';
					}
			echo'</p>
			</div>
		</div>
		<div class="form-row">
			<div class="form-group">
				<center><label><span style="color:black; font-size:16px;"><b>Prescription:</b></span></label></center>';
				$get_patient_prescriptions = $objHospital->get_prescription_by_patient_and_visit_id($patient_id, $visit_id, $hospital_id);
				if(empty($get_patient_prescriptions)){
					echo'There are no prescriptions made yet';
				}else{
					echo'<div class="table-responsive">
						<table class="table primary-table-bg-hover" style="width:100%;">
							<thead>
								<tr>
									<th><center>Name</center></th>
									<th><center>Strength</center></th>
									<th><center>Quantity</center></th>
									<th><center>Type</center></th>
									<th><center>Frequency</center></th>
									<th><center>Period</center></th>
									<th><center>Timeline</center></th>
									<th><center>Route</center></th>
								</tr>
							</thead>
							<tbody>
					';
					foreach($get_patient_prescriptions as $prescription){
						$product_name = $prescription['product_name'];
						$product_strength = $prescription['product_strength'];
						$quantity = $prescription['quantity'];
						$dosage_type = $prescription['dosage_type'];
						$frequency = $prescription['frequency'];
						$period = $prescription['period'];
						$timeline = $prescription['timeline'];
						$dosage_route = $prescription['dosage_route'];
						$prescriber = $prescription['prescriber'];
						
						//Get prescriber's name
						$get_doctors_details = $objHospital->get_staff_details($prescriber,$user_id);
						foreach($get_doctors_details as $doctor){
							$first_name = $doctor['first_name'];
							$last_name = $doctor['last_name'];
							$doctors_name = $first_name.' '.$last_name;
						}
						echo'<tr>
							<td><center><span style="color:blue">'.$product_name.'</span></center></td>
							<td><center><span style="color:blue">'.$product_strength.'</span></center></td>
							<td><center><span style="color:blue">'.$quantity.'</span></center></td>
							<td><center><span style="color:blue">'.$dosage_type.'</span></center></td>
							<td><center><span style="color:blue">'.$frequency.'</span></center></td>
							<td><center><span style="color:blue">'.$period.'</span></center></td>
							<td><center><span style="color:blue">'.$timeline.'</span></center></td>
							<td><center><span style="color:blue">'.$dosage_route.'</span></center></td>
						</tr>';
					}
					echo'</tbody>
					<tfoot>
						<th colspan="8">Prescribed by: '.$doctors_name.'</th>
					</tfoot>
					</table>
					</div>';
				}
				echo'
			</div>
			<div class="form-row">
				<div class="form-group">
					<center><label><span style="color:black; font-size:16px;"><b>Clinical Services:</b></span></label></center>';
					$get_services = $objHospital->get_clinical_services($patient_id,$hospital_id,$visit_id);
					if(empty($get_services)){
						echo'<p>There are no clinical services provided</p>';
					}else{
						echo'<div style="inline-size:35rem; overflow-wrap: break-word; hyphens: manual;">';
						foreach($get_services as $service){
							$service_name = $service['service_name'];
							$report = $service['report'];
							$date = $service['added_date'];
							$added_by = $service['added_by'];
							
							$get_doctors_details = $objHospital->get_staff_details($added_by,$user_id);
							foreach($get_doctors_details as $doctor){
								$first_name = $doctor['first_name'];
								$last_name = $doctor['last_name'];
								$doctors_name = $first_name.' '.$last_name;
							}
							
							echo'<p><b><span style="color:black;">'.date('d-m-Y',strtotime($date)).'</span></b></p>';
							echo'<p><b>Service: </b><span style="color:blue">'.$service_name.'</span></p>';
							echo'<p><b>Report: </b><span style="color:blue">'.$report.'</span></p>';
							echo'<p><b>Offered By: </b><span style="color:blue">'.$doctors_name.'</span></p><hr>';
						}
						echo'</div>';
					}
					
				echo'</div>
			</div>
		</div>
	</div>
	';
}
elseif(isset($_POST['appointment_patient_id'])){
	$patient_id = $_POST['appointment_patient_id'];
	$doctor = $_POST['appointment_doctor'];
	$reason = $_POST['appointment_reason'];
	$color = $_POST['appointment_color'];
	$start_date = $_POST['appointment_start_date'];
	$end_date = $_POST['appointment_end_date'];
	$user_id = $_POST['appointment_user_id'];
	
	$save_appointment = $objHospital->save_appointment($patient_id,$doctor,$reason,$color,$start_date,$end_date,$user_id);
}
elseif(isset($_POST['symptom_user_id'])){
	if(empty($_POST['presenting_complaint']) && empty($_POST['typed_complaint'])){
		echo 'Please add atleast one complaint under Presenting Complaint';
	}else{
		$pc = array();
		if(empty($_POST['presenting_complaint']) && !empty($_POST['typed_complaint'])){
			array_push($pc,$_POST['typed_complaint']);
		}elseif(!empty($_POST['presenting_complaint']) && empty($_POST['typed_complaint'])){
			foreach($_POST['presenting_complaint'] as $key => $value){
				
				//Timeline
				if($_POST['complaint_period'][$key] = 'Days'){
					$time = '/7';
				}elseif($_POST['complaint_period'][$key] = 'Weeks'){
					$time = '/52';
				}elseif($_POST['complaint_period'][$key] = 'Months'){
					$time = '/12';
				}
				
				$complaint = $value.' x '.$_POST['complaint_duration'][$key].''.$time;
				array_push($pc,$complaint);
			}
		}elseif(!empty($_POST['presenting_complaint']) && !empty($_POST['typed_complaint'])){
			
			foreach($_POST['presenting_complaint'] as $key => $value){
				//Timeline
				if($_POST['complaint_period'][$key] = 'Days'){
					$time = '/7';
				}elseif($_POST['complaint_period'][$key] = 'Weeks'){
					$time = '/52';
				}elseif($_POST['complaint_period'][$key] = 'Months'){
					$time = '/12';
				}
				
				$complaint = $value.' x '.$_POST['complaint_duration'][$key].''.$time;
				
				array_push($pc,$complaint);
			}
			
			array_push($pc,$_POST['typed_complaint']);
		}
		$hpc = $_POST['history_of_presenting_complaint'];
		$pmh = $_POST['past_medical_history'];
		$drug_history = $_POST['drug_history'];
		$allergies = $_POST['allergies'];
		$family_history = $_POST['family_history'];
		$social_history = $_POST['social_history'];
		$review_of_systems = $_POST['review_of_systems'];
		$on_examination = $_POST['on_examination'];
		
		if(empty($_POST['possible_diagnoses'])){
			$diagnosis = '';
		}else{
			$diagnosis = implode(',',$_POST['possible_diagnoses']);
		}
		$patient_id = $_POST['symptom_patient_id'];
		$visit_id = $_POST['symptom_visit_id'];
		$hospital_id = $_POST['symptom_hospital_id'];
		$user_id = $_POST['symptom_user_id'];
		
		$save_history = $objHospital->save_history($pc,$hpc,$pmh,$drug_history,$allergies,$family_history,$social_history,$review_of_systems,$on_examination,$diagnosis,$patient_id,$visit_id,$hospital_id,$user_id);
	}
}
elseif(isset($_POST['appointment_patient_id'])){
	$patient_id = $_POST['appointment_patient_id'];
	$doctor = $_POST['appointment_doctor'];
	$reason = $_POST['appointment_reason'];
	$color = $_POST['appointment_color'];
	$start_date = $_POST['appointment_start_date'];
	$end_date = $_POST['appointment_end_date'];
	$user_id = $_POST['appointment_user_id'];
	
	$save_appointment = $objHospital->save_appointment($patient_id,$doctor,$reason,$color,$start_date,$end_date,$user_id);
}
elseif(isset($_POST['select_referral'])){
	$select_referral = $_POST['select_referral'];
	$add_referral = $_POST['add_referral'];
	$referral_type = $_POST['referral_type'];
	$referral_details = $_POST['referral_details'];
	$user_id = $_POST['referral_type_user_id'];
	$patient_id = $_POST['referral_type_patient_id'];
	$visit_id = $_POST['referral_type_visit_id'];

	if(empty($visit_id)){
		echo'Please first enter a visit for this patient';
	}else{
		
		if(empty($select_referral) && $select_referral == 'Click here to select:'){
			echo'Select or Type the Referral Facility';
		}elseif(!empty($add_referral)){
			$referral_phone = $_POST['referral_phone'];
			$referral_email = $_POST['referral_email'];
			$referral_address = $_POST['referral_address'];
			
			$hospital_name = $add_referral;
			$save_referral = $objHospital->save_referral($hospital_name,$referral_type,$referral_details,$patient_id,$visit_id,$user_id,$referral_phone,$referral_email,$referral_address);
		}elseif(empty($add_referral) && $select_referral !== 'Click here to select:'){
			$referral_phone = '';
			$referral_email = '';
			$referral_address = '';
			
			$hospital_name = $select_referral;
			$save_referral = $objHospital->save_referral($hospital_name,$referral_type,$referral_details,$patient_id,$visit_id,$user_id,$referral_phone,$referral_email,$referral_address);
		}
	}		
}
elseif(isset($_POST['upload_referral_report'])){
	$patient_id = $_POST['upload_referral_patient_id'];
	$referral_id = $_POST['upload_referral_id'];
	$user_id = $_POST['upload_referral_user_id'];
	
	$report_name=$_FILES['upload_referral_report']['name'];
	$tmp_name=$_FILES['upload_referral_report']['tmp_name'];
	$type=$_FILES['upload_referral_report']['type'];
	
	$allowed_types = array('jpg','png','jpeg','gif','pdf','JPG','PNG','JPEG','GIF','PDF');
	
	//File upload path
	$file_name = basename($report_name);
	$target_file_path = '../assets/referral_reports/'.$file_name;
	
	//Lets explode the image file to get its extensions
	$report_explode = explode('.',$report_name);
	$file_type = end($report_explode);
	
	if(in_array($file_type, $allowed_types)===true){
		//Store images on server
		if(move_uploaded_file($tmp_name,$target_file_path)){

			$save_referral_report = $objHospital->save_referral_report($patient_id,$referral_id,$user_id,$target_file_path,$report_name,$file_type);
		}
	}
}
elseif(isset($_POST['reportReferralPatientId'])){
	$patient_id = $_POST['reportReferralPatientId'];
	$referral_id = $_POST['reportReferralId'];
	$user_id = $_POST['reportReferralUserId'];
	
	$get_referral_report_by_patient_id = $objHospital->get_referral_report_by_patient_id($patient_id,$referral_id,$user_id);
	foreach($get_referral_report_by_patient_id as $patient){
		$file_path = $patient['report'];
		$file_name = $patient['file_name'];
		$file_type = $patient['file_type'];
		
		if($file_type == 'pdf' || $file_type == 'PDF'){
			echo '<iframe src="'.$file_path.'" style="width:65rem; height:34rem; overflow-y:auto;"></iframe>';
		}else{
			echo '<img src="'.$file_path.'" style="width:65rem; height:34rem; overflow-y:auto;">';
		}
	}
}
elseif(isset($_POST['close_appointment_patient_id'])){
	$patient_id = $_POST['close_appointment_patient_id'];
	$hospital_id = $_POST['close_appointment_hospital_id'];
	$user_id = $_POST['close_appointment_user_id'];
	
	$close_appointment = $objHospital->close_appointment($patient_id,$hospital_id,$user_id);
}
elseif(isset($_POST['follow_up_patient_id'])){
	$follow_up_required = $_POST['follow_up_required'];
	$follow_up_date = $_POST['follow_up_date'];
	$user_id = $_POST['follow_up_user_id'];
	$patient_id = $_POST['follow_up_patient_id'];
	$hospital_id = $_POST['follow_up_hospital_id'];
	if(empty($_POST['follow_up_doctor'])){
		$doctor = '';
	}else{
		$doctor = $_POST['follow_up_doctor'];
	}
	
	$condition = $_POST['follow_up_condition'];
	$notes = $_POST['follow_up_notes'];
	$visit_id = $_POST['follow_up_visit_id'];
	
	if($condition !== 'Dead'){
		//Do nothing
	}else{
		$death_dob = $_POST['death_dob'];
		$place_of_birth = $_POST['place_of_birth'];
		$date_of_death = $_POST['date_of_death'];
		$time_of_death = $_POST['time_of_death'];
		$place_of_death = $_POST['place_of_death'];
		$death_house_address = $_POST['death_house_address'];
		$death_occupation = $_POST['death_occupation'];
		$death_village = $_POST['death_village'];
		$death_parish = $_POST['death_parish'];
		$death_subcounty = $_POST['death_subcounty'];
		$death_country = $_POST['death_country'];
		$death_district = $_POST['death_district'];
		$death_nationality = $_POST['death_nationality'];
		$nin = $_POST['nin'];
		$death_cause_of_death = $_POST['death_cause_of_death'];
		$dead_body_found = $_POST['dead_body_found'];
		$death_name_unknown = $_POST['death_name_unknown'];
		$why_death_not_registered = $_POST['why_death_not_registered'];
		
		$save_death_details = $objHospital->save_death_details($patient_id,$hospital_id,$visit_id,$death_dob,$place_of_birth,$date_of_death,$time_of_death,$place_of_death,$death_house_address,$death_occupation,$death_village,$death_parish,$death_subcounty,$death_country,$death_district,$death_nationality,$nin,$death_cause_of_death,$dead_body_found,$death_name_unknown,$why_death_not_registered,$user_id);
	}
	
	$follow_up = $objHospital->add_follow_up($patient_id,$hospital_id,$follow_up_required,$follow_up_date,$user_id,$doctor,$condition,$notes,$visit_id);
}
elseif(isset($_POST['close_follow_up_patient_id'])){
	$patient_id = $_POST['close_follow_up_patient_id'];
	$hospital_id = $_POST['close_follow_up_hospital_id'];
	$user_id = $_POST['close_follow_up_user_id'];
	
	$close_follow_up = $objHospital->close_follow_up($patient_id,$hospital_id,$user_id);
}
elseif(isset($_POST['print_follow_visit_id'])){
	$patient_id = $_POST['print_follow_up_patient_id'];
	$hospital_id = $_POST['print_follow_up_hospital_id'];
	$user_id = $_POST['print_follow_up_user_id'];
	$visit_id = $_POST['print_follow_visit_id'];
	
	$case_history = $_POST['print_follow_up_case_history'];
	$radiology = $_POST['print_follow_up_radiology'];
	$investigation = $_POST['print_follow_up_investigations'];
	$discharge_drugs = $_POST['print_follow_up_discharge_drugs'];
	$all_prescriptions = $_POST['print_follow_up_all_prescriptions'];
	$clinical_services = $_POST['print_follow_up_clinical_services'];
	$surgical_reports = $_POST['print_follow_up_surgical_reports'];
	$all_reports = $_POST['print_follow_up_all_reports'];
	
	$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
	echo'<div id="print_discharge_card" style="margin-left:20px; margin-right:20px;">
	<div class="content" style="border-radius:10px; height:140px; border-style:solid; border-color:#ffffff;">
		<div class="row grid" style="margin-top:-20px;">
			<div class="col-xl-3">
				<div class="grid-col">
					<div class="media pt-3 pb-3">
						<img src="../assets/images/bb.PNG" alt="image" class="mr-3" style="width:7rem; height:7rem;">
					</div>
				</div>
			</div>
			<div class="col-xl-9" style="margin-top:-110px;">
				<div class="grid-col">
					<div class="col-md-12" style="height:30px; float:center;">
						<center><h2>'.$hospital_name.'</h2></center>
					</div>
					<div class="col-md-12" style="height:30px; float:center;">
						<div class="form-group">
							<center> 
							<span style="font-size:14px;"> '.$hospital_email.'</span>
							<span style="font-size:14px;"> Phone: '.$hospital_phone.'</span></center>
						</div>
					</div>
					<div class="col-md-12" style="height:30px; float:center; margin-top:-10px;">
						<div class="form-group">
							<center><span style="font-size:14px;">'.$hospital_city.', '.$hospital_country.' </span></center>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<table class="table table-borderless">
		<tbody>
			<tr style="border-radius:5px; width:100%; background-color:#343957;">
			  <th colspan="4"><h2 style="color:white; line-height:2rem; "><center><b>MEDICAL FORM</b></center></h2></th>
			</tr>';
			
			//Get patient details
			$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
			foreach($get_patient_details as $details){
				$first_name = $details['first_name'];
				$last_name = $details['last_name'];
				$gender = $details['gender'];
				$phone_number = $details['phone_number'];
				$age = $details['age'];
				$address = $details['address'];
				$next_of_kin = $details['next_of_kin'];
				$next_of_kin_phone = $details['next_of_kin_phone'];
				
				//Get visit details
				$get_visit_details = $objHospital->get_visit_by_id($visit_id,$patient_id,$user_id);
				foreach($get_visit_details as $details){
					$visit_date = date('d-M-Y',strtotime($details['visit_date']));
					$visit_time = date('H:i',strtotime($details['visit_date']));
					$discharge_date = date('d-M-Y',time());
					$discharge_time = date('H:i',time());
					$condition = $details['condition_at_discharge'];
					$review_required = $details['review_required'];
					$review_date = $details['review_date'];
					$review_doctor = $details['review_doctor'];
				}
				
				//get_doctors_details
				$get_doctors_details = $objHospital->get_staff_details($review_doctor,$user_id);
				if(empty($get_doctors_details)){
					$review_doctors_name = '';
				}else{
					foreach($get_doctors_details as $doctor){
						$first_name = $doctor['first_name'];
						$last_name = $doctor['last_name'];
						$review_doctors_name = $first_name.' '.$last_name;
					}
				}
				
				echo'<tr style="height:1px; border:solid 2px;"></tr>
				<tr >
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>First Name</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Last Name</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Age</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Gender</center></th>
				</tr>
				<tr >
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$first_name.'</center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$last_name.'</center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$age.'</center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$gender.'</center></td>
				</tr>
				<tr >
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Phone Number</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Address</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Next of Kin</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Next of Kin Contact</center></th>
				</tr>
				<tr >
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$phone_number.'</center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$address.'</center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$next_of_kin.'</center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$next_of_kin_phone.'</center></td>
				</tr>
				<tr>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Date of Visit</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Time of Visit</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Date of Discharge</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Time of Discharge</center></th>
				</tr>
				<tr >
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$visit_date.'</center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$visit_time.'</center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$discharge_date.'</center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$discharge_time.'</center></td>
				</tr>
				<tr>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Condition at Discharge</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Review Date</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center>Review Doctor</center></th>
				  <th scope="col" style="color:black; line-height:0.7rem; border: none;"><center></center></th>
				</tr>
				<tr >
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$condition.'<center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.date('d-M-Y',strtotime($details['review_date'])).'</center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center>'.$review_doctors_name.'</center></td>
				  <td scope="col" style="color:black; line-height:0.7rem; border: none;"><center></center></td>
				</tr>
				';
			}
		
		if($case_history == 'yes'){
			$get_case_history = $objHospital->get_all_cases_by_visit_id($patient_id,$user_id,$visit_id);
			if(empty($get_case_history)){
				echo'<tr >
				  <th colspan="4" style="color:Red; line-height:0.7rem;"><center><b>There are no cases for this patient yet</b></center></th>
				</tr>';
			}else{
				
				foreach($get_case_history as $history){
					$case_id = $history['case_id'];
					$patient_id = $history['patient_id'];
					$hospital_id = $history['hospital_id'];
					$visit_id = $history['visit_id'];
					$presenting_complaint = $history['presenting_complaint'];
					$history_of_presenting_complaint = $history['history_of_presenting_complaint'];
					$past_medical_history = $history['past_medical_history'];
					$drug_history = $history['drug_history'];
					$allergies = $history['allergies'];
					$family_history = $history['family_history'];
					$social_history = $history['social_history'];
					$review_of_systems = $history['review_of_systems'];
					$on_examination = $history['on_examination'];
					$diagnosis_name = $history['diagnosis_name'];
					$staff_id = $history['added_by'];
					$case_date = $history['date_added'];
					
					echo'<tr style="height:1px; border:solid 2px;"></tr>
					<tr style="border-radius:5px; width:100%; background-color:#343957;">
					  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>PATIENT HISTORY</b></h4></center></th>
					</tr>';
					$count =0;
					$get_doctors_details = $objHospital->get_staff_details($staff_id,$user_id);
					//var_dump($get_doctors_details);
					foreach($get_doctors_details as $doctor){
						$first_name = $doctor['first_name'];
						$last_name = $doctor['last_name'];
						$doctors_name = $first_name.' '.$last_name;
					}
					if(empty($presenting_complaint)){
						//Do nothing
					}else{
						$complaints = explode(',',$presenting_complaint);
						foreach($complaints as $key => $value){
							$count++;
							echo'<tr ><td style="line-height:0.7rem; border: none; color:black;"><b>';
							if($count ==1){
								echo'PC:';
							}else{
								//Do nothing
							}
							echo'</b></td>
							<td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$value.'</span></td>
							</tr>';
						}
					}
					if(empty($history_of_presenting_complaint)){
						//Do nothing
					}else{
						echo'<tr >
						  <td style="line-height:0.7rem; border: none; color:black;"><b>HPC:</b></td>
						  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$history_of_presenting_complaint.'</span></td>
						</tr>';
					}
					if(empty($past_medical_history)){
						//Do nothing
					}else{
						echo'<tr >
						  <td style="line-height:0.7rem; border: none; color:black;"><b>PMH:</b></td>
						  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$past_medical_history.'</span></td>
						</tr>';
					}
					if(empty($drug_history)){
						//Do nothing
					}else{
						echo'<tr >
						  <td style="line-height:0.7rem; border: none; color:black;"><b>Drug History:</b></td>
						  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$drug_history.'</span></td>
						</tr>';
					}
					if(empty($allergies)){
						//Do nothing
					}else{
						echo'<tr >
						  <td style="line-height:0.7rem; border: none; color:black;"><b>Allergies:</b></td>
						  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$allergies.'</span></td>
						</tr>';
					}
					if(empty($family_history)){
						//Do nothing
					}else{
						echo'<tr >
						  <td style="line-height:0.7rem; border: none; color:black;"><b>Family History:</b></td>
						  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$family_history.'</span></td>
						</tr>';
					}
					if(empty($social_history)){
						//Do nothing
					}else{
						echo'<tr >
						  <td style="line-height:0.7rem; border: none; color:black;"><b>Social History:</b></td>
						  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$social_history.'</span></td>
						</tr>';
					}
					if(empty($review_of_systems)){
						//Do nothing
					}else{
						echo'<tr >
						  <td style="line-height:0.7rem; border: none; color:black;"><b>Systems Review:</b></td>
						  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$review_of_systems.'</span></td>
						</tr>';
					}
					if(empty($on_examination)){
						//Do nothing
					}else{
						echo'<tr >
						  <td style="line-height:0.7rem; border: none; color:black;"><b>O/E:</b></td>
						  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$on_examination.'</span></td>
						</tr>';
					}
					if(empty($diagnosis_name)){
						//Do nothing
					}else{
						echo'<tr >
						  <td style="line-height:0.7rem; border: none; width:10rem; color:black;"><b>Preliminary Diagnosis:</b></td>
						  <td colspan="3" style="line-height:0.7rem; border: none; text-align:left;"><span style="color:black;">';
							$diagnosis = explode(',',$diagnosis_name);
							foreach($diagnosis as $key => $value){
								$diag = str_replace(","," ",$value);
								echo $diag.'<br><br>';
							}
						  echo'</span></td>
						</tr>';
					}
					echo '<tr>
						<td colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>History taken by: </b> <span style="color:blue;">Dr. '.$doctors_name.'</span></td>
						<td colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date:</b> '.date('d-m-Y',strtotime($case_date)).'</td>
					</tr>';
					
				}
			}
		}
		
		if($investigation == 'yes'){
			$get_result = $objHospital->get_all_results_by_visit_id($patient_id, $visit_id, $user_id);
		
			if(empty($get_result)){
				/*echo'<tr >
					  <th colspan="4" style="color:blue; line-height:1.7rem;">There are no released results yet</th>
					</tr>';*/
			}else{
				
				echo'<tr style="height:1px; border:solid 2px;"></tr>	
				<tr style="border-radius:5px; width:100%; background-color:#343957;">
				  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>LABORATORY</b></h4></center></th>
				</tr>';
				foreach($get_result as $result){
					$test_name=$result['test_name'];
					$sample_no=$result['sample_no'];
				
				
					$test_array = explode(',',$test_name); 

					foreach($test_array as $key=>$value){
						$test = $value;
						
						//First get the test menu id
						$get_test_menu_id = $objHospital->get_test_menu_id($test,$hospital_id);
						
						
						$get_parameters = $objHospital->get_parameters($test,$hospital_id);
						if(empty($get_parameters)){
							
							//Get this test's results
							$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
							
							if(empty($get_test_results)){
								echo'<tr>
								  <th colspan="2" style="font-weight:bold; float:left; line-height:1.5rem; border: none;"><span style="color:black;">Test Requested: </span><span style="color:black;">'.$test.'</span></th>
								  <th colspan="2"><span style="color:black; line-height:1.5rem; border: none;"><b>Test Date: </b></span><span style="color:black;">_</span></th>
								</tr>
								<tr>
								  <th colspan="4" style="color:black; float:left; line-height:1.5rem; border: none;"><span style="color:black;"><b>Result: </b></span><span style="color:black;">No Results added yet</span></th>
								</tr>
								';
							}else{
								foreach($get_test_results as $data){
									if($data['equipment_name']==''){
										$equipment = 'N/A';
									}else{
										$equipment = $data['equipment_name'];
									}
									$result = $data['result'];
									$result_reviewed_by = $data['result_reviewed_by'];
									$review_date = $data['review_date'];
									$released_by = $data['released_by'];
									$release_date = $data['release_date'];
									$review_comments = $data['review_comments'];
								}
								echo'<tr>
								  <th colspan="2" style="font-weight:bold; line-height:1.5rem; float:left; border: none;"><span style="color:black;">Test Requested: </span><span style="color:black;">'.$test.'</span></th>
								</tr>
								<tr>
								  <td colspan="4" style="color:black; float:left; line-height:1.5rem; border: none;"><span style="color:black;"><b>Result: </b></span><span style="color:blue;">'.$result.'</span></td>
								</tr>';
							}
						}else{
							
							$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
							foreach($get_test_results as $data){
								if($data['equipment_name']==''){
									$equipment = 'N/A';
								}else{
									$equipment = $data['equipment_name'];
								}
								$result = $data['result'];
								$result_reviewed_by = $data['result_reviewed_by'];
								$review_date = $data['review_date'];
								$released_by = $data['released_by'];
								$release_date = $data['release_date'];
								$review_comments = $data['review_comments'];
							}
							if(empty($get_test_results)){
								echo'<tr>
								  <th scope="col" style="color:black; font-weight:bold; float:left; line-height:1.5rem; border: none;"><center>Test Requested: </center></th>
								  <th scope="col" style="color:black; font-weight:bold; float:left; line-height:1.5rem; border: none;"><center>'.$test.'</center></th>
								</tr>
								<tr>
								  <td colspan="2" style="color:black; float:right; line-height:1.5rem; border: none;"><center>There are no results yet</center></td>
								</tr>';
							}else{
								//Get the equipment used to analyse
								$get_analysis_equipment = $objHospital->get_analysis_equipment($test,$hospital_id,$sample_no);
								if(empty($get_analysis_equipment)){
									$equipment = 'N/A';
								}else{
									$equipment = $get_analysis_equipment;
								}
								
								echo'<tr>
								  <th colspan="4" style="font-weight:bold; line-height:1.5rem; float:left; border: none;"><span style="color:black;">Test Name: </span><span style="color:black;">'.$test.'</span></th>
								</tr>
								<tr style="height:14px;">
								  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>Parameter</center></th>
								  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>Result</center></th>
								  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>Normal Range</center></th>
								  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>H/N/L</center></th>
								</tr>';
								
								foreach($get_test_results as $data){
									$parameter = $data['parameter_name'];
									$result = $data['result'];
									$review_comments = $data['review_comments'];
									$result_reviewed_by = $data['result_reviewed_by'];
									$review_date = $data['review_date'];
									$released_by = $data['released_by'];
									$release_date = $data['release_date'];
									$get_normal_interval = $objHospital->get_normal_interval($test,$parameter,$hospital_id,$gender,$age);
									if(empty($get_normal_interval)){
										$si_units = '';
										echo'
										<tr>
										  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>'.$parameter.' ('.$si_units.'):</center></td>
										  <td scope="col" style="color:blue; line-height:1.5rem; border: none;"><center>'.$result.'</center></td>
										  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>_</center></td>
										  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>_</center></td>
										</tr>';
									}else{
										foreach($get_normal_interval as $interval){
											$si_units = $interval['si_units'];
											$normal_lower_limit = $interval['normal_ll'];
											$normal_upper_limit = $interval['normal_ul'];
											$critical_ll = $interval['critical_ll'];
											$critical_ul = $interval['critical_ul'];
											$gender = $interval['gender'];
											$lower_age_limit = $interval['lower_age_limit'];
											$upper_age_limit = $interval['upper_age_limit'];
											$multiplier = $interval['multiplier'];
											echo'
											<tr>
											  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>'.$parameter.' ('.$si_units.'):</center></td>
											  <td scope="col" style="color:blue; line-height:1.5rem; border: none;"><center>'.$result.'</center></td>
											  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>'; 
											  if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
												  echo'';
											  }else{
												  echo $normal_lower_limit.' - '.$normal_upper_limit;
											  }
											  echo'</center></td>
											  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>'; 
												if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
													echo'';
												}else{
													if($result < $normal_lower_limit){
													echo'<span style="color:red">Low</span>';
													}elseif($result > $normal_upper_limit){
														echo'<span style="color:red">High</span>';
													}else{
														echo'<span style="color:black">Normal</span>';
													}
												}
											  echo'</center></td>
											</tr>
											';
										}
									}
								}

							}
						}
					}
				}
				//Reviewed details
				$get_reviewer_details = $objHospital->get_reviewer_details($sample_no,$hospital_id);
				if(empty($get_reviewer_details)){
					$reviewer = '_';
					$date_reviewed = '_';
				}else{
					foreach($get_reviewer_details as $details){
						$reviewer = $details['first_name'].' '.$details['last_name'];
						if(date('d-M-Y',strtotime($details['review_date'])) == '01-Jan-1970'){
							$date_reviewed = '_';
						}else{
							$date_reviewed = date('d-M-Y',strtotime($details['review_date']));
						}
					}
				}
				
				//Released details
				$get_releaser_details = $objHospital->get_releaser_details($sample_no,$hospital_id);
				if(empty($get_releaser_details)){
					$releaser = '_';
					$date_released = '_';
				}else{
					foreach($get_releaser_details as $data){
						$releaser = $data['first_name'].' '.$data['last_name'];
						if(date('d-M-Y',strtotime($data['release_date'])) == '01-Jan-1970'){
							$date_reviewed = '_';
						}else{
							$date_released = date('d-M-Y',strtotime($data['release_date']));
						}
					}
				}
				echo'<tr style="background-color:#E5E4E2;">
					  <td colspan="2" style="text-align:left; border: none;"><span style="color:black; line-height:1.5rem;"><b>Released By: </b></span><span style="color:blue;">'.$releaser.'</span></td>
					  <td colspan="2" style="text-align:left; border: none;"><span style="color:black; line-height:1.5rem;"><b>Date: </b></span><span style="color:blue;">'.date('d-M-Y',strtotime($release_date)).'</span></td>
				  </tr>';
			}
		}
		
		if($radiology == 'yes'){
			$get_reports = $objHospital->get_imaging_by_visit_id($patient_id,$visit_id,$user_id);
			if(empty($get_reports)){
				echo'<tr >
					  <th colspan="4" style="color:red; line-height:0.7rem;"><center><b>There are no Imaging services provided to this patient yet</b></center></th>
					</tr>';
			}else{
				foreach($get_reports as $report){
					$report_date = $report['added_date'];
					$radiologist = $report['added_by'];
					$service_name = $report['imaging_name'];
					$requester = $report['added_by'];
					$impression = $report['impression'];
					$report = $report['finding'];
					
					echo'<tr style="height:1px; border:solid 2px;"></tr>
					<tr style="border-radius:5px; width:100%; background-color:#343957;">
					  <th colspan="4"><center><h4 style="color:white; line-height:0.7rem; "><b>'.$service_name.' Report - '.date('d-m-Y',strtotime($report_date)).'</b></h4></center></th>
					</tr>';
					
					$get_doctors_details = $objHospital->get_staff_details($radiologist,$user_id);
					foreach($get_doctors_details as $doctor){
						$first_name = $doctor['first_name'];
						$last_name = $doctor['last_name'];
						$doctors_name = $first_name.' '.$last_name;
					}
					
					echo'
					<tr>
						<td style="line-height:0.7rem; border: none; width:10rem;"><span style="color:black;"><b>Finding: </b></span></td>
						<td colspan="3" style="line-height:0.7rem; text-align:left; border: none; color:black;"><span style="color:black;">'.$report.'</span></td>
					</tr>
					<tr>
						<td style="line-height:0.7rem; border: none; width:10rem;"><span style="color:black;"><b>Impression: </b></span></td>
						<th colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$impression.'</span></th>
					</tr>
					<tr>
						<th colspan="4" style="line-height:1rem; background-color:#E5E4E2; border: none;"><b>Offered by: </b><span style="color:blue;">'.$doctors_name.'</span></th>
					</tr>';
				}
			}
		}
		
		if($clinical_services == 'yes'){
			$get_services = $objHospital->get_clinical_services($patient_id,$hospital_id,$visit_id);
			if(empty($get_services)){
				/*echo'<tr >
				  <th colspan="4" style="color:blue; line-height:0.7rem;">There are no clinical services provided yet</th>
				</tr>';*/
			}else{
				echo'<tr style="height:1px; border:solid 2px;"></tr>
				<tr style="border-radius:5px; width:100%; background-color:#343957;">
				  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>Clinical Services Report:</b></h4></center></th>
				</tr>';
				
				foreach($get_services as $service){
					$service_name = $service['service_name'];
					$report = $service['report'];
					$date = $service['added_date'];
					$added_by = $service['added_by'];
					
					$get_doctors_details = $objHospital->get_staff_details($added_by,$user_id);
					foreach($get_doctors_details as $doctor){
						$first_name = $doctor['first_name'];
						$last_name = $doctor['last_name'];
						$doctors_name = $first_name.' '.$last_name;
					}
					
					echo'
					<tr>
						<th colspan="4" style="line-height:1.5rem; border: none;"><b>Service Provided: </b><span style="color:black;"><b>'.$service_name.'</b></span></th>
					</tr>
					<tr>
						<th colspan="4" style="line-height:1.5rem; border: none;"><b>Report: </b><span style="color:black;">'.$report.'</span></th>
					</tr>
					<tr>
						<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Offered by: </b><span style="color:black;">'.$doctors_name.'</span></th>
						<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date: </b><span style="color:blue;">'.date('d-m-Y',strtotime($date)).'</span></th>
					</tr>';
				}
			}
		}
		
		
		if($all_prescriptions == 'yes'){
			$get_patient_prescriptions = $objHospital->get_prescription_by_patient_and_visit($patient_id, $visit_id,$hospital_id);
			
			echo'<tr style="height:1px; border:solid 2px;"></tr>
			<tr style="border-radius:5px; width:100%; background-color:#343957;">
			  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>Treatment:</b></h4></center></th>
			</tr>';
			
			$get_diagnosis = $objHospital->get_diagnosis_by_patient_and_visit_id($patient_id, $visit_id, $hospital_id);
			if(empty($get_diagnosis)){
				//Do nothing
			}else{
				$count = 0; 
				foreach($get_diagnosis as $diagnosis){
					$diagnosis_name = $diagnosis['diagnosis'];
					$diagnosis_id = $diagnosis['diagnosis_id'];
					if(empty($diagnosis_name)){
						//Do nothing
					}else{
						
						$diagnosis_name = explode(',',$diagnosis['diagnosis']);
						echo'<tr>';
						
						$count++;
						if($count == 1){
							echo'<th colspan="4"style="line-height:1.5rem; border: none;"><b>Dx: </th><tr>';
						}
						echo'<tr><th colspan="4"></b><span style="color:black;">';
						foreach($diagnosis_name as $key=> $value){
								$diag = str_replace(","," ",$value);
							echo $diag.'<br/>';
						}
						echo'</span></th>';
						echo'</tr>';
					}
				}
				
			} 
			echo'<tr><th style="border: none;"><b>Tx: </b></th></tr>';
			$serial_no = 0;
			foreach($get_patient_prescriptions as $prescription){
				$product_name = $prescription['product_name'];
				$product_id = $prescription['product_id'];
				$product_strength = $prescription['product_strength'];
				$frequency = $prescription['frequency'];
				$period = $prescription['period'];
				$timeline = $prescription['timeline'];
				$sold_as = $prescription['sold_as'];
				$dosage_route = $prescription['dosage_route'];
				$quantity_prescribed = $prescription['total_quantity'];
				$quantity_dispensed = $prescription['amount_dispensed'];
				$date_prescribed = $prescription['date_prescribed'];
				$prescriber = $prescription['prescriber'];
				$dosage = $prescription['dosage'];
				
				//Get prescriber's name
				$get_doctors_details = $objHospital->get_staff_details($prescriber,$user_id);
				foreach($get_doctors_details as $doctor){
					$first_name = $doctor['first_name'];
					$last_name = $doctor['last_name'];
					$doctors_name = $first_name.' '.$last_name;
				}
				
				//Get Product Details
				$get_product_2 = $objHospital->get_product_by_product_id($product_id,$hospital_id);
				foreach($get_product_2 as $product){
					$dosage_unit = $product['dosage_unit'];
					$route = $product['route'];
				}
				//Get SI Units
				$get_product_units = $objHospital->get_product_units_by_id($dosage_unit,$user_id);
				if(empty($get_product_units)){
					$unit_symbol = '';
				}else{
					foreach($get_product_units as $product){
						$unit_symbol = $product['unit_symbol'];
					}
				}
				
				$serial_no += 1;
				
				//Timeline
				if($timeline = 'Days'){
					$time = '/7';
				}elseif($timeline = 'Weeks'){
					$time = '/52';
				}elseif($timeline = 'Months'){
					$time = '/12';
				}
				
				//Frequency
				if($frequency == 'Hourly (qh)'){
					$freq = 'qh';
				}elseif($frequency == 'Every 4 hours (Q4h)'){
					$freq = 'Q4h';
				}elseif($frequency == 'Every 4 to 8 hours (Q4-8h)'){
					$freq = 'Q4-8h';
				}elseif($frequency == 'Once a Day (qd)'){
					$freq = 'qd';
				}elseif($frequency == 'Twice a Day (BID)'){
					$freq = 'BID';
				}elseif($frequency == 'Three times a day (TID)'){
					$freq = 'TID';
				}elseif($frequency == 'Four times a day (QID)'){
					$freq = 'QID';
				}elseif($frequency == 'At bed time (QHS)'){
					$freq = 'QHS';
				}elseif($frequency == 'Every week (QWK)'){
					$freq = 'QWK';
				}
				
				if(($sold_as == 'Tablet' && $route=='PO (by mouth)') || ($sold_as == 'Packet' && $route=='PO (by mouth)') || ($sold_as == 'Tablet' && $route=='PO (by mouth)')){
					$sold_as = 'Tabs';
				}elseif(($sold_as == 'Capsule' && $route=='PO (by mouth)') || ($sold_as == 'Capsule' && $route=='PO (by mouth)')){
					$sold_as = 'Caps';
				}elseif(($sold_as == 'Vial' && $route=='IM (intramuscular)') || ($sold_as == 'Vial' && $route=='IM (intramuscular)')){
					$sold_as = 'Inj';
				}elseif(($sold_as == 'Vial' && $route=='IV (intravenous)') || ($sold_as == 'Vial' && $route=='IV (intravenous)')){
					$sold_as = 'IV';
				}else{
					$sold_as = '';
				}
				echo'
				<tr>
					<td colspan="4" style="text-align:left;"><span style="color:black; line-height:1.5rem;">'.$serial_no.') '.$sold_as.' '.$product_name.' '.$dosage.''.$unit_symbol.', '.$freq.' x '.$period.''.$time.'</span></td>
				</tr>';
			}
			
			//Get items prescribed that are not in stock
			$get_other_patient_prescriptions = $objHospital->get_other_prescription_by_patient_and_visit_id($patient_id, $visit_id, $hospital_id);
			if(empty($get_other_patient_prescriptions)){
				//Do nothing
			}else{
				foreach($get_other_patient_prescriptions as $prescription){
					$other_product_name = $prescription['product_name'];
					$unit_strength = $prescription['unit_strength'];
					$frequency = $prescription['frequency'];
					$period = $prescription['period'];
					$timeline = $prescription['timeline'];
					$route = $prescription['route'];
					
					$serial_no += 1;
					
					//Timeline
					if($timeline = 'Days'){
						$time = '/7';
					}elseif($timeline = 'Weeks'){
						$time = '/52';
					}elseif($timeline = 'Months'){
						$time = '/12';
					}
					
					//Frequency
					if($frequency == 'Hourly (qh)'){
						$freq = 'qh';
					}elseif($frequency == 'Every 4 hours (Q4h)'){
						$freq = 'Q4h';
					}elseif($frequency == 'Every 4 to 8 hours (Q4-8h)'){
						$freq = 'Q4-8h';
					}elseif($frequency == 'Once a Day (qd)'){
						$freq = 'qd';
					}elseif($frequency == 'Twice a Day (BID)'){
						$freq = 'BID';
					}elseif($frequency == 'Three times a day (TID)'){
						$freq = 'TID';
					}elseif($frequency == 'Four times a day (QID)'){
						$freq = 'QID';
					}elseif($frequency == 'At bed time (QHS)'){
						$freq = 'QHS';
					}elseif($frequency == 'Every week (QWK)'){
						$freq = 'QWK';
					}
					//If other prescriptions is not there
					if(empty($other_product_name)){
						//Do Nothing
					}else{
						echo'<tr>
							<td colspan="4" style="text-align:left;"><span style="color:black; line-height:1.5rem;">'.$serial_no.') '.$other_product_name.' '.$unit_strength.', '.strtok($route, " ").', '.$freq.' x '.$period.''.$time.'</span><sup style="color:red;"><b>**</b></sup></td>
						</tr>';
					}
					
					if(empty($prescription['special_instructions'])){
						//Do Nothing
					}else{
						$special_instructions = $prescription['special_instructions'];
						echo'<tr>
							<td colspan="4" style="text-align:left;"><span style="color:black; line-height:1.5rem;"><b><u>Instructions: </u></b>'.$special_instructions.'</span></td>
						</tr>';
					}
				}
			}
			
			echo'<tr>
				<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Prescribed by: </b><span style="color:black;">'.$doctors_name.'</span></th>
				<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date: </b><span style="color:black;">'.date('d-m-Y',strtotime($date_prescribed)).'</span></th>
			</tr>';
		}
		
		if($discharge_drugs == 'yes'){ 
			$get_patient_prescriptions = $objHospital->get_discharge_prescriptions($patient_id, $visit_id,$hospital_id);
		
			echo'<tr style="height:1px; border:solid 2px;"></tr>
			<tr style="border-radius:5px; width:100%; background-color:#343957;">
			  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>Treatment:</b></h4></center></th>
			</tr>';
			
			$get_diagnosis = $objHospital->get_diagnosis_by_patient_and_visit_id($patient_id, $visit_id, $hospital_id);
			if(empty($get_diagnosis)){
				//Do nothing
			}else{
				$count = 0; 
				foreach($get_diagnosis as $diagnosis){
					$diagnosis_name = $diagnosis['diagnosis'];
					$diagnosis_id = $diagnosis['diagnosis_id'];
					if(empty($diagnosis_name)){
						//Do nothing
					}else{
						
						$diagnosis_name = explode(',',$diagnosis['diagnosis']);
						echo'<tr>';
						
						$count++;
						if($count == 1){
							echo'<th colspan="4"style="line-height:1.5rem; border: none;"><b>Dx: </th><tr>';
						}
						echo'<tr><th colspan="4"></b><span style="color:black;">';
						foreach($diagnosis_name as $key=> $value){
								$diag = str_replace(","," ",$value);
							echo $diag.'<br/>';
						}
						echo'</span></th>';
						echo'</tr>';
					}
				}
				
			} 
			echo'<tr><th style="border: none;"><b>Tx: </b></th></tr>';
			$serial_no = 0;
			foreach($get_patient_prescriptions as $prescription){
				$product_name = $prescription['product_name'];
				$product_id = $prescription['product_id'];
				$product_strength = $prescription['product_strength'];
				$frequency = $prescription['frequency'];
				$period = $prescription['period'];
				$timeline = $prescription['timeline'];
				$sold_as = $prescription['sold_as'];
				$dosage_route = $prescription['dosage_route'];
				$quantity_prescribed = $prescription['total_quantity'];
				$quantity_dispensed = $prescription['amount_dispensed'];
				$date_prescribed = $prescription['date_prescribed'];
				$prescriber = $prescription['prescriber'];
				$dosage = $prescription['dosage'];
				
				//Get prescriber's name
				$get_doctors_details = $objHospital->get_staff_details($prescriber,$user_id);
				foreach($get_doctors_details as $doctor){
					$first_name = $doctor['first_name'];
					$last_name = $doctor['last_name'];
					$doctors_name = $first_name.' '.$last_name;
				}
				
				//Get Product Details
				$get_product_2 = $objHospital->get_product_by_product_id($product_id,$hospital_id);
				foreach($get_product_2 as $product){
					$dosage_unit = $product['dosage_unit'];
					$route = $product['route'];
				}
				//Get SI Units
				$get_product_units = $objHospital->get_product_units_by_id($dosage_unit,$user_id);
				if(empty($get_product_units)){
					$unit_symbol = '';
				}else{
					foreach($get_product_units as $product){
						$unit_symbol = $product['unit_symbol'];
					}
				}
				
				$serial_no += 1;
				
				//Timeline
				if($timeline = 'Days'){
					$time = '/7';
				}elseif($timeline = 'Weeks'){
					$time = '/52';
				}elseif($timeline = 'Months'){
					$time = '/12';
				}
				
				//Frequency
				if($frequency == 'Hourly (qh)'){
					$freq = 'qh';
				}elseif($frequency == 'Every 4 hours (Q4h)'){
					$freq = 'Q4h';
				}elseif($frequency == 'Every 4 to 8 hours (Q4-8h)'){
					$freq = 'Q4-8h';
				}elseif($frequency == 'Once a Day (qd)'){
					$freq = 'qd';
				}elseif($frequency == 'Twice a Day (BID)'){
					$freq = 'BID';
				}elseif($frequency == 'Three times a day (TID)'){
					$freq = 'TID';
				}elseif($frequency == 'Four times a day (QID)'){
					$freq = 'QID';
				}elseif($frequency == 'At bed time (QHS)'){
					$freq = 'QHS';
				}elseif($frequency == 'Every week (QWK)'){
					$freq = 'QWK';
				}
				
				if(($sold_as == 'Tablet' && $route=='PO (by mouth)') || ($sold_as == 'Packet' && $route=='PO (by mouth)') || ($sold_as == 'Tablet' && $route=='PO (by mouth)')){
					$sold_as = 'Tabs';
				}elseif(($sold_as == 'Capsule' && $route=='PO (by mouth)') || ($sold_as == 'Capsule' && $route=='PO (by mouth)')){
					$sold_as = 'Caps';
				}elseif(($sold_as == 'Vial' && $route=='IM (intramuscular)') || ($sold_as == 'Vial' && $route=='IM (intramuscular)')){
					$sold_as = 'Inj';
				}elseif(($sold_as == 'Vial' && $route=='IV (intravenous)') || ($sold_as == 'Vial' && $route=='IV (intravenous)')){
					$sold_as = 'IV';
				}else{
					$sold_as = '';
				}
				echo'
				<tr>
					<td colspan="4" style="text-align:left;"><span style="color:black; line-height:1.5rem;">'.$serial_no.') '.$sold_as.' '.$product_name.' '.$dosage.''.$unit_symbol.', '.$freq.' x '.$period.''.$time.'</span></td>
				</tr>';
			}
			
			//Get items prescribed that are not in stock
			$get_other_patient_prescriptions = $objHospital->get_other_prescription_by_patient_and_visit_id($patient_id, $visit_id, $hospital_id);
			if(empty($get_other_patient_prescriptions)){
				//Do nothing
			}else{
				foreach($get_other_patient_prescriptions as $prescription){
					$other_product_name = $prescription['product_name'];
					$unit_strength = $prescription['unit_strength'];
					$frequency = $prescription['frequency'];
					$period = $prescription['period'];
					$timeline = $prescription['timeline'];
					$route = $prescription['route'];
					
					$serial_no += 1;
					
					//Timeline
					if($timeline = 'Days'){
						$time = '/7';
					}elseif($timeline = 'Weeks'){
						$time = '/52';
					}elseif($timeline = 'Months'){
						$time = '/12';
					}
					
					//Frequency
					if($frequency == 'Hourly (qh)'){
						$freq = 'qh';
					}elseif($frequency == 'Every 4 hours (Q4h)'){
						$freq = 'Q4h';
					}elseif($frequency == 'Every 4 to 8 hours (Q4-8h)'){
						$freq = 'Q4-8h';
					}elseif($frequency == 'Once a Day (qd)'){
						$freq = 'qd';
					}elseif($frequency == 'Twice a Day (BID)'){
						$freq = 'BID';
					}elseif($frequency == 'Three times a day (TID)'){
						$freq = 'TID';
					}elseif($frequency == 'Four times a day (QID)'){
						$freq = 'QID';
					}elseif($frequency == 'At bed time (QHS)'){
						$freq = 'QHS';
					}elseif($frequency == 'Every week (QWK)'){
						$freq = 'QWK';
					}
					//If other prescriptions is not there
					if(empty($other_product_name)){
						//Do Nothing
					}else{
						echo'<tr>
							<td colspan="4" style="text-align:left;"><span style="color:black; line-height:1.5rem;">'.$serial_no.') '.$other_product_name.' '.$unit_strength.', '.strtok($route, " ").', '.$freq.' x '.$period.''.$time.'</span><sup style="color:red;"><b>**</b></sup></td>
						</tr>';
					}
					
					if(empty($prescription['special_instructions'])){
						//Do Nothing
					}else{
						$special_instructions = $prescription['special_instructions'];
						echo'<tr>
							<td colspan="4" style="text-align:left;"><span style="color:black; line-height:1.5rem;"><b><u>Instructions: </u></b>'.$special_instructions.'</span></td>
						</tr>';
					}
				}
			}
			
			echo'<tr>
				<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Prescribed by: </b><span style="color:black;">'.$doctors_name.'</span></th>
				<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date: </b><span style="color:black;">'.date('d-m-Y',strtotime($date_prescribed)).'</span></th>
			</tr>';
		}
		
		if($surgical_reports == 'yes'){
			
			$get_surgeries = $objHospital->get_surgical_report_by_visit_id($patient_id,$visit_id,$user_id);
			if(empty($get_surgeries)){
				echo'<tr >
				  <th colspan="4" style="color:red; line-height:0.7rem;"><center><b>There are no Surgical services provided to this patient yet</b></center></th>
				</tr>';
			}else{
				echo'<tr style="height:1px; border:solid 2px;"></tr>
				<tr style="border-radius:5px; width:100%; background-color:#343957;">
				  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>Surgical Services Report:</b></h4></center></th>
				</tr>';
				
				foreach($get_surgeries as $service){
					$procedure_name = $service['procedure_name'];
					$report = $service['report'];
					$date = $service['procedure_date'];
					$time_patient_in_theatre = $service['time_patient_in_theatre'];
					$anaesthesia_start_time = $service['anaesthesia_start_time'];
					$anaesthesia_ready_time = $service['anaesthesia_ready_time'];
					$position_ready_time = $service['position_ready_time'];
					$surgery_start_time = $service['surgery_start_time'];
					$surgery_end_time = $service['surgery_end_time'];
					$time_out_of_theatre = $service['time_out_of_theatre'];
					$confirm_surgeon_id = $service['confirm_surgeon_id'];
					$recovery_arrival_time = $service['recovery_arrival_time'];
					$sent_to_ward_time = $service['sent_to_ward_time'];
					
					$get_doctors_details = $objHospital->get_staff_details($confirm_surgeon_id,$user_id);
					foreach($get_doctors_details as $doctor){
						$first_name = $doctor['first_name'];
						$last_name = $doctor['last_name'];
						$doctors_name = $first_name.' '.$last_name;
					}
					
					echo'
					<tr>
						<th colspan="4" style="line-height:1.5rem; border: none;"><b>Service Provided: </b><span style="color:black;"><b>'.$procedure_name.' - '.date('d-m-Y',strtotime($date)).'</b></span></th>
					</tr>
					<tr>
						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Arrival time in theatre: </b><span style="color:black;">'.date('H:i:s',strtotime($time_patient_in_theatre)).'</span></th>
						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Anaesthesia started at: </b><span style="color:black;">'.date('H:i:s',strtotime($anaesthesia_start_time)).'</span></th>
					</tr>
					<tr>
						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Anaesthesia ready at: </b><span style="color:black;">'.date('H:i:s',strtotime($anaesthesia_ready_time)).'</span></th>
						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Position ready at: </b><span style="color:black;">'.date('H:i:s',strtotime($position_ready_time)).'</span></th>
					</tr>
					<tr>
						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Surgery started at: </b><span style="color:black;">'.date('H:i:s',strtotime($surgery_start_time)).'</span></th>
						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Surgery ended at: </b><span style="color:black;">'.date('H:i:s',strtotime($surgery_end_time)).'</span></th>
					</tr>
					<tr>
						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Time out of the Theatre: </b><span style="color:black;">'.date('H:i:s',strtotime($time_out_of_theatre)).'</span></th>
						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Recovery room arrival time: </b><span style="color:black;">'.date('H:i:s',strtotime($recovery_arrival_time)).'</span></th>
					</tr>
					<tr>
						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Sent back to ward at: </b><span style="color:black;">'.date('H:i:s',strtotime($sent_to_ward_time)).'</span></th>
						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Surgeon Name: </b><span style="color:black;">'.$doctors_name.'</span></th>
					</tr>
					<tr>
						<th colspan="3" style="line-height:1.5rem; border: none;"><span style="color:black;"><b>Report: </b> '.$report.'</span></th>
					</tr>
					<tr>
						<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Surgery performed by: </b><span style="color:blue;">'.$doctors_name.'</span></th>
						<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date: </b><span style="color:blue;">'.date('d-m-Y',strtotime($date)).'</span></th>
					</tr>';
				}
			}
		}
		
		
		echo'</tbody>
		</table>';
	$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
	echo'<div class="content" style="border-radius:10px; transform:rotate(-30deg); border-style:solid; border-color:#00008B; margin-top:10px; margin-left:100px; width:17rem; height:10rem;">
			<table class="table table-borderless" style="margin-left:10px;">
				<tbody>
					<tr><th colspan="3" style="color:#00008B; line-height:0.3rem; font-size:16px; padding:-30px; font-weight:bold; border:none;"><center>'.$hospital_name.'</center><th></tr>
					<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_city.', '.$hospital_country.'</center></th></tr>
					<tr style="d-flex justify-content-between">
						<th style="border:none;">
							<div class="col-md-12 d-flex justify-content-between">
								<img src="../assets/images/bb.PNG" alt="image" class="mr-3" style="width:3rem; height:3rem;">
								<h5 style="color:red; margin-left:-50px; margin-top:10px;"><center>'.date("d-M-Y", time()).'</center></h5>
								<center><i class="fa fa-star" style="color:#00008B; margin-left:-40px; margin-top:10px;"></i></center>
							</div>
						</th>
					</tr>
					<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_phone.'</center></th></tr>
					<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_email.'</center></th></tr>
				</tbody>
			</table>
		</div></div>
	';
	echo'<div class="content">
		<div class="col-md-12 d-flex justify-content-center">
			<button type="button" class="btn btn-primary print_discharge_btn" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'">Print</button>
		</div>
	</div>';
}
elseif(isset($_POST['condition_entry'])){
	$symptom = $_POST['condition_entry'];
	
	$get_conditions = $objHospital->get_conditions($symptom);
	if(empty($get_conditions)){
		//Do nothing
	}else{
		foreach($get_conditions as $condition){
			$condition_name = $condition['condition_name'];
			$condition_id = $condition['ucg_id'];
			echo'<div class="col-sm-12 btn btn-info condition_div" data-condition-id="'.$condition_id.'" style="margin:2px;">'.$condition_name.'</div>';
		}
	}
}
elseif(isset($_POST['condition_details_id'])){
	$ucg_id = $_POST['condition_details_id'];
	
	$get_condition_details = $objHospital->get_condition_details($ucg_id);
	if(empty($get_condition_details)){
		//Do nothing
	}else{
		foreach($get_condition_details as $condition){
			$condition_name = $condition['condition_name'];
			$description = $condition['description'];
			foreach(explode('}',$condition['causes']) as $key => $value){
				$causes = $value;
			}
			
			foreach(explode('}',$condition['clinical_features']) as $key => $value){
				$clinical_features  = $value;
			}
			
			foreach(explode('}',$condition['differential_diagnosis']) as $key => $value){
				$differential_diagnosis = $value;
			}
			
			foreach(explode('}',$condition['investigations']) as $key => $value){
				$investigations = $value;
			}
			
			foreach(explode('}',$condition['management']) as $key => $value){
				$management = $value;
			}
			
			foreach(explode('}',$condition['treatment_id']) as $key => $value){
				$treatment_id = $value;
			}
			
			foreach(explode('}',$condition['prevention']) as $key => $value){
				$prevention = $value;
			}
			
			echo'<label class="col-sm-12"><span style="color:blue;">Condition Name: </span><b>'.$condition_name.'</b></label>
			<label class="col-sm-12"><span style="color:blue;">Description:</span></label>
			<div class="col-sm-12">'.$description.'</div>
			<label class="col-sm-12"><span style="color:blue;">Investigations</span></label>
			<div class="col-sm-12">'.$investigations.'</div>
			<label class="col-sm-12"><span style="color:blue;">Causes</span></label>
			<div class="col-sm-12">'.$causes.'</div>
			<label class="col-sm-12"><span style="color:blue;">Clinical Features</span></label>
			<div class="col-sm-12">'.$clinical_features.'</div>
			<label class="col-sm-12"><span style="color:blue;">Differential Diagnosis</span></label>
			<div class="col-sm-12">'.$differential_diagnosis.'</div>
			<label class="col-sm-12"><span style="color:blue;">Treatment</span></label>
			<div class="col-sm-12">'.$treatment_id.'</div>
			<label class="col-sm-12"><span style="color:blue;">Prevention</span></label>
			<div class="col-sm-12">'.$prevention.'</div>
			';
		}
	}
}
elseif(isset($_POST['getDrugPatientId'])){
	$patient_id = $_POST['getDrugPatientId'];
	$hospital_id = $_POST['getDrugHospitalId'];
	
	$get_prescriptions = $objHospital->get_prescription_by_patient_id($patient_id, $hospital_id);
	if(empty($get_prescriptions)){
		echo'<option value="none">No prescriptions for this patient yet</option>';
	}else{
		foreach($get_prescriptions as $prescription){
			$prescription_id = $prescription['prescription_id'];
			$visit_id = $prescription['visit_id'];
			$visit_date = $prescription['visit_date'];
			$product_name = $prescription['product_name'];
			$product_strength = $prescription['product_strength'];
			echo'<option value="'.$prescription_id.'">'.$product_name.' ('.$product_strength.')</option>';
		}
	}
}
elseif(isset($_POST['add_drug_prescription_id'])){
	//$prescription_id = $_POST['add_drug_name'];
	$route = $_POST['add_drug_route'];
	$dose = $_POST['add_drug_dose'];
	$remarks = $_POST['add_drug_remarks'];
	$user_id = $_POST['add_drug_user_id'];
	$visit_id = $_POST['add_drug_visit_id'];
	$patient_id = $_POST['add_drug_patient_id'];
	$prescription_id = $_POST['add_drug_prescription_id'];
	$intake_no = $_POST['add_drug_intake_no'];
	
	$administer_drug = $objHospital->administer_drug($prescription_id,$route,$dose,$remarks,$user_id,$visit_id,$patient_id,$intake_no);
}
elseif(isset($_POST['nurse_review_comments'])){
	$comments = $_POST['nurse_review_comments'];
	$hospital_id = $_POST['nurse_review_hospital_id'];
	$user_id = $_POST['nurse_review_user_id'];
	$visit_id = $_POST['nurse_review_visit_id'];
	$visit_date = $_POST['nurse_review_visit_date'];
	$patient_id = $_POST['nurse_review_patient_id'];
	
	if(empty($visit_id)){
		echo'Please first enter a visit for this patient';
	}else{
		$save_nurse_review = $objHospital->save_nurse_review($comments,$hospital_id,$user_id,$visit_id,$visit_date,$patient_id);
	}
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
elseif(isset($_POST['procedure_requested'])){
	$procedure_id = implode(',',$_POST['procedure_requested']);
	$anatomic_site = $_POST['procedure_request_site'];
	$theatre = $_POST['procedure_request_theatre'];
	$procedure_date = $_POST['procedure_request_date'];
	$start_time = $_POST['procedure_request_start_time'];
	$end_time = $_POST['procedure_request_end_time'];
	$urgency = $_POST['procedure_request_urgency'];
	$visit_id = $_POST['procedure_request_visit_id'];
	$user_id = $_POST['procedure_request_added_by'];
	$patient_id = $_POST['procedure_request_patient_id'];
	$visit_date = $_POST['procedure_request_visit_date'];
	$hospital_id = $_POST['procedure_request_hospital_id'];
	
	if($visit_id == 'There are no visits recorded yet'){
		echo'Please first enter a visit for this patient';
	}else{
		$save_surgical_request = $objHospital->save_surgical_request($procedure_id,$anatomic_site,$theatre,$procedure_date,$start_time,$end_time,$urgency,$visit_id,$user_id,$patient_id,$visit_date,$hospital_id);
	}
}
elseif(isset($_POST['check_end_time'])){
	$end_time = $_POST['check_end_time'];
	$request_date = date('Y-m-d',strtotime($_POST['check_request_date']));
	$start_time = $_POST['check_start_time'];
	$user_id = $_POST['check_user_id'];
	
	$check_booking_status = $objHospital->check_booking_status($end_time,$request_date,$start_time,$user_id); 
	
}
elseif(isset($_POST['delete_request_reason'])){
	$reason = $_POST['delete_request_reason'];
	$user_id = $_POST['delete_request_user_id'];
	$patient_id = $_POST['delete_request_patient_id'];
	$hospital_id = $_POST['delete_request_hospital_id'];
	$request_id = $_POST['delete_request_request_id'];
	$request_name = $_POST['delete_request_request_name'];
	$department = $_POST['delete_request_department'];
	
	$delete_requested_service = $objHospital->delete_requested_service($reason,$patient_id,$hospital_id,$request_id,$user_id,$department,$request_name); 
	
	//Get super admin email
	$get_super_admin = $objHospital->get_super_admin($user_id);
	foreach($get_super_admin as $row){
		$admin_first_name = $row['first_name'];
		$admin_last_name = $row['last_name'];
		$admin_email = $row['email'];
	}
	
	//Get user details
	$user_details = $objHospital->get_user($user_id);
	foreach($user_details as $user){
		$first_name = $user['first_name'];
		$last_name = $user['last_name'];
	}
	
	//Get patient details
	$patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
	foreach($patient_details as $patient){
		$patient_first_name = $patient['first_name'];
		$patient_last_name = $patient['last_name'];
	}
	
	//Send email to super admin
	//Server settings
	//$objPHPMailer->SMTPDebug = SMTP::DEBUG_SERVER;
	$objPHPMailer->isSMTP();
	$objPHPMailer->Host = 'ssl://smtp.gmail.com:465';
	$objPHPMailer->SMTPAuth = true;
	$objPHPMailer->Username = 'ahmadabdulauthor@gmail.com';
	$objPHPMailer->Password = 'vqjaogiyrmhmynxq';
	$objPHPMailer->SMTPSecure = 'ssl';
	$objPHPMailer->Port  = 465;
	$objPHPMailer->SMTPOptions = array(
        'ssl' => array(
            'verify_peer' => false,
            'verify_peer_name' => false,
            'allow_self_signed' => true
        )
    );
	
	//sender and recipient
	$objPHPMailer->setFrom('support@jupytertechnologies.com', 'Mailer');
    $objPHPMailer->addAddress($admin_email, $admin_first_name);     //Add a recipient
    $objPHPMailer->addReplyTo('support@jupytertechnologies.com', 'Support Team');
	
	//Content
    $objPHPMailer->isHTML(true);                                  //Set email format to HTML
    $objPHPMailer->Subject = "Critical action on JupyterHMS system at".date('d-M-Y H:i:s');
    $objPHPMailer->Body = "Hello ".$admin_first_name.", \n The ".$request_name." request for patient: ".$patient_first_name." ".$patient_last_name." has been deleted by ".$first_name." ".$last_name.".
	\n Reason: ".$reason." \n Date and Time: ".date('d-M-Y H:i:s');
	
	$objPHPMailer->send();
}


























?>