<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['patient_report_start_date'])){
	$start_date = $_POST['patient_report_start_date'];
	$end_date = $_POST['patient_report_end_date'];
	//$department = $_POST['patient_report_department'];
	$user_id = $_POST['patient_report_user_id'];
	
	$get_patients = $objHospital->get_patient_attendance_reports($start_date,$end_date,$user_id);
	
	if(empty($get_patients) || is_null($get_patients)){
		echo'<tr><td colspan="2" style="color:red;"><center>There are no patients that visited the facility during this period</center></td></tr>';
	}else{
		
		$get_patient_counts = $objHospital->count_patients_by_period($start_date,$end_date,$user_id);
		$get_patient_walkin_counts = $objHospital->count_walkin_patients_by_period($start_date,$end_date,$user_id);
		$get_lab_patient_counts = $objHospital->get_lab_patient_counts($start_date,$end_date,$user_id);
		$get_pharmacy_patient_counts = $objHospital->get_pharmacy_patient_counts($start_date,$end_date,$user_id);
		$get_admission_counts = $objHospital->get_admission_counts($start_date,$end_date,$user_id);
		$check_services_provided = $objHospital->check_services_provided($start_date,$end_date,$user_id);
		$get_male_counts = $objHospital->get_male_counts($start_date,$end_date,$user_id);
		$get_female_counts = $objHospital->get_female_counts($start_date,$end_date,$user_id);
		$get_count_below_ten = $objHospital->get_count_below_ten($start_date,$end_date,$user_id);
		$get_count_btn_ten_eighteen = $objHospital->get_count_btn_ten_eighteen($start_date,$end_date,$user_id);
		$get_count_above_eighteen = $objHospital->get_count_above_eighteen($start_date,$end_date,$user_id);
		
		$total_patients = floatval($get_patient_counts)+floatval($get_patient_walkin_counts);
		echo'
		<tr><td style="color:black; font-size:18px;">Total number of patients:</td><td style="text-align:left; color:black; font-size:18px;">'.$total_patients.'</td></tr>
		<tr><td style="color:black; font-size:18px;">Number of out-patients:</td><td style="text-align:left; color:black; font-size:18px;">'.$get_patient_counts.'</td></tr>
		<tr><td style="color:black; font-size:18px;">Number of in-patients:</td><td style="text-align:left; color:black; font-size:18px;">'.$get_admission_counts.'</td></tr>
		<tr><td style="color:black; font-size:18px;">Number of Walk-In patients - Pharmacy:</td><td style="text-align:left; color:black; font-size:18px;">'.$get_patient_walkin_counts.'</td></tr>
		<tr><td style="color:black; font-size:18px;">Number of in/out-patient - Pharmacy:</td><td style="text-align:left; color:black; font-size:18px;">'.$get_pharmacy_patient_counts.'</td></tr>
		<tr><td style="color:black; font-size:18px;">Number of Laboratory patients:</td><td style="text-align:left; color:black; font-size:18px;">'.$get_lab_patient_counts.'</td></tr>
		<tr><td style="color:black; font-size:18px;">Number of Male patients:</td><td style="text-align:left; color:black; font-size:18px;">'.$get_male_counts.'</td></tr>
		<tr><td style="color:black; font-size:18px;">Number of Female patients:</td><td style="text-align:left; color:black; font-size:18px;">'.$get_male_counts.'</td></tr>
		<tr><td style="color:black; font-size:18px;">Number of patients below 10yrs:</td><td style="text-align:left; color:black; font-size:18px;">'.$get_count_below_ten.'</td></tr>
		<tr><td style="color:black; font-size:18px;">Number of patients between 10 - 18yrs:</td><td style="text-align:left; color:black; font-size:18px;">'.$get_count_btn_ten_eighteen.'</td></tr>
		<tr><td style="color:black; font-size:18px;">Number of patients above 18yrs:</td><td style="text-align:left; color:black; font-size:18px;">'.$get_count_above_eighteen.'</td></tr>
		';
		if(empty($check_services_provided)){
			//Do nothing
		}else{
			foreach($check_services_provided as $provided){
				$service_name = $provided['service_name'];
				$count_services_provided = $objHospital->count_services_provided($service_name,$start_date,$end_date,$user_id);
				echo'
				<tr><td style="color:black; font-size:18px;">Number of patients - '.$service_name.':</td><td style="text-align:left; color:black; font-size:18px;">'.$count_services_provided.'</td></tr>';
			}
		}
	}
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
















?>