<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['pharmacy_report_start_date'])){
	$start_date = $_POST['pharmacy_report_start_date'];
	$end_date = $_POST['pharmacy_report_end_date'];
	$user_id = $_POST['pharmacy_report_user_id'];
	
	echo'<tr><th colspan="5" style="color:blue; font-weight:bold; font-size:16px;">Pharmacy Inventory</th></tr>
	<tr>
		<td style="color:black; font-weight:bold; font-size:16px;">Item Name</td>
		<td style="color:black; font-weight:bold; font-size:16px;"><center>Qty In</center></td>
		<td style="color:black; font-weight:bold; font-size:16px;"><center>Amount(Ugx)</center></td>
		<td style="color:black; font-weight:bold; font-size:16px;"><center>Qty Sold</center></td>
		<td style="color:black; font-weight:bold; font-size:16px;"><center>Amount(Ugx)</center></td>
	</tr>';
	$get_pharmacy_reports = $objHospital->get_pharmacy_report_by_period($start_date,$end_date,$user_id);
	
	if(empty($get_pharmacy_reports) || is_null($get_pharmacy_reports)){
		echo'<tr><td colspan="4" style="color:red;"><center>There are no items sold by the Pharmacy during this period</center></td></tr>';
	}else{
		$total_buy_cost = 0;
		$total_sell_cost = 0;
		foreach($get_pharmacy_reports as $report){
			$issued = $report['issued'];
			$received = $report['received'];
			$product_name = $report['product_name'];
			$product_id = $report['product_id'];
			$hospital_id = $report['hospital_id'];
			$get_product_cost = $objHospital->get_product_by_product_id($product_id,$hospital_id);
			foreach($get_product_cost as $cost){
				$buying_price = $cost['buying_price'];
				$selling_price = $cost['selling_price'];
			}
			if($received == 0){
				$received = '';
				$total_buying_cost = '';
			}else{
				$received = $received;
				$total_buying_cost = number_format((floatval($received) * floatval($buying_price)),0,0,',');
			}
			
			if($issued == 0){
				$issued = '';
				$total_selling_cost = '';
			}else{
				$issued = $issued;
				$total_selling_cost = number_format((floatval($issued) * floatval($selling_price)),0,0,',');
			}
			
			echo'<tr>
				<td style="text-align:left; color:black; font-size:14px;">'.$product_name.'</td>
				<td style="text-align:left; color:black; font-size:14px;"><center>'.$received.'</center></td>
				<td style="text-align:left; color:blue; font-size:14px;"><center>'.$total_buying_cost.'</center></td>
				<td style="text-align:left; color:black; font-size:14px;"><center>'.$issued.'</center></td>
				<td style="text-align:left; color:blue; font-size:14px;"><center>'.$total_selling_cost.'</center></td>
			</tr>';
		}
		$total_cost = $objHospital->get_total_pharmacy_report($start_date,$end_date,$user_id);
		if(!empty($total_cost)){
			foreach($total_cost as $cost){
				$total_buy_cost = $cost['received'];
				$total_sell_cost = $cost['issued'];
			}
		}else{
			$total_buy_cost = 0;
			$total_sell_cost = 0;
		}
		echo'<tr>
			<td style="text-align:left; font-weight:bold; color:black; font-size:14px;">Total</td>
			<td style="text-align:left; color:black; font-size:14px;"><center></center></td>
			<td style="text-align:left; font-weight:bold; color:blue; font-size:14px;"><center>'.number_format($total_buy_cost,0,0,',').'</center></td>
			<td style="text-align:left; color:black; font-size:14px;"><center></center></td>
			<td style="text-align:left; font-weight:bold; color:blue; font-size:14px;"><center>'.number_format($total_sell_cost,0,0,',').'</center></td>
		</tr>';
	}
	echo'<tr><th colspan="5" style="color:blue; font-weight:bold; font-size:16px;">Store Inventory</th></tr>
	<tr>
		<td style="color:black; font-weight:bold; font-size:16px;">Item Name</td>
		<td style="color:black; font-weight:bold; font-size:16px;"><center>Qty In</center></td>
		<td style="color:black; font-weight:bold; font-size:16px;"><center>Amount(Ugx)</center></td>
		<td style="color:black; font-weight:bold; font-size:16px;"><center>Qty Sold</center></td>
		<td style="color:black; font-weight:bold; font-size:16px;"><center>Amount(Ugx)</center></td>
	</tr>';
	//Store products
	$get_store_reports = $objHospital->get_store_report_by_period($start_date,$end_date,$user_id);
	
	if(empty($get_store_reports) || is_null($get_store_reports)){
		echo'<tr><td colspan="4" style="color:red;"><center>There are no items in the store during this period</center></td></tr>';
	}else{
		$total_buy_cost = 0; 
		$total_sell_cost = 0;
		foreach($get_store_reports as $report){
			$issued = $report['issued'];
			$received = $report['received'];
			$product_name = $report['product_name'];
			$product_id = $report['product_id'];
			$hospital_id = $report['hospital_id'];
			$ppi = $report['ppi'];
			$get_product_cost = $objHospital->get_store_product_by_product_id($product_id,$hospital_id); //between '2023-01-01' and '2023-05-31'
			foreach($get_product_cost as $cost){
				$buying_price = $cost['buying_price'];
				$selling_price = $cost['selling_price'];
				$sold_as = $cost['product_sold_as'];
			}
			if($sold_as =='Strip' || $sold_as =='Reagent'){
				if($sold_as =='Reagent'){
					$received = $ppi;
					$buying_price = floatval($buying_price);
					$selling_price = (floatval($selling_price)/floatval($ppi));
					if($received == 0){
						$received = 0;
						$total_buying_cost = $buying_price;
					}else{
						$received = $received;
						$total_buying_cost = (floatval($report['received']) * floatval($buying_price));
					}
				}elseif($sold_as =='Strip'){
					$received = $received;
					$buying_price = $buying_price;
					$selling_price = $selling_price;
					if($received == 0){
						$received = 0;
						$total_buying_cost = $buying_price;
					}else{
						$received = $received;
						$total_buying_cost = (floatval($received) * floatval($buying_price));
					}
				}

				//Get departmental consumption data 
				$consumption = $objHospital->get_periodic_consumption_by_product_id($start_date,$end_date,$product_id,$user_id);
				if(empty($consumption)){
					$issued_qty = 0;
					$total_selling_cost = 0;
				}else{
					$issued_qty = $consumption;
					$total_selling_cost = (floatval($issued_qty) * floatval($selling_price));
				}
			}else{
				if($received == 0){
					$received = 0;
					$total_buying_cost = 0;
				}else{
					$received = $received;
					$total_buying_cost = (floatval($received) * floatval($buying_price));
				}
				
				if($issued == 0 ){
					$issued_qty = 0;
					$total_selling_cost = floatval(selling_price);
				}else{
					$issued_qty = $issued;
					$total_selling_cost = (floatval($issued_qty) * floatval($selling_price));
				}
			}
			
			echo'<tr>
				<td style="text-align:left; color:black; font-size:14px;">'.$product_name.'</td>
				<td style="text-align:left; color:black; font-size:14px;"><center>'.$received.'</center></td>
				<td style="text-align:left; color:blue; font-size:14px;"><center>'.number_format($total_buying_cost,0,0,',').'</center></td>
				<td style="text-align:left; color:black; font-size:14px;"><center>'.$issued_qty.'</center></td>
				<td style="text-align:left; color:blue; font-size:14px;"><center>'.number_format($total_selling_cost,0,0,',').'</center></td>
			</tr>';
			
			$total_buy_cost += floatval($total_buying_cost);
			$total_sell_cost += floatval($total_selling_cost);
		}
		/*$total_cost = $objHospital->get_total_store_report($start_date,$end_date,$user_id);
		if(!empty($total_cost)){
			foreach($total_cost as $cost){
				$total_buy_cost = $cost['received'];
				$total_sell_cost = $cost['issued'];
			}
		}else{
			$total_buy_cost = 0;
			$total_sell_cost = 0;
		}*/
		echo'<tr>
			<td style="text-align:left; font-weight:bold; color:black; font-size:14px;">Total</td>
			<td style="text-align:left; color:black; font-size:14px;"><center></center></td>
			<td style="text-align:left; font-weight:bold; color:blue; font-size:14px;"><center>'.number_format($total_buy_cost,0,0,',').'</center></td>
			<td style="text-align:left; color:black; font-size:14px;"><center></center></td>
			<td style="text-align:left; font-weight:bold; color:blue; font-size:14px;"><center>'.number_format($total_sell_cost,0,0,',').'</center></td>
		</tr>';
	}
}
elseif(isset($_POST['stock_report_start_date'])){
	$start_date = $_POST['stock_report_start_date'];
	$end_date = $_POST['stock_report_end_date'];
	$user_id = $_POST['stock_report_user_id'];
	
	//Total items bought
	$total_bought_quantities = $objHospital->total_bought_quantities($start_date,$end_date,$user_id);
	$total_store_bought_quantities = $objHospital->total_store_bought_quantities($start_date,$end_date,$user_id);
	$total_bought = intval($total_bought_quantities) + intval($total_store_bought_quantities);
	
	//Total items sold
	$total_sold_quantities = $objHospital->total_sold_quantities($start_date,$end_date,$user_id);
	$total_sold = 0;
	foreach($total_sold_quantities as $qty){
		$product_id = $qty['product_id'];
		$total_issued = $qty['total_issued'];
		
		$get_prices_and_balance = $objHospital->get_balances_by_product($product_id,$start_date,$end_date,$user_id);
		foreach($get_prices_and_balance as $details){
			$sell_price = $details['sell_price'];
		}
		$items_sold = intval($total_issued) * intval($sell_price);
		$total_sold += $items_sold;
	}
	
	//Total balances
	$get_all_product_balances = $objHospital->get_all_product_balances($start_date,$end_date,$user_id);
	$total_balance = 0;
	foreach($get_all_product_balances as $qty){
		$product_id = $qty['product_id'];
		$balance = $qty['balance'];
		
		$get_prices_and_balance = $objHospital->get_balances_by_product($product_id,$start_date,$end_date,$user_id);
		foreach($get_prices_and_balance as $details){
			$sell_price = $details['sell_price'];
		}
		$product_balance = intval($balance) * intval($sell_price);
		$total_balance += $product_balance;
	}
	
	
	echo'
	<div class="row" style="margin:15px;">
		<div class="col-xl-4">
			<div class="media widget-media p-4 bg-white border" style="height:6rem; border-radius:5px;">
				<div class="icon rounded-circle mr-2 bg-primary d-flex justify-content-center" style="width:3rem; height:3rem;">
					<i class="mdi mdi-call-received text-white "></i>
				</div>

				<div class="media-body align-self-center">
					<h6 class="text-primary mb-2">Ugx '.number_format($total_bought,0,0,',').'</h6>
					<p>Stock In</p>
				</div>
			</div>
		</div>
		<div class="col-xl-4">
			<div class="media widget-media p-4 bg-white border" style="height:6rem; border-radius:5px;">
				<div class="icon rounded-circle bg-warning mr-4 d-flex justify-content-center" style="width:3rem; height:3rem;">
					<i class="mdi mdi-call-made text-white "></i>
				</div>

				<div class="media-body align-self-center">
					<h6 class="text-primary mb-2">Ugx '.number_format($total_sold,0,0,',').'</h6>
					<p>Stock Out</p>
				</div>
			</div>
		</div>
		<div class="col-xl-4">
			<div class="media widget-media p-4 bg-white border" style="height:6rem; border-radius:5px;">
				<div class="icon bg-success rounded-circle mr-4 d-flex justify-content-center" style="width:3rem; height:3rem;">
					<i class="mdi mdi-briefcase text-white "></i>
				</div>

				<div class="media-body align-self-center">
					<h6 class="text-primary mb-2">Ugx '.number_format($total_balance,0,0,',').'</h6>
					<p>Balance</p>
				</div>
			</div>
		</div>
	</div>
	<table class="table primary-table-bg-hover">
		<thead>
			<tr><td style="color:black; font-weight:bold; line-height:1rem;">Product ID</td>
				<td style="color:black; font-weight:bold; line-height:1rem;">Product Name</td>
				<td style="color:black; font-weight:bold; line-height:1rem;">Brand</td>
				<td style="color:black; font-weight:bold; line-height:1rem;"><center>Buying Price</center></td>
				<td style="color:black; font-weight:bold; line-height:1rem;"><center>Selling Price</center></td>
				<td style="color:black; font-weight:bold; line-height:1rem;"><center>Qty at Hand</center></td>
				<td style="color:black; font-weight:bold; line-height:1rem;"><center>Purchase Value</center></td>
				<td style="color:black; font-weight:bold; line-height:1rem;"><center>Sale Value</center></td>
				<td style="color:black; font-weight:bold; line-height:1rem;"><center>Margin</center></td>
			</tr>
		</thead>
	<tbody>';
	//Total balances
	$get_all_product_balances = $objHospital->get_all_product_balances($start_date,$end_date,$user_id);
	
	$pharmacy_purchase = 0;
	$pharmacy_sale = 0;
	$pharmacy_margin = 0;
	
	foreach($get_all_product_balances as $qty){
		$product_id = $qty['product_id'];
		$product_name = $qty['product_name'];
		$balance = $qty['balance'];
		$hospital_id = $qty['hospital_id'];
		
		//Get product details
		$product_details = $objHospital->get_product_by_product_id($product_id,$hospital_id);
		foreach($product_details as $details){
			$brand = $details['product_brand'];
		}
		
		//Get prices and balances
		$get_prices_and_balance = $objHospital->get_balances_by_product($product_id,$start_date,$end_date,$user_id);
		foreach($get_prices_and_balance as $details){
			$sell_price = $details['sell_price'];
			$buy_price = $details['buy_price'];
		}
		$purchase_value = intval($balance) * intval($buy_price);
		$sale_value = intval($balance) * intval($sell_price);
		$margin = $sale_value - $purchase_value;
		
		$pharmacy_purchase += $purchase_value;
		$pharmacy_sale += $sale_value;
		$pharmacy_margin += $margin;
		
		echo'<tr>
			<td style="text-align:left; color:black; line-height:1rem;">'.$product_id.'</td>
			<td style="text-align:left; color:black; line-height:1rem;">'.$product_name.'</td>
			<td style="text-align:left; color:black; line-height:1rem;"><center>'.$brand.'</center></td>
			<td style="text-align:left; color:black; line-height:1rem;"><center>'.$buy_price.'</center></td>
			<td style="text-align:left; color:black; line-height:1rem;"><center>'.$sell_price.'</center></td>
			<td style="text-align:left; color:black; line-height:1rem;"><center>'.$balance.'</center></td>
			<td style="text-align:left; color:blue; line-height:1rem;"><center>'.$purchase_value.'</center></td>
			<td style="text-align:left; color:blue; line-height:1rem;"><center>'.$sale_value.'</center></td>
			<td style="text-align:left; color:blue; line-height:1rem;"><center>'.$margin.'</center></td>
		</tr>';
	}
	
	//Total balances
	$get_all_consumption_balances = $objHospital->get_all_consumption_balances($start_date,$end_date,$user_id);
	
	$store_purchase = 0;
	$store_sale = 0;
	$store_margin = 0;
	
	foreach($get_all_consumption_balances as $qty){
		$product_id = $qty['reagent_id'];
		$product_name = $qty['reagent_name'];
		$hospital_id = $qty['hospital_id'];
		//Get balance 
		$balance = $objHospital->get_consumption_balance($product_id, $hospital_id);
		//Get product details
		$product_details = $objHospital->get_store_product_by_product_id($product_id,$hospital_id);
		foreach($product_details as $details){
			$brand = $details['product_brand'];
			$product_sold_as = $details['product_sold_as'];
		}
		
		//Get prices and balances
		$get_prices_and_balance = $objHospital->get_store_balances_by_product($product_id,$start_date,$end_date,$user_id);
		foreach($get_prices_and_balance as $details){
			$sell_price = $details['sell_price'];
			$buy_price = $details['buy_price'];
		}
		
		if($product_sold_as == 'Reagent'){
			$margin = 0;
			$purchase_price = 0;
			$sale_value = 0;
		}else{
			$margin = $sell_price - $buy_price;
			$purchase_price = $buy_price;
			$sale_value = $sell_price;
		}
		
		$store_purchase += $buy_price;
		$store_sale += $sale_value;
		$store_margin += $margin;
		
		echo'<tr>
			<td style="text-align:left; color:black; line-height:1rem;">'.$product_id.'</td>
			<td style="text-align:left; color:black; line-height:1rem;">'.$product_name.'</td>
			<td style="text-align:left; color:black; line-height:1rem;"><center>'.$brand.'</center></td>
			<td style="text-align:left; color:black; line-height:1rem;"><center>'.number_format($buy_price,0,0,',').'</center></td>
			<td style="text-align:left; color:black; line-height:1rem;"><center>'.number_format($sell_price,0,0,',').'</center></td>
			<td style="text-align:left; color:black; line-height:1rem;"><center>'.number_format($balance,0,0,',').'</center></td>
			<td style="text-align:left; color:blue; line-height:1rem;"><center>'.number_format($buy_price,0,0,',').'</center></td>
			<td style="text-align:left; color:blue; line-height:1rem;"><center>'.number_format($sale_value,0,0,',').'</center></td>
			<td style="text-align:left; color:blue; line-height:1rem;"><center>'.number_format($margin,0,0,',').'</center></td>
		</tr>';
	}
	$total_purchase = $pharmacy_purchase + $store_purchase;
	$total_sale = $pharmacy_sale + $store_sale;
	$total_margin = $pharmacy_margin + $store_margin;
	echo'<tr>
		<td colspan="6" style="text-align:left; font-weight:bold; color:blue; font-size:18px;">Total</td>
		<td style="text-align:left; font-weight:bold; color:blue; font-size:18px;"><center>'.number_format($total_purchase,0,0,',').'</center></td>
		<td style="text-align:left; color:blue; font-size:18px;"><center>'.number_format($total_sale,0,0,',').'</center></td>
		<td style="text-align:left; font-weight:bold; color:blue; font-size:18px;"><center>'.number_format($total_margin,0,0,',').'</center></td>
	</tr>';
	
		echo'</tbody>
	</table>';
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
















?>