<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];
	$dpt_name = $_GET['department'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Department</title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:78rem;">
										<div class="card-header">
											<div class="row">
												<div class="col-sm-12" style="text-align:right; height:2rem;">
													<!--<a class="btn btn-info" style="margin-top:-10px;" href="equipment.php?user_id=<?php echo $user_id;?>&department=<?php echo $dpt_name;?>"><i class="fa fa-tachometer"></i>&nbsp; Equipment</a>-->
													<a class="btn btn-info" style="color:#ffffff; margin-top:-10px;" data-target="#add_services_modal" data-toggle="modal"><i class="fa fa-list"></i>&nbsp; Add Services</a>
												</div>
											</div>
										</div>
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#patients" data-toggle="tab" class="nav-link active show"><i class="fa fa-plus"></i>&nbsp;Patients
														<?php
														//Count number of pending requests
														$pending_services = $objHospital->count_pending_service_requests($user_id,$dpt_name);
														if($pending_services == 0){
															//Do nothing
														}else{
															echo'<span class="badge badge-danger">'.$pending_services.'</span>';
														}
														?>
														</a></li>
														<li class="nav-item"><a href="#all_services" data-toggle="tab" class="nav-link"><i class="fa fa-list"></i>&nbsp;All Services</a>
														</li>
														<li class="nav-item"><a href="#supplies" data-toggle="tab" class="nav-link"><i class="fa fa-shopping-basket"></i>&nbsp;Supply Orders</a>
														</li>
														<li class="nav-item"><a href="#stock" data-toggle="tab" class="nav-link"><i class="fa fa-archive"></i>&nbsp;Inventory</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<div id="all_services" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Services for the <span style="color:blue;" id="department_title"></span> Department</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Services ID</center></th>
																					<th scope="col"><center>Service Name</center></th>
																					<th scope="col"><center>Description</center></th>
																					<th scope="col"><center>Cost</center></th>
																					<th scope="col"><center>No of Patients</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_all_services = $objHospital->get_services($user_id,$dpt_name);
																					
																					if(empty($get_all_services)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no services added yet</center></td></tr>';
																					}else{
																						foreach($get_all_services as $service){
																							$service_id  = $service['service_id'];
																							$hospital_id = $service['hospital_id'];
																							$department_name = $service['department_name'];
																							$service_name = $service['service_name'];
																							$description = $service['description'];
																							$cost = $service['cost'];
																							
																							//Lets cut the number of words 
																							if(strlen($description)>50){
																								$desc = substr($description,0,50).'...';
																							}else{
																								$desc = $description;
																							}
																							
																							echo'
																							<tr>
																								<td><center>'.$service_id.'</center></td>
																								<td><center>'.$service_name.'</center></td>
																								<td><center>'.$desc.'</center></td>
																								<td><center>'.$cost.'</center></td>
																								<td><center>';
																								$get_no_of_patient = $objHospital->get_no_of_patient($user_id,$dpt_name);
																								echo $get_no_of_patient;
																								echo'</center></td>
																								<td>
																									<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-left">
																										<button class="badge badge-dark view_service_button"  data-toggle="modal"  data-target="#view_services_modal" data-service-id="'.$service_id.'" data-hospital-id="'.$hospital_id.'" data-service-name="'.$service_name.'">View Details</button>
																										<button class="badge badge-warning edit_service_button"  data-toggle="modal" data-target="#edit_services_modal" data-service-id="'.$service_id.'" data-hospital-id="'.$hospital_id.'" data-service-name="'.$service_name.'">Edit Service</button>
																										<button class="badge badge-danger delete_service_button"  data-toggle="modal" data-target="#delete_service_button" data-service-id="'.$service_id.'" data-hospital-id="'.$hospital_id.'" data-service-name="'.$service_name.'">Delete Service</button>
																									</div>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="patients" class="tab-pane fade active show d-flex">
															<div class="col-md-6">
																<div class="card" style="width:100%;">
																	<div class="card-body">
																		<div class="card-header">
																			<div class="btn btn-danger"><h5 style="color:white;">Unseen <span style="color:blue;" id="services_title"></span> Patients</h5></div>
																		</div>
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th scope="col"><center>Date</center></th>
																						<th scope="col"><center>Patient Name</center></th>
																						<th scope="col"><center>Service Required</center></th>
																						<th scope="col"><center>Action</center></th>
																					</tr>
																				</thead>
																				<tbody>
																					<?php
																						
																						$get_approved_services = $objHospital->get_approved_services($user_id,$dpt_name);
																						
																						if(empty($get_approved_services)){
																							echo'<tr><td colspan="4" style="color:green;"><center>There are no services requested yet</center></td></tr>';
																						}else{
																							//var_dump($get_approved_services);
																							foreach($get_approved_services as $service){
																								
																								$patient_id  = $service['patient_id'];
																								$offer_service_id  = $service['offer_service_id'];
																								$service_id  = $service['service_id'];
																								$hospital_id = $service['hospital_id'];
																								$department_name = $service['department_name'];
																								$service_name = $service['service_name'];
																								$service_cost = $service['service_cost'];
																								$visit_id = $service['visit_id'];
																								$visit_date = $service['visit_date'];
																								$first_name = $service['first_name'];
																								$last_name = $service['last_name'];
																								$gender = $service['gender'];
																								$age = $service['age'];
																								$added_date = $service['added_date'];
																								
																								$patient_name=$first_name.' '.$last_name;
																								
																								//If the offer_service details have the TBD placeholder
																								if($service_id == 'TBD'){
																									$paid = 'TBD';
																									$type_of_visit = 'TBD';
																								}else{
																									//Get bill details for by request ID request
																									$get_request_bill = $objHospital->get_service_request_bill($patient_id,$offer_service_id,$dpt_name,$hospital_id);
																									//var_dump($get_request_bill);
																									foreach($get_request_bill as $request){
																										$paid = $request['paid'];
																									}
																									
																									//Get visit type ie if patient is walkin
																									$get_visit_details = $objHospital->get_visit_by_id($visit_id,$patient_id,$user_id);
																									foreach($get_visit_details as $detail){
																										$type_of_visit = $detail['type_of_visit'];
																									}
																								}
																								
																								//Check whether the visit exists in the all request table
																								$get_visit_requests = $objHospital->get_patients_dept_requests($patient_id,$visit_id,$dpt_name,$user_id); 	
																																												
																								//Get case by visit_id
																								$get_visit_case = $objHospital->get_case_by_visit_id($patient_id,$user_id,$visit_id);
																								
																								//Get offer service report by visit_id
																								$get_visit_report = $objHospital->get_service_report_by_department($patient_id,$user_id,$visit_id,$dpt_name);
																								if(($paid == 'Partial' || $paid == 'Fully' || $type_of_visit=='Group' || $service_name == 'TBD')){
																									
																									if(empty($get_visit_requests) && empty($get_visit_case) && empty($get_visit_report)){
																										echo'<tr class="unseen_patient_tr" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-department-name="'.$department_name.'">
																											<td><center>'.date('d-M-Y',strtotime($added_date)).'</center></td>
																											<td><center>'.$patient_name.'</center></td>
																											<td><center>'.$service_name.'</center></td>
																											<td>
																												<center>
																												<a class="btn btn-sm btn-success view_report_button"  href="admission.php?user_id='.$user_id.'&patient_id='.$patient_id.'&hospital_id='.$hospital_id.'&department='.$dpt_name.'" data-patient-id="'.$patient_id.'" data-service-id="'.$service_id.'" data-hospital-id="'.$hospital_id.'" data-department-name="'.$department_name.'" data-service-name="'.$service_name.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-service-cost="'.$service_cost.'">Manage</a></center>
																											</td>
																										</tr>';
																									}else{
																										//Do nothing
																									}
																								}else{
																									//Do nothing
																								}
																							}
																							
																						}
																					?>
																				</tbody>
																			</table>
																		</div>
																	</div>							
																</div>
															</div>
															<div class="col-md-6">
																<div class="card" style="width:100%;">
																	<div class="card-body">
																		<div class="card-header">
																			<div class="btn btn-primary"><h5 style="color:white;">Seen <span style="color:blue;" id="services_title"></span> Patients</h5></div>
																		</div>
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th scope="col"><center>Date</center></th>
																						<th scope="col"><center>Patient Name</center></th>
																						<th scope="col"><center>Service Required</center></th>
																						<th scope="col"><center>Action</center></th>
																					</tr>
																				</thead>
																				<tbody>
																					<?php
																						
																						$get_approved_services = $objHospital->get_approved_services($user_id,$dpt_name);
																						
																						if(empty($get_approved_services)){
																							echo'<tr><td colspan="4" style="color:green;"><center>There are no services requested yet</center></td></tr>';
																						}else{
																							foreach($get_approved_services as $service){
																								$patient_id  = $service['patient_id'];
																								$offer_service_id  = $service['offer_service_id'];
																								$service_id  = $service['service_id'];
																								$hospital_id = $service['hospital_id'];
																								$department_name = $service['department_name'];
																								$service_name = $service['service_name'];
																								$visit_id = $service['visit_id'];
																								$visit_date = $service['visit_date'];
																								$first_name = $service['first_name'];
																								$last_name = $service['last_name'];
																								
																								$patient_name=$first_name.' '.$last_name;
																								
																								//Check whether the visit exists in the all request table
																								$get_visit_requests = $objHospital->get_patients_dept_requests($patient_id,$visit_id,$dpt_name,$user_id);
																																												
																								//Get case by visit_id
																								$get_visit_case = $objHospital->get_case_by_visit_id($patient_id,$user_id,$visit_id);
																								
																								//Get offer service report by visit_id
																								$get_visit_report = $objHospital->get_service_report_by_department($patient_id,$user_id,$visit_id,$dpt_name);
																								
																								if(!empty($get_visit_requests) || !empty($get_visit_case) || !empty($get_visit_report)){
																									
																									//Get bill details for by request ID request
																									$get_request_bill = $objHospital->get_service_request_bill($patient_id,$offer_service_id,$dpt_name,$hospital_id);
																									
																									foreach($get_request_bill as $request){
																										$paid = $request['paid'];
																									}
																									
																									//Get visit type ie if patient is walkin
																									$get_visit_details = $objHospital->get_visit_by_id($visit_id,$patient_id,$user_id);
																									foreach($get_visit_details as $detail){
																										$type_of_visit = $detail['type_of_visit'];
																									}
																									
																									if($paid == 'Partial' || $paid == 'Fully' || $type_of_visit=='Group' || !empty($get_visit_case)){
																										echo'
																										<tr class="unseen_patient_tr" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-department-name="'.$department_name.'">
																											<td><center>'.date('d-M-Y',strtotime($added_date)).'</center></td>
																											<td><center>'.$patient_name.'</center></td>
																											<td><center>'.$service_name.'</center></td>
																											<td>
																												<center>
																												<a class="btn btn-sm btn-success view_report_button"  href="admission.php?user_id='.$user_id.'&patient_id='.$patient_id.'&hospital_id='.$hospital_id.'&department='.$dpt_name.'" data-patient-id="'.$patient_id.'" data-service-id="'.$service_id.'" data-hospital-id="'.$hospital_id.'" data-department-name="'.$department_name.'" data-service-name="'.$service_name.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-service-cost="'.$service_cost.'">Manage</a></center>
																											</td>
																										</tr>
																										
																										';
																									}else{
																										//Do nothing
																									}
																								}else{
																									//Do nothing
																								}
																								
																							}
																						}
																					?>
																				</tbody>
																			</table>
																		</div>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="supplies" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-header">
																	<h5 style="text-align:right;"><a class="btn btn-success" data-toggle="collapse" href="#add_a_brand" aria-expanded="false" aria-controls="patient">
																		<i class="fa fa-plus"></i>
																		<span class="menu-title"><b>Stock Order</b></span>
																		<i class="menu-arrow"></i>
																	</a></h5>
																</div>
																<div class="card-body">
																	<div class="img-container collapse" id="add_a_brand">
																		<form method="post" class="form-sample" id="order_supplies_form">
																		  <div class="col-md-12">
																			<div class="card">
																				<table class="table primary-table-bg-hover">
																					<thead>
																						<tr>
																							<th scope="col"><center>Product Name</center></th>
																							<th scope="col"><center>Quantity</center></th>
																							<th scope="col"><center>Action</center></th>
																						</tr>
																					</thead>
																					<tbody class="add_request_product_body">
																						<tr>
																							<td><center><select name="order_store_product_name[]" type="text" class="form-control order_store_product_name">
																								<?php
																								$get_products = $objHospital->get_store_products_by_user_id($user_id);
																								if(empty($get_products)){
																									echo'<option value="none">No Products added yet</option>';
																								}else{
																									foreach($get_products as $products){
																										$product_id = $products['store_product_id'];
																										$product_name = $products['product_name'];
																										$hospital_id = $products['hospital_id'];
																										echo'<option value="'.$product_id.'">'.$product_name.'</option>';
																									}
																								}
																								?>
																								</select><center>
																							</td>
																							<td><center><input name="order_store_quantity[]" type="text" class="form-control" /><center></td>
																							<td><center><button type="button" class="btn btn-badge btn-success add_request_product_btn">Add Item</button></center></td>
																						</tr>
																					</tbody>
																					<tfoot>
																						<tr>
																							<td colspan="3">
																								<div class="d-flex justify-content-center">
																								<input type="hidden" name="order_store_user_id" value="<?php echo $user_id?>">
																								<input type="hidden" name="order_store_dept" value="<?php echo $dpt_name?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="place_order_btn"><span style="font-size:16px;">Place Order</span></button>
																							</div>
																							</td>
																						</tr>
																					</tfoot>
																				</table>
																			</div>
																		  </div>
																		</form>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Order ID</center></th>
																					<th scope="col"><center>Item Name</center></th>
																					<th scope="col"><center>Qty Ordered</center></th>
																					<th scope="col"><center>Status</center></th>
																					<th scope="col"><center>Requested By</center></th>
																					<th scope="col"><center>Request Date</center></th>
																					<th scope="col"><center>Qty Issued</center></th>
																					<th scope="col"><center>Issue Date</center></th>
																					<th scope="col"><center>Confirm Receipt</center></th>
																				</tr>
																			</thead>
																			<tbody id="all_brands_body">
																				<?php
																					$get_orders = $objHospital->get_department_orders($user_id,$dpt_name);
																					if(empty($get_orders)){
																						echo '<tr><td colspan="5" style="color:green"><center>There are no orders made yet</center></td></tr>';
																					}else{
																						foreach($get_orders as $order){
																							$order_id = $order['order_product_id'];
																							$hospital_id = $order['hospital_id'];
																							$department_name = $order['department_name'];
																							$product_id = $order['product_id'];
																							$product_name = $order['product_name'];
																							$order_qty = $order['order_qty'];
																							$order_date = date('d-m-Y',strtotime($order['order_date']));
																							$issued = $order['issued'];
																							$issue_date = date('d-m-Y',strtotime($order['issue_date']));
																							$quantity_issued = $order['quantity_issued'];
																							$difference = $order['difference'];
																							$confirmed = $order['confirmed'];
																							echo'<tr>
																							<td><center>'.$order_id.'</center></td>
																							<td><center>'.$product_name.'</center></td>
																							<td><center>'.$order_qty.'</center></td>
																							<td><center>';
																							if($issued == 'yes'){
																								echo'<div class="badge badge-primary">Issued</div>';
																							}else{
																								echo'<div class="badge badge-danger">Pending</div>';
																							}
																							echo'</center></td>
																							<td><center>';
																							$get_user = $objHospital->get_user($user_id);
																							foreach($get_user as $user){
																								$first_name = $user['first_name'];
																								$last_name = $user['last_name'];
																								echo $first_name.' '.$last_name;
																							}
																							echo'</center></td>
																							<td><center>'.$order_date.'</center></td>
																							<td style="color:blue;"><center>';
																							if($issued == 'yes'){
																								echo $quantity_issued;
																							}else{
																								echo '0';
																							}
																							echo'</center></td>
																							<td style="color:blue;"><center>'.$issue_date.'</center></td>
																							<td><center>';
																							if($confirmed == 'yes'){
																								echo'<div style="color:blue;">Confirmed</div>';
																							}else{
																								echo'<button class="btn btn-info confirm_receipt_btn" data-product-id="'.$product_id.'" data-user-id="'.$user_id.'" data-order-id="'.$order_id.'" data-hospital-id="'.$hospital_id.'" data-quantity-issued="'.$quantity_issued.'" data-dept-name="'.$department_name.'" data-product-name="'.$product_name.'"><b>Yes</b></button>';
																							}
																							echo'</center></td>
																							</tr>';
																							
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="stock" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-header">
																	<h5 style="text-align:right;"><a class="btn btn-success" data-toggle="collapse" href="#physical_count" aria-expanded="false" aria-controls="patient">
																		<i class="fa fa-plus"></i>
																		<span class="menu-title"><b>Physical Count</b></span>
																		<i class="menu-arrow"></i>
																	</a></h5>
																</div>
																<div class="card-body">
																	<div class="img-container collapse" id="physical_count">
																		<form method="post" class="form-sample" id="physical_count_form">
																		  <div class="col-md-12">
																			<div class="card">
																				<table class="table primary-table-bg-hover">
																					<thead>
																						<tr>
																							<th scope="col"><center>Product Name</center></th>
																							<th scope="col"><center>Quantity</center></th>
																							<th scope="col"><center>Action</center></th>
																						</tr>
																					</thead>
																					<tbody class="physical_count_product_body">
																						<tr>
																							<td><center><select name="physical_count_product_name[]" type="text" class="form-control physical_count_product_name">
																								<?php
																								$get_products = $objHospital->get_dept_stock($user_id,$dpt_name);
																								if(empty($get_products)){
																									echo'<option value="none">No Products added yet</option>';
																								}else{
																									foreach($get_products as $products){
																										$product_id = $products['dept_stock_id'];
																										$product_name = $products['product_name'];
																										$hospital_id = $products['hospital_id'];
																										echo'<option value="'.$product_id.'">'.$product_name.'</option>';
																									}
																								}
																								?>
																								</select><center>
																							</td>
																							<td><center><input name="physical_count_quantity[]" type="text" class="form-control" /><center></td>
																							<td><center><button type="button" data-dept-name="<?php echo $dpt_name;?>" class="btn btn-badge btn-success physical_count_product_btn">Add Item</button></center></td>
																						</tr>
																					</tbody>
																					<tfoot>
																						<tr>
																							<td colspan="3">
																								<div class="d-flex justify-content-center">
																								<input type="hidden" name="physical_count_user_id" value="<?php echo $user_id?>">
																								<input type="hidden" name="physical_count_dept" value="<?php echo $dpt_name?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="stock_order_btn"><span style="font-size:16px;">Update Stock</span></button>
																							</div>
																							</td>
																						</tr>
																					</tfoot>
																				</table>
																			</div>
																		  </div>
																		</form>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Product ID</center></th>
																					<th scope="col"><center>Product Name</center></th>
																					<th scope="col"><center>Balance</center></th>
																					<th scope="col"><center>Status</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					$get_stock = $objHospital->get_dept_products($user_id,$dpt_name);
																					if(empty($get_stock)){
																						echo '<tr><td colspan="4" style="color:green"><center>There are no supplies from the stores yet</center></td></tr>';
																					}else{
																						foreach($get_stock as $stock){
																							$product_id = $stock['product_id'];
																							$product_name = $stock['product_name'];
																							$product_name = $stock['product_name'];
																							$get_balance = $objHospital->get_dept_product_balance($user_id,$dpt_name,$product_id);
																							echo'<tr>
																							<td><center>'.$product_id.'</center></td>
																							<td><center>'.$product_name.'</center></td>
																							<td><center>'.$get_balance.'</center></td>
																							<td><center>';
																							if($get_balance == 0){
																								echo'<span style="color:red">Out of Stock</span>';
																							}else{
																								echo'<span style="color:blue">Still available</span>';
																							}
																							echo'</center></td>
																							</tr>';
																							
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_services_modal" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">Add a Service <span style="color:blue;" id="add_service_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_service_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_service_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Service Name:</label>
																							<div class="col-sm-9">
																							  <input name="service_name" type="text" class="form-control" placeholder="Eg. Examination, Hip Surgery, Colonoscopy...etc"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																							<div class="col-sm-9">
																							  <textarea name="service_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Cost:</label>
																							<div class="col-sm-9">
																							  <input name="sevice_cost" type="text" class="form-control" />
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="service_user_id" value="<?php echo $user_id?>">
																								<input type="hidden" name="service_department_name" value="<?php echo $dpt_name?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Service</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_report_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" >Add Report <span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_service_card">
																				<form method="post" class="form-sample" id="add_report_form">
																				  <div class="row">
																					<div class="col-md-12">
																					  <div class="row">
																						<label class="col-form-label" style="color:black; font-size:16px;">Report Details:</label>
																						<div class="col-sm-12">
																						  <textarea name="report_details" type="text" rows="7" style="height:100%; width:100%;" class="form-control" placeholder="Please add the clinician's name at the end of the report notes..."></textarea>
																						</div>
																					  </div>
																					  <div class="row">
																						<label><span style="color:black;">Consumables Used: </span><span style="color:red;">*</span></label>
																						<select class="js-example-disabled-multi" name="report_consumables[]" multiple="multiple" style="width:100%;" required>
																							<?php
																							$get_consumables = $objHospital->get_dept_consumables($user_id,$dpt_name);
																							if(empty($get_consumables)){
																								echo'<option>There are no consumables ordered from the store yet</option>';
																							}else{
																								foreach($get_consumables as $consumables){
																									$product_id = $consumables['product_id'];
																									$product_name = $consumables['product_name'];
																									echo'<option value="'.$product_id.'">'.$product_name.'</option>';
																								}
																							}
																							
																							?>
																						</select>
																					  </div>
																					</div>
																				  </div>
																				  <div class="row">
																					<div class="col-md-12">
																						<div class="d-flex justify-content-center">
																							<input type="hidden" name="report_user_id" value="<?php echo $user_id; ?>">
																							<input type="hidden" name="report_patient_id" id="report_patient_id">
																							<input type="hidden" name="report_hospital_id" id="report_hospital_id">
																							<input type="hidden" name="report_service_id" id="report_service_id">
																							<input type="hidden" name="report_service_name" id="report_service_name">
																							<input type="hidden" name="report_service_cost" id="report_service_cost">
																							<input type="hidden" name="report_visit_id" id="report_visit_id">
																							<input type="hidden" name="report_visit_date" id="report_visit_date">
																							<input type="hidden" name="report_department_name" id="report_department_name">
																							<button type="submit" class="btn btn-lg btn-primary"><span style="font-size:16px;">Save Report</span></button>
																						</div>
																					</div>
																				  </div>
																				</form>
																				<!-- partial -->
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="view_services_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">View <span style="color:blue;" id="view_service_header"></span> Service</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card view_service_card">
																				<!---View equipment here--->
																			</div>
																		</div>
																		<div class="modal-footer">
																			<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="edit_services_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:75rem;">
																	<div class="modal-header">
																		<h5 class="modal-title">Edit <span style="color:blue;" id="edit_service_header"></span> Service</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card edit_service_card" style="width:70rem;">
																				<!---View equipment here--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="view_report_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
															  <div class="card add_service_card" style="width:75rem;">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" >View Reports</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card edit_report_card" style="width:70rem;">
																				<!---View equipment here--->
																			</div>
																		</div>
																	</div>
																	<div class="row">
																		<div class="col-md-12">
																		  <div class="d-flex justify-content-center">
																			<button type="button" class="btn btn-lg btn-primary"><span style="font-size:16px;">Print Report</span></button>
																			<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																		  </div>
																	    </div>
																	</div>
																</div>
															  </div>
															</div>
														</div>
														
														
														

														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/department.js"></script>
	<style>
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>