$(document).ready(function(){
	
	//user controller url
	var url = './../controller/accounting.php';
	var userId = $('#user_id').data('user-id');
	
	
	//Submit account type form
	$('#add_account_type_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_account_type_form").trigger("reset");
			
	});
	
	//Submit account form
	$('#add_account_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_account_form").trigger("reset");
			
	});
	
	//Get sales_report
	$('#daterange_income_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
		var endedDate = picker.endDate.format('DD-MM-YYYY');
		
		//Determine number of months between the two dates
		var startDateConvert = new Date(startDate);
		var endDateConvert = new Date(endDate);
		var months = (endDateConvert.getMonth() - startDateConvert.getMonth())+1;
		
		var period;
		if(months == 1){
			period = 'Month';
		}else if(months == 2){
			period = 'Two Months Period';
		}else if(months == 3){
			period = 'Quarter';
		}else if(months > 3 && months < 12){
			period = months+' Months Period';
		}else if(months == 12){
			period = 'Year';
		}else if(months < 0){
			period = 'Different Year';
		}
	  
		$('#income_period').html(period);
		$('#income_ended').html(endedDate);
		
		//If dates are selected from 2 different years
		if(period == 'Different Year'){
			alert('Please select a period in the same year');
		}else{
			$.ajax({
				type: "POST",
				url: url,
				data: {'income_statement_start_date':startDate,'income_statement_end_date':endDate,'income_statement_user_id':userId}, 
				success: function(data){
					$('.income_report_body').html(data);
				},
				error: function(){ 
				
					alert('No revenue found'); 
				}
			});
		}
	});
	
	//Get Changes in Equity
	$('#daterange_equity_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
		var endedDate = picker.endDate.format('DD-MM-YYYY');
		
		//Determine number of months between the two dates
		var startDateConvert = new Date(startDate);
		var endDateConvert = new Date(endDate);
		var months = (endDateConvert.getMonth() - startDateConvert.getMonth())+1;
		
		var period;
		if(months == 1){
			period = 'Month';
		}else if(months == 2){
			period = 'Two Months Period';
		}else if(months == 3){
			period = 'Quarter';
		}else if(months > 3 && months < 12){
			period = months+' Months Period';
		}else if(months == 12){
			period = 'Year';
		}else if(months < 0){
			period = 'Different Year';
		}
	  
		$('#equity_period').html(period);
		$('#equity_ended').html(endedDate);
		
		//If dates are selected from 2 different years
		if(period == 'Different Year'){
			alert('Please select a period in the same year');
		}else{
			$.ajax({
				type: "POST",
				url: url,
				data: {'equity_start_date':startDate,'equity_end_date':endDate,'equity_user_id':userId}, 
				success: function(data){
					$('.equity_report_body').html(data);
				},
				error: function(){ 
				
					alert('No revenue found'); 
				}
			});
		}
	});
	
	//Get Trial Balance
	$('#daterange_tb_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
		var endedDate = picker.endDate.format('DD-MM-YYYY');
		
		//Determine number of months between the two dates
		var startDateConvert = new Date(startDate);
		var endDateConvert = new Date(endDate);
		var months = (endDateConvert.getMonth() - startDateConvert.getMonth())+1;
		
		var period;
		if(months == 1){
			period = 'Month';
		}else if(months == 2){
			period = 'Two Months Period';
		}else if(months == 3){
			period = 'Quarter';
		}else if(months > 3 && months < 12){
			period = months+' Months Period';
		}else if(months == 12){
			period = 'Year';
		}else if(months < 0){
			period = 'Different Year';
		}
	  
		$('#tb_period').html(period);
		$('#tb_ended').html(endedDate);
		
		//If dates are selected from 2 different years
		if(period == 'Different Year'){
			alert('Please select a period in the same year');
		}else{
			$.ajax({
				type: "POST",
				url: url,
				data: {'tb_start_date':startDate,'tb_end_date':endDate,'tb_user_id':userId}, 
				success: function(data){
					$('.tb_report_body').html(data);
				},
				error: function(){ 
				
					alert('No revenue found'); 
				}
			});
		}
	});
	
	//Get Cash Flow statement
	$('#daterange_cf_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
		var endedDate = picker.endDate.format('DD-MM-YYYY');
		
		//Determine number of months between the two dates
		var startDateConvert = new Date(startDate);
		var endDateConvert = new Date(endDate);
		var months = (endDateConvert.getMonth() - startDateConvert.getMonth())+1;
		
		var period;
		if(months == 1){
			period = 'Month';
		}else if(months == 2){
			period = 'Two Months Period';
		}else if(months == 3){
			period = 'Quarter';
		}else if(months > 3 && months < 12){
			period = months+' Months Period';
		}else if(months == 12){
			period = 'Year';
		}else if(months < 0){
			period = 'Different Year';
		}
	  
		$('#cf_period').html(period);
		$('#cf_ended').html(endedDate);
		
		//If dates are selected from 2 different years
		if(period == 'Different Year'){
			alert('Please select a period in the same year');
		}else{
			$.ajax({
				type: "POST",
				url: url,
				data: {'cf_start_date':startDate,'cf_end_date':endDate,'cf_user_id':userId}, 
				success: function(data){
					$('.cf_report_body').html(data);
				},
				error: function(){ 
				
					alert('No revenue found'); 
				}
			});
		}
	});
	
	//Get balance sheet
	$('#daterange_bal_sheet_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
		
		var changedDate = picker.endDate.format('DD-MM-YYYY');
		$('#bal_sheet_ended').html(changedDate);
	
		$.ajax({
			type: "POST",
			url: url,
			data: {'bal_sheet_start_date':startDate,'bal_sheet_end_date':endDate,'bal_sheet_user_id':userId}, 
			success: function(data){
				$('.bal_report_body').html(data);
			},
			error: function(){ 
			
				alert('No revenue found'); 
			}
		});
	});
	
	//Print sales report
	$('#print_sales_revenue_btn').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('.sales_table').printArea(options);
	});
	
	//Print income statement
	$('.print_income_statement').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('#income_statement_table').printArea(options);
	});
	
	//Print Equity statement
	$('.print_equity_statement').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('#equity_statement_table').printArea(options);
	});
	
	//Print tb statement
	$('.print_tb_statement').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('#tb_statement_table').printArea(options);
	});
	
	//Print Equity statement
	$('.print_bal_sheet_statement').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('#bal_sheet_statement_table').printArea(options);
	});
	
	//Add a debit account row
	$('#add_debit_acc_btn').on('click',function(){
		
		var html = '<div class="form-group row added_row">';
		html +='<label class="col-sm-2 col-form-label" style="color:black; font-size:16px;">Account:</label>';
		html +='<div class="col-sm-4">';
		html +='<select class="form-control journal_debit_account" name="journal_debit_account[]"></select>';
		html +='</div>';
		html +='<label class="col-sm-2 col-form-label" style="color:black; font-size:16px;">Amount:</label>';
		html +='<div class="col-sm-3">';
		html +='<input name="journal_debit_amount[]" type="text" class="form-control" placeholder="Figure only, no commas"/>';
		html +='</div>';
		html +='<div class="col-sm-1">';
		html +='<button type="button" class="btn btn-sm btn-danger remove_debit_acc_btn"><i class="fa fa-minus"></i></button>';
		html +='</div>';
	    html +='</div>';
		
		$('#added_debit').append(html);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'get_debit_journal_account':userId}, 
			success: function(data){
				$('.journal_debit_account').html(data);
			},
			error: function(){ 
			
				alert('No Income found'); 
			}
		});
		
		$("#added_debit").on('click', '.remove_debit_acc_btn', function () {
			$(this).closest('.added_row').remove();
		});
		
	});
	
	//Add a credit account row
	$('#add_credit_acc_btn').on('click',function(){
		
		var html = '<div class="form-group row added_credit_row">';
		html +='<label class="col-sm-2 col-form-label" style="color:black; font-size:16px;">Account:</label>';
		html +='<div class="col-sm-4">';
		html +='<select class="form-control journal_credit_account" name="journal_credit_account[]"></select>';
		html +='</div>';
		html +='<label class="col-sm-2 col-form-label" style="color:black; font-size:16px;">Amount:</label>';
		html +='<div class="col-sm-3">';
		html +='<input name="journal_credit_amount[]" type="text" class="form-control" placeholder="Figure only, no commas"/>';
		html +='</div>';
		html +='<div class="col-sm-1">';
		html +='<button type="button" class="btn btn-sm btn-danger remove_credit_acc_btn"><i class="fa fa-minus"></i></button>';
		html +='</div>';
	    html +='</div>';
		
		$('#added_credit').append(html);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'get_credit_journal_account':userId}, 
			success: function(data){
				$('.journal_credit_account').html(data);
			},
			error: function(){ 
			
				alert('No Income found'); 
			}
		});
		
		$("#added_credit").on('click', '.remove_credit_acc_btn', function () {
			$(this).closest('.added_credit_row').remove();
		});
		
	});
	
	//Add insurance tests
	$('#add_journal_entry_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_journal_entry_form").trigger("reset");
			
	});
	
	//Add insurance tests
	$('#add_asset_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_asset_form").trigger("reset");
			
	});
	
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});	
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	
	
	 
});