$(document).ready(function(){
	
	//user controller url
	var url = './../controller/admission.php';
	var userId = $('#user_id').data('user-id');
	
	//Show all admitted patients
	$.ajax({
		type: "POST",
		url: url,
		data: {'admitted_user_id':userId}, 
		success: function(data){
			
			$('#admitted_patient_body').html(data);
			
			//When the assign bed button is clicked
			$('.assign_bed_button').on('click',function(){
				var patientId = $(this).data('patient-id');
				
				$('.assign_bed_patient_id').val(patientId);
				
			});
			
			
			//Change a patient's bed
			$('.change_bed_button').on('click',function(){
				
				var patientId = $(this).data('patient-id');					
				var oldBedId = $(this).data('old-bed');
				
				$.ajax({
					type: "POST",
					url: url,
					data: {'change_bed_user_id':userId,'change_bed_patient_id':patientId}, 
					success: function(data){
						
						$('#change_bed_body').html(data);
						
						//When the change bed button is clicked
						$('.make_changes_bed_form').on('submit',function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							var form = $(this);	
							//If the checkbox is checked, save the data, if not, give an alert
						
							$.ajax({
							   type: "POST",
							   url: url,
							   data: form.serialize(), // serializes the form's elements.
							   success: function(data)
							   {
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function() 
								{ 
									alert('error'); 
								}
							});
							 
							/*/Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});*/
							
						});
					},
					error: function(){ 
						alert('No Visits found'); 
					}
				});
				
			});
			
		},
		error: function(){ 
			alert('No Visits found'); 
		}
	});
	
	//Photo preview from webcam
	$('#add_patient').on('click', function(){
		Webcam.set({
			width: 190,
			height: 140,
			image_format: 'jpeg',
			image_quality: 90
		});
		Webcam.attach('#my_camera');
	});
	
	//Click take photo button
	$('#take_photo').on('click', function(){
		$(this).val('New Photo');
		//Take snapshot and get image data
		Webcam.snap(function(data_uri){
			//Display results in page
			$('#result').html('<img style="height:140px; width:190px; border-radius:5px;" src="'+data_uri+'">');
			
			$('#patient_snap').val(data_uri);
		});
	});
	
	
	//Submit the Staff category form form
	$('#add_patient_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		
		//Submit form		
		var formdata = new FormData(this); 
		var fileData = $('#staff_image')[0].files;   
		
		// Check file selstaff_imageected or not
		if(fileData.length > 0 ){
			
			formdata.append('patient_photo',fileData);
			
		}else{
			formdata.append('patient_photo','');
		}
		
		//Send base64 image
		var base64Image = $('#patient_snap').val();
		if(base64Image == ''){
			formdata.append('taken_patient_snap','');
		}else{
			formdata.append('taken_patient_snap',base64Image);
		}
		
		$.ajax({
			type: 'post',
			url: url,
			data: formdata,
			processData: false,
			contentType: false,
			cache: false,
		   success: function(data)
		   {
			   alert('Patient added successfully');// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_patient_form").trigger("reset");
			
	});
	
	//Search Patients
	//setInterval(function(){
	$('.search_patients').on('keyup',function(){
		var searchedPatient = $(this).val();
		
		if(searchedPatient == ''){
			//Get Patients
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_patients':userId}, 
			   success: function(data)
			   {
				   $('.added_patients').html(data);
				   
					//When the patient triage tr is clicked in the triage page
					$('.patient_triage_tr').on('click',function(){
						var patientId = $(this).data('patient-id');
						var hospitalId = $(this).data('hospital-id');
						$(this).css('cursor', 'pointer');
						
						window.location.href='./clerk_patient.php?user_id='+userId+'&patient_id='+patientId+'&hospital_id='+hospitalId;
						
					});
				   
					 //if the edit menu item is clicked
					 $('.edit_patient_button').on('click',function(){
						 
						 //Get the patient id from the clicked button
						 var patientId = $(this).data('patient-id');
						 var patientUserId = $('#user_id').data('user-id');
						 
						 $.ajax({
						   type: "POST",
						   url: url,
						   data: {'edit_patient_id':patientId, 'user_staff_patient_id':patientUserId}, 
						   success: function(data){
							   
							   $('.edit_patient_body').html(data);
												   
							   //Edit the patient when edit modal form is submitted
								$('#edit_patient_form').submit(function(e){
									
									e.preventDefault(); // avoid to execute the actual submit of the form.
									
									//Submit form		
									var formdata = new FormData(this); 
									var fileData = $('#edit_patient_image')[0].files;   
									
									// Check file selstaff_imageected or not
									if(fileData.length > 0 ){
										
										formdata.append('edit_patient_photo',fileData);
										
									}else{
										//Do nothing
									}
									
									$.ajax({
										type: 'post',
										url: url,
										data: formdata,
										processData: false,
										contentType: false,
										cache: false, 
									   success: function(data){
										   alert(data);// show response from the php script.
										   window.location.reload();
									   },
										error: function(){ 
											alert('error'); 
										}
									});
									 
									/*/Reload page after Ajax request
									$(document).ajaxStop(function(){
										window.location.reload();
									});*/
										
								});
							   
						   },
							error: function() 
							{ 
								//alert('No Patients found'); 
							}
						 });
					 });
					 
					 //if the delete button is clicked
					 $('.delete_patient_button').on('click',function(){
						 
						 //Get the patient id from the clicked button
						 var patientId = $(this).data('patient-id');
						 var deleteUserId = $('#user_id').data('user-id');
						 
						 $.ajax({
						   type: "POST",
						   url: url,
						   data: {'delete_patient_id':patientId, 'delete_patient_user_id':deleteUserId}, 
						   success: function(data)
						   {
							   alert(data);
							   window.location.reload();
							   
						   },
							error: function() 
							{ 
								//alert('No patients found'); 
							}
						 });
					 });
					 
					 //if the add to group button is clicked
					 $('.patient_group_button').on('click',function(){
						 
						//When the save visit button is clicked
						$('#assign_group_form').on('submit',function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							var form = $(this);	
							//If the checkbox is checked, save the data, if not, give an alert
						
							$.ajax({
							   type: "POST",
							   url: url,
							   data: form.serialize(), // serializes the form's elements.
							   success: function(data)
							   {
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function() 
								{ 
									alert('error'); 
								}
							});
							 
							/*/Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});*/
							
							//Call the native javascript reset object to reset form
							$("#assign_group_form").trigger("reset");
						});
					 });
					 
					 //Discharge patient
					$('.follow_up_patient_btn').on('click', function(){
						var patientId = $(this).data('patient-id');						   
						var hospitalId = $(this).data('hospital-id');						   
						var visitId = $(this).data('visit-id');
						
						$('#follow_up_patient_id').val(patientId);
						$('#follow_up_hospital_id').val(hospitalId);
						$('#follow_up_visit_id').val(visitId);
						
						//Get frequency options
						$.ajax({
							type: "POST",
							url: url,
							data: {'discharge_patient_id':patientId,'discharge_hospital_id':hospitalId,'discharge_visit_id':visitId,'discharge_user_id':userId}, 
							success: function(data){
								//alert(data);
							},
							error: function(){
								alert('An error has been encountered'); 
							}
						});
						
					});
			   },
				error: function() 
				{ 
					//alert('No Patients found'); 
				}
			 });
		}else{
		
			//Get conditions
			$.ajax({
				type: "POST",
				url: url,
				data: {'searched_patient':searchedPatient,'searched_patient_user_id':userId}, 
				success: function(data){
					$('.added_patients').html(data);
					
					//When the patient triage tr is clicked in the triage page
					$('.patient_triage_tr').on('click',function(){
						var patientId = $(this).data('patient-id');
						var hospitalId = $(this).data('hospital-id');
						$(this).css('cursor', 'pointer');
						
						window.location.href='./clerk_patient.php?user_id='+userId+'&patient_id='+patientId+'&hospital_id='+hospitalId;
						
					});
				   
					 //if the edit menu item is clicked
					 $('.edit_patient_button').on('click',function(){
						 
						 //Get the patient id from the clicked button
						 var patientId = $(this).data('patient-id');
						 var patientUserId = $('#user_id').data('user-id');
						 
						 $.ajax({
						   type: "POST",
						   url: url,
						   data: {'edit_patient_id':patientId, 'user_staff_patient_id':patientUserId}, 
						   success: function(data){
							   
							   $('.edit_patient_body').html(data);
												   
							   //Edit the patient when edit modal form is submitted
								$('#edit_patient_form').submit(function(e){
									
									e.preventDefault(); // avoid to execute the actual submit of the form.
									
									//Submit form		
									var formdata = new FormData(this); 
									var fileData = $('#edit_patient_image')[0].files;   
									
									// Check file selstaff_imageected or not
									if(fileData.length > 0 ){
										
										formdata.append('edit_patient_photo',fileData);
										
									}else{
										//Do nothing
									}
									
									$.ajax({
										type: 'post',
										url: url,
										data: formdata,
										processData: false,
										contentType: false,
										cache: false, 
									   success: function(data){
										   alert(data);// show response from the php script.
										   window.location.reload();
									   },
										error: function(){ 
											alert('error'); 
										}
									});
									 
									/*/Reload page after Ajax request
									$(document).ajaxStop(function(){
										window.location.reload();
									});*/
										
								});
							   
						   },
							error: function() 
							{ 
								//alert('No Patients found'); 
							}
						 });
					 });
					 
					 //if the delete button is clicked
					 $('.delete_patient_button').on('click',function(){
						 
						 //Get the patient id from the clicked button
						 var patientId = $(this).data('patient-id');
						 var deleteUserId = $('#user_id').data('user-id');
						 
						 $.ajax({
						   type: "POST",
						   url: url,
						   data: {'delete_patient_id':patientId, 'delete_patient_user_id':deleteUserId}, 
						   success: function(data)
						   {
							   alert(data);
							   window.location.reload();
							   
						   },
							error: function() 
							{ 
								//alert('No patients found'); 
							}
						 });
					 });
					 
					 //if the add to group button is clicked
					 $('.patient_group_button').on('click',function(){
						 
						 //When the save visit button is clicked
						$('#assign_group_form').on('submit',function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							var form = $(this);	
							//If the checkbox is checked, save the data, if not, give an alert
						
							$.ajax({
							   type: "POST",
							   url: url,
							   data: form.serialize(), // serializes the form's elements.
							   success: function(data)
							   {
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function() 
								{ 
									alert('error'); 
								}
							});
							 
							/*/Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});*/
							
							//Call the native javascript reset object to reset form
							$("#assign_group_form").trigger("reset");
						});
						 
					 });
					
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
			
		}
	});
	//},1000);
	
	//Search triaged patients
	$('.search_triaged').on('keyup',function(){
		var searchedPatient = $(this).val();
		
		if(searchedPatient == ''){
			//Get Patients
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_patients':userId}, 
			   success: function(data)
			   {
				   $('#triaged_body').html(data);
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
			 
		}else{
			
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_searched_triaged_patient':searchedPatient, 'get_searched_triaged_user_id':userId}, 
			   success: function(data)
			   {
				   $('#triaged_body').html(data);
				   //When the patient tr is clicked in the triage page
					$('.patient_tr').on('click',function(){
						var patientId = $(this).data('patient-id');
						var hospitalId = $(this).data('hospital-id');
						$(this).css('cursor', 'pointer');
						
						window.location.href='./manage_patient.php?user_id='+userId+'&triaged_patient_id='+patientId+'&triaged_hospital_id='+hospitalId;
						
					});
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
		}
	});
	
	//Search triaged patients
	$('.search_seen_triaged').on('keyup',function(){
		var searchedPatient = $(this).val();
		
		if(searchedPatient == ''){
			//Get Patients
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_patients':userId}, 
			   success: function(data)
			   {
				   $('#triaged_seen_body').html(data);
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
			 
		}else{
			
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_searched_triaged_patient':searchedPatient, 'get_searched_triaged_user_id':userId}, 
			   success: function(data)
			   {
				   $('#triaged_seen_body').html(data);
				   //When the patient tr is clicked in the triage page
					$('.patient_tr').on('click',function(){
						var patientId = $(this).data('patient-id');
						var hospitalId = $(this).data('hospital-id');
						$(this).css('cursor', 'pointer');
						
						window.location.href='./manage_patient.php?user_id='+userId+'&triaged_patient_id='+patientId+'&triaged_hospital_id='+hospitalId;
						
					});
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
		}
	});
	
	//Get Patients
	$.ajax({
	   type: "POST",
	   url: url,
	   data: {'get_patients':userId}, 
	   success: function(data)
	   {
		   $('.added_patients').html(data);
		   
			//When the patient triage tr is clicked in the triage page
			$('.patient_triage_tr').on('click',function(){
				var patientId = $(this).data('patient-id');
				var hospitalId = $(this).data('hospital-id');
				$(this).css('cursor', 'pointer');
				
				window.location.href='./clerk_patient.php?user_id='+userId+'&patient_id='+patientId+'&hospital_id='+hospitalId;
				
			});
			
			//Send patient to Doctor
			$('.send_to_doc').hover(function(){
				$(this).css('cursor', 'pointer');
			});
			
			//Send patient to Doctor
			$('.send_to_doc').on('click',function(){
				
				var patientId = $(this).data('patient-id');
				
				//Get Patients
				$.ajax({
				    type: "POST",
				    url: url,
				    data: {'send_patient_to_doc_id':patientId,'send_patient_to_doc_user_id':userId}, 
				    success: function(data){
					   $('.added_patients #'+patientId).html(data);
				    },
					error: function(){ 
						//alert('No patients found'); 
					}
				});
			});
		   
			 //if the edit menu item is clicked
			 $('.edit_patient_button').on('click',function(){
				 
				 //Get the patient id from the clicked button
				 var patientId = $(this).data('patient-id');
				 var patientUserId = $('#user_id').data('user-id');
				 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'edit_patient_id':patientId, 'user_staff_patient_id':patientUserId}, 
				   success: function(data){
					   
					   $('.edit_patient_body').html(data);
					   					   
					   //Edit the patient when edit modal form is submitted
						$('#edit_patient_form').submit(function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							
							//Submit form		
							var formdata = new FormData(this); 
							var fileData = $('#edit_patient_image')[0].files;   
							
							// Check file selstaff_imageected or not
							if(fileData.length > 0 ){
								
								formdata.append('edit_patient_photo',fileData);
								
							}else{
								//Do nothing
							}
							
							$.ajax({
								type: 'post',
								url: url,
								data: formdata,
								processData: false,
								contentType: false,
								cache: false, 
							   success: function(data){
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function(){ 
									alert('error'); 
								}
							});
							 
							/*/Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});*/
								
						});
					   
				   },
					error: function() 
					{ 
						//alert('No Patients found'); 
					}
				 });
			 });
			 
			 //if the delete button is clicked
			 $('.delete_patient_button').on('click',function(){
				 
				 //Get the patient id from the clicked button
				 var patientId = $(this).data('patient-id');
				 var deleteUserId = $('#user_id').data('user-id');
				 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'delete_patient_id':patientId, 'delete_patient_user_id':deleteUserId}, 
				   success: function(data)
				   {
					   alert(data);
					   window.location.reload();
					   
				   },
					error: function() 
					{ 
						//alert('No patients found'); 
					}
				 });
			 });
			 
			 //if the add to group button is clicked
			 $('.patient_group_button').on('click',function(){
				 
				 //When the save visit button is clicked
				$('#assign_group_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#assign_group_form").trigger("reset");
				});
				
			 });
			
			//When the patient discharge button is clicked
			$('.follow_up_patient_btn').on('click', function(){
				var patientId = $(this).data('patient-id');						   
				var hospitalId = $(this).data('hospital-id');						   
				var visitId = $(this).data('visit-id');
				
				$('#follow_up_patient_id').val(patientId);
				$('#follow_up_hospital_id').val(hospitalId);
				$('#follow_up_visit_id').val(visitId);
				
				//Get frequency options
				$.ajax({
					type: "POST",
					url: url,
					data: {'discharge_patient_id':patientId,'discharge_hospital_id':hospitalId,'discharge_visit_id':visitId,'discharge_user_id':userId}, 
					success: function(data){
						//alert(data);
					},
					error: function(){
						alert('An error has been encountered'); 
					}
				});
				
			});

	   },
		error: function() 
		{ 
			//alert('No Patients found'); 
		}
	 });
	
	//if the delete button is clicked
	 $('.admin_drug_btn').on('click',function(){
		 
		 //Get the patient id from the clicked button
		 var patientId = $(this).data('patient-id');
		 var prescriptionId = $(this).data('prescription-id');
		 var intakeTimes = $(this).data('intake-times');
		 var drugName = $('#add_drug_name').val();
		 var addDrugRoute = $('#add_drug_route').val();
		 var addDrugDose = $('#add_drug_dose').val();
		 var addDrugUserId = $('#add_drug_user_id').val();
		 var addDrugVisitId = $('#add_drug_visit_id').val();
		 var addDrugRemarks = $('#add_drug_remarks').val();
		 var intakeNo = intakeTimes+''+prescriptionId;
		 
		 $.ajax({
		   type: "POST",
		   url: url,
		   data: {'add_drug_patient_id':patientId,'add_drug_prescription_id':prescriptionId,'add_drug_name':drugName,'add_drug_route':addDrugRoute,'add_drug_dose':addDrugDose,'add_drug_user_id':addDrugUserId,'add_drug_visit_id':addDrugVisitId,'add_drug_intake_no':intakeNo,'add_drug_remarks':addDrugRemarks}, 
		   success: function(data)
		   {
			   alert(data);
			   //window.location.reload();
			   $('#'+intakeTimes+''+prescriptionId).html('<span style="color:blue; font-weight:bold;">Administered</span>');
			   
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		 });
	 });
	
	//if the visit button is clicked
	$('#visit_btn').on('click',function(){
		
		//Get the patient id from the clicked button
		var patientId = $('#patient_id').data('patient-id');
		var userId = $('#user_id').data('user-id');

		$.ajax({
			type: "POST",
			url: url,
			data: {'visit_patient_id':patientId, 'visit_user_id':userId}, 
			success: function(data){
				$('.visit_table_body').html(data);
				
				//When the save visit button is clicked
				$('#save_visit_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#save_visit_form").trigger("reset");
				});
				
				
			},
			error: function(){ 
				alert('No Visits found'); 
			}
		});
	});
	
	//if the delete request button is clicked
	$('.delete_request_btn').on('click',function(){
		
		//Get the patient id from the clicked button
		var patientId = $(this).data('patient-id');
		var hospitalId = $(this).data('hospital-id');
		var requestId = $(this).data('request-id');
		var requestName = $(this).data('request-name');
		var department = $(this).data('department');
		
		$('#delete_request_header').html(requestName);
		$('#delete_request_request_name').val(requestName);
		$('#delete_request_patient_id').val(patientId);
		$('#delete_request_hospital_id').val(hospitalId);
		$('#delete_request_request_id').val(requestId);
		$('#delete_request_department').val(department);
				
		//When the save visit button is clicked
		$('#delete_request_form').on('submit',function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			$("#delete_request_form").trigger("reset");
		});
	});
	
	//if the vitals button is clicked
	$('#vitals_btn').on('click',function(){
		
		//Get the patient id from the clicked button
		var patientId = $('#patient_id').data('patient-id');
		var userId = $('#user_id').data('user-id');

		$.ajax({
			type: "POST",
			url: url,
			data: {'vitals_patient_id':patientId, 'vitals_user_id':userId}, 
			success: function(data){
				$('.vitals_table_body').html(data);
				
				//When the save visit button is clicked
				$('#save_vitals_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#save_vitals_form").trigger("reset");
				});
				
				//If the delete vitals button is clicked
				$('.delete_vitals_button').on('click',function(){
					//Get the patient id from the clicked button
					 var deleteVitalsId = $(this).data('vitals-id');
					 var deleteUserId = $('#user_id').data('user-id');
					 
					 $.ajax({
					   type: "POST",
					   url: url,
					   data: {'delete_vitals_id':deleteVitalsId, 'delete_vitals_user_id':deleteUserId}, 
					   success: function(data)
					   {
						   alert(data);
						   window.location.reload();
						   
					   },
						error: function() 
						{ 
							alert('No vitals found'); 
						}
					 });
				});
				
				
			},
			error: function(){ 
				alert('No Vitals found'); 
			}
		});
	});
	
	//When view the vitals button is clicked
	$('#vitals_modal_btn').on('click', function(){
		//When the save visit button is clicked
		$('#save_vitals_form').on('submit',function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#save_vitals_form").trigger("reset");
		});
	});
	
	//When make laboratory request button is clicked
	$('#make_request_btn').on('click',function(){
		//Get checked box
		$('.test_requested').each(function(){
			
			if($(this).is(':checked')){
				
				var testRequested = $(this).val();
				
				$('#checked_tests').push(testRequested);
			}
		});
	});
	
	//if the visit button is clicked
	$('#manage_patient_btn').on('click',function(){
		
		//Get the patient id from the clicked button
		var patientId = $('#patient_id').data('patient-id');
		var userId = $('#user_id').data('user-id');

		$.ajax({
			type: "POST",
			url: url,
			data: {'manage_patient_id':patientId, 'manage_user_id':userId}, 
			success: function(data){
				$('.manage_patient_body').html(data);
				
				$('.patient_details_btn').on('click',function(){
					//Get the patient id from the clicked button
					var patientId = $(this).data('patient-id');
					var hospitalId = $(this).data('hospital-id');
					var visitId = $(this).data('visit-id');
					var patientName = $(this).data('patient-name');
					
					$('#patient_details_name').html(patientName);
					
					$.ajax({
						type: "POST",
						url: url,
						data: {'details_patient_id':patientId, 'details_hospital_id':hospitalId, 'details_visit_id':visitId, 'details_user_id':userId}, 
						success: function(data){
							$('#patient_details_body').html(data);
						},
						error: function(){ 
							alert('Error encountered'); 
						}
					});
						
					//Print patient report
					$('.print_details').click(function(){
						var mode = 'iframe';
						var Close=mode=='popup';
						var standards = "html5";
						var options = {mode:mode,popClose:Close,standard:standards};
						$('#patient_details_body').printArea(options);
					});
						
				});
				
				//When the save visit button is clicked
				$('#save_visit_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#save_visit_form").trigger("reset");
				});
				
				$('.print_option_btn').on('click',function(){		   
					var visit = $(this).data('visit-id');
					$('#print_visit_id').val(visit);
					var caseHistory; 
					var investigations; 
					var radiology; 
					var dischargeDrugs; 
					var allPrescriptions; 
					var clinicalServices; 
					var surgicalReports; 
					var allReports = ''; 
					
					$('input:checkbox').change(function(){
						//If its an emergency prescription
						if($('#case_history').is(':checked')){
							caseHistory = 'yes'; 
						}else{
							caseHistory = 'no';
						}
						
						if($('#radiology').is(':checked')){
							radiology = 'yes';
						}else{
							radiology = 'no';
						}
						
						if($('#investigations').is(':checked')){
							investigations = 'yes';
						}else{
							investigations = 'no';
						}
						
						if($('#discharge_drugs').is(':checked')){
							dischargeDrugs = 'yes';
						}else{
							dischargeDrugs = 'no';
						}
						
						if($('#all_prescriptions').is(':checked')){
							allPrescriptions = 'yes';
						}else{
							allPrescriptions = 'no';
						}
						
						if($('#clinical_services').is(':checked')){
							clinicalServices = 'yes';
						}else{
							clinicalServices = 'no';
						}
						
						if($('#surgical_reports').is(':checked')){
							surgicalReports = 'yes';
						}else{
							surgicalReports = 'no';
						}
						
						/*if($('#all_reports').is(':checked')){
							allReports = 'yes';
						}else{
							allReports = 'no';
						}*/ 
						
						$('.print_discharge_btn').on('click',function(){
							var hospitalId = $('#print_hospital_id').val();						   
							var patientId = $('#print_patient_id').val();						   
							var visitId = $('#print_visit_id').val();	
							//Get print discharge form
							$.ajax({
								type: "POST",
								url: url,
								data: {'print_follow_up_patient_id':patientId,'print_follow_up_hospital_id':hospitalId,'print_follow_up_user_id':userId,'print_follow_visit_id':visitId,'print_follow_up_case_history':caseHistory,'print_follow_up_radiology':radiology,'print_follow_up_investigations':investigations,'print_follow_up_discharge_drugs':dischargeDrugs,'print_follow_up_all_prescriptions':allPrescriptions,'print_follow_up_clinical_services':clinicalServices,'print_follow_up_surgical_reports':surgicalReports,'print_follow_up_all_reports':allReports}, 
								success: function(data){
									$('#discharge_patient_modal').html(data);
									
									var mode = 'iframe';
									var Close=mode=='popup';
									var standards = "html5";
									var options = {mode:mode,popClose:Close,standard:standards};
									$('#print_discharge_card').printArea(options);
									
									$('.print_discharge_btn').on('click',function(){
										var mode = 'iframe';
										var Close=mode=='popup';
										var standards = "html5";
										var options = {mode:mode,popClose:Close,standard:standards};
										$('#print_discharge_card').printArea(options);
									});
								},
								error: function(){
									alert('An error has been encountered'); 
								}
							});
						});	
					});
					
					
				});
				
				
			},
			error: function(){ 
				alert('No Visits found'); 
			}
		});
	});
	
	//When the print button is clicked
	$('.print_option_btn').on('click',function(){		   
		var visit = $(this).data('visit-id');
		$('#print_visit_id').val(visit);
		var caseHistory; 
		var investigations; 
		var radiology; 
		var dischargeDrugs; 
		var allPrescriptions; 
		var clinicalServices; 
		var surgicalReports; 
		var allReports = ''; 
		
		$('input:checkbox').change(function(){
			//If its an emergency prescription
			if($('#case_history').is(':checked')){
				caseHistory = 'yes'; 
			}else{
				caseHistory = 'no';
			}
			
			if($('#radiology').is(':checked')){
				radiology = 'yes';
			}else{
				radiology = 'no';
			}
			
			if($('#investigations').is(':checked')){
				investigations = 'yes';
			}else{
				investigations = 'no';
			}
			
			if($('#discharge_drugs').is(':checked')){
				dischargeDrugs = 'yes';
			}else{
				dischargeDrugs = 'no';
			}
			
			if($('#all_prescriptions').is(':checked')){
				allPrescriptions = 'yes';
			}else{
				allPrescriptions = 'no';
			}
			
			if($('#clinical_services').is(':checked')){
				clinicalServices = 'yes';
			}else{
				clinicalServices = 'no';
			}
			
			if($('#surgical_reports').is(':checked')){
				surgicalReports = 'yes';
			}else{
				surgicalReports = 'no';
			}
			
			/*if($('#all_reports').is(':checked')){
				allReports = 'yes';
			}else{
				allReports = 'no';
			}*/ 
			
			$('.print_discharge_btn').on('click',function(){
				var hospitalId = $('#print_hospital_id').val();						   
				var patientId = $('#print_patient_id').val();						   
				var visitId = $('#print_visit_id').val();	
				//Get print discharge form
				$.ajax({
					type: "POST",
					url: url,
					data: {'print_follow_up_patient_id':patientId,'print_follow_up_hospital_id':hospitalId,'print_follow_up_user_id':userId,'print_follow_visit_id':visitId,'print_follow_up_case_history':caseHistory,'print_follow_up_radiology':radiology,'print_follow_up_investigations':investigations,'print_follow_up_discharge_drugs':dischargeDrugs,'print_follow_up_all_prescriptions':allPrescriptions,'print_follow_up_clinical_services':clinicalServices,'print_follow_up_surgical_reports':surgicalReports,'print_follow_up_all_reports':allReports}, 
					success: function(data){
						$('#discharge_patient_modal').html(data);
						
						var mode = 'iframe';
						var Close=mode=='popup';
						var standards = "html5";
						var options = {mode:mode,popClose:Close,standard:standards};
						$('#print_discharge_card').printArea(options);
						
						$('.print_discharge_btn').on('click',function(){
							var mode = 'iframe';
							var Close=mode=='popup';
							var standards = "html5";
							var options = {mode:mode,popClose:Close,standard:standards};
							$('#print_discharge_card').printArea(options);
						});
					},
					error: function(){
						alert('An error has been encountered'); 
					}
				});
			});	
		});
		
		
	});
		
	//Get vitals
	$('#vitals_modal_btn').on('click',function(){
		var patientId = $(this).data('patient-id');
		var firstName = $(this).data('first-name');
		var lastName = $(this).data('last-name');
		var userId = $(this).data('user-id');
		
		$('#vitals_name').html(firstName+' '+lastName);
		$.ajax({
			type: "POST",
			url: url,
			data: {'manage_vitals_patient_id':patientId, 'manage_vitals_user_id':userId}, 
			success: function(data){
				$('.manage_vitals_table_body').html(data);
			},
			error: function(){ 
				alert('Error encountered'); 
			}
		});
	});
	
	$('#add_case_history_btn').on('click', function(){
		
		//$('#complaint').summernote();
		$('#examination').summernote();
		
		$('#complaint').summernote({
			callbacks: {
				onKeyup: function() {
				$(function() {	
					var complaint_term = $($("#complaint").summernote("code")).text();
					function split( val ) {
						return val.split( /,\s*/ );
					}
					
					function extractLast( term ) {
						return split( term ).pop();
					}
					
					$( "#complaint" ).bind( "keydown", function( event ) {
						if ( event.keyCode === $.ui.keyCode.TAB &&
							$( this ).autocomplete( "instance" ).menu.active ) {
							event.preventDefault();
						}
					})
					.autocomplete({
						minLength: 1,
						source: function( request, response ) {
							$.ajax({
							  type: "POST",
							  url: url,
							  dataType: "jsonp",
							  data: {'get_predictions_term':request.term}, 
							  success: function( data ) {
								  response( data );
								//alert(data);
							  }
							});
						},
						focus: function() {
							// prevent value inserted on focus
							return false;
						},
						select: function( event, ui ) {
							var terms = split( this.value );
							// remove the current input
							terms.pop();
							// add the selected item
							terms.push( ui.item.value );
							// add placeholder to get the comma-and-space at the end
							terms.push( "" );
							this.value = terms.join( ", " );
							return false;
						}
					});
				});
				}
			}
		});
	});
	
	//Search diagnosis
	$('#search_diagnosis_term').on('keyup',function(){
		var searchedDiagnosis = $(this).val();
		
		if(searchedDiagnosis == ''){
			//Do nothing
			 
		}else{
			
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_searched_diagnosis':searchedDiagnosis, 'get_searched_diagnosis_user_id':userId}, 
			   success: function(data)
			   {
				   $('#searched_diagnosis').html(data);
				   //When the patient tr is clicked in the triage page
					$('.icd_tr').on('click',function(){
						var icdId = $(this).data('icd-id');
						var icdName = $(this).data('icd-name');
						var icdCode = $(this).data('icd-code');
						$(this).css('cursor', 'pointer');
						
						var html='<tr><td>'+icdName+'<input type="hidden" name="possible_diagnoses[]" value="'+icdName+'"></td>';
						html+='<td>ICD11 Code-'+icdCode+'</td></td>';
						html+='<td><center><button type="button" class="btn btn-sm btn-danger remove_diagnosis_btn" >Remove</button></center></td>';
						html+='</tr><hr>';
						
						$('.added_diagnosis').append(html);
						
						$(".added_diagnosis").on('click', '.remove_diagnosis_btn', function () {
							$(this).closest('tr').remove();
						});
					});
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
		}
	});
	
	//Search final diagnosis
	$('#search_final_diagnosis_term').on('keyup',function(){
		var searchedDiagnosis = $(this).val();
		
		if(searchedDiagnosis == ''){
			//Do nothing
			 
		}else{
			
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_searched_diagnosis':searchedDiagnosis, 'get_searched_diagnosis_user_id':userId}, 
			   success: function(data)
			   {
				   $('#searched_final_diagnosis').html(data);
				   //When the patient tr is clicked in the triage page
					$('.icd_tr').on('click',function(){
						var icdId = $(this).data('icd-id');
						var icdName = $(this).data('icd-name');
						var icdCode = $(this).data('icd-code');
						$(this).css('cursor', 'pointer');
						
						var html='<tr><td>'+icdName+'<input type="hidden" name="prescription_diagnosis[]" value="'+icdName+'"></td>';
						html+='<td>ICD11 Code-'+icdCode+'</td></td>';
						html+='<td><center><button type="button" class="btn btn-sm btn-danger remove_final_diagnosis_btn" >Remove</button></center></td>';
						html+='</tr><hr>';
						
						$('.added_final_diagnosis').append(html);
						
						$(".added_final_diagnosis").on('click', '.remove_final_diagnosis_btn', function () {
							$(this).closest('tr').remove();
						});
					});
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
		}
	});
	
	//Save case history
	$('#save_case_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#save_case_form").trigger("reset");
	});
	
	//Save Symptom
	$('#add_symptom_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_symptom_form").trigger("reset");
	});
	 
	 //Save lab request
	$('#make_lab_request').on('submit',function(e){
		
		var myArray = [];
		//Get checked box
		$('.test_requested').each(function(){
			
			if($(this).is(':checked')){
				
				var testRequested = $(this).val();
				
				myArray.push(testRequested);
			}
		});
		
		var test = $('#checked_tests').val(myArray);
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
			   
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#make_lab_request").trigger("reset");
	});
	
	//Save imaging request
	$('#make_imaging_request').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
			   
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#make_imaging_request").trigger("reset");
	});
	
	//Find out if the theatre is available for booking
	$('#procedure_request_end_time').on('change',function(){
		var endTime = $(this).val();
		var requestDate = $('#procedure_request_date').val();
		var startTime = $('#procedure_request_start_time').val();
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'check_end_time':endTime, 'check_request_date':requestDate, 'check_start_time':startTime, 'check_user_id':userId}, 
			success: function(data){
				$('.not_available_notice').html(data);
			},
			error: function(){ 
				alert('Error encountered'); 
			}
		});
	});
	
	//Make surgery request
	$('#make_surgery_request').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#make_surgery_request").trigger("reset");
	});
	
	//Inform user about the number of beds remaining when a ward is selected for patient admission
	$('#admission_ward').on('change',function(){
		
		//Get the selected ward and the user id
		var wardId = $(this).val();
		var wardHospitalId = $('#no_of_beds_alert').data('hospital-id');
		
		if(wardId=='Select Here:'){
			$('#no_of_beds_alert').html('');
		}else{
			$.ajax({
				type: "POST",
				url: url,
				data: {'admission_ward_id':wardId,'admission_ward_hospital_id':wardHospitalId}, 
				success: function(data){
					
				   $('#no_of_beds_alert').html(data);  
				},
				error: function(){ 
				
					alert('No beds found'); 
				}
			});
		}
	});
	
	//Make imaging request
	$('#admit_patient_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#admit_patient_form").trigger("reset");
	});
	
	//Get the patient admissions
	var patientId = $('#patient_id').data('patient-id');

	$.ajax({
		type: "POST",
		url: url,
		data: {'admitted_patient_id':patientId, 'admitted_user_id':userId}, 
		success: function(data){
			$('#admitted_patient_body').html(data);
			
		},
		error: function(){ 
			alert('No Visits found'); 
		}
	});
	
	//When the department is clicked when managing patient
	$('#select_department').change(function(){
		var departmentName = $(this).val();
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'service_department_name':departmentName,'service_department_user_id':userId}, 
			success: function(data){
				
			   $('#select_service').html(data);  
			},
			error: function(){ 
			
				alert('No Services found'); 
			}
		});
		
	});
	
	//Save added service 
	$('#offer_service_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#offer_service_form").trigger("reset");
	});

	//Search pharmacy item
	//setInterval(function(){
		$('#search_pharmacy_term').on('keyup', function(){
			var searchTerm = $(this).val();
			
			if(searchTerm == ''){
				$('#searched_medicine').html('');
			}else{
				$.ajax({
					type: "POST",
					url: url,
					data: {'search_product_name':searchTerm,'search_product_user_id':userId}, 
					success: function(data){
						
					   $('#searched_medicine').html(data);  
					   
					   $('.search_term_result').on('click', function(){
						   var productId = $(this).data('product-id');						   
						   var productName = $(this).data('product-name');					   
						   var productBrand = $(this).data('product-brand');						   
						   var soldAs = $(this).data('sold-as');						   
						   var unitStrength = $(this).data('unit-strength');
						   var unitSymbol = $(this).data('unit-symbol');
						   var route = $(this).data('route');
						   
						   var dosageUnit;
						   if(soldAs == 'Tablet' || soldAs == 'Capsule' || soldAs == 'Vial' || soldAs == 'Packet' || soldAs == 'Bottle' || soldAs == 'Box' || soldAs == 'Strip'){
							   dosageUnit = unitSymbol;
						   }else if(soldAs == 'Syrup'){
							   dosageUnit = 'ml';
						   }else if(soldAs == 'Piece'){
							   dosageUnit = 'pieces';
						   }
						   
							var html='<tr>';
							html+='<td>'+productName+'</td>';
							html+='<td>'+unitStrength+' '+unitSymbol+'</td>';
							html+='<td style="width:5rem;"><input type="text" name="dosage_amount[]" placeholder="in '+dosageUnit+'"/></td>';
							html+='<td>'+soldAs+'</td>';
							html+='<td><select type="text" class="select_frequency" name="dosage_frequency[]"></select></td>';
							html+='<td><input type="text" name="dosage_period[]"/></td>';
							html+='<td><select type="text" class="timeline" name="dosage_timeline[]"></select></td>';
							html+='<td><input type="hidden" name="dosage_route[]" value="'+route+'"/>'+route+'</td>';
							html+='<input type="hidden" name="dosage_product_id[]" value="'+productId+'"/>';
							html+='<input type="hidden" name="dosage_name[]" value="'+productName+'"/>';
							html+='<input type="hidden" name="dosage_strength[]" value="'+unitStrength+'"/>';
							html+='<input type="hidden" name="sold_as[]" value="'+soldAs+'"/>';
							html+='<td><button type="submit" class="badge badge-danger remove_medicine_btn" id="'+productId+'">Remove</button></td>';
							html+='</tr>';
							
							$('.searched_term_body').append(html);
							
							//Get frequency options
						   $.ajax({
								type: "POST",
								url: url,
								data: {'get_frequency':userId}, 
								success: function(data){
									$('.select_frequency').html(data);
								},
								error: function(){
									alert('No Medicine found'); 
								}
							});
							
							//Get route options
						   $.ajax({
								type: "POST",
								url: url,
								data: {'get_route':userId}, 
								success: function(data){
									$('.select_route').html(data);
								},
								error: function(){
									alert('No Medicine found'); 
								}
							});
							
							//Get route options
						   $.ajax({
								type: "POST",
								url: url,
								data: {'get_period':userId}, 
								success: function(data){
									$('.timeline').html(data);
								},
								error: function(){
									alert('No Medicine found'); 
								}
							});
							
							$(".searched_term_body").on('click', '.remove_medicine_btn', function () {
								$(this).closest('tr').remove();
							});
					   });
					},
					error: function(){ 
					
						alert('No Medicine found'); 
					}
				});
			}
			
		});
		
	//},1000);
	
	$('#search_symptom_term').on('keyup', function(){
		var searchTerm = $(this).val();
		
		if(searchTerm == ''){
			$('#searched_symptom').html('');
		}else{
			$.ajax({
				type: "POST",
				url: url,
				data: {'search_symptom_name':searchTerm,'search_symptom_user_id':userId}, 
				success: function(data){
					
				   $('#searched_symptom').html(data);  
				   
				   $('.search_symptom_result').hover(function(){
					   $(this).css('cursor', 'pointer');
				   });
				   
				   $('.search_symptom_result').on('click', function(){
					   
					   var symptomId = $(this).data('symptom-id');						   
					   var symptomName = $(this).data('symptom-name');
					   		  
						var html='<tr><td>'+symptomName+'<input type="hidden" name="presenting_complaint[]" value="'+symptomName+'"></td>';
						html+='<td>';
						html+='<select class="form-control" type="text" id="symptom_time" name="complaint_duration[]" style="color:black; font-size:13px; border-radius:5px; height:2rem;">';
						for(let i=1; i<=50; i++){
							html+= '<option>'+i+'</option>';
						}
						html+='</select></td>';
						html+='<td>';
						html+='<select class="form-control" type="text" id="symptom_period" name="complaint_period[]" style="color:black; font-size:13px; border-radius:5px; height:2rem;">';
						html+='<option>Day(s)</option>';
						html+='<option>Week(s)</option>';
						html+='<option>Month(s)</option>';
						html+='<option>Year(s)</option>';
						html+='</select></td>';
						html+='<td><center><button type="button" class="btn btn-sm btn-danger remove_symptom_btn" id="add_symptom_btn">Remove</button></center></td>';
						html+='</tr>';
						
						$('.added_symptom').append(html);
						
						/*/Get frequency options
					   $.ajax({
							type: "POST",
							url: url,
							data: {'get_frequency':userId}, 
							success: function(data){
								$('.select_frequency').html(data);
							},
							error: function(){
								alert('No Medicine found'); 
							}
						});
						
						//Get route options
					   $.ajax({
							type: "POST",
							url: url,
							data: {'get_route':userId}, 
							success: function(data){
								$('.select_route').html(data);
							},
							error: function(){
								alert('No Medicine found'); 
							}
						});
						
						//Get route options
					   $.ajax({
							type: "POST",
							url: url,
							data: {'get_period':userId}, 
							success: function(data){
								$('.timeline').html(data);
							},
							error: function(){
								alert('No Medicine found'); 
							}
						});*/
						
						$(".added_symptom").on('click', '.remove_symptom_btn', function () {
							$(this).closest('tr').remove();
						});
				   });
				},
				error: function(){ 
				
					alert('No Medicine found'); 
				}
			});
		}
		
	});
	//When the user wants to add other prescriptions for items not in stock
	$('.add_other_prescription_btn').on('click', function(){
		html='<tr>';
		html+='<td><input name="other_product_name[]" type="text" class="form-control" placeholder="Eg. Panadol, Carbol Fuchsin, Tongs ...etc"/></td>';
		html+='<td><input name="other_unit_strength[]" type="text" class="form-control" placeholder="Eg. 100mg"/></td>';
		html+='<td><select name="other_frequency[]" type="text" class="form-control other_frequency"></select></td>';
		html+='<td><input name="other_period[]" type="text" class="form-control"></td>';
		html+='<td><select name="other_timeline[]" type="text" class="form-control other_timeline"> </select></td>';
		html+='<td><select name="other_route[]" type="text" class="form-control other_route"></select></td>';
		html+='<td><button type="button" class="btn btn-sm btn-danger remove_other_product_btn">Remove</button></td>';
		html+='</tr>';

		$('.other_prescriptions_body').append(html);
		
		//Get frequency options
	   $.ajax({
			type: "POST",
			url: url,
			data: {'get_frequency':userId}, 
			success: function(data){
				$('.other_frequency').html(data);
			},
			error: function(){
				alert('No Medicine found'); 
			}
		});
		
		//Get route options
	   $.ajax({
			type: "POST",
			url: url,
			data: {'get_route':userId}, 
			success: function(data){
				$('.other_route').html(data);
			},
			error: function(){
				alert('No Medicine found'); 
			}
		});
		
		//Get route options
	   $.ajax({
			type: "POST",
			url: url,
			data: {'get_period':userId}, 
			success: function(data){
				$('.other_timeline').html(data);
			},
			error: function(){
				alert('No Medicine found'); 
			}
		});

		$(".other_prescriptions_body").on('click', '.remove_other_product_btn', function () {
			$(this).closest('tr').remove();
		});
	});
	
	$('#save_prescription_form').submit(function(e){
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#save_prescription_form").trigger("reset");
	});
	
	//Discharge patient
	$('.follow_up_patient_btn').on('click', function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');						   
		var visitId = $(this).data('visit-id');
		
		$('#follow_up_patient_id').val(patientId);
		$('#follow_up_hospital_id').val(hospitalId);
		$('#follow_up_visit_id').val(visitId);
		
		//Get frequency options
		$.ajax({
			type: "POST",
			url: url,
			data: {'discharge_patient_id':patientId,'discharge_hospital_id':hospitalId,'discharge_visit_id':visitId,'discharge_user_id':userId}, 
			success: function(data){
				//alert(data);
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
		
	});
	
	$('.print_discharge_btn').on('click',function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');						   
		var visitId = $(this).data('visit-id');
		
		//Get print discharge form
		$.ajax({
			type: "POST",
			url: url,
			data: {'print_follow_up_patient_id':patientId,'print_follow_up_hospital_id':hospitalId,'print_follow_up_user_id':userId,'print_follow_visit_id':visitId}, 
			success: function(data){
				$('#discharge_patient_modal').html(data);
				
				var mode = 'iframe';
				var Close=mode=='popup';
				var standards = "html5";
				var options = {mode:mode,popClose:Close,standard:standards};
				$('#print_discharge_card').printArea(options);
				
				$('.print_discharge_btn').on('click',function(){
					var mode = 'iframe';
					var Close=mode=='popup';
					var standards = "html5";
					var options = {mode:mode,popClose:Close,standard:standards};
					$('#print_discharge_card').printArea(options);
				});
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
	});
	
	$('.email_discharge_btn').on('click',function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');						   
		var visitId = $(this).data('visit-id');
		
		//Get print discharge form
		$.ajax({
			type: "POST",
			url: "./../controller/email.php",
			data: {'send_follow_up_patient_id':patientId,'send_follow_up_hospital_id':hospitalId,'send_follow_up_user_id':userId,'send_follow_visit_id':visitId}, 
			success: function(data){
				alert(data);
				window.location.reload();
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
	});

	//Make appointment 
	$('#make_appointment_form').submit(function(e){
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#make_appointment_form").trigger("reset");
	});
	
	
	
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	
	
	//Make appointment 
	$('.add_follow_up_form').submit(function(e){
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$(".add_follow_up_form").trigger("reset");
		
		
		//Get patient and hospital details
		var patientId = $('.follow_up_patient_btn').data('patient-id');
		var hospitalId = $('.follow_up_patient_btn').data('hospital-id');
		$.ajax({
			type: "POST",
			url: './../controller/message.php',
			data: {'sms_patient_id':patientId,'sms_hospital_id':hospitalId,'sms_user_id':userId}, 
			success: function(data){
				//alert(data);
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
	});
	
	$('.close_appointment_button').on('click', function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');
		
		//Get frequency options
		$.ajax({
			type: "POST",
			url: url,
			data: {'close_appointment_patient_id':patientId,'close_appointment_hospital_id':hospitalId,'close_appointment_user_id':userId}, 
			success: function(data){
				alert(data);
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
		
		//Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
		
	});
	
	$('.close_follow_up_button').on('click', function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');
		var visitId = $(this).data('visit-id');
		
		//Get frequency options
		$.ajax({
			type: "POST",
			url: url,
			data: {'close_follow_up_patient_id':patientId,'close_follow_up_hospital_id':hospitalId,'close_follow_up_user_id':userId}, 
			success: function(data){
				alert(data);
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
		
	});
	
	//When the patient tr is clicked in the triage page
	$('.patient_tr').on('click',function(){
		var patientId = $(this).data('patient-id');
		var hospitalId = $(this).data('hospital-id');
		$(this).css('cursor', 'pointer');
		
		window.location.href='./manage_patient.php?user_id='+userId+'&triaged_patient_id='+patientId+'&triaged_hospital_id='+hospitalId;
		
	});
	
	/*var triagedPatientId = $('#user_id').data('patient-id');
	var triagedHospitalId = $('#user_id').data('hospital-id');
	//Get patient_details
	$.ajax({
		type: "POST",
		url: url,
		data: {'triaged_details_patient_id':triagedPatientId,'triaged_details_hospital_id':triagedHospitalId,'triaged_details_user_id':userId}, 
		success: function(data){
			$('#triaged_pateint_details').html(data);
			$('#symptom_name').attr({'class':'js-example-disabled-multi','multiple':'multiple'});
		},
		error: function(){
			alert('An error has been encountered'); 
		}
	});*/
	
	//Add symptom button is clicked
	var data = [];
	$('#add_symptom_btn').on('click',function(){
		var symptom = $('#symptom_name').val();
		var time = $('#symptom_time').val();
		var period = $('#symptom_period').val();
		
		if(period == 'Day(s)'){
			var added_period = '/7';
		}else if(period == 'Week(s)'){
			var added_period = '/52';
		}else if(period == 'Month(s)'){
			var added_period = '/12';
		}else if(period == 'Year(s)'){
			var added_period = 'Year(s)';
		}
		var addedSymptom = symptom+' x '+time+''+added_period;
		 data.push('|'+addedSymptom);
		 
		$('#symptom_div').append('<br/> - '+addedSymptom);
		
		$('#presenting_complaint').val(data);
		
	});
	
	//Save Case 
	$('#save_history_form').submit(function(e){
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#save_history_form").trigger("reset");
	});

	//setInterval(function(){
	$('#complaint').on('keyup',function(){
		var condition = $(this).val();
		
		if(condition == ''){
			$('#potential_condition').html('');
		}else{
		
			//Get conditions
			$.ajax({
				type: "POST",
				url: url,
				data: {'condition_entry':condition,'condition_entry_user_id':userId}, 
				success: function(data){
					$('#potential_condition').html(data);
					
					$('.condition_div').on('click',function(){
						var conditionId = $(this).data('condition-id');
						
						//Get condition details
						$.ajax({
							type: "POST",
							url: url,
							data: {'condition_details_id':conditionId,'condition_details_user_id':userId}, 
							success: function(data){
								$('#condition_info').html(data);
							},
							error: function(){
								alert('An error has been encountered'); 
							}
						});
					});
					
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
			
		}
	});
	//},1000);
	
	//Print patient records
	$('.print_patient_records').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('#triaged_pateint_details').printArea(options);
	});
	
	//Add a product physical count row
	$('.add_drug_btn').on('click', function(){
		
		var patientId = $(this).data('patient-id');
		var hospitalId = $(this).data('hospital-id');
		
		html='<tr class="added_row">';
		html+='<td><center><select name="add_drug_name[]" type="text" class="form-control add_drug_name">';
		html+='</select></center></td>';
		html+='<td><center><input name="add_drug_route[]" type="text" class="form-control" /></center></td>';
		html+='<td><center><input name="add_drug_dose[]" type="text" class="form-control" /></center></td>';
		html+='<td><center><input name="add_drug_remarks[]" type="text" class="form-control" /></center></td>';
		html+='<td><center><button type="button" class="btn btn-badge btn-danger remove_drug_btn">Remove</button></center></td>';
		html+='</tr>';

		$('.add_drug_body').append(html);

		$(".add_drug_body").on('click', '.remove_drug_btn', function () {
			$(this).closest('tr').remove();
		});

		$.ajax({
			type: "POST",
			url: url,
			data: {'getDrugPatientId':patientId,'getDrugHospitalId':hospitalId}, 
			success: function(data){
			   $('.add_drug_name').html(data);
			},
			error: function(){ 
				alert('Products not detected'); 
			}
		});
	});
	
	//Save physical count
	$('#administer_drug_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#administer_drug_form").trigger("reset");
			
	});

	//Add a product physical count row
	$('#make_assessment_btn').on('click', function(){
		
		//Create an Array.
		var mConditions = new Array();
		var riskFactors = new Array();
		var gynHistory = new Array();
		var pastMedicalHistory = new Array();
		var familyHistory = new Array();
		var socialHistory = new Array();
	
		
		//Uncheck a radio button if another is clicked
		$('.conditions_div input[type=checkbox]').change(function(){
			mConditions.push(this.value); 
			$('.medical_conditions_array').val(mConditions);
		});
		
		//Reference the CheckBoxes and insert the checked CheckBox value in Array.
		$('.risk_factors input[type="checkbox"]').change(function () {
			riskFactors.push(this.value); 
			$('#all_risk_factors').val(riskFactors);
		});
		
		//Reference the CheckBoxes and insert the checked CheckBox value in Array.
		$('.gyn_history_div input[type="checkbox"]').change(function () {
			gynHistory.push(this.value); 
			$('#all_gyn_history').val(gynHistory);
		});
	
		//Reference the CheckBoxes and insert the checked CheckBox value in Array.
		$('.past_medical_history_div input[type="checkbox"]').change(function () {
			pastMedicalHistory.push(this.value); 
			$('#all_past_medical_history').val(pastMedicalHistory);
		});
		
		//Reference the CheckBoxes and insert the checked CheckBox value in Array.
		$('.family_history_div input[type="checkbox"]').change(function () {
			familyHistory.push(this.value); 
			$('#all_family_history').val(familyHistory);
		});
		
		//Reference the CheckBoxes and insert the checked CheckBox value in Array.
		$('.social_history_div input[type="checkbox"]').change(function () {
			socialHistory.push(this.value); 
			$('#all_social_history').val(socialHistory);
		});
		
		/*/Save physical count
		$('#make_assessment_form').submit(function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			
			//Call the native javascript reset object to reset form
			$("#make_assessment_form").trigger("reset");
				
		});*/
		
		//Save assessment
		$('#save_assessment_btn').on('click',function(){
			var medicalConditions = $('.medical_conditions_array').val(); 
			var allRiskFactors = $('#all_risk_factors').val();
			var allGynHistory = $('#all_gyn_history').val();
			var allFamilyHistory = $('#all_family_history').val();
			var allPastMedicalHistory = $('#all_past_medical_history').val();
			var allSocialHistory = $('#all_social_history').val();
			var timesAttendedAnc = $('#times_attended_anc').val();
			var malariaProphylaxis = $('#malaria_prophylaxis').val();
			var tt = $('#tt').val();
			var syphilisTest = $('#syphilis_test').val();
			var categoryOnAdmission = $('#category_on_admission').val();
			var admissionCondition = $('#admission_condition').val();
			var admissionOther = $('#admission_other').val();
			var menstrualLength = $('#menstrual_length').val();
			var menstrualAmount = $('#menstrual_amount').val();
			var fpMethodUsed = $('#fp_method_used').val();
			var whenWhyDiscontinued = $('#when_n_why_discontinued').val();
			var whyNeverUsed = $('#why_never_used').val();
			var surgicalBloodTransfusion = $('#surgical_blood_transfusion').val();
			var surgicalWhen = $('#surgical_when').val();
			var surgicalSkeletalDeformity = $('#surgical_skeletal_deformity').val();
			var surgicalFracture = $('#surgical_fracture').val();
			var surgicalDNC = $('#surgical_d_n_c').val();
			var obstetricPara = $('#obstetric_para').val();
			var obstetricSvd = $('#obstetric_svd').val();
			var obstetricCNS = $('#obstetric_c_n_s').val();
			var obstetricAbortion = $('#obstetric_abortion').val();
			var obstetricPremature = $('#obstetric_premature').val();
			var obstetricFullTerm = $('#obstetric_full_term').val();
			var obstetricPuerperium = $('#obstetric_puerperium').val();
			var obstetricSb = $('#obstetric_sb').val();
			var obstetricNnd = $('#obstetric_nnd').val();
			var obstetricOther = $('#obstetric_other').val();
			var CVS = $('#CVS').val();
			var GI = $('#GI').val();
			var CNS = $('#CNS').val();
			var Respiratory = $('#Respiratory').val();
			var Urinary = $('#Urinary').val();
			var Musculoskeletal = $('#Musculoskeletal').val();
			var Dermatological = $('#Dermatological').val();
			var fundalHeight = $('#fundal_height').val();
			var presentation = $('#presentation').val();
			var lie = $('#lie').val();
			var position = $('#position').val();
			var FHR = $('#FHR').val();
			var vulva = $('#vulva').val();
			var vagina = $('#vagina').val();
			var cervix = $('#cervix').val();
			var dilation = $('#dilation').val();
			var membranes = $('#membranes').val();
			var presentingPart = $('#presenting_part').val();
			var pelvis = $('#pelvis').val();
			var assessmentAddedBy = $('#assessment_added_by').val();
			var assessmentPatientId = $('#assessment_patient_id').val();
			var assessmentVisitId = $('#assessment_visit_id').val();
			var assessmentHospitalId = $('#assessment_hospital_id').val();
		
			//Get condition details
			$.ajax({
				type: "POST",
				url: url,
				data: {'medicalConditions':medicalConditions,'allRiskFactors':allRiskFactors,'allGynHistory':allGynHistory,'allFamilyHistory':allFamilyHistory,'allPastMedicalHistory':allPastMedicalHistory,'allSocialHistory':allSocialHistory,'timesAttendedAnc':timesAttendedAnc,'malariaProphylaxis':malariaProphylaxis,'tt':tt,'syphilisTest':syphilisTest,'categoryOnAdmission':categoryOnAdmission,'admissionCondition':admissionCondition,'admissionOther':admissionOther,'menstrualLength':menstrualLength,'menstrualAmount':menstrualAmount,'fpMethodUsed':fpMethodUsed,'whenWhyDiscontinued':whenWhyDiscontinued,'whyNeverUsed':whyNeverUsed,'surgicalBloodTransfusion':surgicalBloodTransfusion,'surgicalWhen':surgicalWhen,'surgicalSkeletalDeformity':surgicalSkeletalDeformity,'surgicalFracture':surgicalFracture,'surgicalDNC':surgicalDNC,'obstetricPara':obstetricPara,'obstetricSvd':obstetricSvd,'obstetricCNS':obstetricCNS,'obstetricAbortion':obstetricAbortion,'obstetricPremature':obstetricPremature,'obstetricFullTerm':obstetricFullTerm,'obstetricPuerperium':obstetricPuerperium,'obstetricSb':obstetricSb,'obstetricNnd':obstetricNnd,'obstetricOther':obstetricOther,'CVS':CVS,'GI':GI,'CNS':CNS,'Respiratory':Respiratory,'Urinary':Urinary,'Musculoskeletal':Musculoskeletal,'Dermatological':Dermatological,'fundalHeight':fundalHeight,'presentation':presentation,'lie':lie,'position':position,'FHR':FHR,'vulva':vulva,'vagina':vagina,'cervix':cervix,'dilation':dilation,'membranes':membranes,'presentingPart':presentingPart,'pelvis':pelvis,'assessmentAddedBy':assessmentAddedBy,'assessmentPatientId':assessmentPatientId,'assessmentVisitId':assessmentVisitId,'assessmentHospitalId':assessmentHospitalId}, 
				success: function(data){
					alert(data);// show response from the php script.
					window.location.reload();
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
		});
		
	});
	
	//When the labor assessment tab is clicked
	$('#v-pills-assessment-tab').on('click',function(){
		var patientId = $(this).data('patient-id');
		//Get labor assessment details
		$.ajax({
			type: "POST",
			url: url,
			data: {'get_labor_assessment_patient_id':patientId,'get_labor_assessment_user_id':userId}, 
			success: function(data){
				$('#labor_assessment_table').html(data);// show response from the php script.
				//window.location.reload();
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
	});
		
		
	//When the ANC tab is clicked
	var count=0; 
	$('#v-pills-anc-tab').on('click',function(){
		var patientId = $(this).data('patient-id'); 
		
		//Get labor assessment details
		$.ajax({
			type: "POST",
			url: url,
			data: {'get_anc_patient_id':patientId,'get_anc_user_id':userId}, 
			success: function(data){
				count++; 
				
				if(count <= 1){
					$('#anc_table').append(data);// show response from the php script.
				}else{
					//Do nothing
				}
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
	});
		
	//ANC visit
	$('#add_anc_btn').on('click',function(){
		
		//Save pelvic Assessment - Page 8
		$('#add_pelvic_assessment_btn').on('click', function(){
			var ancDiagonal = $('#anc_diagonal').val();
			var ancSacral = $('#anc_sacral').val();
			var ancSpine = $('#anc_spine').val();
			var ancSubPubic = $('#anc_sub_pubic').val();
			var ancTuberosities = $('#anc_tuberosities').val();
			var ancPelvicAdequacy = $('#anc_pelvic_adequacy').val();
			var ancAddedBy = $('#anc_added_by').val();
			var ancPatientId = $('#anc_patient_id').val();
			var ancVisitId = $('#anc_visit_id').val();
			var ancHospitalId = $('#anc_hospital_id').val();
			
			
			//Get condition details
			$.ajax({
				type: "POST",
				url: url,
				data: {'ancDiagonal':ancDiagonal,'ancSacral':ancSacral,'ancSpine':ancSpine,'ancSubPubic':ancSubPubic,'ancTuberosities':ancTuberosities,'ancPelvicAdequacy':ancPelvicAdequacy,'pelvicAddedBy':ancAddedBy,'pelvicPatientId':ancPatientId,'pelvicVisitId':ancVisitId,'pelvicHospitalId':ancHospitalId}, 
				success: function(data){
					alert(data);// show response from the php script.
					//window.location.reload();
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
		});
		
		//Save Antenatal progress examination - Page 7
		$('#add_anc_progress_btn').on('click', function(){
			var ancProgressDate = $('#anc_progress_date').val();
			var ancAmenorrhea = $('#anc_amenorrhea').val();
			var ancFundalHeight = $('#anc_fundal_height').val();
			var ancPresentation = $('#anc_presentation').val();
			var ancPosition = $('#anc_position').val();
			var ancPpBrim = $('#anc_pp_brim').val();
			var ancFetalHeart = $('#anc_fetal_heart').val();
			var ancWeight = $('#anc_weight').val();
			var ancBp = $('#anc_bp').val();
			var ancVaricoseOedema = $('#anc_varicose_oedema').val();
			var ancUrine = $('#anc_urine').val();
			var ancTt = $('#anc_tt').val();
			var ancIronFolic = $('#anc_iron_folic').val();
			var ancMebendazole = $('#anc_mebendazole').val();
			var ancIpt = $('#anc_ipt').val();
			var ancNetUse = $('#anc_net_use').val();
			var ancReturnDate = $('#anc_return_date').val();
			var ancComplaintsRemarks = $('#anc_complaints_remarks').val();
			var ancAddedBy = $('#anc_added_by').val();
			var ancPatientId = $('#anc_patient_id').val();
			var ancVisitId = $('#anc_visit_id').val();
			var ancHospitalId = $('#anc_hospital_id').val();
			
			
			//Save antenatal progress
			$.ajax({
				type: "POST",
				url: url,
				data: {'ancProgressDate':ancProgressDate,'ancAmenorrhea':ancAmenorrhea,'ancFundalHeight':ancFundalHeight,'ancPresentation':ancPresentation,'ancPosition':ancPosition,'ancPpBrim':ancPpBrim,'ancFetalHeart':ancFetalHeart,'ancWeight':ancWeight,'ancBp':ancBp,'ancVaricoseOedema':ancVaricoseOedema,'ancUrine':ancUrine,'ancTt':ancTt,'ancIronFolic':ancIronFolic,'ancMebendazole':ancMebendazole,'ancIpt':ancIpt,'ancNetUse':ancNetUse,'ancReturnDate':ancReturnDate,'ancComplaintsRemarks':ancComplaintsRemarks,'ancProgressAddedBy':ancAddedBy,'ancProgressPatientId':ancPatientId,'ancProgressVisitId':ancVisitId,'ancProgressHospitalId':ancHospitalId}, 
				success: function(data){
					alert(data);// show response from the php script.
					//window.location.reload();
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
		});
		
		//Add child birth history row - Page 6
		$('.add_birth_history_btn').on('click',function(){
			html='<div class="row d-flex justify-content-between added_birth_history_div">';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Pregnancy Year</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_pregnancy_year[]" id="lc1" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Abortions Below 12wks</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_abortion_below[]" id="anc_abortion_below" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Abortions Above 12wks</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_abortion_above[]" id="anc_abortion_above" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Premature</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_premature[]" id="anc_premature" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Full Term</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_full_term[]" id="anc_full_term" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Type of Delivery</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_type_of_delivery[]" id="anc_type_of_delivery" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Third stage</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_third_stage[]" id="anc_third_stage" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Puerperium</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_puerperium[]" id="anc_puerperium" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Alive SB/NND</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_alive_sb_nnd[]" id="anc_alive_sb_nnd" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Sex</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_birth_sex[]" id="anc_birth_sex" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Birth Weight</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_birth_weight[]" id="anc_birth_weight" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Immun</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_immun[]" id="anc_immun" ></div>';
			html+='<div class="form-group col-md-3"><label><span style="color:black;">Health Condition</label><input type="text" class="form-control" style="border:grey 1px solid; border-radius:5px;" name="anc_health_condition[]" id="anc_health_condition" ></div>';
			html+='<div class="form-group col-md-3"><button type="button" class="btn btn-danger remove_birth_history_btn">Remove</button></div>';
			html+='</div><hr>';
			
			$('#birth_history_div').append(html);
			
			$("#birth_history_div").on('click', '.remove_birth_history_btn', function () {
				$(this).closest('.added_birth_history_div').remove();
			});
		});
		
		//Submit birth history form
		$('#previous_obstetric_history').submit(function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   $("#present_pregnancy_form").trigger("reset");
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			
			//Call the native javascript reset object to reset form
			$("#previous_obstetric_history").trigger("reset");
				
		});
		
		//Save physical and pelvic examination - Page 5
		$('#save_physical_and_pelvic_btn').on('click',function(){
			var ancReferralForArt = $('#anc_referral_for_art').val();
			var ancMoniliasis = $('#anc_moniliasis').val();
			var ancCervix = $('#anc_cervix').val();
			var ancVagina = $('#anc_vagina').val();
			var ancVulva = $('#anc_vulva').val();
			var ancHerpesZoster = $('#anc_herpes_zoster').val();
			var ancLungs = $('#anc_lungs').val();
			var ancLymphGlands = $('#anc_lymph_glands').val();
			var ancHiv = $('#anc_hiv').val();
			var ancHeart = $('#anc_heart').val();
			var ancDeformities = $('#anc_deformities').val();
			var ancPalms = $('#anc_palms').val();
			var ancPara = $('#anc_para').val();
			var ancLegs = $('#anc_legs').val();
			var ancNails = $('#anc_nails').val();
			var ancBreasts = $('#anc_breasts').val();
			var ancNeck = $('#anc_neck').val();
			var ancEyes = $('#anc_eyes').val();
			var ancTech = $('#anc_tech').val();
			var ancAnemia = $('#anc_anemia').val();
			var ancOralThrush = $('#anc_oral_thrush').val();
			var ancNutrition = $('#anc_nutrition').val();
			var ancAddedBy = $('#anc_added_by').val();
			var ancPatientId = $('#anc_patient_id').val();
			var ancVisitId = $('#anc_visit_id').val();
			var ancHospitalId = $('#anc_hospital_id').val();
			
			//Save antenatal progress
			$.ajax({
				type: "POST",
				url: url,
				data: {'ancReferralForArt':ancReferralForArt,'ancMoniliasis':ancMoniliasis,'ancCervix':ancCervix,'ancVagina':ancVagina,'ancVulva':ancVulva,'ancHerpesZoster':ancHerpesZoster,'ancLungs':ancLungs,'ancLymphGlands':ancLymphGlands,'ancHiv':ancHiv,'ancHeart':ancHeart,'ancDeformities':ancDeformities,'ancPalms':ancPalms,'ancPara':ancPara,'ancLegs':ancLegs,'ancNails':ancNails,'ancBreasts':ancBreasts,'ancNeck':ancNeck,'ancEyes':ancEyes,'ancTech':ancTech,'ancAnemia':ancAnemia,'ancOralThrush':ancOralThrush,'ancNutrition':ancNutrition,'physicalAddedBy':ancAddedBy,'physicalPatientId':ancPatientId,'physicalVisitId':ancVisitId,'physicalHospitalId':ancHospitalId}, 
				success: function(data){
					alert(data);// show response from the php script.
					//window.location.reload();
					$("#physical_exam_form").trigger("reset");
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
		});
		
		//Save present pregnancy - Page 4
		$('#save_present_pregnancy_btn').on('click',function(){
			var ancDayLnmp = $('#anc_day_lnmp').val();
			var ancEdd = $('#anc_edd').val();
			var ancGestation = $('#anc_gestation').val();
			var ancHospitalization = $('#anc_hospitalization').val();
			var ancBleeding = $('#anc_bleeding').val();
			var ancVomiting = $('#anc_vomiting').val();
			var ancFever = $('#anc_fever').val();
			var ancDiarrhoea = $('#anc_diarrhoea').val();
			var ancCough = $('#anc_cough').val();
			var ancWeightLoss = $('#anc_weight_loss').val();
			var ancOtherCurrentPregnancy = $('#anc_other_current_pregnancy').val();
			var ancKnowHiv = $('#anc_know_hiv').val();
			var ancTestHiv = $('#anc_test_hiv').val();
			var ancAddedBy = $('#anc_added_by').val();
			var ancPatientId = $('#anc_patient_id').val();
			var ancVisitId = $('#anc_visit_id').val();
			var ancHospitalId = $('#anc_hospital_id').val();
			
			//Save antenatal progress
			$.ajax({
				type: "POST",
				url: url,
				data: {'ancDayLnmp':ancDayLnmp,'ancEdd':ancEdd,'ancGestation':ancGestation,'ancHospitalization':ancHospitalization,'ancBleeding':ancBleeding,'ancVomiting':ancVomiting,'ancFever':ancFever,'ancDiarrhoea':ancDiarrhoea,'ancCough':ancCough,'ancWeightLoss':ancWeightLoss,'ancOtherCurrentPregnancy':ancOtherCurrentPregnancy,'ancKnowHiv':ancKnowHiv,'ancTestHiv':ancTestHiv,'pregAddedBy':ancAddedBy,'pregPatientId':ancPatientId,'pregVisitId':ancVisitId,'pregHospitalId':ancHospitalId}, 
				success: function(data){
					alert(data);// show response from the php script.
					//window.location.reload();
					$("#present_pregnancy_form").trigger("reset");
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
		});
		
		//**********************Past Gyn History - Page 3******************//
		
		//Create an Array.
		var ancGynHistory = new Array();
		var ancSocialHistory = new Array();
		var ancFamilyHistory = new Array();
		var ancMedicalHistory = new Array();
		//Uncheck a radio button if another is clicked
		$('.anc_gyn_history_div input[type=checkbox]').change(function(){
			ancGynHistory.push(this.value); 
			$('#anc_gyn_history_array').val(ancGynHistory);
		});
		
		//Reference the CheckBoxes and insert the checked CheckBox value in Array.
		$('.anc_social_history_div input[type="checkbox"]').change(function () {
			ancSocialHistory.push(this.value); 
			$('#anc_history_array').val(ancSocialHistory);
		});
		
		//Reference the CheckBoxes and insert the checked CheckBox value in Array.
		$('.anc_family_history_div input[type="checkbox"]').change(function () {
			ancFamilyHistory.push(this.value); 
			$('#anc_family_history_array').val(ancFamilyHistory);
		});
	
		//Reference the CheckBoxes and insert the checked CheckBox value in Array.
		$('.past_medical_history_div input[type="checkbox"]').change(function () {
			ancMedicalHistory.push(this.value); 
			$('#anc_past_medical_history').val(ancMedicalHistory);
		});
		
		//Save gyn, social, and menstrual period
		$('#save_gyn_social_menstrual_btn').on('click',function(){
			var ancMenstrualLength = $('#anc_menstrual_length').val();
			var ancMenstrualAmount = $('#anc_menstrual_amount').val();
			var ancFpMethodUsed = $('#anc_fp_method_used').val();
			var ancWhenNWhyDiscontinued = $('#anc_when_n_why_discontinued').val();
			var ancWhyNeverUsed = $('#anc_why_never_used').val();
			var ancGynHistoryArray = $('#anc_gyn_history_array').val();
			var ancHistoryArray = $('#anc_history_array').val();
			var ancFamilyHistoryArray = $('#anc_family_history_array').val();
			var ancPastMedicalHistoryArray = $('#anc_past_medical_history_array').val();
			var ancAddedBy = $('#anc_added_by').val();
			var ancPatientId = $('#anc_patient_id').val();
			var ancVisitId = $('#anc_visit_id').val();
			var ancHospitalId = $('#anc_hospital_id').val();
			
			//Save antenatal progress
			$.ajax({
				type: "POST",
				url: url,
				data: {'ancMenstrualLength':ancMenstrualLength,'ancMenstrualAmount':ancMenstrualAmount,'ancFpMethodUsed':ancFpMethodUsed,'ancWhenNWhyDiscontinued':ancWhenNWhyDiscontinued,'ancWhyNeverUsed':ancWhyNeverUsed,'ancGynHistoryArray':ancGynHistoryArray,'ancHistoryArray':ancHistoryArray,'ancFamilyHistoryArray':ancFamilyHistoryArray,'ancPastMedicalHistoryArray':ancPastMedicalHistoryArray,'gynAddedBy':ancAddedBy,'gynPatientId':ancPatientId,'gynVisitId':ancVisitId,'gynHospitalId':ancHospitalId}, 
				success: function(data){
					alert(data);// show response from the php script.
					$("#past_gyn_form").trigger("reset");
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
		});
		
		//*******************Previous Illness - Page 2******************//
		//Create an Array.
		var previousIllness = new Array();
		
		//Reference the CheckBoxes and insert the checked CheckBox value in Array.
		$('.anc_previous_illness_div input[type="checkbox"]').change(function () {
			previousIllness.push(this.value); 
			$('#anc_previous_illness_array').val(previousIllness);
		});
		
		$('#save_illness_surgical_btn').on('click',function(){
			var ancMedication = $('#anc_medication').val();
			var ancSurgicalBloodTransfusion = $('#anc_surgical_blood_transfusion').val();
			var ancSurgicalWhen = $('#anc_surgical_when').val();
			var ancSurgicalSkeletalDeformity = $('#anc_surgical_skeletal_deformity').val();
			var ancSurgicalFracture = $('#anc_surgical_fracture').val();
			var ancSurgicalDNC = $('#anc_surgical_d_n_c').val();
			var ancPreviousIllness = $('#anc_previous_illness_array').val();
			var ancAddedBy = $('#anc_added_by').val();
			var ancPatientId = $('#anc_patient_id').val();
			var ancVisitId = $('#anc_visit_id').val();
			var ancHospitalId = $('#anc_hospital_id').val();
			
			//Save antenatal progress
			$.ajax({
				type: "POST",
				url: url,
				data: {'ancMedication':ancMedication,'ancSurgicalBloodTransfusion':ancSurgicalBloodTransfusion,'ancSurgicalWhen':ancSurgicalWhen,'ancSurgicalSkeletalDeformity':ancSurgicalSkeletalDeformity,'ancSurgicalFracture':ancSurgicalFracture,'ancSurgicalDNC':ancSurgicalDNC,'ancPreviousIllness':ancPreviousIllness,'medicationAddedBy':ancAddedBy,'medicationPatientId':ancPatientId,'medicationVisitId':ancVisitId,'medicationHospitalId':ancHospitalId}, 
				success: function(data){
					alert(data);// show response from the php script.
					$("#previous_illness_form").trigger("reset");
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
		});
		
		//Save anc biodata - Page 1
		$('#save_anc_biodata_btn').on('click',function(){
			var ancLc1 = $('#anc_lc1').val();
			var ancVillage = $('#anc_village').val();
			var ancParish = $('#anc_parish').val();
			var ancOccupation = $('#anc_occupation').val();
			var ancReligion = $('#anc_religion').val();
			var ancEducation = $('#anc_education').val();
			var ancTribe = $('#anc_tribe').val();
			var ancDeliver = $('#anc_deliver').val();
			var ancAfterDelivery = $('#anc_after_delivery').val();
			var ancGravida = $('#anc_gravida').val();
			var ancPara = $('#anc_para').val();
			var ancAbortions = $('#anc_abortions').val();
			var ancBloodGroup = $('#anc_blood_group').val();
			var ancRh = $('#anc_rh').val();
			var ancHiv = $('#anc_hiv').val();
			var ancWhen = $('#anc_when').val();
			var ancAddedBy = $('#anc_added_by').val();
			var ancPatientId = $('#anc_patient_id').val();
			var ancVisitId = $('#anc_visit_id').val();
			var ancHospitalId = $('#anc_hospital_id').val();
			
			//Save antenatal progress
			$.ajax({
				type: "POST",
				url: url,
				data: {'ancLc1':ancLc1,'ancVillage':ancVillage,'ancParish':ancParish,'ancOccupation':ancOccupation,'ancReligion':ancReligion,'ancEducation':ancEducation,'ancTribe':ancTribe,'ancDeliver':ancDeliver,'ancAfterDelivery':ancAfterDelivery,'ancGravida':ancGravida,'ancPara':ancPara,'ancAbortions':ancAbortions,'ancBloodGroup':ancBloodGroup,'ancRh':ancRh,'ancHiv':ancHiv,'ancWhen':ancWhen,'ancAddedBy':ancAddedBy,'ancPatientId':ancPatientId,'ancVisitId':ancVisitId,'ancHospitalId':ancHospitalId}, 
				success: function(data){
					alert(data);// show response from the php script.
					$("#biodata_form").trigger("reset");
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
		});
		
		
	});
	
	//Once the add report button is clicked
	$('.add_report_button').on('click',function(){
		var patientId = $(this).data('patient-id');
		var serviceId = $(this).data('service-id');
		var hospitalId = $(this).data('hospital-id');
		var departmentName = $(this).data('department-name');
		var serviceName = $(this).data('service-name');
		var visitId = $(this).data('visit-id');
		var visitDate = $(this).data('visit-date');
		var serviceCost = $(this).data('service-cost');
		
		$('#report_patient_id').val(patientId);
		$('#report_hospital_id').val(hospitalId);
		$('#report_service_id').val(serviceId);
		$('#report_service_name').val(serviceName);
		$('#report_service_cost').val(serviceCost);
		$('#report_visit_id').val(visitId);
		$('#report_visit_date').val(visitDate);
		$('#report_department_name').val(departmentName);
		
	});
	
	//Submit patient report
	$('#add_report_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_report_form").trigger("reset");
			
	});
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	 
});