$(document).ready(function() {
	
	//user controller url
	var url = './../controller/human_resource.php';
	var userId = $('#user_id').data('user-id');
	var staffId = $('#staff_id').data('staff-id');
	
	//If the schedule tab is clicked
	 $('#schedule').on('click',function(){
		 
		var events = new Array();
		$.ajax({
			type: 'POST',
			url: url,  
			data: {'get_calendar':staffId},
			success: function (response) {
				var json = JSON.parse(response);
				var result=json.datas;
				
				$.each(result, function (i, item) {
					events.push({
						event_id: result[i].event_id,
						title: result[i].title,
						start: result[i].start,
						end: result[i].end,
						color: result[i].color
					}); 	
				})
				
				var calendar = $('#calendar').fullCalendar({
					defaultView: 'month',
					timeZone: 'local',
					editable: true,
					selectable: true,
					selectHelper: true,
					eventTextColor: '#ffffff',
					select: function(start, end) {
							$('#event_start_date').val(moment(start).format('YYYY-MM-DD'));
							$('#event_end_date').val(moment(end).format('YYYY-MM-DD'));
							$('#event_entry_modal').modal('show');
						},
					events: events,
					eventRender: function(event, element, view) { 
						//When an event is clicked, the delete popup shows
						element.bind('click', function() {
								//Get the event id
								var scheduleId = event.event_id;
								
								//Modal popup for deleting event
								var html = '<div id="delete_schedule" class="col-xl-12">';
                                html += '<form class="delete_event_form" method="post">';
                                html += '<div class="alert alert-dark notification">';
                                html += '<input type="hidden" name="delete_schedule_id" class="delete_schedule_id">';
                                html += '<input type="hidden" name="delete_staff_schedule_id" class="delete_staff_schedule_id">';
                                html += '<input type="hidden" name="delete_user_schedule_id" class="delete_user_schedule_id">';
                                html += '<p class="notificaiton-title" style="font-size:16px; color:black;">Are you sure you want to delete this schedule?</p>';
                                html += '<button type="submit" class="btn btn-danger btn-pill btn-lg">Delete</button>';
                                html += '<button class="btn btn-link btn-pill btn-lg" data-dismiss="modal">Cancel</button>';
                                html += '</div>';
                                html += '</form></div>';
								
								//Display modal
								$('.delete_modal_body').html(html);
								$('.event_entry_modal').modal();
								
								//Add values to the inputs in the modal
								$('.delete_schedule_id').val(scheduleId);
								$('.delete_staff_schedule_id').val(staffId);
								$('.delete_user_schedule_id').val(userId);
								
								//Submit the registration form
								$('.delete_event_form').submit(function(e){
									
									e.preventDefault(); // avoid to execute the actual submit of the form.
										
									var form = $(this);	
									//If the checkbox is checked, save the data, if not, give an alert
								
									$.ajax({
									   type: "POST",
									   url: url,
									   data: form.serialize(), // serializes the form's elements.
									   success: function(data)
									   {
										   alert(data);// show response from the php script.
										   window.location.reload();
									   },
										error: function() 
										{ 
											alert('error'); 
										}
									});
									 
									/*/Reload page after Ajax request
									$(document).ajaxStop(function(){
										window.location.reload();
									});*/
									
								});
								
								
								
						});
					}
				}); //end fullCalendar block	
			  },//end success block
			  error: function (response) {
			  alert(response.msg);
			  }
		});//end ajax block	
			
		//Save a schedule
		$('#save_schedule').on('click', function(){
		
			var scheduleName=$("#schedule_name").val();
			var scheduleStartDate=$("#event_start_date").val();
			var scheduleEndDate=$("#event_end_date").val();
			var scheduleColor=$("#schedule_color").val();
			
			if(scheduleName=="" || scheduleStartDate=="" || scheduleEndDate==""){
			alert("Please enter all required details.");
			return false;
			}
			
			$.ajax({
				 url:url,
				 type:"POST",
				 data: {'schedule_user_id':userId,'schedule_staff_id':staffId,'schedule_name':scheduleName,'schedule_start_date':scheduleStartDate,'schedule_end_date':scheduleEndDate,'schedule_color':scheduleColor},
				 success:function(data){
				   $('#event_entry_modal').modal('hide');  
				   alert(data);
				  },
				  error: function (response) {
				  console.log('ajax error = ' + xhr.statusText);
				  alert(response.msg);
				  }
			});
			
			//Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});
		});
			
	});



	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	 
	 //Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	 
}); //end document.ready block

