$(document).ready(function(){
	
	//user controller url
	var url = './../controller/department.php';
	var userId = $('#user_id').data('user-id');
	
	//Check the radio options	
	$('input[type=radio]').change(function(){
		if (this.checked){
			$(this).closest('.radios')
				.find('input[type=radio]').not(this)
				.prop('checked', false);
			
			var hasReception;								
			var reception = $(this).val();
			if(reception == 'yes'){
				hasReception = 'yes';
			}else{
				hasReception = 'no';
			}
			$('#reception_available').val(hasReception);
		}
	});
	
	//When the unseen patient TR is hovered or clicked in the department page
	$('.unseen_patient_tr').hover(function(){
		$(this).css('cursor', 'pointer');
	});
	$('.unseen_patient_tr').on('click',function(){
		var patientId = $(this).data('patient-id');
		var hospitalId = $(this).data('hospital-id');
		var department = $(this).data('department-name');
		window.location.href='./admission.php?user_id='+userId+'&patient_id='+patientId+'&hospital_id='+hospitalId+'&department='+department;
	});
				
	//Submit the registration form
	$('#add_department_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_department_form").trigger("reset");
			
	});
	
	//Get Departments
	$.ajax({
	   type: "POST",
	   url: url,
	   data: {'get_departments':userId}, 
	   success: function(data)
	   {
		   $('.added_departments').append(data);
		   
		   //If the details menu item is clicked
		   $('.details_button').on('click',function(){
				 //Get the department id from the clicked button
				 var departmentId = $(this).data('department-id');
				 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'department_id':departmentId}, 
				   success: function(data)
				   {
					   $('.department_body').html(data);
				   },
					error: function() 
					{ 
						alert('No departments found'); 
					}
				 });
			 });
			 
			 //if the edit menu item is clicked
			 $('.edit_button').on('click',function(){
				 //Get the department id from the clicked button
				 var departmentId = $(this).data('department-id');
				 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'edit_department_id':departmentId}, 
				   success: function(data)
				   {
					   $('.edit_department_body').html(data);
					   
						$('input[type=radio]').change(function(){
							if (this.checked)
							{
								$(this).closest('.radios')
									.find('input[type=radio]').not(this)
									.prop('checked', false);
								
								var hasReception;								
								var reception = $(this).val();
								if(reception == 'yes'){
									hasReception = 'yes';
								}else{
									hasReception = 'no';
								}
								$('#edited_reception').val(hasReception);
							}
						});
					   
					   //Edit the department when edit modal form is submitted
						$('#edit_department_form').submit(function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							var form = $(this);	
							//If the checkbox is checked, save the data, if not, give an alert
						
							$.ajax({
							   type: "POST",
							   url: url,
							   data: form.serialize(), // serializes the form's elements.
							   success: function(data)
							   {
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function() 
								{ 
									alert('error'); 
								}
							});
							 
							/*/Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});*/
								
						});
					   
				   },
					error: function() 
					{ 
						alert('No departments found'); 
					}
				 });
			 });
			 
			 //if the delete button is clicked
			 $('.delete_button').on('click',function(){
				 //Get the department id from the clicked button
				 var departmentId = $(this).data('department-id');
				 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'delete_department_id':departmentId}, 
				   success: function(data)
				   {
					   alert(data);
					   //window.location.reload();
					   
				   },
					error: function() 
					{ 
						alert('No departments found'); 
					}
				 });
				 
				 //Reload page after Ajax request
				$(document).ajaxStop(function(){
					window.location.reload();
				});
			 });
	   },
		error: function() 
		{ 
			alert('No departments found'); 
		}
	 });
	 
	//Edit the department when edit modal form is submitted
	$('#add_service_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert

		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_service_form").trigger("reset");
			
	});
	
	 //if the delete button is clicked
	 $('.view_service_button').on('click',function(){
		 //Get the department id from the clicked button
		 var serviceId = $(this).data('service-id');
		 var hospitalId = $(this).data('hospital-id');
		 var serviceName = $(this).data('service-name');
		 
		 $.ajax({
		   type: "POST",
		   url: url,
		   data: {'view_service_id':serviceId,'view_service_hospital_id':hospitalId}, 
		   success: function(data)
		   {
			   
			   $('.view_service_card').html(data);
			   $('#view_service_header').html(serviceName);
			   
		   },
			error: function() 
			{ 
				alert('No departments found'); 
			}
		 });
	 });
	 
	 //Edit service 
	 $('.edit_service_button').on('click',function(){
		 //Get the department id from the clicked button
		 var serviceId = $(this).data('service-id');
		 var hospitalId = $(this).data('hospital-id');
		 var serviceName = $(this).data('service-name');
		 
		 $.ajax({
		   type: "POST",
		   url: url,
		   data: {'edit_service_id':serviceId,'edit_service_hospital_id':hospitalId,'edit_service_user_id':userId}, 
		   success: function(data)
		   {
			   
			   $('.edit_service_card').html(data);
			   $('#edit_service_header').html(serviceName);
			   
			   //Edit the department when edit modal form is submitted
				$('#edit_service_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert

					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#edit_service_form").trigger("reset");
						
				});
			   
		   },
			error: function() 
			{ 
				alert('No departments found'); 
			}
		 });
	 });
	
	//Delete button is clicked
	$('.delete_service_button').on('click', function(){
		var serviceId = $(this).data('service-id');
		var hospitalId = $(this).data('hospital-id');
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'delete_service_id':serviceId,'delete_service_hospital_id':hospitalId}, 
		   success: function(data)
		   {
			   
			   alert(data);
			   
		   },
			error: function() 
			{ 
				alert('No departments found'); 
			}
		 });
		 
		 //Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
	});
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	//Once the add report button is clicked
	$('.add_report_button').on('click',function(){
		var patientId = $(this).data('patient-id');
		var serviceId = $(this).data('service-id');
		var hospitalId = $(this).data('hospital-id');
		var departmentName = $(this).data('department-name');
		var serviceName = $(this).data('service-name');
		var visitId = $(this).data('visit-id');
		var visitDate = $(this).data('visit-date');
		var serviceCost = $(this).data('service-cost');
		
		$('#report_patient_id').val(patientId);
		$('#report_hospital_id').val(hospitalId);
		$('#report_service_id').val(serviceId);
		$('#report_service_name').val(serviceName);
		$('#report_service_cost').val(serviceCost);
		$('#report_visit_id').val(visitId);
		$('#report_visit_date').val(visitDate);
		$('#report_department_name').val(departmentName);
		
	});
	
	
	//Submit patient report
	$('#add_report_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_report_form").trigger("reset");
			
	});
	
	//Once the add report button is clicked
	$('.view_report_button').on('click',function(){
		var patientId = $(this).data('patient-id');
		var serviceId = $(this).data('service-id');
		var hospitalId = $(this).data('hospital-id');
		var departmentName = $(this).data('department-name');
		var serviceName = $(this).data('service-name');
		var visitId = $(this).data('visit-id');
		var visitDate = $(this).data('visit-date');
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'view_report_patient_id':patientId,'view_report_service_id':serviceId,'view_report_hospital_id':hospitalId,'view_report_department_name':departmentName,'view_report_service_name':serviceName,'view_report_visit_id':visitId,'view_report_visit_date':visitDate}, 
		   success: function(data)
		   {
			   $('.edit_report_card').html(data);
		   },
			error: function() 
			{ 
				alert('There was an error finding the clicked user'); 
			}
		 });
		
	});
	
	//Add a product request row
	$('.add_request_product_btn').on('click', function(){
		html='<tr class="added_row">';
		html+='<td><center><select name="order_store_product_name[]" type="text" class="form-control order_store_product_name">';
		html+='</select></center></td>';
		html+='<td><center><input name="order_store_quantity[]" type="text" class="form-control" /></center></td>';
		html+='<td><center><button type="button" class="btn btn-badge btn-danger remove_request_product_btn">Remove</button></center></td>';
		html+='</tr>';

		$('.add_request_product_body').append(html);

		$(".add_request_product_body").on('click', '.remove_request_product_btn', function () {
			$(this).closest('tr').remove();
		});

		$.ajax({
			type: "POST",
			url: url,
			data: {'getRequestProductUserId':userId}, 
			success: function(data){
			   $('.order_store_product_name').html(data);
			},
			error: function(){ 
				alert('Products not detected'); 
			}
		});
	});
	
	
	//Place stock order
	$('#order_supplies_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#order_supplies_form").trigger("reset");
			
	});
	
	//Confirm supplies receipt
	$('.confirm_receipt_btn').on('click',function(){
		var hospitalId = $(this).data('hospital-id');
		var confirmReceiptUserId = $(this).data('user-id');
		var orderId = $(this).data('order-id');
		var productId = $(this).data('product-id');
		var quantityIssued = $(this).data('quantity-issued');
		var deptName = $(this).data('dept-name');
		var productName = $(this).data('product-name');
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'confirmReceiptUserId':confirmReceiptUserId,'confirmReceiptHospitalId':hospitalId,'confirmReceiptOrderId':orderId,'confirmReceiptProductId':productId,'confirmReceiptQuantityIssued':quantityIssued,'confirmReceiptDeptName':deptName,'confirmReceiptProductName':productName}, 
			success: function(data){
			    alert(data);
				window.location.reload();
			},
			error: function(){ 
				alert('Products not detected'); 
			}
		});
	});
	
	//Add a product physical count row
	$('.physical_count_product_btn').on('click', function(){
		
		var deptName = $(this).data('dept-name');
		
		html='<tr class="added_row">';
		html+='<td><center><select name="physical_count_product_name[]" type="text" class="form-control physical_count_product_name">';
		html+='</select></center></td>';
		html+='<td><center><input name="physical_count_quantity[]" type="text" class="form-control" /></center></td>';
		html+='<td><center><button type="button" class="btn btn-badge btn-danger remove_physical_count_btn">Remove</button></center></td>';
		html+='</tr>';

		$('.physical_count_product_body').append(html);

		$(".physical_count_product_body").on('click', '.remove_physical_count_btn', function () {
			$(this).closest('tr').remove();
		});

		$.ajax({
			type: "POST",
			url: url,
			data: {'getPhysicalCountProductUserId':userId,'getPhysicalCountDeptName':deptName}, 
			success: function(data){
			   $('.physical_count_product_name').html(data);
			},
			error: function(){ 
				alert('Products not detected'); 
			}
		});
	});
	
	//Save physical count
	$('#physical_count_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#physical_count_form").trigger("reset");
			
	});
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	 
});