$(document).ready(function(){
	
	//user controller url
	var url = './../controller/finance.php';
	var userId = $('#user_id').data('user-id');
	
	//Search Patient Bills
	$('.search_patient_bills').on('keyup',function(){
		var searchedPatient = $(this).val();
		
		if(searchedPatient == ''){
			//Get Patients
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_patients_bills':userId}, 
			   success: function(data)
			   {
				   $('.patient_bill_body').html(data);
				   //Get payment invoice
					$('.pay_bill_button').on('click',function(){
						var patientId = $(this).data('patient-id');						   
						var hospitalId = $(this).data('hospital-id');
						var visitId = $(this).data('visit-id');
						var visitDate = $(this).data('visit-date');
						var name = $(this).data('name');
						var gender = $(this).data('gender');
						var age = $(this).data('age');
						var userId = $(this).data('user-id');
						
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'bill_patient_id':patientId,'bill_hospital_id':hospitalId,'bill_visit_id':visitId,'bill_visit_date':visitDate,'bill_name':name,'bill_gender':gender,'bill_age':age,'bill_user_id':userId}, 
							success: function(data){
								$('.invoice_modal').html(data);
								
								//Print patient report
								$('.print_invoice').click(function(){
									var mode = 'iframe';
									var Close=mode=='popup';
									var standards = "html5";
									var options = {mode:mode,popClose:Close,standard:standards};
									$('.print_invoice_card').printArea(options);
								});
								
								//Add consumables amount to the total payment
								$('#consumable_cost').on('keyup',function(){
									var consumableFees = $(this).val();
									var invoiceFees = $('#total_invoice_amount').data('invoice-amount');
									var invoiceBal	= $('#total_invoice_balance').data('invoice-balance');
									
									//Add commas to the total fees
									function numberWithCommas(number) {
										var parts = number.toString().split(".");
										parts[0] = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, ",");
										return parts.join(".");
									}
										
									if(consumableFees == ''){
										var totalFee = numberWithCommas(invoiceFees);
										var totalBal = numberWithCommas(invoiceBal);
										$('#total_invoice_amount').html(totalFee);
										$('#total_invoice_balance').html(totalBal);
										
										$('#pay_total_amount').val(invoiceFees);
										
									}else{
										//Add the consumable fee to the total fee
										var totalFees = parseInt(invoiceFees) + parseInt(consumableFees);
										var totalFeesWithCommas = numberWithCommas(totalFees);
										
										$('#total_invoice_amount').html(totalFeesWithCommas);
										$('#pay_total_amount').val(totalFees);
										
										//Add the consumable fee to the balance
										var totalBalance = parseInt(invoiceBal) + parseInt(consumableFees);
										var totalBalWithCommas = numberWithCommas(totalBalance);
										
										$('#total_invoice_balance').html(totalBalWithCommas);
									}
									
								});
								
								//Save payment
								$('#payment_form').submit(function(e){
									
									e.preventDefault(); // avoid to execute the actual submit of the form.
									var form = $(this);	
									//If the checkbox is checked, save the data, if not, give an alert
								
									$.ajax({
									   type: "POST",
									   url: url,
									   data: form.serialize(), // serializes the form's elements.
									   success: function(data)
									   {
										   alert(data);// show response from the php script.
										   window.location.reload();
									   },
										error: function() 
										{ 
											alert('error'); 
										}
									});
									
									//Call the native javascript reset object to reset form
									$("#payment_form").trigger("reset");
										
								});
								
							},
							error: function(){ 
							
								alert('No Currency found'); 
							}
						});
						
					});
					
					//Get payment invoice
					$('.receipt_btn').on('click',function(){
						var patientId = $(this).data('patient-id');						   
						var hospitalId = $(this).data('hospital-id');
						var visitId = $(this).data('visit-id');
						var visitDate = $(this).data('visit-date');
						var name = $(this).data('name');
						var gender = $(this).data('gender');
						var age = $(this).data('age');
						var userId = $(this).data('user-id');
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'receipt_patient_id':patientId,'receipt_patient_name':name,'receipt_hospital_id':hospitalId,'receipt_gender':gender,'receipt_age':age,'receipt_user':userId,'receipt_visit_id':visitId,'receipt_visit_date':visitDate}, 
							success: function(data){
								$('.receipt_modal').html(data);
								
								//Print patient report
								$('.print_receipt').click(function(){
									var mode = 'iframe';
									var Close=mode=='popup';
									var standards = "html5";
									var options = {mode:mode,popClose:Close,standard:standards};
									$('.print_receipt_card').printArea(options);
								});
								
							},
							error: function(){ 
							
								alert('No Currency found'); 
							}
						});
						
					});
				   
			   },
				error: function() 
				{ 
					alert('An error has been encountered'); 
				}
			 });
		}else{
		
			//Get conditions
			$.ajax({
				type: "POST",
				url: url,
				data: {'get_searched_patients_bills':searchedPatient,'searched_patients_bills_user_id':userId}, 
				success: function(data){
					$('.patient_bill_body').html(data);
					//Get payment invoice
					$('.pay_bill_button').on('click',function(){
						var patientId = $(this).data('patient-id');						   
						var hospitalId = $(this).data('hospital-id');
						var visitId = $(this).data('visit-id');
						var visitDate = $(this).data('visit-date');
						var name = $(this).data('name');
						var gender = $(this).data('gender');
						var age = $(this).data('age');
						var userId = $(this).data('user-id');
						
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'bill_patient_id':patientId,'bill_hospital_id':hospitalId,'bill_visit_id':visitId,'bill_visit_date':visitDate,'bill_name':name,'bill_gender':gender,'bill_age':age,'bill_user_id':userId}, 
							success: function(data){
								$('.invoice_modal').html(data);
								
								//Print patient report
								$('.print_invoice').click(function(){
									var mode = 'iframe';
									var Close=mode=='popup';
									var standards = "html5";
									var options = {mode:mode,popClose:Close,standard:standards};
									$('.print_invoice_card').printArea(options);
								});
								
								//Add consumables amount to the total payment
								$('#consumable_cost').on('keyup',function(){
									var consumableFees = $(this).val();
									var invoiceFees = $('#total_invoice_amount').data('invoice-amount');
									var invoiceBal	= $('#total_invoice_balance').data('invoice-balance');
									
									//Add commas to the total fees
									function numberWithCommas(number) {
										var parts = number.toString().split(".");
										parts[0] = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, ",");
										return parts.join(".");
									}
										
									if(consumableFees == ''){
										var totalFee = numberWithCommas(invoiceFees);
										var totalBal = numberWithCommas(invoiceBal);
										$('#total_invoice_amount').html(totalFee);
										$('#total_invoice_balance').html(totalBal);
										
										$('#pay_total_amount').val(invoiceFees);
										
									}else{
										//Add the consumable fee to the total fee
										var totalFees = parseInt(invoiceFees) + parseInt(consumableFees);
										var totalFeesWithCommas = numberWithCommas(totalFees);
										
										$('#total_invoice_amount').html(totalFeesWithCommas);
										$('#pay_total_amount').val(totalFees);
										
										//Add the consumable fee to the balance
										var totalBalance = parseInt(invoiceBal) + parseInt(consumableFees);
										var totalBalWithCommas = numberWithCommas(totalBalance);
										
										$('#total_invoice_balance').html(totalBalWithCommas);
									}
									
								});
								
								//Save payment
								$('#payment_form').submit(function(e){
									
									e.preventDefault(); // avoid to execute the actual submit of the form.
									var form = $(this);	
									//If the checkbox is checked, save the data, if not, give an alert
								
									$.ajax({
									   type: "POST",
									   url: url,
									   data: form.serialize(), // serializes the form's elements.
									   success: function(data)
									   {
										   alert(data);// show response from the php script.
										   window.location.reload();
									   },
										error: function() 
										{ 
											alert('error'); 
										}
									});
									
									//Call the native javascript reset object to reset form
									$("#payment_form").trigger("reset");
										
								});
								
							},
							error: function(){ 
							
								alert('No Currency found'); 
							}
						});
						
					});
					
					//Get payment invoice
					$('.receipt_btn').on('click',function(){
						var patientId = $(this).data('patient-id');						   
						var hospitalId = $(this).data('hospital-id');
						var visitId = $(this).data('visit-id');
						var visitDate = $(this).data('visit-date');
						var name = $(this).data('name');
						var gender = $(this).data('gender');
						var age = $(this).data('age');
						var userId = $(this).data('user-id');
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'receipt_patient_id':patientId,'receipt_patient_name':name,'receipt_hospital_id':hospitalId,'receipt_gender':gender,'receipt_age':age,'receipt_user':userId,'receipt_visit_id':visitId,'receipt_visit_date':visitDate}, 
							success: function(data){
								$('.receipt_modal').html(data);
								
								//Print patient report
								$('.print_receipt').click(function(){
									var mode = 'iframe';
									var Close=mode=='popup';
									var standards = "html5";
									var options = {mode:mode,popClose:Close,standard:standards};
									$('.print_receipt_card').printArea(options);
								});
								
							},
							error: function(){ 
							
								alert('No Currency found'); 
							}
						});
						
					});
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
			
		}
	});
	
	//Get sales_report
	$('#sales_daterange_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
	  
		$.ajax({
			type: "POST",
			url: url,
			data: {'sales_report_start_date':startDate,'sales_report_end_date':endDate,'sales_report_user_id':userId}, 
			success: function(data){
				$('#sales_revenue_body').html(data);
				$('#sales_revenue_totals').html('');
			},
			error: function(){ 
			
				alert('No revenue found'); 
			}
		});
	});
	
	//Get receivables_report
	$('#receivables_daterange_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
	  
		$.ajax({
			type: "POST",
			url: url,
			data: {'receivables_report_start_date':startDate,'receivables_report_end_date':endDate,'receivables_report_user_id':userId}, 
			success: function(data){
				$('#receivables_revenue_body').html(data);
				$('#receivables_revenue_totals').html('');
			},
			error: function(){ 
			
				alert('No revenue found'); 
			}
		});
	});
	
	//Print daily sales summary
	$('#print_total_sales_revenue_btn').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('.daily_sales_table').printArea(options);
	});
	
	//Print sales report
	$('#print_sales_revenue_btn').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('.sales_table').printArea(options);
	});
	
	//Print receivables report
	$('#print_recievables_btn').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('.receivables_table').printArea(options);
	});
	
	//Submit brand form
	$('#payment_method_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#payment_method_form").trigger("reset");
			
	});
	
	//Submit brand form
	$('#currency_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#currency_form").trigger("reset");
			
	});
	
	//Submit vendor form
	$('#add_vendor_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_vendor_form").trigger("reset");
			
	});
	
	//Submit vendor ivoice form
	$('#add_vendor_invoice_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_vendor_invoice_form").trigger("reset");
			
	});

	//Pay vendor invoice 
	$('.pay_invoice_btn').on('click',function(){
		var invoiceId = $(this).data('invoice-id');						   
		var invoiceNo = $(this).data('invoice-no');
		var invoiceDate = $(this).data('invoice-date');
		var amount = $(this).data('amount');
		var paymentTerms = $(this).data('payment-terms');
		var vendorName = $(this).data('vendor-name');
		var hospitalId = $(this).data('hospital-id');
		var invoiceAmount = $(this).data('invoice-amount');
		var paid = $(this).data('invoice-paid');
		var balance = $(this).data('invoice-balance');
		
		$('#vendor_invoice_header').html(vendorName);
		$('#pay_invoice_no').html(invoiceNo);
		$('#pay_invoice_date').html(invoiceDate);
		$('#pay_invoice_amount_to_display').html(amount);
		$('#pay_invoice_terms').html(paymentTerms);
		$('#pay_invoice_paid').html(paid);
		$('#pay_invoice_balance').html(balance);
		$('#pay_invoice_amount').val(invoiceAmount);
		$('#pay_invoice_vendor_name').val(vendorName);
		$('#pay_invoice_id').val(invoiceId);
		$('#pay_invoice_number').val(invoiceNo);
		
	});
	
	//Pay vendor invoice 
	$('.invoice_payment_details_btn').on('click',function(){
		var invoiceId = $(this).data('invoice-id');						   
		var invoiceNo = $(this).data('invoice-no');
		var vendorName = $(this).data('vendor-name');
		var hospitalId = $(this).data('hospital-id');
		var amount = $(this).data('amount');
		
		$('#vendor_invoice_payment_header').html(vendorName);
		$('#vendor_invoice_no_header').html(invoiceNo);
		$('#vendor_invoice_no_header').html(invoiceNo);
		$('#vendor_invoice_amount_header').html(amount);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'vendor_payment_invoice_id':invoiceId,'vendor_payment_hospital_id':hospitalId}, 
			success: function(data){
				$('.invoice_payment_details_body').html(data);
			},
			error: function(){ 
			
				alert('No Currency found'); 
			}
		});
		
	});
	
	//Submit vendor ivoice payment form
	$('#pay_invoice_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#pay_invoice_form").trigger("reset");
			
	});
	
	//Set as default
	$('.set_default_btn').on('click',function(){
		var currencyId = $(this).data('currency-id');						   
		var currencyName = $(this).data('currency-name');						   
		var hospitalId = $(this).data('hospital-id');
		$.ajax({
			type: "POST",
			url: url,
			data: {'default_currency_id':currencyId,'default_currency_name':currencyName,'default_currency_hospital_id':hospitalId,'default_currency_user_id':userId}, 
			success: function(data){
				alert(data);
				window.location.reload();
			},
			error: function(){ 
			
				alert('No Currency found'); 
			}
		});
	});
	
	//Delete Currency
	$('.delete_currency_button').on('click',function(){
		var currencyId = $(this).data('currency-id');						   
		var currencyName = $(this).data('currency-name');						   
		var hospitalId = $(this).data('hospital-id');
		$.ajax({
			type: "POST",
			url: url,
			data: {'delete_currency_id':currencyId,'delete_currency_name':currencyName,'delete_currency_hospital_id':hospitalId,'delete_currency_user_id':userId}, 
			success: function(data){
				alert(data);
				window.location.reload();
			},
			error: function(){ 
			
				alert('No Currency found'); 
			}
		});
	});
	
	//Get payment invoice
	$('.pay_bill_button').on('click',function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');
		var visitId = $(this).data('visit-id');
		var visitDate = $(this).data('visit-date');
		var name = $(this).data('name');
		var gender = $(this).data('gender');
		var age = $(this).data('age');
		var userId = $(this).data('user-id');
		
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'bill_patient_id':patientId,'bill_hospital_id':hospitalId,'bill_visit_id':visitId,'bill_visit_date':visitDate,'bill_name':name,'bill_gender':gender,'bill_age':age,'bill_user_id':userId}, 
			success: function(data){
				$('.invoice_modal').html(data);
				
				//if the delete request button is clicked
				$('.delete_request_btn').on('click',function(){
					
					//Get the patient id from the clicked button
					var patientId = $(this).data('patient-id');
					var hospitalId = $(this).data('hospital-id');
					var requestId = $(this).data('request-id');
					var requestName = $(this).data('request-name');
					var department = $(this).data('department');
					
					$('#delete_request_header').html(requestName);
					$('#delete_request_request_name').val(requestName);
					$('#delete_request_patient_id').val(patientId);
					$('#delete_request_hospital_id').val(hospitalId);
					$('#delete_request_request_id').val(requestId);
					$('#delete_request_department').val(department);
							
					//When the save visit button is clicked
					$('#delete_request_form').on('submit',function(e){
						
						e.preventDefault(); // avoid to execute the actual submit of the form.
						var form = $(this);	
						//If the checkbox is checked, save the data, if not, give an alert
					
						$.ajax({
						   type: "POST",
						   url: url,
						   data: form.serialize(), // serializes the form's elements.
						   success: function(data)
						   {
							   alert(data);// show response from the php script.
							   window.location.reload();
						   },
							error: function() 
							{ 
								alert('error'); 
							}
						});
						 
						$("#delete_request_form").trigger("reset");
					});
				});
				
				//Print patient report
				$('.print_invoice').click(function(){
					var mode = 'iframe';
					var Close=mode=='popup';
					var standards = "html5";
					var options = {mode:mode,popClose:Close,standard:standards};
					$('.print_invoice_card').printArea(options);
				});
				
				//Add consumables amount to the total payment
				$('#consumable_cost').on('keyup',function(){
					var consumableFees = $(this).val();
					var invoiceFees = $('#total_invoice_amount').data('invoice-amount');
					var invoiceBal	= $('#total_invoice_balance').data('invoice-balance');
					
					//Add commas to the total fees
					function numberWithCommas(number) {
						var parts = number.toString().split(".");
						parts[0] = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, ",");
						return parts.join(".");
					}
						
					if(consumableFees == ''){
						var totalFee = numberWithCommas(invoiceFees);
						var totalBal = numberWithCommas(invoiceBal);
						$('#total_invoice_amount').html(totalFee);
						$('#total_invoice_balance').html(totalBal);
						
						$('#pay_total_amount').val(invoiceFees);
						
					}else{
						//Add the consumable fee to the total fee
						var totalFees = parseInt(invoiceFees) + parseInt(consumableFees);
						var totalFeesWithCommas = numberWithCommas(totalFees);
						
						$('#total_invoice_amount').html(totalFeesWithCommas);
						$('#pay_total_amount').val(totalFees);
						
						//Add the consumable fee to the balance
						var totalBalance = parseInt(invoiceBal) + parseInt(consumableFees);
						var totalBalWithCommas = numberWithCommas(totalBalance);
						
						$('#total_invoice_balance').html(totalBalWithCommas);
					}
					
				});
				
				//Save payment
				$('#payment_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					
					//Call the native javascript reset object to reset form
					$("#payment_form").trigger("reset");
						
				});
				
				//Pay individual bill
				$('.invoice_pay_individual_item_btn').each(function(){
					$(this).on('click',function(){
						var billId = $(this).data('bill-id');
						var billAmount = $(this).data('bill-amount');
						var paidBillAmount = $('#'+billId).val();
						var payPatientId = $(this).data('patient-id');
						var payPatientName = $(this).data('name');
						var payHospitalId = $(this).data('hospital-id');
						var payGender = $(this).data('gender');
						var payAge = $(this).data('age');
						var payVisitId = $(this).data('visit-id');
						var payInvoiceNo = $(this).data('invoice-no');
						var payVisitDate = $(this).data('visit-date');
						var payRequestName = $(this).data('request-name');
						//alert(paidBillAmount);
						$.ajax({
							type: "POST",
							url: url,
							data: {'pay_invoice_bill_id':billId,'pay_invoice_bill_amount':billAmount,'pay_invoice_User_id':userId,'pay_invoice_patient_id':payPatientId,'pay_invoice_patient_Name':payPatientName,'pay_invoice_Hospital_id':payHospitalId,'pay_invoice_Gender':payGender,'pay_invoice_Pay_age':payAge,'pay_invoice_Visit_id':payVisitId,'pay_invoiceNo':payInvoiceNo,'pay_invoice_Visit_date':payVisitDate,'paid_invoice_Amount':paidBillAmount}, 
							success: function(data){
								
								alert(data);
								//Refresh the invoice
								//$('#invoice_table').load(location.href + ' #invoice_table');
								
								//Update the row of the paid bill
								$.ajax({
									type: "POST",
									url: url,
									data: {'after_pay_invoice_bill_id':billId,'after_pay_invoice_User_id':userId,'after_pay_invoice_patient_id':payPatientId,'after_pay_invoice_patient_Name':payPatientName,'after_pay_invoice_Hospital_id':payHospitalId,'after_pay_invoice_Gender':payGender,'after_pay_invoice_Pay_age':payAge,'after_pay_invoice_Visit_id':payVisitId,'after_pay_invoiceNo':payInvoiceNo,'after_pay_invoice_Visit_date':payVisitDate,'after_pay_request_name':payRequestName}, 
									success: function(data){
										$('#row'+billId).html(data);
									},
									error: function(){ 
									
										alert('No Bills found'); 
									}
								});
								
								//Update the total paid row
								$.ajax({
									type: "POST",
									url: url,
									data: {'total_paid_invoice_User_id':userId,'total_paid_invoice_patient_id':payPatientId,'total_paid_invoice_Hospital_id':payHospitalId,'after_paid_invoice_Visit_id':payVisitId}, 
									success: function(data){
										$('#paid_row').html(data);
									},
									error: function(){ 
									
										alert('No Bills found'); 
									}
								});
								
								//Update the total balance row
								$.ajax({
									type: "POST",
									url: url,
									data: {'total_bal_invoice_User_id':userId,'total_bal_invoice_patient_id':payPatientId,'total_bal_invoice_Hospital_id':payHospitalId,'total_bal_invoice_Visit_id':payVisitId}, 
									success: function(data){
										$('#balance_row').html(data);
									},
									error: function(){ 
									
										alert('No Bills found'); 
									}
								});
								
							},
							error: function(){ 
							
								alert('No Bills found'); 
							}
						});
					});
				});
				
				//Pay total outstanding
				$('#pay_all_outstanding_total').on('click',function(){
					
					var totalBillAmount = $(this).data('invoice-amount');
					var totalPaidAmount = $(this).data('payment-amount');
					var totalPatientId = $(this).data('patient-id');
					var totalPatientName = $(this).data('name');
					var totalHospitalId = $(this).data('hospital-id');
					var totalGender = $(this).data('gender');
					var totalAge = $(this).data('age');
					var totalVisitId = $(this).data('visit-id');
					var totalInvoiceNo = $(this).data('invoice-no');
					var totalVisitDate = $(this).data('visit-date');
					
					$.ajax({
						type: "POST",
						url: url,
						data: {'total_bill_amount':totalBillAmount,'total_payment_amount':totalPaidAmount,'total_user_id':userId,'total_patient_id':totalPatientId,'total_patient_name':totalPatientName,'total_hospital_id':totalHospitalId,'total_gender':totalGender,'total_age':totalAge,'total_visit_id':totalVisitId,'total_invoice_no':totalInvoiceNo,'total_visit_date':totalVisitDate}, 
						success: function(data){
							
							alert(data);
							window.location.reload();
						},
						error: function(){ 
						
							alert('No Bills found'); 
						}
					});
				});
				
			},
			error: function(){ 
			
				alert('No Currency found'); 
			}
		});
		
	});
	
	//Get payment invoice
	$('.receipt_btn').on('click',function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');
		var visitId = $(this).data('visit-id');
		var visitDate = $(this).data('visit-date');
		var name = $(this).data('name');
		var gender = $(this).data('gender');
		var age = $(this).data('age');
		var userId = $(this).data('user-id');
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'receipt_patient_id':patientId,'receipt_patient_name':name,'receipt_hospital_id':hospitalId,'receipt_gender':gender,'receipt_age':age,'receipt_user':userId,'receipt_visit_id':visitId,'receipt_visit_date':visitDate}, 
			success: function(data){
				$('.receipt_modal').html(data);
				
				//Print patient report
				$('.print_receipt').click(function(){
					
					/*var receiptNo = $('#receipt_no_div').data('receipt-no');
					var receiptDate = $('#receipt_no_div').data('receipt-date');
					$.ajax({
						type: "POST",
						url: url,
						data: {'print_receipt_patient_id':patientId,'print_receipt_patient_name':name,'print_receipt_hospital_id':hospitalId,'print_receipt_gender':gender,'print_receipt_age':age,'print_receipt_user':userId,'print_receipt_visit_id':visitId,'print_receipt_visit_date':visitDate, 'print_reciept_rct_no':receiptNo, 'print_reciept_rct_date':receiptDate}, 
						success: function(data){
							$('.print_receipt_modal').html(data);
							
							//Print the receipt
							var mode = 'iframe';
							var Close=mode=='popup';
							var standards = "html5";
							var options = {mode:mode,popClose:Close,standard:standards};
							$('.print_receipt_card').printArea(options);
							
						},
						error: function(){ 
						
							//alert('No Currency found'); 
						}
					});*/
					
					
					var mode = 'iframe';
					var Close=mode=='popup';
					var standards = "html5";
					var options = {mode:mode,popClose:Close,standard:standards};
					$('.print_receipt_card').printArea(options);
				});
				
			},
			error: function(){ 
			
				//alert('No Currency found'); 
			}
		});
		
	});
	
	//Save payment
	$('#add_account_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_account_form").trigger("reset");
			
	});
	
	$('.delete_account_btn').on('click',function(){
		var hospitalId = $(this).data('hospital-id');
		var accountId = $(this).data('account-id');
		var accountName = $(this).data('account-name');
		$.ajax({
			type: "POST",
			url: url,
			data: {'delete_account_hospital_id':hospitalId,'delete_account_id':accountId,'delete_account_name':accountName}, 
			success: function(data){
				
				alert(data);
				
			},
			error: function(){ 
			
				alert('No Account found'); 
			}
		});
		
		//Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
	});
	
	//Save payment
	$('#other_payment_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#other_payment_form").trigger("reset");
			
	});

	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	 
	 //Approve drugs
	$('.approve_drugs_btn').on('click', function(){
		var hospitalId = $(this).data('hospital-id');
		var patientId = $(this).data('patient-id');
		var productName = $(this).data('product-name');
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'approve_drug_hospital_id':hospitalId,'approve_drug_patient_id':patientId,'approve_drug_product_name':productName,'approve_drug_user_id':userId}, 
		   success: function(data)
		   {
			   alert(data);			   
		   },
			error: function() 
			{ 
				alert('There was an error encountered'); 
			}
		 });
		 
		 //Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
	 });
	 
	 //Approve tests 
	 $('.approve_labs_btn').on('click', function(){
		var hospitalId = $(this).data('hospital-id');
		var patientId = $(this).data('patient-id');
		var testName = $(this).data('test-name');
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'approve_labs_hospital_id':hospitalId,'approve_labs_patient_id':patientId,'approve_labs_test_name':testName,'approve_labs_user_id':userId}, 
		   success: function(data)
		   {
			   alert(data);
			   
		   },
			error: function() 
			{ 
				alert('There was an error encountered'); 
			}
		 });
		 
		 //Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
		
	 });
	 
	 //Approve services 
	 $('.approve_service_btn').on('click', function(){
		var hospitalId = $(this).data('hospital-id');
		var patientId = $(this).data('patient-id');
		var serviceName = $(this).data('service-name');
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'approve_service_hospital_id':hospitalId,'approve_service_patient_id':patientId,'approve_service_name':serviceName,'approve_service_user_id':userId}, 
		   success: function(data)
		   {
			   alert(data);
			   
		   },
			error: function() 
			{ 
				alert('There was an error encountered'); 
			}
		 });
		 
		 //Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
		
	 });
	
	
	//Save expense
	$('#add_expense_account_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_expense_account_form").trigger("reset");
			
	});
	
	//Save expense account
	$('#add_expenditure_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_expenditure_form").trigger("reset");
			
	});
	
	//Delete Expense Account
	$('.delete_expense_account_btn').on('click',function(){
		var expenseAccountId = $(this).data('exp-account-id');						   
		var hospitalId = $(this).data('hospital-id');
		$.ajax({
			type: "POST",
			url: url,
			data: {'delete_exp_account_id':expenseAccountId,'delete_exp_account_hospital_id':hospitalId,'delete_exp_account_user_id':userId}, 
			success: function(data){
				alert(data);
				window.location.reload();
			},
			error: function(){ 
			
				alert('No Account found'); 
			}
		});
	});
	
	//Delete expense
	$('.delete_expense_btn').on('click',function(){
		var expenseId = $(this).data('expense-id');						   
		var hospitalId = $(this).data('hospital-id');
		$.ajax({
			type: "POST",
			url: url,
			data: {'delete_expense_id':expenseId,'delete_expense_hospital_id':hospitalId,'delete_expense_user_id':userId}, 
			success: function(data){
				alert(data);
				window.location.reload();
			},
			error: function(){ 
			
				alert('No Account found'); 
			}
		});
	});
	
	//Save bank account 
	$('#add_bank_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_bank_form").trigger("reset");
			
	});
	
	//Save bank loan 
	$('#add_loan_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_loan_form").trigger("reset");
			
	});
	
	//Save transfer 
	$('#add_transfer_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_bank_form").trigger("reset");
			
	});
	
	//Get income report
	$('#daterange_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
		var department = $('#select_department_report').val();
	  
		$.ajax({
			type: "POST",
			url: url,
			data: {'income_report_start_date':startDate,'income_report_end_date':endDate,'income_report_department':department,'income_report_user_id':userId}, 
			success: function(data){
				$('.income_report_body').html(data);
			},
			error: function(){ 
			
				alert('No Sales found'); 
			}
		});
	});
	
	//Get expense report
	$('#exp_daterange_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
	  
		$.ajax({
			type: "POST",
			url: url,
			data: {'exp_report_start_date':startDate,'exp_report_end_date':endDate,'exp_report_user_id':userId}, 
			success: function(data){
				$('.exp_report_body').html(data);
			},
			error: function(){ 
			
				alert('No Expenses found'); 
			}
		});
	});
	
	//Get p_n_l_report
	$('#p_l_daterange_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
	  
		$.ajax({
			type: "POST",
			url: url,
			data: {'p_l_report_start_date':startDate,'p_l_report_end_date':endDate,'p_l_report_user_id':userId}, 
			success: function(data){
				$('.p_l_report_body').html(data);
			},
			error: function(){ 
			
				alert('No Income found'); 
			}
		});
	});
	
	//Get p_n_l_report
	$('#payable_daterange_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
	  
		$.ajax({
			type: "POST",
			url: url,
			data: {'payable_report_start_date':startDate,'payable_report_end_date':endDate,'payable_report_user_id':userId}, 
			success: function(data){
				$('.payables_report_body').html(data);
			},
			error: function(){ 
			
				alert('No Payables found found'); 
			}
		});
	});
	
	//Print income report
	$('.print_income_report').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('#income_table').printArea(options);
	});
	
	//Print expense report
	$('.print_expense_report').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('#exp_table').printArea(options);
	});
	
	//Print expense report
	$('.print_p_l_report').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('#income_exp_table').printArea(options);
	});
	
	//Save insurance company
	$('#add_company_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_company_form").trigger("reset");
			
	});
	
	//Save insurance patient
	$('#add_patient_to_insurance_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_patient_to_insurance_form").trigger("reset");
			
	});
	
	//Add a test row
	$('#add_test_btn').on('click',function(){
		
		var html = '<div class="row added_row"><div class="col-md-6">';
		html +='<div class="form-group row">';
		html +='<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Test:</label>';
		html +='<div class="col-sm-9">';
		html +='<select class="form-control test_name" name="test_name[]">';
		html +='</select>';
		html +='</div></div></div>';
		html +='<div class="col-md-4">';
		html +='<div class="form-group row">';
		html +='<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Cost:</label>';
		html +='<div class="col-sm-9">';
		html +='<input type="text" class="form-control" name="test_insurance_cost[]" >';
		html +='</div></div></div>';
		html +='<div class="col-md-1">';
		html +='<div class="form-group row">';
		html +='<button type="button" class="btn btn-danger remove_test_btn">Remove</button>';
		html +='</div></div></div>';
		
		$('#add_test_row').append(html);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'get_insurance_tests_user_id':userId}, 
			success: function(data){
				$('.test_name').html(data);
			},
			error: function(){ 
			
				alert('No Income found'); 
			}
		});
		
		$("#add_test_row").on('click', '.remove_test_btn', function () {
			$(this).closest('.added_row').remove();
		});
		
	});
	
	//Add insurance tests
	$('#add_insurance_test_cost_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_insurance_test_cost_form").trigger("reset");
			
	});
	
	//Add a test row
	$('#add_pharm_btn').on('click',function(){
		
		var html = '<div class="row pharm_added_row"><div class="col-md-6">';
		html +='<div class="form-group row">';
		html +='<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Product:</label>';
		html +='<div class="col-sm-9">';
		html +='<select class="form-control pharm_name" name="insurance_product_name[]">';
		html +='</select>';
		html +='</div></div></div>';
		html +='<div class="col-md-4">';
		html +='<div class="form-group row">';
		html +='<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Cost:</label>';
		html +='<div class="col-sm-9">';
		html +='<input type="text" class="form-control" name="product_insurance_cost[]" >';
		html +='</div></div></div>';
		html +='<div class="col-md-1">';
		html +='<div class="form-group row">';
		html +='<button type="button" class="btn btn-danger remove_pharm_btn">Remove</button>';
		html +='</div></div></div>';
		
		$('.add_product_row').append(html);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'get_insurance_pharm_user_id':userId}, 
			success: function(data){
				$('.pharm_name').html(data);
			},
			error: function(){ 
			
				alert('No Income found'); 
			}
		});
		
		$(".add_product_row").on('click', '.remove_pharm_btn', function () {
			$(this).closest('.pharm_added_row').remove();
		});
	});
	
	//Add insurance Pharmacy product
	$('#add_insurance_product_cost_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_insurance_product_cost_form").trigger("reset");
			
	});
	
	//Add a test row
	$('#add_service_btn').on('click',function(){
		
		var html = '<div class="row service_added_row"><div class="col-md-6">';
		html +='<div class="form-group row">';
		html +='<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Service:</label>';
		html +='<div class="col-sm-9">';
		html +='<select class="form-control serv_name" name="insurance_service_name[]">';
		html +='</select>';
		html +='</div></div></div>';
		html +='<div class="col-md-4">';
		html +='<div class="form-group row">';
		html +='<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Cost:</label>';
		html +='<div class="col-sm-9">';
		html +='<input type="text" class="form-control" name="service_insurance_cost[]" >';
		html +='</div></div></div>';
		html +='<div class="col-md-1">';
		html +='<div class="form-group row">';
		html +='<button type="button" class="btn btn-danger remove_service_btn">Remove</button>';
		html +='</div></div></div>';
		
		$('.add_service_row').append(html);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'get_insurance_service_user_id':userId}, 
			success: function(data){
				$('.serv_name').html(data);
			},
			error: function(){ 
			
				alert('No Income found'); 
			}
		});
		
		$(".add_service_row").on('click', '.remove_service_btn', function () {
			$(this).closest('.service_added_row').remove();
		});
	});
	
	//Add insurance Pharmacy product
	$('#add_insurance_service_cost_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_insurance_service_cost_form").trigger("reset");
			
	});
	
	//Save Insurance Invoice
	$('.generate_invoice_btn').on('click',function(){
		var companyId = $(this).data('company-id');						   
		var totalBill = $(this).data('total-bill');						   
		var startDate = $(this).data('start-date');						   
		var hospitalId = $(this).data('hospital-id');
		var companyName = $(this).data('company-name');
	  
		$.ajax({
			type: "POST",
			url: url,
			data: {'add_company_id':companyId,'add_company_name':companyName,'add_total_bill':totalBill,'add_start_date':startDate,'add_hospital_id':hospitalId,'add_user_id':userId}, 
			success: function(data){
				alert(data);
			},
			error: function(){ 
			
				alert('No Sales found'); 
			}
		});
		
		//Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
	});
	
	//Get invoice data
	$('.view_invoice_btn').on('click',function(){
		var companyId = $(this).data('company-id');						   
		var hospitalId = $(this).data('hospital-id');
		var invoiceId = $(this).data('invoice-id');	
		var companyName = $(this).data('company-name');	
		
		$('#test_menu_name_header').append(companyName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'insurance_invoice_company_id':companyId,'insurance_invoice_id':invoiceId,'insurance_invoice_hospital_id':hospitalId,'insurance_invoice_user_id':userId}, 
			success: function(data){
				$('.add_insurance_invoice_card').html(data);
				
				//Print patient report
				$('.print_result').click(function(){
					var mode = 'iframe';
					var Close=mode=='popup';
					var standards = "html5";
					var options = {mode:mode,popClose:Close,standard:standards};
					$('.print_invoice_card').printArea(options);
				});
			},
			error: function(){ 
				alert('No Sales found'); 
			}
		});
	});
	
	//Get invoice data
	$('.pay_invoice_btn').on('click',function(){
		var companyId = $(this).data('company-id');						   
		var hospitalId = $(this).data('hospital-id');
		var invoiceId = $(this).data('invoice-id');	
		var companyName = $(this).data('company-name');	
		
		$('#test_menu_name_header').append(companyName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'insurance_payment_company_id':companyId,'insurance_payment_invoice_id':invoiceId,'insurance_payment_hospital_id':hospitalId,'insurance_payment_user_id':userId}, 
			success: function(data){
				$('.add_insurance_payment_card').html(data);
				
				//Save insurance payment
				$('#make_insurance_payment_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					
					//Call the native javascript reset object to reset form
					$("#make_insurance_payment_form").trigger("reset");
						
				});
				
				//Print patient report
				$('.print_result').click(function(){
					var mode = 'iframe';
					var Close=mode=='popup';
					var standards = "html5";
					var options = {mode:mode,popClose:Close,standard:standards};
					$('.print_invoice_card').printArea(options);
				});
			},
			error: function(){ 
				alert('No Sales found'); 
			}
		});
	});
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	//Request discount
	$('.request_discount').on('click',function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');
		var visitId = $(this).data('visit-id');
		var visitDate = $(this).data('visit-date');
		var name = $(this).data('name');
		var gender = $(this).data('gender');
		var age = $(this).data('age');
		var userId = $(this).data('user-id');
		var balance = $(this).data('balance');
		
		$('#discount_patient_header').html(name);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'discount_patient_id':patientId,'discount_hospital_id':hospitalId,'discount_visit_id':visitId,'discount_visit_date':visitDate,'discount_name':name,'discount_gender':gender,'discount_age':age,'discount_user_id':userId,'discount_balance':balance}, 
			success: function(data){
				$('.request_discount_body').html(data);
				
				//Save payment
				$('#submit_discount_request_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#submit_discount_request_form").trigger("reset");
						
				});
				
			},
			error: function(){ 
			
				alert('No discount found'); 
			}
		});
		
	});
	
	//Approve discount
	$('.pay_approve_discount_btn').on('click', function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');
		var visitId = $(this).data('visit-id');
		var visitDate = $(this).data('visit-date');
		var name = $(this).data('name');
		var requestedAmount = $(this).data('requested-amount');
		var systemAmount = $(this).data('system-amount');
		var requesterId = $(this).data('requester-id');
		var userId = $(this).data('user-id');
		var approvedAmount = $('#approved_amount').val();
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'approve_discount_patient_id':patientId,'approve_discount_hospital_id':hospitalId,'approve_discount_visit_id':visitId,'approve_discount_visit_date':visitDate,'approve_discount_name':name,'approve_discount_requested_amount':requestedAmount,'approve_discount_system_amount':systemAmount,'approve_discount_user_id':userId,'approve_discount_requester_id':requesterId,'approve_discount_approved_amount':approvedAmount}, 
			success: function(data){
				alert(data);
				window.location.reload();
			},
			error: function(){ 
			
				alert('No discount found'); 
			}
		});
	});
	
	//Search service item
	$('#walkin_search_service_term').on('keyup', function(){
		var searchTerm = $(this).val();
		
		if(searchTerm == ''){
			$('#search_service_body').html('');
		}else{
			var selectService = $('#select_service').val();
			
			$.ajax({
				type: "POST",
				url: url,
				data: {'search_service_name':searchTerm,'search_service_dept':selectService,'search_service_user_id':userId}, 
				success: function(data){
					
				   $('#search_service_body').html(data);  
				   
				   $('.search_term_result').on('click', function(){
					   var productId = $(this).data('product-id');						   
					   var productName = $(this).data('product-name');						   
					   var hospitalId = $(this).data('hospital-id');
					   var cost = $(this).data('cost');
					   
						var html='<tr id="'+productId+'">';
						html+='<td><center>'+productId+'</center></td>';
						html+='<td><center>'+productName+'</center></td>';
						html+='<td><center><input type="text" name="walkin_service_cost[]" class="selling_price_cell" data-item-cost="'+cost+'" style="width:7rem;" placeholder="'+cost.toLocaleString('en-US')+'"></center></td>';
						html+='<td><center><input type="text" class="walkin_qty" name="walkin_qty[]" style="width:7rem;" ></center></td>';
						html+='<td class="cost_cell"><center>'+cost.toLocaleString('en-US')+'</center></td>';
						html+='<input type="hidden" name="walkin_product_id[]" value="'+productId+'"/>';
						html+='<input type="hidden" name="walkin_product_name[]" value="'+productName+'"/>';
						html+='<input type="hidden" name="walkin_product_amount[]" class="selling_price" value="'+cost+'"/>';
						html+='<input type="hidden" name="walkin_product_hospital_id[]" value="'+hospitalId+'"/>';
						html+='<input type="hidden" name="walkin_product_dept[]" value="'+selectService+'" />';
						html+='<td><button type="submit" class="badge badge-danger remove_medicine_btn" id="'+productId+'">Remove</button></td>';
						html+='</tr>';
						
						$('.walkin_searched_term_body').append(html);
						
						$(".walkin_searched_term_body").on('click', '.remove_medicine_btn', function () {
							$(this).closest('tr').remove();
						});
						
						//Update the FEFO section
						if(selectService == 'Pharmacy'){
							//Get expiry records of the clicked item
							$.ajax({
							   type: "POST",
							   url: url,
							   data: {'get_product_exp_id':productId, 'get_product_exp_name':productName, 'get_product_exp_user_id':userId}, 
							   success: function(data){
								   $('#fefo_corner').append(data);
							   },
								error: function(){ 
									alert('No stock found'); 
								}
							});
						}

						//Pay and Dispense`
						$("#walkin_patient_dispense_table").on("change", "input", function () {  //use event delegation
						  var tableRow = $(this).closest("tr");  //from input find row
						  var walkinQty = Number(tableRow.find(".walkin_qty").val());  //get first textbox
						  var price = Number(tableRow.find(".selling_price_cell").val());  //get first textbox
						  //var price = Number(tableRow.find(".walkin_dispensed").data("price"));
						  
						  var cost = Number(tableRow.find(".selling_price_cell").data('item-cost'));
						  
						  //If the cost of the item is editted
						  if(price == ''){
							  var costPrice = Number(cost);
						  }else{
							  var costPrice = price;
						  }
						  
						  //If the qty of the item is editted
						  if(walkinQty == ''){
							  var qty = Number(1);
						  }else{
							  var qty = walkinQty;
						  }
						  
						  var totalCostPerItem = qty * costPrice;
						  tableRow.find(".cost_cell").html('<center><span style="color:blue;">'+totalCostPerItem.toLocaleString('en-US')+'</span></center>');
						  tableRow.find(".selling_price").val(totalCostPerItem);
						  
						  var totalAmount = 0;
						  //Update the total amount cell
						  $.each($(".selling_price"), function(){
							  
							  totalAmount += Number($(this).val());
							  
							  $('#amount_to_pay').html(totalAmount.toLocaleString('en-US'));
						  })
						  
						  
						  
						  //Enter the amount paid
						  $('#amount_paid').on('keyup',function(){
							  var paid = $('#amount_paid').val();
							  
							  var balance = paid - totalAmount; 
							  $('#due_to_customer').html(balance);
						  });
						  
						  //Update the value attribute of the hidden total amount input
						  $('#total_amount_to_pay').val(totalAmount);
						  
						  //Update the value attribute of the hidden paid input
						  $('#total_amount_paid').val(paid);
						});
				   });
				   
				},
				error: function(){ 
				
					alert('No Medicine found'); 
				}
			});
		}
		
	});
	
	//Submit walkin prescription
	$('#save_walking_service_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#save_walking_service_form").trigger("reset");
	});
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	 
});