$(document).ready(function(){
	
	//user controller url
	var url = './../controller/groups.php';
	var userId = $('#user_id').data('user-id');
	
	//Pay vendor invoice 
	$('.group_details_btn').on('click',function(){
		var groupId = $(this).data('group-id');
		var groupName = $(this).data('group-name');
		var hospitalId = $(this).data('hospital-id');
		
		$('#group_name_header').html(groupName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'details_group_id':groupId,'details_group_hospital_id':hospitalId,'details_group_user_id':userId}, 
			success: function(data){
				$('.group_details_card').html(data);
				
				//Delete member from group
				$('.delete_group_member_btn').on('click',function(){
					var groupId = $(this).data('group-id');
					var memberId = $(this).data('member-id');
					var hospitalId = $(this).data('hospital-id');
					$.ajax({
						type: "POST",
						url: url,
						data: {'delete_member_group_id':groupId,'delete_member_hospital_id':hospitalId,'delete_member_id':memberId,'delete_member_user_id':userId}, 
						success: function(data){
							alert(data);
							window.location.reload();
						},
						error: function(){ 
						
							alert('No Groups found'); 
						}
					});
				});
			},
			error: function(){ 
			
				alert('No Groups found'); 
			}
		});
		
	});
	
	//Pay vendor invoice 
	$('.group_invoice_btn').on('click',function(){
		var groupId = $(this).data('group-id');
		var groupName = $(this).data('group-name');
		var hospitalId = $(this).data('hospital-id');
		
		$('#group_invoice_name_header').html(groupName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'invoice_group_id':groupId,'invoice_group_hospital_id':hospitalId,'invoice_group_user_id':userId}, 
			success: function(data){
				$('.group_invoice_card').html(data);
				
				//When the save visit button is clicked
				$('#make_group_payment_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					
					//Call the native javascript reset object to reset form
					$("#make_group_payment_form").trigger("reset");
				});
			},
			error: function(){ 
			
				alert('No Groups found'); 
			}
		});
		
	});
	
	//Pay vendor invoice 
	$('.add_member_to_group_btn').on('click',function(){
		var groupId = $(this).data('group-id');
		var groupName = $(this).data('group-name');
		var hospitalId = $(this).data('hospital-id');
		
		$('#member_group_id').val(groupId);
		
		//When the save visit button is clicked
		$('#assign_group_form').on('submit',function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			
			//Call the native javascript reset object to reset form
			$("#assign_group_form").trigger("reset");
		});
		
	});
	
	//Get group statement 
	$('#daterange_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
		var groupId = $('#statement_group_name').val();
		var groupName = $('#statement_header').data('group-name');
		
		var startHeaderDate = picker.startDate.format('DD-MMM-YYYY');
		var endHeaderDate = picker.endDate.format('DD-MMM-YYYY');
		
		$('#statement_header').html(groupName);
		$('#statement_date').html(startHeaderDate+' to '+endHeaderDate);
	  
		$.ajax({
			type: "POST",
			url: url,
			data: {'statement_start_date':startDate,'statement_end_date':endDate,'statement_group_id':groupId,'statement_user_id':userId}, 
			success: function(data){
				$('.statement_body').html(data);
			},
			error: function(){ 
				//alert('No bills found'); 
			}
		});
	});
	//Print sales report
	$('#print_sales_revenue_btn').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('.sales_table').printArea(options);
	});
	
	//Print receivables report
	$('#print_recievables_btn').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('.receivables_table').printArea(options);
	});

	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	//Save insurance company
	$('#add_group_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_group_form").trigger("reset");
			
	});

	
	//Save Insurance Invoice
	$('.generate_invoice_btn').on('click',function(){
		var companyId = $(this).data('company-id');						   
		var totalBill = $(this).data('total-bill');						   
		var startDate = $(this).data('start-date');						   
		var hospitalId = $(this).data('hospital-id');
		var companyName = $(this).data('company-name');
	  
		$.ajax({
			type: "POST",
			url: url,
			data: {'add_company_id':companyId,'add_company_name':companyName,'add_total_bill':totalBill,'add_start_date':startDate,'add_hospital_id':hospitalId,'add_user_id':userId}, 
			success: function(data){
				alert(data);
			},
			error: function(){ 
			
				alert('No Sales found'); 
			}
		});
		
		//Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
	});
	
	//Get invoice data
	$('.view_invoice_btn').on('click',function(){
		var companyId = $(this).data('company-id');						   
		var hospitalId = $(this).data('hospital-id');
		var invoiceId = $(this).data('invoice-id');	
		var companyName = $(this).data('company-name');	
		
		$('#test_menu_name_header').append(companyName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'insurance_invoice_company_id':companyId,'insurance_invoice_id':invoiceId,'insurance_invoice_hospital_id':hospitalId,'insurance_invoice_user_id':userId}, 
			success: function(data){
				$('.add_insurance_invoice_card').html(data);
				
				//Print patient report
				$('.print_result').click(function(){
					var mode = 'iframe';
					var Close=mode=='popup';
					var standards = "html5";
					var options = {mode:mode,popClose:Close,standard:standards};
					$('.print_invoice_card').printArea(options);
				});
			},
			error: function(){ 
				alert('No Sales found'); 
			}
		});
	});
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	
	
	
	
	
	 
});