$(document).ready(function(){
	
	//user controller url
	var url = './../controller/lab_department.php';
	var userId = $('#user_id').data('user-id');
	
	$('.collect_sample_btn').on('click',function(){
		var hospitalId = $(this).data('hospital-id');
		var patientId = $(this).data('patient-id');
		var uniqueNo = $(this).data('unique-no');
		var testName = $(this).data('test-name');
		var sampleNoExt = $('#sampleNoExtension').data('last-sample-no-digits');
		
		$('#request_name_header').html(testName);
		$('#sample_no_label').html(uniqueNo+'-'+sampleNoExt);
		$('#sample_hospital_id').val(hospitalId);
		$('#sample_patientid').val(patientId);
		$('#sample_no').val(uniqueNo+'-'+sampleNoExt);
		
	});
	//Add a ward
	$('#save_samples_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data){
			   
			   alert(data);// show response from the php script.
			   window.location.reload();
			   
		   },
			error: function(){
				
				alert('error'); 
				
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#save_samples_form").trigger("reset");
	});
	
	//Get collected samples
	$.ajax({
		type: "POST",
		url: url,
		data: {'get_sample_user_id':userId}, 
		success: function(data){
			
			$('#collected_samples').html(data);
			
			$('.edit_sample_button').on('click', function(){
				
				//get hospital id and sample no
				var hospitalId = $(this).data('hospital-id');
				var sampleNo = $(this).data('sample-no');
				
				$('#sample_no_header').html(sampleNo);
				$('#old_sample_no').val(sampleNo);
				
				$('.add_sample_type_btn').on('click',function(){
					
					var html = '<div class="col-md-12 added">';
					html+= '<div class="form-group row add_row">';
					html +='<div class="col-sm-6">';
					html+='<select class="form-control" name="edit_sample_types[]" >';
					html+='<option>Whole Blood</option>';	
					html+='<option>Plasma</option>';	
					html+='<option>Urine</option>';	
					html+='<option>Sputum</option>';	
					html+='<option>Saliva</option>';	
					html+='<option>Stool</option>';	
					html+='<option>Aspirate</option>';	
					html+='<option>Tissue</option>';	
					html+='<option>Urine</option>';	
					html+='<option>Other Body Fluids</option>';	
					html+='</select></div>';
					html +='<div class="col-sm-3">';
					html+='<button type="button" class="btn btn-danger remove_sample_type_btn">Remove</button>';
					html+='</div></div>';
					
					$(html).appendTo('#added_sample_types');
				});
				
				//Remove added sample type div
				$('#added_sample_types').on('click','.remove_sample_type_btn', function(){
					$(this).closest('div .added').remove();
				});
				
				//Submit the edit sample form 
				$('#edit_sample_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data){
						   
						   alert(data);// show response from the php script.
						   window.location.reload();
						   
					   },
						error: function(){
							
							alert('error'); 
							
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#edit_sample_form").trigger("reset");
				});
				
			});
			
			
		   
		},
		error: function(){ 
		
			alert('No samples found'); 
			
		}
	});
	
	$('.receive_sample_btn').on('click',function(){
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var sampleNo = $(this).data('sample-no');
		
		$('#receive_sample_header').html(sampleNo);
		$('#received_sample_no').val(sampleNo);
		
		//Submit the edit sample form 
		$('#receive_sample_form').on('submit',function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data){
				   
				   alert(data);// show response from the php script.
				   window.location.reload();
				   
			   },
				error: function(){
					
					alert('error'); 
					
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#receive_sample_form").trigger("reset");
		});
	});
	
	//Uncheck a radio button if another is clicked
	$('input[type=radio]').change(function(){
		if (this.checked){
			$(this).closest('.radios')
				.find('input[type=radio]').not(this)
				.prop('checked', false);
		}
	});
	
	//Get all received samples
	$.ajax({
		type: "POST",
		url: url,
		data: {'get_received_sample_user_id':userId}, 
		success: function(data){
			
			$('#all_received_samples').html(data);
		},
		error: function(){ 
		
			alert('No samples found'); 
			
		}
	});
	
	//If the Add result button is clicked
	$('.add_sample_result_btn').on('click',function(){
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var sampleNo = $(this).data('sample-no');
		var testName = $(this).data('test-name');
		var patientId = $(this).data('patient-id');
		var requester = $(this).data('requester');
		var requestId = $(this).data('lab-request-id');
		
		$('#add_result_header').html(sampleNo);
		//Get all sample details for results entry
		$.ajax({
			type: "POST",
			url: url,
			data: {'get_requester':requester,'get_result_user_id':userId,'get_result_patient_id':patientId,'get_result_hospital_id':hospitalId,'get_result_sample_no':sampleNo,'get_result_test_name':testName, 'get_result_request_id':requestId}, 
			success: function(data){
				
				$('.add_result_card').html(data);
				
				//Remove a test from the request
				$('.delete_test_requested').on('click',function(){
					
					var deleteTestName = $(this).data('test-name');
					var deleteSampleNo = $(this).data('sample-no');
					var deleteHospitalId = $(this).data('hospital-id');
					var deletePatientId = $(this).data('patient-id');
					var deleteRequestId = $(this).data('request-id');
					
					//Get all received samples
					$.ajax({
						type: "POST",
						url: url,
						data: {'deleteTestName':deleteTestName,'deleteSampleNo':deleteSampleNo,'deleteHospitalId':deleteHospitalId,'deleteUserId':userId,'deletePatientId':deletePatientId,'deleteRequestId':deleteRequestId}, 
						success: function(data){
							alert(data);
							window.location.reload();
						},
						error: function(){ 
						
							alert('No test found'); 
							
						}
					});
				});
				
				//Submit the save result form 
				$('#save_result_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data){
						   
						   alert('Result saved successfully');// show response from the php script.
						   //alert(data);// show response from the php script.
						   window.location.reload();
						   
					   },
						error: function(){
							
							alert('error'); 
							
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#save_result_form").trigger("reset");
				});
			},
			error: function(){ 
			
				alert('No samples found'); 
				
			}
		});
		
	});
	
	//If view result button is clicked
	$('.view_result_button').on('click',function(){
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var sampleNo = $(this).data('sample-no');
		var testName = $(this).data('test-name');
		var patientId = $(this).data('patient-id');
		
		$('#view_result_header').html(sampleNo);
		//Get all sample details for results viewing
		$.ajax({
			type: "POST",
			url: url,
			data: {'view_result_user_id':userId,'view_result_patient_id':patientId,'view_result_hospital_id':hospitalId,'view_result_sample_no':sampleNo,'view_result_test_name':testName}, 
			success: function(data){
				
				$('.view_result_card').html(data);
				
			},
			error: function(){ 
			
				alert('No results found'); 
				
			}
		});
		
	});
	
	//Send result for reciew
	$('.send_for_review_button').on('click',function(){
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var sampleNo = $(this).data('sample-no');
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'review_result_hospital_id':hospitalId,'review_result_sample_no':sampleNo}, 
			success: function(data){
				
				alert(data);
				window.location.reload();
			},
			error: function(){ 
			
				alert('No results found'); 
				
			}
		});
		
	});
	
	
	//If review result button is clicked
	$('.review_result_button').on('click',function(){
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var sampleNo = $(this).data('sample-no');
		var testName = $(this).data('test-name');
		var patientId = $(this).data('patient-id');
		
		$('#review_result_header').html(sampleNo);
		//Get all sample details for results review
		$.ajax({
			type: "POST",
			url: url,
			data: {'rev_result_user_id':userId,'rev_result_patient_id':patientId,'rev_result_hospital_id':hospitalId,'rev_result_sample_no':sampleNo,'rev_result_test_name':testName}, 
			success: function(data){
				
				$('.review_result_card').html(data);
				
				//Send review comments
				$('#send_comments_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data){
						   
						   alert(data);// show response from the php script.
						   window.location.reload();
						   
					   },
						error: function(){
							
							alert('error'); 
							
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#send_comments_form").trigger("reset");
				});
				
				//Send review comments
				$('#complete_review_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data){
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function(){
							
							alert('error'); 
							
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#complete_review_form").trigger("reset");
				});
				
				//Release results
				$('#release_result_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data){
						   alert(data);// show response from the php script.
						   window.location.reload();
						   
					   },
						error: function(){
							
							alert('error'); 
							
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#release_result_form").trigger("reset");
				});
				
			},
			error: function(){ 
			
				alert('No results found'); 
				
			}
		});
		
	});
	
	//If the view comment button is clicked
	$('.view_comment_btn').on('click',function(){
		
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var sampleNo = $(this).data('sample-no');
		$('#view_comment_header').html(sampleNo);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'view_comment_hospital_id':hospitalId,'view_comment_sample_no':sampleNo,'view_comment_user_id':userId}, 
			success: function(data){
				
				$('.view_comment_card').html(data);
				
			},
			error: function(){ 
			
				alert('No results found'); 
				
			}
		});
	});
	
	//If the Review result button is clicked
	$('.edit_result_button').on('click',function(){
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var sampleNo = $(this).data('sample-no');
		var testName = $(this).data('test-name');
		var patientId = $(this).data('patient-id');
		
		$('#edit_result_header').html(sampleNo);
		//Get all sample details for results entry
		$.ajax({
			type: "POST",
			url: url,
			data: {'view_edit_result_user_id':userId,'view_edit_sample_no':sampleNo,'view_edit_test_name':testName,'view_edit_patient_id':patientId,'view_edit_hospital_id':hospitalId}, 
			success: function(data){
				
				$('.edit_result_card').html(data);
				
				
				//Submit the save result form 
				$('#edit_patient_result_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data){
						   
						   alert(data);// show response from the php script.
						   window.location.reload();
						   
					   },
						error: function(){
							
							alert('error'); 
							
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#edit_patient_result_form").trigger("reset");
				});
			},
			error: function(){ 
			
				alert('No samples found'); 
				
			}
		});
		
	});
	
	
	//If the release result button is clicked
	$('.release_result_button').on('click',function(){
		
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var sampleNo = $(this).data('sample-no');
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'release_result_user_id':userId,'release_result_sample_no':sampleNo,'release_result_hospital_id':hospitalId}, 
			success: function(data){
				
				alert(data);
				window.location.reload();
			},
			error: function(){ 
			
				alert('No results found'); 
				
			}
		});
	
	});
	
	//If the view release result button is clicked
	$('.view_released_result_button').on('click',function(){
		
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var sampleNo = $(this).data('sample-no');
		var testName = $(this).data('test-name');
		var patientId = $(this).data('patient-id');
		
		$('#released_result_header').html(sampleNo);
		//Get all sample details for results entry
		$.ajax({
			type: "POST",
			url: url,
			data: {'view_released_user_id':userId,'view_released_sample_no':sampleNo,'view_released_test_name':testName,'view_released_patient_id':patientId,'view_released_hospital_id':hospitalId}, 
			success: function(data){
				$('.released_result_card').html(data);
				
				//Print patient report
				$('.print_result').click(function(){
					var mode = 'iframe';
					var Close=mode=='popup';
					var standards = "html5";
					var options = {mode:mode,popClose:Close,standard:standards};
					$('.released_result_card').printArea(options);
				});
			},
			error: function(){ 
			
				alert('No results found'); 
				
			}
		});
	
	});
	
	//When submit button is clicked
	$('#add_equipment_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.

		var form = $(this);
		
		$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			 });
			 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_equipment_form").trigger("reset");
	});
	
	//View Equipment
	$('.view_equipment_button').on('click',function(){
		
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var equipmentId = $(this).data('equipment-id');
		var departmentName = $(this).data('department-name');
		var uniqueId = $(this).data('unique-id');
		
		$('#equipment_id_header').html(uniqueId);
		//Get all sample details for results entry
		$.ajax({
			type: "POST",
			url: url,
			data: {'view_equipment_id':userId,'view_equipment_department':departmentName,'view_equipment_unique_id':uniqueId,'view_equipment_hospital_id':hospitalId}, 
			success: function(data){
				$('.view_equipment_card').html(data);
				
			},
			error: function(){ 
			
				alert('No results found'); 
				
			}
		});
	
	});
	
	//Edit Equipment
	$('.edit_equipment_button').on('click',function(){
		
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var equipmentId = $(this).data('equipment-id');
		var departmentName = $(this).data('department-name');
		var uniqueId = $(this).data('unique-id');
				
		$('#edit_equipment_id_header').html(uniqueId);
		//Get all sample details for results entry
		$.ajax({
			type: "POST",
			url: url,
			data: {'edit_equipment_user_id':userId,'edit_equipment_id':equipmentId,'edit_equipment_department':departmentName,'edit_equipment_unique_id':uniqueId,'edit_equipment_hospital_id':hospitalId}, 
			success: function(data){
				
				$('.edit_equipment_card').html(data);
				
				//When submit button is clicked
				$('#edit_equipment_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.

					var form = $(this);
					
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function(errorThrown) 
						{ 
							alert(errorThrown); 
						}
					 });
						 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#edit_equipment_form").trigger("reset");
				});
				
			},
			error: function(){ 
				
					alert('No results found'); 
					
				}
		});
		
	});
	
	//Test menu
	//Add the parameter row with reference intervals
	var html = '<div class="col-md-12 added">';
	  html += '<div class="form-group row">';
		html += '<label class="col-sm-2 col-form-label">Parameter Name: </label>';
		html += '<div class="col-sm-2">';
		  html += '<input type="text" name="test_menu_par_name[]" class="form-control" />';
		html += '</div>';
		html += '<label class="col-sm-2 col-form-label">Normal Lower Limit: </label>';
		html += '<div class="col-sm-2">';
		  html += '<input type="text" name="test_menu_normal_ll[]" class="form-control" placeholder="Ïf applicable" />';
		html += '</div>';
		html += '<label class="col-sm-2 col-form-label">Normal Upper Limit: </label>';
		html += '<div class="col-sm-2">';
		  html += '<input type="text" name="test_menu_normal_ul[]" class="form-control" placeholder="Ïf applicable" />';
		html += '</div>';
		html += '<label class="col-sm-2 col-form-label">critical Lower point: </label>';
		html += '<div class="col-sm-2">';
		  html += '<input type="text" name="test_menu_critical_ll[]" class="form-control" placeholder="Ïf applicable" />';
		html += '</div>';
		html += '<label class="col-sm-2 col-form-label">critical upper point: </label>';
		html += '<div class="col-sm-2">';
		  html += '<input type="text" name="test_menu_critical_ul[]" class="form-control" placeholder="Ïf applicable" />';
		html += '</div>';
		html += '<label class="col-sm-2 col-form-label">Gender: </label>';
		html += '<div class="col-sm-2">';
		html +='<select name="test_menu_gender[]" class="form-control gender">';
			//Gender Drop down
		html +='</select></div>';
		
		//Age classification row:
		html += '<label class="col-sm-2 col-form-label">Age Group Name: </label>';
		html += '<div class="col-sm-2">';
		  html += '<input type="text" name="test_menu_age_group_name[]" class="form-control" placeholder="Eg Infant, Child, Adult etc"/>';
		html += '</div>';
		html += '<label class="col-sm-2 col-form-label">Lower Age Limit: </label>';
		html += '<div class="col-sm-2">';
		  html += '<input type="text" name="test_menu_lower_age_limit[]" class="form-control" placeholder="*Must be a number"/>';
		html += '</div>';
		html += '<label class="col-sm-2 col-form-label">Upper Age Limit: </label>';
		html += '<div class="col-sm-2">';
		  html += '<input type="text" name="test_menu_upper_age_limit[]" class="form-control" placeholder="*Must be a number"/>';
		html += '</div>';
		html += '<label class="col-sm-2 col-form-label">Parameter SI Units</label>';
		html += '<div class="col-sm-2">';
		  html += '<input type="text" name="test_menu_si_units[]" class="form-control" placeholder="Eg g/dL, mmol/L etc"/>';
		html += '</div>';
		html += '<label class="col-sm-2 col-form-label">Value Multiplier</label>';
		html += '<div class="col-sm-2">';
		  html += '<input type="text" name="test_menu_multiplier[]" class="form-control" placeholder="Eg x10^3 etc"/>';
		html += '</div>';
		
		html += '<div class="col-sm-1">';
			html += '<center><button name="remove" type="button"  class="btn btn-danger btn-pill remove_parameter">Remove Parameter</button></center>';
		html += '</div></div></div>';
	
	//Insert the html if the parameter button is clicked
	$('#test_menu_add_parameter').on('click',function(){
		$('.parameter_row').append(html);
		
		//Get Gender Dropdown using ajax
		$.ajax({
			type: "POST",
			url: url,
			data: {genderDropDown : userId},
			dataType: "html",
			success: function(data){
				$('.gender').html(data);
			},
			error: function(){
				alert('error');
			}
		});
		
	});
	
	$('.parameter_row').on('click','.remove_parameter',function(){
		$(this).closest('div .added').remove();
	});
	
	
	//When submit test menu button is clicked
	$('#test_detail_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.

		var form = $(this);
		
		$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data){
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function(){ 
					alert('error'); 
				}
		});
			 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#test_detail_form").trigger("reset");
	});
	
	//Insert the html if the parameter button is clicked
	$('.view_test_menu_button').on('click',function(){
		
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var testMenuId = $(this).data('test-menu-id');
		var testName = $(this).data('test-name');
		
		$('#test_menu_name_header').html(testName);
		
		//Get Gender Dropdown using ajax
		$.ajax({
			type: "POST",
			url: url,
			data: {'view_test_menu_id' : testMenuId, 'view_test_menu_hospital_id':hospitalId},
			dataType: "html",
			success: function(data){
				$('.view_test_menu_card').html(data);
			},
			error: function(){
				alert('error');
			}
		});
		
	});
	
	//Reagent button is clicked 
	$('.reagent_test_menu_button').on('click',function(){
		
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var testMenuId = $(this).data('test-menu-id');
		var testName = $(this).data('test-name');
		
		$('#test_menu_reagent_header').html(testName);
		$('#reagent_test_name').val(testName);
		$('#reagent_test_id').val(testMenuId);
		
		//Get reagents for this test
		$.ajax({
			type: "POST",
			url: url,
			data: {'reagent_test_menu_id' : testMenuId, 'reagent_test_menu_hospital_id':hospitalId, 'reagent_user_id':userId},
			dataType: "html",
			success: function(data){
				$('#all_reagent_table').html(data);
			},
			error: function(){
				alert('error');
			}
		});
		
		$('#add_reagent_btn').on('click',function(){
			var html='<div class="d-flex justify-content-between added_reagent_row">';
			html+='<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Select Product:</label>';
			html+='<div class="col-sm-6">';
			html+='<select name="add_reagent_name[]" class="form-control reagent_name"></select>';
			html+='</div>';
			html+='<div class="col-sm-3">';
			html+='<button type="button" class="btn btn-danger remove_reagent_btn">Remove</button>';
			html+='</div></div>';
			
			$('#add_reagents_body').append(html);
			
			//Get reagents for this test
			$.ajax({
				type: "POST",
				url: url,
				data: {'get_select_field_reagents' : userId},
				dataType: "html",
				success: function(data){
					$('.reagent_name').html(data);
				},
				error: function(){
					alert('error');
				}
			});
			
			//Remove added parameter row
			$('#add_reagents_body').on('click','.remove_reagent_btn',function(){
				$(this).closest('div .added_reagent_row').remove();
			});
		});
		
		//When submit test menu button is clicked
		$('#add_reagent_form').submit(function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.

			var form = $(this);
			
			$.ajax({
				   type: "POST",
				   url: url,
				   data: form.serialize(), // serializes the form's elements.
				   success: function(data){
					   alert(data);// show response from the php script.
					   window.location.reload();
				   },
					error: function(){ 
						alert('error'); 
					}
			});
			
			//Call the native javascript reset object to reset form
			$("#add_reagent_form").trigger("reset");
		});
		
	});
	
	//Insert the html if the parameter button is clicked
	$('.edit_test_menu_button').on('click',function(){
		
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var testMenuId = $(this).data('test-menu-id');
		var testName = $(this).data('test-name');
		
		$('#edit_test_menu_header').html(testName);
		
		//Get Gender Dropdown using ajax
		$.ajax({
			type: "POST",
			url: url,
			data: {'edit_test_menu_id' : testMenuId, 'edit_test_menu_hospital_id':hospitalId, 'edit_test_menu_user_id':userId},
			dataType: "html",
			success: function(data){
				$('.edit_test_menu_card').html(data);
				
				//Check the radio options
				$('input[type=radio]').change(function(){
					if (this.checked)
					{
						$(this).closest('.radios')
							.find('input[type=radio]').not(this)
							.prop('checked', false);
					}
				});
				
				//Add the parameter row with reference intervals
				var html = '<div class="col-md-12 added">';
				  html += '<div class="form-group row">';
					html += '<label class="col-sm-2 col-form-label">Parameter Name: </label>';
					html += '<div class="col-sm-2">';
					  html += '<input type="text" name="par_name_edit[]" class="form-control" />';
					html += '</div>';
					html += '<label class="col-sm-2 col-form-label">Normal Lower Limit: </label>';
					html += '<div class="col-sm-2">';
					  html += '<input type="text" name="normal_ll_edit[]" class="form-control" placeholder="Ïf applicable" />';
					html += '</div>';
					html += '<label class="col-sm-2 col-form-label">Normal Upper Limit: </label>';
					html += '<div class="col-sm-2">';
					  html += '<input type="text" name="normal_ul_edit[]" class="form-control" placeholder="Ïf applicable" />';
					html += '</div>';
					html += '<label class="col-sm-2 col-form-label">critical Lower point: </label>';
					html += '<div class="col-sm-2">';
					  html += '<input type="text" name="critical_ll_edit[]" class="form-control" placeholder="Ïf applicable" />';
					html += '</div>';
					html += '<label class="col-sm-2 col-form-label">critical upper point: </label>';
					html += '<div class="col-sm-2">';
					  html += '<input type="text" name="critical_ul_edit[]" class="form-control" placeholder="Ïf applicable" />';
					html += '</div>';
					html += '<label class="col-sm-2 col-form-label">Gender: </label>';
					html += '<div class="col-sm-2">';
					html +='<select name="gender_edit[]" class="form-control edit_gender">';
						//Gender Drop down
					html +='</select></div>';
					
					//Age classification row:
					html += '<label class="col-sm-2 col-form-label">Age Group Name: </label>';
					html += '<div class="col-sm-2">';
					  html += '<input type="text" name="age_group_name_edit[]" class="form-control" placeholder="Eg Infant, Child, Adult etc"/>';
					html += '</div>';
					html += '<label class="col-sm-2 col-form-label">Lower Age Limit: </label>';
					html += '<div class="col-sm-2">';
					  html += '<input type="text" name="lower_age_limit_edit[]" class="form-control" placeholder="*Must be a number"/>';
					html += '</div>';
					html += '<label class="col-sm-2 col-form-label">Upper Age Limit: </label>';
					html += '<div class="col-sm-2">';
					  html += '<input type="text" name="upper_age_limit_edit[]" class="form-control" placeholder="*Must be a number"/>';
					html += '</div>';
					html += '<label class="col-sm-2 col-form-label">Parameter SI Units</label>';
					html += '<div class="col-sm-2">';
					  html += '<input type="text" name="si_units_edit[]" class="form-control" placeholder="Eg g/dL, mmol/L etc"/>';
					html += '</div>';
					html += '<label class="col-sm-2 col-form-label">Value Multiplier</label>';
					html += '<div class="col-sm-2">';
					  html += '<input type="text" name="test_menu_multiplier_edit[]" class="form-control" placeholder="Eg x10^3 etc"/>';
					html += '</div>';
					
					html += '<div class="col-sm-1">';
						html += '<center><button name="remove" type="button"  class="btn btn-danger btn-pill remove_parameter">Remove Parameter</button></center>';
					html += '</div></div></div>';
				
				//Insert the html if the parameter button is clicked
				$('#edit_parameter').click(function(){
					
					$('.edit_parameter_row').append(html);
					
					//Remove added parameter row
					$('.edit_parameter_row').on('click','.remove_parameter',function(){
						$(this).closest('div .added').remove();
					});
					
					//Get Gender Dropdown using ajax
					$.ajax({
						type: "POST",
						url: url,
						data: {genderDropDown : 'genderDropDown'},
						dataType: "html",
						success: function(data){
							$('.edit_gender').html(data);
						},
						error: function(){
							alert('error');
						}
					});
				});
				
				$('.delete_par').click(function(){
		
					var parId = $(this).data('test-parameter-id');
					var hospId = $(this).data('par-hospital-id');
					//Delete parameter using ajax
					$.ajax({
						type: "POST",
						url: url,
						data: {'delete_par' : parId,'hosp_id' : hospId},
						success: function(data){
							alert(data);
							
						},
						error: function(){
							alert('error');
						}
					});
					
					//Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});
				});
				
				//When edit button is clicked
				$('#test_edit_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.

					var form = $(this);
					
					$.ajax({
						   type: "POST",
						   url: url,
						   data: form.serialize(), // serializes the form's elements.
						   success: function(data,response)
						   {
							   alert(data);// show response from the php script
							   window.location.reload();
							   
						   },
							error: function() 
							{ 
								alert('error'); 
							}

						 });
						 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#test_edit_form").trigger("reset");
				});
			},
			error: function(){
				alert('error');
			}
		});
		
	});
	
	//Delete a test
	$('.delete_test_menu_button').on('click',function(){
		
		var DeleteTestMenuId = $(this).data('test-menu-id');
		var DeleteHospId = $(this).data('hospital-id');
		//Delete parameter using ajax
		$.ajax({
			type: "POST",
			url: url,
			data: {'delete_test_menu_id' : DeleteTestMenuId,'delete_hospital_id' : DeleteHospId},
			success: function(data){
				
				alert(data);
				
			},
			error: function(){
				alert('error');
			}
		});
		
		//Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
	});
	
	//Add blood unit
	$('#add_unit_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data){
			   
			   alert(data);// show response from the php script.
			   window.location.reload();
			   
		   },
			error: function(){
				
				alert('error'); 
				
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_unit_form").trigger("reset");
	});
	
	//Issue blood
	$('.issue_blood_button').on('click',function(){
		
		var bloodId = $(this).data('blood-id');
		
		$('#issue_blood_blood_id').val(bloodId);
		
		//Add blood unit
		$('#issue_blood_form').on('submit',function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data){
				   
				   alert(data);// show response from the php script.
				   window.location.reload();
				   
			   },
				error: function(){
					
					alert('error'); 
					
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#issue_blood_form").trigger("reset");
		});
	});
	
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	
	
});