$(document).ready(function(){
	
	//user controller url
	var url = './../controller/laboratory_report.php';
	var userId = $('#user_id').data('user-id');
	
	
	//Get income report
	$('#daterange_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('YYYY-MM-DD');
		var endDate = picker.endDate.format('YYYY-MM-DD');
		//var department = $('#select_department_report').val();
		
		var startHeaderDate = picker.startDate.format('DD-MMM-YYYY');
		var endHeaderDate = picker.endDate.format('DD-MMM-YYYY');
		
		$('#laboratory_report_period').html(startHeaderDate+' - '+endHeaderDate);
	  
		$.ajax({
			type: "POST",
			url: url,
			data: {'laboratory_report_start_date':startDate,'laboratory_report_end_date':endDate,'laboratory_report_user_id':userId}, 
			success: function(data){
				$('.laboratory_report_body').html(data);
			},
			error: function(){ 
			
				//alert('No patients found'); 
			}
		});
	});
	
	//Print income report
	$('.print_patient_report').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('#patient_table').printArea(options);
	});
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				//alert('No notifications found'); 
			}
		});
		
	});
	
	
	
});