$(document).ready(function(){
	
	//user controller url
	var url = './../controller/patient.php';
	var userId = $('#user_id').data('user-id');
	var department = $('#user_id').data('department');
	
	//Photo preview from webcam
	$('#add_patient').on('click', function(){
		Webcam.set({
			width: 190,
			height: 140,
			image_format: 'jpeg',
			image_quality: 90
		});
		Webcam.attach('#my_camera');
	});
	
	//Click take photo button
	$('#take_photo').on('click', function(){
		$(this).val('New Photo');
		//Take snapshot and get image data
		Webcam.snap(function(data_uri){
			//Display results in page
			$('#result').html('<img style="height:140px; width:190px; border-radius:5px;" src="'+data_uri+'">');
			
			$('#patient_snap').val(data_uri);
		});
	});
	
	//if the delete button is clicked
	 $('.admin_drug_btn').on('click',function(){
		 
		 //Get the patient id from the clicked button
		 var patientId = $(this).data('patient-id');
		 var prescriptionId = $(this).data('prescription-id');
		 var intakeTimes = $(this).data('intake-times');
		 var drugName = $('#add_drug_name').val();
		 var addDrugRoute = $('#add_drug_route').val();
		 var addDrugDose = $('#add_drug_dose').val();
		 var addDrugUserId = $('#add_drug_user_id').val();
		 var addDrugVisitId = $('#add_drug_visit_id').val();
		 var addDrugRemarks = $('#add_drug_remarks').val();
		 var intakeNo = intakeTimes+''+prescriptionId;
		 
		 $.ajax({
		   type: "POST",
		   url: url,
		   data: {'add_drug_patient_id':patientId,'add_drug_prescription_id':prescriptionId,'add_drug_name':drugName,'add_drug_route':addDrugRoute,'add_drug_dose':addDrugDose,'add_drug_user_id':addDrugUserId,'add_drug_visit_id':addDrugVisitId,'add_drug_intake_no':intakeNo,'add_drug_remarks':addDrugRemarks}, 
		   success: function(data)
		   {
			   alert(data);
			   //window.location.reload();
			   $('#'+intakeTimes+''+prescriptionId).html('<span style="color:blue; font-weight:bold;">Administered</span>');
			   
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		 });
	 });
	
	//Submit the Staff category form form
	$('#add_patient_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		
		//Submit form		
		var formdata = new FormData(this); 
		var fileData = $('#staff_image')[0].files;   
		
		// Check file selstaff_imageected or not
		if(fileData.length > 0 ){
			
			formdata.append('patient_photo',fileData);
			
		}else{
			formdata.append('patient_photo','');
		}
		
		//Send base64 image
		var base64Image = $('#patient_snap').val();
		if(base64Image == ''){
			formdata.append('taken_patient_snap','');
		}else{
			formdata.append('taken_patient_snap',base64Image);
		}
		
		$.ajax({
			type: 'post',
			url: url,
			data: formdata,
			processData: false,
			contentType: false,
			cache: false,
		   success: function(data)
		   {
			   alert('Patient added successfully');// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_patient_form").trigger("reset");
			
	});
	
	//Search Patients
	//setInterval(function(){
	$('.search_patients').on('keyup',function(){
		var searchedPatient = $(this).val();
		
		if(searchedPatient == ''){
			//Get Patients
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_patients':userId}, 
			   success: function(data)
			   {
				   $('.added_patients').html(data);
				   
					//When the patient triage tr is clicked in the triage page
					$('.patient_triage_tr').on('click',function(){
						var patientId = $(this).data('patient-id');
						var hospitalId = $(this).data('hospital-id');
						$(this).css('cursor', 'pointer');
						
						window.location.href='./clerk_patient.php?user_id='+userId+'&patient_id='+patientId+'&hospital_id='+hospitalId;
						
					});
				   
					 //if the edit menu item is clicked
					 $('.edit_patient_button').on('click',function(){
						 
						 //Get the patient id from the clicked button
						 var patientId = $(this).data('patient-id');
						 var patientUserId = $('#user_id').data('user-id');
						 
						 $.ajax({
						   type: "POST",
						   url: url,
						   data: {'edit_patient_id':patientId, 'user_staff_patient_id':patientUserId}, 
						   success: function(data){
							   
							   $('.edit_patient_body').html(data);
												   
							   //Edit the patient when edit modal form is submitted
								$('#edit_patient_form').submit(function(e){
									
									e.preventDefault(); // avoid to execute the actual submit of the form.
									
									//Submit form		
									var formdata = new FormData(this); 
									var fileData = $('#edit_patient_image')[0].files;   
									
									// Check file selstaff_imageected or not
									if(fileData.length > 0 ){
										
										formdata.append('edit_patient_photo',fileData);
										
									}else{
										//Do nothing
									}
									
									$.ajax({
										type: 'post',
										url: url,
										data: formdata,
										processData: false,
										contentType: false,
										cache: false, 
									   success: function(data){
										   alert(data);// show response from the php script.
										   window.location.reload();
									   },
										error: function(){ 
											alert('error'); 
										}
									});
									 
									/*/Reload page after Ajax request
									$(document).ajaxStop(function(){
										window.location.reload();
									});*/
										
								});
							   
						   },
							error: function() 
							{ 
								//alert('No Patients found'); 
							}
						 });
					 });
					 
					 //if the delete button is clicked
					 $('.delete_patient_button').on('click',function(){
						 
						 //Get the patient id from the clicked button
						 var patientId = $(this).data('patient-id');
						 var deleteUserId = $('#user_id').data('user-id');
						 
						 $.ajax({
						   type: "POST",
						   url: url,
						   data: {'delete_patient_id':patientId, 'delete_patient_user_id':deleteUserId}, 
						   success: function(data)
						   {
							   alert(data);
							   window.location.reload();
							   
						   },
							error: function() 
							{ 
								//alert('No patients found'); 
							}
						 });
					 });
					 
					 //if the add to group button is clicked
					 $('.patient_group_button').on('click',function(){
						 
						//When the save visit button is clicked
						$('#assign_group_form').on('submit',function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							var form = $(this);	
							//If the checkbox is checked, save the data, if not, give an alert
						
							$.ajax({
							   type: "POST",
							   url: url,
							   data: form.serialize(), // serializes the form's elements.
							   success: function(data)
							   {
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function() 
								{ 
									alert('error'); 
								}
							});
							 
							/*/Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});*/
							
							//Call the native javascript reset object to reset form
							$("#assign_group_form").trigger("reset");
						});
					 });
					 
					 //Discharge patient
					$('.follow_up_patient_btn').on('click', function(){
						var patientId = $(this).data('patient-id');						   
						var hospitalId = $(this).data('hospital-id');						   
						var visitId = $(this).data('visit-id');
						
						$('#follow_up_patient_id').val(patientId);
						$('#follow_up_hospital_id').val(hospitalId);
						$('#follow_up_visit_id').val(visitId);
						
						//Get frequency options
						$.ajax({
							type: "POST",
							url: url,
							data: {'discharge_patient_id':patientId,'discharge_hospital_id':hospitalId,'discharge_visit_id':visitId,'discharge_user_id':userId}, 
							success: function(data){
								//alert(data);
							},
							error: function(){
								alert('An error has been encountered'); 
							}
						});
						
					});
			   },
				error: function() 
				{ 
					//alert('No Patients found'); 
				}
			 });
		}else{
		
			//Get conditions
			$.ajax({
				type: "POST",
				url: url,
				data: {'searched_patient':searchedPatient,'searched_patient_user_id':userId}, 
				success: function(data){
					$('.added_patients').html(data);
					
					//When the patient triage tr is clicked in the triage page
					$('.patient_triage_tr').on('click',function(){
						var patientId = $(this).data('patient-id');
						var hospitalId = $(this).data('hospital-id');
						$(this).css('cursor', 'pointer');
						
						window.location.href='./clerk_patient.php?user_id='+userId+'&patient_id='+patientId+'&hospital_id='+hospitalId;
						
					});
				   
					 //if the edit menu item is clicked
					 $('.edit_patient_button').on('click',function(){
						 
						 //Get the patient id from the clicked button
						 var patientId = $(this).data('patient-id');
						 var patientUserId = $('#user_id').data('user-id');
						 
						 $.ajax({
						   type: "POST",
						   url: url,
						   data: {'edit_patient_id':patientId, 'user_staff_patient_id':patientUserId}, 
						   success: function(data){
							   
							   $('.edit_patient_body').html(data);
												   
							   //Edit the patient when edit modal form is submitted
								$('#edit_patient_form').submit(function(e){
									
									e.preventDefault(); // avoid to execute the actual submit of the form.
									
									//Submit form		
									var formdata = new FormData(this); 
									var fileData = $('#edit_patient_image')[0].files;   
									
									// Check file selstaff_imageected or not
									if(fileData.length > 0 ){
										
										formdata.append('edit_patient_photo',fileData);
										
									}else{
										//Do nothing
									}
									
									$.ajax({
										type: 'post',
										url: url,
										data: formdata,
										processData: false,
										contentType: false,
										cache: false, 
									   success: function(data){
										   alert(data);// show response from the php script.
										   window.location.reload();
									   },
										error: function(){ 
											alert('error'); 
										}
									});
									 
									/*/Reload page after Ajax request
									$(document).ajaxStop(function(){
										window.location.reload();
									});*/
										
								});
							   
						   },
							error: function() 
							{ 
								//alert('No Patients found'); 
							}
						 });
					 });
					 
					 //if the delete button is clicked
					 $('.delete_patient_button').on('click',function(){
						 
						 //Get the patient id from the clicked button
						 var patientId = $(this).data('patient-id');
						 var deleteUserId = $('#user_id').data('user-id');
						 
						 $.ajax({
						   type: "POST",
						   url: url,
						   data: {'delete_patient_id':patientId, 'delete_patient_user_id':deleteUserId}, 
						   success: function(data)
						   {
							   alert(data);
							   window.location.reload();
							   
						   },
							error: function() 
							{ 
								//alert('No patients found'); 
							}
						 });
					 });
					 
					 //if the add to group button is clicked
					 $('.patient_group_button').on('click',function(){
						 
						 //When the save visit button is clicked
						$('#assign_group_form').on('submit',function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							var form = $(this);	
							//If the checkbox is checked, save the data, if not, give an alert
						
							$.ajax({
							   type: "POST",
							   url: url,
							   data: form.serialize(), // serializes the form's elements.
							   success: function(data)
							   {
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function() 
								{ 
									alert('error'); 
								}
							});
							 
							/*/Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});*/
							
							//Call the native javascript reset object to reset form
							$("#assign_group_form").trigger("reset");
						});
						 
					 });
					
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
			
		}
	});
	//},1000);
	
	//Search triaged patients
	$('.search_triaged').on('keyup',function(){
		var searchedPatient = $(this).val();
		
		if(searchedPatient == ''){
			//Get Patients
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_patients':userId}, 
			   success: function(data)
			   {
				   $('#triaged_body').html(data);
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
			 
		}else{
			
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_searched_triaged_patient':searchedPatient, 'get_searched_triaged_user_id':userId}, 
			   success: function(data)
			   {
				   $('#triaged_body').html(data);
				   //When the patient tr is clicked in the triage page
					$('.patient_tr').on('click',function(){
						var patientId = $(this).data('patient-id');
						var hospitalId = $(this).data('hospital-id');
						$(this).css('cursor', 'pointer');
						
						window.location.href='./manage_patient.php?user_id='+userId+'&triaged_patient_id='+patientId+'&triaged_hospital_id='+hospitalId;
						
					});
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
		}
	});
	
	//Search diagnosis
	$('#search_diagnosis_term').on('keyup',function(){
		var searchedDiagnosis = $(this).val();
		
		if(searchedDiagnosis == ''){
			//Do nothing
			 
		}else{
			
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_searched_diagnosis':searchedDiagnosis, 'get_searched_diagnosis_user_id':userId}, 
			   success: function(data)
			   {
				   $('#searched_diagnosis').html(data);
				   //When the patient tr is clicked in the triage page
					$('.icd_tr').on('click',function(){
						var icdId = $(this).data('icd-id');
						var icdName = $(this).data('icd-name');
						var icdCode = $(this).data('icd-code');
						$(this).css('cursor', 'pointer');
						
						var html='<tr><td>'+icdName+'<input type="hidden" name="possible_diagnoses[]" value="'+icdName+'"></td>';
						html+='<td>ICD11 Code-'+icdCode+'</td></td>';
						html+='<td><center><button type="button" class="btn btn-sm btn-danger remove_diagnosis_btn" >Remove</button></center></td>';
						html+='</tr>';
						
						$('.added_diagnosis').append(html);
						
						$(".added_diagnosis").on('click', '.remove_diagnosis_btn', function () {
							$(this).closest('tr').remove();
						});
					});
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
		}
	});
	
	//Search final diagnosis
	$('#search_final_diagnosis_term').on('keyup',function(){
		var searchedDiagnosis = $(this).val();
		
		if(searchedDiagnosis == ''){
			//Do nothing
			 
		}else{
			
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_searched_diagnosis':searchedDiagnosis, 'get_searched_diagnosis_user_id':userId}, 
			   success: function(data)
			   {
				   $('#searched_final_diagnosis').html(data);
				   //When the patient tr is clicked in the triage page
					$('.icd_tr').on('click',function(){
						var icdId = $(this).data('icd-id');
						var icdName = $(this).data('icd-name');
						var icdCode = $(this).data('icd-code');
						$(this).css('cursor', 'pointer');
						
						var html='<tr><td>'+icdName+'<input type="hidden" name="prescription_diagnosis[]" value="'+icdName+'"></td>';
						html+='<td>ICD11 Code-'+icdCode+'</td></td>';
						html+='<td><center><button type="button" class="btn btn-sm btn-danger remove_final_diagnosis_btn" >Remove</button></center></td>';
						html+='</tr>';
						
						$('.added_final_diagnosis').append(html);
						
						$(".added_final_diagnosis").on('click', '.remove_final_diagnosis_btn', function () {
							$(this).closest('tr').remove();
						});
					});
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
		}
	});
	
	//Search triaged patients
	$('.search_seen_triaged').on('keyup',function(){
		var searchedPatient = $(this).val();
		
		if(searchedPatient == ''){
			//Get Patients
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_patients':userId}, 
			   success: function(data)
			   {
				   $('#triaged_seen_body').html(data);
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
			 
		}else{
			
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_searched_triaged_patient':searchedPatient, 'get_searched_triaged_user_id':userId}, 
			   success: function(data)
			   {
				   $('#triaged_seen_body').html(data);
				   //When the patient tr is clicked in the triage page
					$('.patient_tr').on('click',function(){
						var patientId = $(this).data('patient-id');
						var hospitalId = $(this).data('hospital-id');
						$(this).css('cursor', 'pointer');
						
						window.location.href='./manage_patient.php?user_id='+userId+'&triaged_patient_id='+patientId+'&triaged_hospital_id='+hospitalId;
						
					});
			   },
				error: function() 
				{ 
					//alert('No patients found'); 
				}
			 });
			 
		}
	});
	
	//Get Patients
	$.ajax({
	   type: "POST",
	   url: url,
	   data: {'get_patients':userId,'get_patient_department':'OPD'}, 
	   success: function(data)
	   {
		   $('.added_patients').html(data);
		   
			//When the patient triage tr is clicked in the triage page
			$('.patient_triage_tr').on('click',function(){
				var patientId = $(this).data('patient-id');
				var hospitalId = $(this).data('hospital-id');
				$(this).css('cursor', 'pointer');
				
				window.location.href='./clerk_patient.php?user_id='+userId+'&patient_id='+patientId+'&hospital_id='+hospitalId;
				
			});
			
			//Send patient to Doctor
			$('.send_to_doc').hover(function(){
				$(this).css('cursor', 'pointer');
			});
			
			//Send patient to Doctor
			$('.send_to_doc').on('click',function(){
				
				var patientId = $(this).data('patient-id');
				var department = $(this).data('department');
				//$('#send_to_doc_patient_id').val(patientId);
				//$('#send_to_doc_department').val(department);
				
				//Get Patients
				$.ajax({
					type: "POST",
					url: url,
					data: {'send_patient_to_doc_id':patientId,'send_patient_to_doc_dept':department,'send_patient_to_doc_user_id':userId}, 
					success: function(data){
						alert('Sent to Doctor');
						window.location.reload();
					   $('.added_patients #'+patientId).html(data);
					},
					error: function(){ 
						//alert('No patients found'); 
					}
				});
				
				/*/Send patient to Doctor
				$('#send_to_doc_btn').on('click',function(){
					
					var patientId = $('#send_to_doc_patient_id').val();
					var userId = $('#send_to_doc_user_id').val();
					var department = $('#send_to_doc_department').val();
					var doctor = $('#send_to_doctor').val();
					
					//Get Patients
					$.ajax({
						type: "POST",
						url: url,
						data: {'send_patient_to_doc_id':patientId,'send_patient_to_doc_dept':department,'send_patient_to_doc_user_id':userId,'send_patient_to_doctor':doctor}, 
						success: function(data){
							alert('Sent to Doctor');
							window.location.reload();
						   $('.added_patients #'+patientId).html(data);
						},
						error: function(){ 
							//alert('No patients found'); 
						}
					});
				});*/
			});
		  
			 //if the edit menu item is clicked
			 $('.edit_patient_button').on('click',function(){
				 
				 //Get the patient id from the clicked button
				 var patientId = $(this).data('patient-id');
				 var patientUserId = $('#user_id').data('user-id');
				 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'edit_patient_id':patientId, 'user_staff_patient_id':patientUserId}, 
				   success: function(data){
					   
					   $('.edit_patient_body').html(data);
					   					   
					   //Edit the patient when edit modal form is submitted
						$('#edit_patient_form').submit(function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							
							//Submit form		
							var formdata = new FormData(this); 
							var fileData = $('#edit_patient_image')[0].files;   
							
							// Check file selstaff_imageected or not
							if(fileData.length > 0 ){
								
								formdata.append('edit_patient_photo',fileData);
								
							}else{
								//Do nothing
							}
							
							$.ajax({
								type: 'post',
								url: url,
								data: formdata,
								processData: false,
								contentType: false,
								cache: false, 
							   success: function(data){
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function(){ 
									alert('error'); 
								}
							});
							 
							/*/Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});*/
								
						});
					   
				   },
					error: function() 
					{ 
						//alert('No Patients found'); 
					}
				 });
			 });
			 
			 //if the delete button is clicked
			 $('.delete_patient_button').on('click',function(){
				 
				 //Get the patient id from the clicked button
				 var patientId = $(this).data('patient-id');
				 var deleteUserId = $('#user_id').data('user-id');
				 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'delete_patient_id':patientId, 'delete_patient_user_id':deleteUserId}, 
				   success: function(data)
				   {
					   alert(data);
					   window.location.reload();
					   
				   },
					error: function() 
					{ 
						//alert('No patients found'); 
					}
				 });
			 });
			 
			 //if the add to group button is clicked
			 $('.patient_group_button').on('click',function(){
				 
				 //When the save visit button is clicked
				$('#assign_group_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#assign_group_form").trigger("reset");
				});
				
			 });
			
			//When the patient discharge button is clicked
			$('.follow_up_patient_btn').on('click', function(){
				var patientId = $(this).data('patient-id');						   
				var hospitalId = $(this).data('hospital-id');						   
				var visitId = $(this).data('visit-id');
				
				$('#follow_up_patient_id').val(patientId);
				$('#follow_up_hospital_id').val(hospitalId);
				$('#follow_up_visit_id').val(visitId);
				
				//Get frequency options
				$.ajax({
					type: "POST",
					url: url,
					data: {'discharge_patient_id':patientId,'discharge_hospital_id':hospitalId,'discharge_visit_id':visitId,'discharge_user_id':userId}, 
					success: function(data){
						//alert(data);
					},
					error: function(){
						alert('An error has been encountered'); 
					}
				});
				
			});

	   },
		error: function() 
		{ 
			//alert('No Patients found'); 
		}
	 });
	
	
	//if the visit button is clicked
	$('#visit_btn').on('click',function(){
		
		//Get the patient id from the clicked button
		var patientId = $('#patient_id').data('patient-id');
		var userId = $('#user_id').data('user-id');

		$.ajax({
			type: "POST",
			url: url,
			data: {'visit_patient_id':patientId, 'visit_user_id':userId}, 
			success: function(data){
				$('.visit_table_body').html(data);
				
				//When the save visit button is clicked
				$('#save_visit_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#save_visit_form").trigger("reset");
				});
				
				
			},
			error: function(){ 
				alert('No Visits found'); 
			}
		});
	});
	
	//if the delete request button is clicked
	$('.delete_request_btn').on('click',function(){
		
		//Get the patient id from the clicked button
		var patientId = $(this).data('patient-id');
		var hospitalId = $(this).data('hospital-id');
		var requestId = $(this).data('request-id');
		var requestName = $(this).data('request-name');
		var department = $(this).data('department');
		
		$('#delete_request_header').html(requestName);
		$('#delete_request_request_name').val(requestName);
		$('#delete_request_patient_id').val(patientId);
		$('#delete_request_hospital_id').val(hospitalId);
		$('#delete_request_request_id').val(requestId);
		$('#delete_request_department').val(department);
				
		//When the save visit button is clicked
		$('#delete_request_form').on('submit',function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			$("#delete_request_form").trigger("reset");
		});
	});
	
	//if the vitals button is clicked
	$('#vitals_btn').on('click',function(){
		
		//Get the patient id from the clicked button
		var patientId = $('#patient_id').data('patient-id');
		var userId = $('#user_id').data('user-id');

		$.ajax({
			type: "POST",
			url: url,
			data: {'vitals_patient_id':patientId, 'vitals_user_id':userId}, 
			success: function(data){
				$('.vitals_table_body').html(data);
				
				//When the save visit button is clicked
				$('#save_vitals_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#save_vitals_form").trigger("reset");
				});
				
				//If the delete vitals button is clicked
				$('.delete_vitals_button').on('click',function(){
					//Get the patient id from the clicked button
					 var deleteVitalsId = $(this).data('vitals-id');
					 var deleteUserId = $('#user_id').data('user-id');
					 
					 $.ajax({
					   type: "POST",
					   url: url,
					   data: {'delete_vitals_id':deleteVitalsId, 'delete_vitals_user_id':deleteUserId}, 
					   success: function(data)
					   {
						   alert(data);
						   window.location.reload();
						   
					   },
						error: function() 
						{ 
							alert('No vitals found'); 
						}
					 });
				});
				
				
			},
			error: function(){ 
				alert('No Vitals found'); 
			}
		});
	});
	
	//When view the vitals button is clicked
	$('#vitals_modal_btn').on('click', function(){
		//When the save visit button is clicked
		$('#save_vitals_form').on('submit',function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#save_vitals_form").trigger("reset");
		});
	});
	
	//When make laboratory request button is clicked
	$('#make_request_btn').on('click',function(){
		//Get checked box
		$('.test_requested').each(function(){
			
			if($(this).is(':checked')){
				
				var testRequested = $(this).val();
				
				$('#checked_tests').push(testRequested);
			}
		});
	});
	
	//if the visit button is clicked
	$('#manage_patient_btn').on('click',function(){
		
		//Get the patient id from the clicked button
		var patientId = $('#patient_id').data('patient-id');
		var userId = $('#user_id').data('user-id');

		$.ajax({
			type: "POST",
			url: url,
			data: {'manage_patient_id':patientId, 'manage_user_id':userId}, 
			success: function(data){
				$('.manage_patient_body').html(data);
				
				$('.patient_details_btn').on('click',function(){
					//Get the patient id from the clicked button
					var patientId = $(this).data('patient-id');
					var hospitalId = $(this).data('hospital-id');
					var visitId = $(this).data('visit-id');
					var patientName = $(this).data('patient-name');
					
					$('#patient_details_name').html(patientName);
					
					$.ajax({
						type: "POST",
						url: url,
						data: {'details_patient_id':patientId, 'details_hospital_id':hospitalId, 'details_visit_id':visitId, 'details_user_id':userId}, 
						success: function(data){
							$('#patient_details_body').html(data);
						},
						error: function(){ 
							alert('Error encountered'); 
						}
					});
						
					//Print patient report
					$('.print_details').click(function(){
						var mode = 'iframe';
						var Close=mode=='popup';
						var standards = "html5";
						var options = {mode:mode,popClose:Close,standard:standards};
						$('#patient_details_body').printArea(options);
					});
						
				});
				
				//When the save visit button is clicked
				$('#save_visit_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#save_visit_form").trigger("reset");
				});
				
				
			},
			error: function(){ 
				alert('No Visits found'); 
			}
		});
	});
	
	//Get vitals
	$('#vitals_modal_btn').on('click',function(){
		var patientId = $(this).data('patient-id');
		var firstName = $(this).data('first-name');
		var lastName = $(this).data('last-name');
		var userId = $(this).data('user-id');
		
		$('#vitals_name').html(firstName+' '+lastName);
		$.ajax({
			type: "POST",
			url: url,
			data: {'manage_vitals_patient_id':patientId, 'manage_vitals_user_id':userId}, 
			success: function(data){
				$('.manage_vitals_table_body').html(data);
			},
			error: function(){ 
				alert('Error encountered'); 
			}
		});
	});
	
	$('#add_case_history_btn').on('click', function(){
		
		//$('#complaint').summernote();
		$('#examination').summernote();
		
		$('#complaint').summernote({
			callbacks: {
				onKeyup: function() {
				$(function() {	
					var complaint_term = $($("#complaint").summernote("code")).text();
					function split( val ) {
						return val.split( /,\s*/ );
					}
					
					function extractLast( term ) {
						return split( term ).pop();
					}
					
					$( "#complaint" ).bind( "keydown", function( event ) {
						if ( event.keyCode === $.ui.keyCode.TAB &&
							$( this ).autocomplete( "instance" ).menu.active ) {
							event.preventDefault();
						}
					})
					.autocomplete({
						minLength: 1,
						source: function( request, response ) {
							$.ajax({
							  type: "POST",
							  url: url,
							  dataType: "jsonp",
							  data: {'get_predictions_term':request.term}, 
							  success: function( data ) {
								  response( data );
								//alert(data);
							  }
							});
						},
						focus: function() {
							// prevent value inserted on focus
							return false;
						},
						select: function( event, ui ) {
							var terms = split( this.value );
							// remove the current input
							terms.pop();
							// add the selected item
							terms.push( ui.item.value );
							// add placeholder to get the comma-and-space at the end
							terms.push( "" );
							this.value = terms.join( ", " );
							return false;
						}
					});
				});
				}
			}
		});
	});
	
	//Save case history
	$('#save_case_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#save_case_form").trigger("reset");
	});
	
	//Save Symptom
	$('#add_symptom_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_symptom_form").trigger("reset");
	});
	 
	 //Save lab request
	$('#make_lab_request').on('submit',function(e){
		
		var myArray = [];
		//Get checked box
		$('.test_requested').each(function(){
			
			if($(this).is(':checked')){
				
				var testRequested = $(this).val();
				
				myArray.push(testRequested);
			}
		});
		
		var test = $('#checked_tests').val(myArray);
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
			   
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#make_lab_request").trigger("reset");
	});
	
	//Save imaging request
	$('#nurse_review_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
			   
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#nurse_review_form").trigger("reset");
	});
	
	//Save nursing review
	$('#make_imaging_request').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
			   
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#make_imaging_request").trigger("reset");
	});
	
	//Find out if the theatre is available for booking
	$('#procedure_request_end_time').on('change',function(){
		var endTime = $(this).val();
		var requestDate = $('#procedure_request_date').val();
		var startTime = $('#procedure_request_start_time').val();
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'check_end_time':endTime, 'check_request_date':requestDate, 'check_start_time':startTime, 'check_user_id':userId}, 
			success: function(data){
				$('.not_available_notice').html(data);
			},
			error: function(){ 
				alert('Error encountered'); 
			}
		});
	});
	
	//Make surgery request
	$('#make_surgery_request').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#make_surgery_request").trigger("reset");
	});
	
	//Inform user about the number of beds remaining when a ward is selected for patient admission
	$('#admission_ward').on('change',function(){
		
		//Get the selected ward and the user id
		var wardId = $(this).val();
		var wardHospitalId = $('#no_of_beds_alert').data('hospital-id');
		
		if(wardId=='Select Here:'){
			$('#no_of_beds_alert').html('');
		}else{
			$.ajax({
				type: "POST",
				url: url,
				data: {'admission_ward_id':wardId,'admission_ward_hospital_id':wardHospitalId}, 
				success: function(data){
					
				   $('#no_of_beds_alert').html(data);  
				},
				error: function(){ 
				
					alert('No beds found'); 
				}
			});
		}
	});
	
	//Make imaging request
	$('#admit_patient_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#admit_patient_form").trigger("reset");
	});
	
	//Get the patient admissions
	var patientId = $('#patient_id').data('patient-id');

	$.ajax({
		type: "POST",
		url: url,
		data: {'admitted_patient_id':patientId, 'admitted_user_id':userId}, 
		success: function(data){
			$('#admitted_patient_body').html(data);
			
			/*/When the save visit button is clicked
			$('#save_visit_form').on('submit',function(e){
				
				e.preventDefault(); // avoid to execute the actual submit of the form.
				var form = $(this);	
				//If the checkbox is checked, save the data, if not, give an alert
			
				$.ajax({
				   type: "POST",
				   url: url,
				   data: form.serialize(), // serializes the form's elements.
				   success: function(data)
				   {
					   alert(data);// show response from the php script.
				   },
					error: function() 
					{ 
						alert('error'); 
					}
				});
				 
				//Reload page after Ajax request
				$(document).ajaxStop(function(){
					window.location.reload();
				});
				
				//Call the native javascript reset object to reset form
				$("#save_visit_form").trigger("reset");
			});*/
			
			
		},
		error: function(){ 
			alert('No Visits found'); 
		}
	});
	
	//When the department is clicked when managing patient
	$('#select_department').change(function(){
		var departmentName = $(this).val();
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'service_department_name':departmentName,'service_department_user_id':userId}, 
			success: function(data){
				
			   $('#select_service').html(data);  
			},
			error: function(){ 
			
				alert('No Services found'); 
			}
		});
		
	});
	
	//Save added service 
	$('#offer_service_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#offer_service_form").trigger("reset");
	});

	//Search pharmacy item
	//setInterval(function(){
		$('#search_pharmacy_term').on('keyup', function(){
			var searchTerm = $(this).val();
			
			if(searchTerm == ''){
				$('#searched_medicine').html('');
			}else{
				$.ajax({
					type: "POST",
					url: url,
					data: {'search_product_name':searchTerm,'search_product_user_id':userId}, 
					success: function(data){
						
					   $('#searched_medicine').html(data);  
					   
					   $('.search_term_result').on('click', function(){
						   var productId = $(this).data('product-id');						   
						   var productName = $(this).data('product-name');					   
						   var productBrand = $(this).data('product-brand');						   
						   var soldAs = $(this).data('sold-as');						   
						   var unitStrength = $(this).data('unit-strength');
						   var unitSymbol = $(this).data('unit-symbol');
						   var route = $(this).data('route');
						   
						   var dosageUnit;
						   if(soldAs == 'Tablet' || soldAs == 'Capsule' || soldAs == 'Vial' || soldAs == 'Packet' || soldAs == 'Bottle' || soldAs == 'Box' || soldAs == 'Strip'){
							   dosageUnit = unitSymbol;
						   }else if(soldAs == 'Syrup'){
							   dosageUnit = 'ml';
						   }else if(soldAs == 'Piece'){
							   dosageUnit = 'pieces';
						   }
						   
							var html='<tr>';
							html+='<td>'+productName+'</td>';
							html+='<td>'+unitStrength+' '+unitSymbol+'</td>';
							html+='<td style="width:5rem;"><input type="text" name="dosage_amount[]" placeholder="in '+dosageUnit+'"/></td>';
							html+='<td>'+soldAs+'</td>';
							html+='<td><select type="text" class="select_frequency" name="dosage_frequency[]"></select></td>';
							html+='<td><input type="text" name="dosage_period[]"/></td>';
							html+='<td><select type="text" class="timeline" name="dosage_timeline[]"></select></td>';
							html+='<td><input type="hidden" name="dosage_route[]" value="'+route+'"/>'+route+'</td>';
							html+='<input type="hidden" name="dosage_product_id[]" value="'+productId+'"/>';
							html+='<input type="hidden" name="dosage_name[]" value="'+productName+'"/>';
							html+='<input type="hidden" name="dosage_strength[]" value="'+unitStrength+'"/>';
							html+='<input type="hidden" name="sold_as[]" value="'+soldAs+'"/>';
							html+='<td><button type="submit" class="badge badge-danger remove_medicine_btn" id="'+productId+'">Remove</button></td>';
							html+='</tr>';
							
							$('.searched_term_body').append(html);
							
							//Get frequency options
						   $.ajax({
								type: "POST",
								url: url,
								data: {'get_frequency':userId}, 
								success: function(data){
									$('.select_frequency').html(data);
								},
								error: function(){
									alert('No Medicine found'); 
								}
							});
							
							//Get route options
						   $.ajax({
								type: "POST",
								url: url,
								data: {'get_route':userId}, 
								success: function(data){
									$('.select_route').html(data);
								},
								error: function(){
									alert('No Medicine found'); 
								}
							});
							
							//Get route options
						   $.ajax({
								type: "POST",
								url: url,
								data: {'get_period':userId}, 
								success: function(data){
									$('.timeline').html(data);
								},
								error: function(){
									alert('No Medicine found'); 
								}
							});
							
							$(".searched_term_body").on('click', '.remove_medicine_btn', function () {
								$(this).closest('tr').remove();
							});
					   });
					},
					error: function(){ 
					
						alert('No Medicine found'); 
					}
				});
			}
			
		});
		
	//},1000);
	
	$('#search_symptom_term').on('keyup', function(){
		var searchTerm = $(this).val();
		
		if(searchTerm == ''){
			$('#searched_symptom').html('');
		}else{
			$.ajax({
				type: "POST",
				url: url,
				data: {'search_symptom_name':searchTerm,'search_symptom_user_id':userId}, 
				success: function(data){
					
				   $('#searched_symptom').html(data);  
				   
				   $('.search_symptom_result').hover(function(){
					   $(this).css('cursor', 'pointer');
				   });
				   
				   $('.search_symptom_result').on('click', function(){
					   
					   var symptomId = $(this).data('symptom-id');						   
					   var symptomName = $(this).data('symptom-name');
					   		  
						var html='<tr><td>'+symptomName+'<input type="hidden" name="presenting_complaint[]" value="'+symptomName+'"></td>';
						html+='<td>';
						html+='<select class="form-control" type="text" id="symptom_time" name="complaint_duration[]" style="color:black; font-size:13px; border-radius:5px; height:2rem;">';
						for(let i=1; i<=50; i++){
							html+= '<option>'+i+'</option>';
						}
						html+='</select></td>';
						html+='<td>';
						html+='<select class="form-control" type="text" id="symptom_period" name="complaint_period[]" style="color:black; font-size:13px; border-radius:5px; height:2rem;">';
						html+='<option>Day(s)</option>';
						html+='<option>Week(s)</option>';
						html+='<option>Month(s)</option>';
						html+='<option>Year(s)</option>';
						html+='</select></td>';
						html+='<td><center><button type="button" class="btn btn-sm btn-danger remove_symptom_btn" id="add_symptom_btn">Remove</button></center></td>';
						html+='</tr>';
						
						$('.added_symptom').append(html);
						
						/*/Get frequency options
					   $.ajax({
							type: "POST",
							url: url,
							data: {'get_frequency':userId}, 
							success: function(data){
								$('.select_frequency').html(data);
							},
							error: function(){
								alert('No Medicine found'); 
							}
						});
						
						//Get route options
					   $.ajax({
							type: "POST",
							url: url,
							data: {'get_route':userId}, 
							success: function(data){
								$('.select_route').html(data);
							},
							error: function(){
								alert('No Medicine found'); 
							}
						});
						
						//Get route options
					   $.ajax({
							type: "POST",
							url: url,
							data: {'get_period':userId}, 
							success: function(data){
								$('.timeline').html(data);
							},
							error: function(){
								alert('No Medicine found'); 
							}
						});*/
						
						$(".added_symptom").on('click', '.remove_symptom_btn', function () {
							$(this).closest('tr').remove();
						});
				   });
				},
				error: function(){ 
				
					alert('No Medicine found'); 
				}
			});
		}
		
	});
	//When the user wants to add other prescriptions for items not in stock
	$('.add_other_prescription_btn').on('click', function(){
		html='<tr>';
		html+='<td><input name="other_product_name[]" type="text" class="form-control" placeholder="Eg. Panadol, Carbol Fuchsin, Tongs ...etc"/></td>';
		html+='<td><input name="other_unit_strength[]" type="text" class="form-control" placeholder="Eg. 100mg"/></td>';
		html+='<td><select name="other_frequency[]" type="text" class="form-control other_frequency"></select></td>';
		html+='<td><input name="other_period[]" type="text" class="form-control"></td>';
		html+='<td><select name="other_timeline[]" type="text" class="form-control other_timeline"> </select></td>';
		html+='<td><select name="other_route[]" type="text" class="form-control other_route"></select></td>';
		html+='<td><button type="button" class="btn btn-sm btn-danger remove_other_product_btn">Remove</button></td>';
		html+='</tr>';

		$('.other_prescriptions_body').append(html);
		
		//Get frequency options
	   $.ajax({
			type: "POST",
			url: url,
			data: {'get_frequency':userId}, 
			success: function(data){
				$('.other_frequency').html(data);
			},
			error: function(){
				alert('No Medicine found'); 
			}
		});
		
		//Get route options
	   $.ajax({
			type: "POST",
			url: url,
			data: {'get_route':userId}, 
			success: function(data){
				$('.other_route').html(data);
			},
			error: function(){
				alert('No Medicine found'); 
			}
		});
		
		//Get route options
	   $.ajax({
			type: "POST",
			url: url,
			data: {'get_period':userId}, 
			success: function(data){
				$('.other_timeline').html(data);
			},
			error: function(){
				alert('No Medicine found'); 
			}
		});

		$(".other_prescriptions_body").on('click', '.remove_other_product_btn', function () {
			$(this).closest('tr').remove();
		});
	});
	
	$('#save_prescription_form').submit(function(e){
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#save_prescription_form").trigger("reset");
	});
	
	//Discharge patient
	$('.follow_up_patient_btn').on('click', function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');						   
		var visitId = $(this).data('visit-id');
		
		$('#follow_up_patient_id').val(patientId);
		$('#follow_up_hospital_id').val(hospitalId);
		$('#follow_up_visit_id').val(visitId);
		
		//Get frequency options
		$.ajax({
			type: "POST",
			url: url,
			data: {'discharge_patient_id':patientId,'discharge_hospital_id':hospitalId,'discharge_visit_id':visitId,'discharge_user_id':userId}, 
			success: function(data){
				//alert(data);
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
		
	});
	
	//make prescription btn is click
	$('.make_prescription_btn').on('click', function(){
		
		$('input:checkbox').change(function(){
			//If its an emergency prescription
			if($('#emergency_drug').is(':checked')){
				$('#prescription_emergency').val('yes');
			}else{
				$('#prescription_emergency').val('no');
			}
			
			if($('#discharge_drug').is(':checked')){
				$('#prescription_discharge').val('yes');
			}else{
				$('#prescription_discharge').val('no');
			}
		});
	});
	
	$('.print_option_btn').on('click',function(){		   
		var visit = $(this).data('visit-id');
		$('#print_visit_id').val(visit);
		var caseHistory; 
		var investigations; 
		var radiology; 
		var dischargeDrugs; 
		var allPrescriptions; 
		var clinicalServices; 
		var surgicalReports; 
		var allReports = ''; 
		
		$('input:checkbox').change(function(){
			//If its an emergency prescription
			if($('#case_history').is(':checked')){
				caseHistory = 'yes'; 
			}else{
				caseHistory = 'no';
			}
			
			if($('#radiology').is(':checked')){
				radiology = 'yes';
			}else{
				radiology = 'no';
			}
			
			if($('#investigations').is(':checked')){
				investigations = 'yes';
			}else{
				investigations = 'no';
			}
			
			if($('#discharge_drugs').is(':checked')){
				dischargeDrugs = 'yes';
			}else{
				dischargeDrugs = 'no';
			}
			
			if($('#all_prescriptions').is(':checked')){
				allPrescriptions = 'yes';
			}else{
				allPrescriptions = 'no';
			}
			
			if($('#clinical_services').is(':checked')){
				clinicalServices = 'yes';
			}else{
				clinicalServices = 'no';
			}
			
			if($('#surgical_reports').is(':checked')){
				surgicalReports = 'yes';
			}else{
				surgicalReports = 'no';
			}
			
			/*if($('#all_reports').is(':checked')){
				allReports = 'yes';
			}else{
				allReports = 'no';
			}*/ 
			
			$('.print_discharge_btn').on('click',function(){
				var hospitalId = $('#print_hospital_id').val();						   
				var patientId = $('#print_patient_id').val();						   
				var visitId = $('#print_visit_id').val();	
				//Get print discharge form
				$.ajax({
					type: "POST",
					url: url,
					data: {'print_follow_up_patient_id':patientId,'print_follow_up_hospital_id':hospitalId,'print_follow_up_user_id':userId,'print_follow_visit_id':visitId,'print_follow_up_case_history':caseHistory,'print_follow_up_radiology':radiology,'print_follow_up_investigations':investigations,'print_follow_up_discharge_drugs':dischargeDrugs,'print_follow_up_all_prescriptions':allPrescriptions,'print_follow_up_clinical_services':clinicalServices,'print_follow_up_surgical_reports':surgicalReports,'print_follow_up_all_reports':allReports}, 
					success: function(data){
						$('#discharge_patient_modal').html(data);
						
						var mode = 'iframe';
						var Close=mode=='popup';
						var standards = "html5";
						var options = {mode:mode,popClose:Close,standard:standards};
						$('#print_discharge_card').printArea(options);
						
						$('.print_discharge_btn').on('click',function(){
							var mode = 'iframe';
							var Close=mode=='popup';
							var standards = "html5";
							var options = {mode:mode,popClose:Close,standard:standards};
							$('#print_discharge_card').printArea(options);
						});
					},
					error: function(){
						alert('An error has been encountered'); 
					}
				});
			});	
		});
		
		
	});
	
	$('.email_discharge_btn').on('click',function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');						   
		var visitId = $(this).data('visit-id');
		
		//Get print discharge form
		$.ajax({
			type: "POST",
			url: "./../controller/email.php",
			data: {'send_follow_up_patient_id':patientId,'send_follow_up_hospital_id':hospitalId,'send_follow_up_user_id':userId,'send_follow_visit_id':visitId}, 
			success: function(data){
				alert(data);
				window.location.reload();
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
	});

	//Make appointment 
	$('#make_appointment_form').submit(function(e){
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#make_appointment_form").trigger("reset");
	});
	
	
	
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	//Make appointment 
	$('.add_follow_up_form').submit(function(e){
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$(".add_follow_up_form").trigger("reset");
		
		
		//Get patient and hospital details
		var patientId = $('.follow_up_patient_btn').data('patient-id');
		var hospitalId = $('.follow_up_patient_btn').data('hospital-id');
		$.ajax({
			type: "POST",
			url: './../controller/message.php',
			data: {'sms_patient_id':patientId,'sms_hospital_id':hospitalId,'sms_user_id':userId}, 
			success: function(data){
				//alert(data);
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
	});
	
	$('.close_appointment_button').on('click', function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');
		
		//Get frequency options
		$.ajax({
			type: "POST",
			url: url,
			data: {'close_appointment_patient_id':patientId,'close_appointment_hospital_id':hospitalId,'close_appointment_user_id':userId}, 
			success: function(data){
				alert(data);
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
		
		//Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
		
	});
	
	$('.close_follow_up_button').on('click', function(){
		var patientId = $(this).data('patient-id');						   
		var hospitalId = $(this).data('hospital-id');
		var visitId = $(this).data('visit-id');
		
		//Get frequency options
		$.ajax({
			type: "POST",
			url: url,
			data: {'close_follow_up_patient_id':patientId,'close_follow_up_hospital_id':hospitalId,'close_follow_up_user_id':userId}, 
			success: function(data){
				alert(data);
			},
			error: function(){
				alert('An error has been encountered'); 
			}
		});
		
	});
	
	//When the patient tr is clicked in the triage page
	$('.patient_tr').on('click',function(){
		var patientId = $(this).data('patient-id');
		var hospitalId = $(this).data('hospital-id');
		$(this).css('cursor', 'pointer');
		
		window.location.href='./manage_patient.php?user_id='+userId+'&triaged_patient_id='+patientId+'&triaged_hospital_id='+hospitalId;
		
	});
	
	/*var triagedPatientId = $('#user_id').data('patient-id');
	var triagedHospitalId = $('#user_id').data('hospital-id');
	//Get patient_details
	$.ajax({
		type: "POST",
		url: url,
		data: {'triaged_details_patient_id':triagedPatientId,'triaged_details_hospital_id':triagedHospitalId,'triaged_details_user_id':userId}, 
		success: function(data){
			$('#triaged_pateint_details').html(data);
			$('#symptom_name').attr({'class':'js-example-disabled-multi','multiple':'multiple'});
		},
		error: function(){
			alert('An error has been encountered'); 
		}
	});*/
	
	//Add symptom button is clicked
	var data = [];
	$('#add_symptom_btn').on('click',function(){
		var symptom = $('#symptom_name').val();
		var time = $('#symptom_time').val();
		var period = $('#symptom_period').val();
		
		if(period == 'Day(s)'){
			var added_period = '/7';
		}else if(period == 'Week(s)'){
			var added_period = '/52';
		}else if(period == 'Month(s)'){
			var added_period = '/12';
		}else if(period == 'Year(s)'){
			var added_period = 'Year(s)';
		}
		var addedSymptom = symptom+' x '+time+''+added_period;
		 data.push('|'+addedSymptom);
		 
		$('#symptom_div').append('<br/> - '+addedSymptom);
		
		$('#presenting_complaint').val(data);
		
	});
	
	//Save Case 
	$('#save_history_form').submit(function(e){
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#save_history_form").trigger("reset");
	});

	//setInterval(function(){
	$('#complaint').on('keyup',function(){
		var condition = $(this).val();
		
		if(condition == ''){
			$('#potential_condition').html('');
		}else{
		
			//Get conditions
			$.ajax({
				type: "POST",
				url: url,
				data: {'condition_entry':condition,'condition_entry_user_id':userId}, 
				success: function(data){
					$('#potential_condition').html(data);
					
					$('.condition_div').on('click',function(){
						var conditionId = $(this).data('condition-id');
						
						//Get condition details
						$.ajax({
							type: "POST",
							url: url,
							data: {'condition_details_id':conditionId,'condition_details_user_id':userId}, 
							success: function(data){
								$('#condition_info').html(data);
							},
							error: function(){
								alert('An error has been encountered'); 
							}
						});
					});
					
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
			
		}
	});
	//},1000);
	
	//Print patient records
	$('.print_patient_records').click(function(){
		var mode = 'iframe';
		var Close=mode=='popup';
		var standards = "html5";
		var options = {mode:mode,popClose:Close,standard:standards};
		$('#triaged_pateint_details').printArea(options);
	});
	
	//Add a product physical count row
	$('.add_drug_btn').on('click', function(){
		
		var patientId = $(this).data('patient-id');
		var hospitalId = $(this).data('hospital-id');
		
		html='<tr class="added_row">';
		html+='<td><center><select name="add_drug_name[]" type="text" class="form-control add_drug_name">';
		html+='</select></center></td>';
		html+='<td><center><input name="add_drug_route[]" type="text" class="form-control" /></center></td>';
		html+='<td><center><input name="add_drug_dose[]" type="text" class="form-control" /></center></td>';
		html+='<td><center><input name="add_drug_remarks[]" type="text" class="form-control" /></center></td>';
		html+='<td><center><button type="button" class="btn btn-badge btn-danger remove_drug_btn">Remove</button></center></td>';
		html+='</tr>';

		$('.add_drug_body').append(html);

		$(".add_drug_body").on('click', '.remove_drug_btn', function () {
			$(this).closest('tr').remove();
		});

		$.ajax({
			type: "POST",
			url: url,
			data: {'getDrugPatientId':patientId,'getDrugHospitalId':hospitalId}, 
			success: function(data){
			   $('.add_drug_name').html(data);
			},
			error: function(){ 
				alert('Products not detected'); 
			}
		});
	});
	
	//Refer patient
	$('.refer_btn').on('click', function(){
		
		var patientId = $(this).data('patient-id');
		var visitId = $(this).data('visit-id');

		$('#referral_type_patient_id').val(patientId);
		$('#referral_type_visit_id').val(visitId);

		//Save physical count
		$('#refer_patient_form').submit(function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			
			//Call the native javascript reset object to reset form
			$("#refer_patient_form").trigger("reset");
				
		});
	});
	
	//Refer patient
	$('.upload_referral_result_button').on('click',function(){
		var patientName = $(this).data('patient-name');
		var patientId = $(this).data('patient-id');
		var referralHospitalId = $(this).data('referral-hospital-id');
		
		$('#upload_header').html(patientName);
		$('#upload_referral_patient_id').val(patientId);
		$('#upload_referral_id').val(referralHospitalId);
		
		//Save physical count
		$('#upload_report_form').submit(function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			
			//Submit form		
			var formdata = new FormData(this); 
			var fileData = $('#upload_referral_report')[0].files;   
			
			// Check file selstaff_imageected or not
			if(fileData.length > 0 ){
				
				formdata.append('upload_referral_report',fileData);
				
			}else{
				formdata.append('upload_referral_report','');
			}
			
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
				type: 'post',
				url: url,
				data: formdata,
				processData: false,
				contentType: false,
				cache: false,
			    success: function(data){
				   alert(data);// show response from the php script.
				   window.location.reload();
			    },
				error: function(){ 
					alert('error'); 
				}
			});
			
			//Call the native javascript reset object to reset form
			$("#upload_report_form").trigger("reset");
				
		});
	});
	
	//Referral patient
	$('.download_referral_result_button').on('click',function(){
		var patientName = $(this).data('patient-name');
		var patientId = $(this).data('patient-id');
		var referralHospitalId = $(this).data('referral-hospital-id');
		
		$('#report_header').html(patientName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'reportReferralPatientId':patientId,'reportReferralUserId':userId,'reportReferralId':referralHospitalId}, 
			success: function(data){
			   $('#referral_report').html(data);
			},
			error: function(){ 
				alert('Products not detected'); 
			}
		});
	});
	
	//Save physical count
	$('#administer_drug_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#administer_drug_form").trigger("reset");
			
	});
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	 
});