$(document).ready(function(){
	
	//user controller url
	var url = './../controller/pharmacy_department.php';
	var userId = $('#user_id').data('user-id');
	
	//Search Patients
	$('.search_patients').on('keyup',function(){
		var searchedPatient = $(this).val();
		
		if(searchedPatient == ''){
			//Get Patients
			$.ajax({
			   type: "POST",
			   url: url,
			   data: {'get_patients':userId}, 
			   success: function(data)
			   {
				   $('.added_prescriptions').html(data);
				   
			   },
				error: function() 
				{ 
					//alert('No Patients found'); 
				}
			 });
		}else{
		
			//Get conditions
			$.ajax({
				type: "POST",
				url: url,
				data: {'searched_patient':searchedPatient,'searched_patient_user_id':userId}, 
				success: function(data){
					$('.added_prescriptions').html(data);
				},
				error: function(){
					alert('An error has been encountered'); 
				}
			});
			
		}
	});
	
	//Submit brand form
	$('#add_brand_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_brand_form").trigger("reset");
			
	});
	
	//if the Brands button is clicked
	 $('#add_brand_btn').on('click',function(){
		 
		 var userId = $(this).data('brand-user-id');
		 
		 $.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_brands_user_id':userId}, 
		   success: function(data)
		   {
			   
			   $('#all_brands_body').html(data);
			   
			   //Delete brand
			   $('.delete_brand_btn').on('click',function(){
				   var brandId = $(this).data('brand-id');
				   var hospitalId = $(this).data('hospital-id');
				   $.ajax({
					   type: "POST",
					   url: url,
					   data: {'delete_brand_id':brandId,'delete_hospital_id':hospitalId,'delete_brand_user_id':userId}, 
					   success: function(data){
						   alert(data);
						},
						error: function(){ 
							alert('Brand not deleted'); 
						}
					 });
					 
					 //Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});
				   
			   });
			   
		   },
			error: function() 
			{ 
				alert('No brands found'); 
			}
		 });
	 });
	
	//Add a category 
	$('#add_category_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_category_form").trigger("reset");
			
	});
	
	//if the Brands button is clicked
	 $('#add_category_btn').on('click',function(){
		 
		 var userId = $(this).data('category-user-id');
		 
		 $.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_category_user_id':userId}, 
		   success: function(data)
		   {
			   
			   $('#all_categories_body').html(data);
			   
			   //Delete brand
			   $('.delete_category_btn').on('click',function(){
				   var categoryId = $(this).data('category-id');
				   var hospitalId = $(this).data('hospital-id');
				   $.ajax({
					   type: "POST",
					   url: url,
					   data: {'delete_category_id':categoryId,'delete_category_hospital_id':hospitalId,'delete_category_user_id':userId}, 
					   success: function(data){
						   alert(data);
						   
						},
						error: function(){ 
							alert('Çategory not deleted'); 
						}
					 });
					 
					 //Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});
				   
			   });
			   
		   },
			error: function() 
			{ 
				alert('No brands found'); 
			}
		 });
	 });
	
	//Get product table stock_list_tab
	$('#stock_list_tab').on('click',function(){
		
		//Add a product row
		$('.add_new_product_btn').on('click', function(){
			html='<tr>';
			html+='<td><input name="product_name[]" type="text" class="form-control" placeholder="Eg. Panadol, Carbol Fuchsin, Tongs ...etc"/></td>';
			html+='<td><input name="unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>';
			html+='<td>';
			html+='<select name="product_unit[]" type="text" class="form-control product_unit"></select>';
			html+='</td>';
			html+='<td>';
			html+='<select name="product_sold_as[]" type="text" class="form-control">';
			html+='<option>Tablet</option>';
			html+='<option>Capsule</option>';
			html+='<option>Piece</option>';
			html+='<option>Syrup</option>';
			html+='<option>Bottle</option>';
			html+='<option>Packet</option>';
			html+='<option>Box</option>';
			html+='<option>Strip</option>';
			html+='<option>Vial</option>';
			html+='<option>Ampule</option>';
			html+='<option>Reagent</option>';
			html+='</select>';
			html+='</td>';
			html+='<td>';
			html+='<select name="product_route[]" type="text" class="form-control">';
			html+='<option>N/A</option>';
			html+='<option>PO (by mouth)</option>';
			html+='<option>PR (per rectum)</option>';
			html+='<option>IM (intramuscular)</option>';
			html+='<option>IV (intravenous)</option>';
			html+='<option>ID (intradermal)</option>';
			html+='<option>IN (intranasal)</option>';
			html+='<option>TP (topical)</option>';
			html+='<option>SL (sublingual)</option>';
			html+='<option>BUCC (buccal)</option>';
			html+='<option>IP (intraperitoneal)</option>';
			html+='</select>';
			html+='</td>';
			html+='<td>';
			html+='<input name="product_brand[]" type="text" class="form-control">';
			html+='</td>';
			html+='<td>';
			html+='<select name="product_category[]" type="text" class="form-control product_category">';
			html+='</select>';
			html+='</td>';
			html+='<td> </td>';
			html+='<td><input name="buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
			html+='<td><input name="selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
			html+='<td><button type="button" class="btn btn-badge btn-danger remove_new_product_btn">Remove</button></td>';
			html+='</tr>';

			$('.add_product_body').append(html);

			$(".add_product_body").on('click', '.remove_new_product_btn', function () {
				$(this).closest('tr').remove();
			});

			$.ajax({
				type: "POST",
				url: url,
				data: {'getCategoriesUserId':userId}, 
				success: function(data){
				   $('.product_category').html(data);
				},
				error: function(){ 
					alert('Categories not detected'); 
				}
			});
			
			$.ajax({
				type: "POST",
				url: url,
				data: {'getUnitsUserId':userId}, 
				success: function(data){
				   $('.product_unit').html(data);
				},
				error: function(){ 
					alert('Units not detected'); 
				}
			});

		});
		
		//Add a product 
		$('#add_product_form').submit(function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#add_product_form").trigger("reset");
				
		});

		//view products details
		$.ajax({
			type: "POST",
			url: url,
			data: {'get_products_user_id':userId}, 
			success: function(data){
				$('.product_details_table_body').html(data);
				
				//View product details
				$('.product_view_button').on('click',function(){
					
					var productId = $(this).data('product-id');
					var hospitalId = $(this).data('hospital-id');
					var productName = $(this).data('product-name');
					
					$('#view_product_name_header').html(productName);
					
					$.ajax({
						type: "POST",
						url: url,
						data: {'view_details_product_id':productId,'view_details_product_hospital_id':hospitalId,'view_details_user_id':userId}, 
						success: function(data){
							$('#view_a_product_container').html(data);
							
							//Save edit product info
							$('#edit_product_form').submit(function(e){
								
								e.preventDefault(); // avoid to execute the actual submit of the form.
								var form = $(this);	
								//If the checkbox is checked, save the data, if not, give an alert
							
								$.ajax({
								   type: "POST",
								   url: url,
								   data: form.serialize(), // serializes the form's elements.
								   success: function(data)
								   {
									   alert(data);// show response from the php script.
									   window.location.reload();
								   },
									error: function() 
									{ 
										alert('error'); 
									}
								});
								 
								/*/Reload page after Ajax request
								$(document).ajaxStop(function(){
									window.location.reload();
								});*/
								
								//Call the native javascript reset object to reset form
								$("#edit_product_form").trigger("reset");
							});
							
						},
						error: function(){ 
							alert('No stock found'); 
						}
					});
				});
				
				//Edit product details
				$('.product_edit_button').on('click',function(){
					var productId = $(this).data('product-id');
					var hospitalId = $(this).data('hospital-id');
					var productName = $(this).data('product-name');
					
					$('#product_name_header').html(productName);
					
					$.ajax({
						type: "POST",
						url: url,
						data: {'editProductId':productId,'editProductHospitalId':hospitalId,'editProductUserId':userId}, 
						success: function(data){
							$('#edit_a_product_container').html(data);
							
							//Save edit product info
							$('#edit_product_form').submit(function(e){
								
								e.preventDefault(); // avoid to execute the actual submit of the form.
								var form = $(this);	
								//If the checkbox is checked, save the data, if not, give an alert
							
								$.ajax({
								   type: "POST",
								   url: url,
								   data: form.serialize(), // serializes the form's elements.
								   success: function(data)
								   {
									   alert(data);// show response from the php script.
									   window.location.reload();
								   },
									error: function() 
									{ 
										alert('error'); 
									}
								});
								 
								/*/Reload page after Ajax request
								$(document).ajaxStop(function(){
									window.location.reload();
								});*/
								
								//Call the native javascript reset object to reset form
								$("#edit_product_form").trigger("reset");
							});
							
						},
						error: function(){ 
							alert('No stock found'); 
						}
					});
				});
				
				$('.delete_product_button').on('click', function(){
					var productId = $(this).data('product-id');
					var hospitalId = $(this).data('hospital-id');
					
					$.ajax({
						type: "POST",
						url: url,
						data: {'delete_product_id':productId,'delete_product_hospital_id':hospitalId,'delete_product_user_id':userId}, 
						success: function(data)
						{
							alert(data);
							window.location.reload();
						},
						error: function() 
						{ 
							alert('There was an error'); 
						}
					});
				});
				
				$('.stock_card_button').on('click', function(){
					var productId = $(this).data('product-id');
					var hospitalId = $(this).data('hospital-id');
					var productName = $(this).data('product-name');
					
					$('#stock_name_header').html(productName);
					
					$.ajax({
						type: "POST",
						url: url,
						data: {'stock_card_product_id':productId,'stock_card_product_hospital_id':hospitalId,'stock_card_product_user_id':userId}, 
						success: function(data){
						   $('#stock_card_body').html(data);
						},
						error: function(){ 
							alert('Stock card not detected'); 
						}
					});
				});
				
			},
			error: function(){ 
				alert('No stock found'); 
			}
		});
		
		//Search pharmacy item
		$('#search_pharmacy_term').on('keyup', function(){
			var searchTerm = $(this).val();
			
			if(searchTerm == ''){
				$('#searched_medicine').html('');
			}else{
				$.ajax({
					type: "POST",
					url: url,
					data: {'search_product_name':searchTerm,'search_product_user_id':userId}, 
					success: function(data){
						
					   $('#searched_medicine').html(data);  
					   
					   $('.search_term_result').on('click', function(){
						   var productId = $(this).data('product-id');						   
						   var productName = $(this).data('product-name');						   
						   var productBrand = $(this).data('product-brand');						   
						   var unitStrength = $(this).data('unit-strength');
						   var soldAs = $(this).data('sold-as');
						   var hospitalId = $(this).data('hospital-id');
						   //var userId = $(this).data('user-id');
						   var stockQty = $(this).data('stock-qty');
						   
							var html='<tr>';
							html+='<td><center>'+productName+'</center></td>';
							html+='<td><center>'+unitStrength+'</center></td>';
							html+='<td><center>'+productBrand+'</center></td>';
							html+='<td><center><input type="text" name="stock_quantity[]" style="width:5rem;"/></center></td>';
							html+='<td><center><input type="text" name="stock_ppi[]" style="width:5rem;"/></center></td>';
							html+='<td><center><input type="date" name="stock_exp_date[]" style="width:5rem;"/></center></td>';
							html+='<td><center><input type="text" name="stock_lot_no[]" style="width:5rem;"/></center></td>';
							html+='<td><center><input type="text" name="stock_buy_price[]" style="width:5rem;"/></center></td>';
							html+='<td><center><input type="text" name="stock_sell_price[]" style="width:5rem;"/></center></td>';
							html+='<input type="hidden" name="stock_product_id[]" value="'+productId+'"/>';
							html+='<input type="hidden" name="stock_product_name[]" value="'+productName+'"/>';
							html+='<input type="hidden" name="stock_strength[]" value="'+unitStrength+'"/>';
							html+='<input type="hidden" name="stock_brand[]" value="'+productBrand+'"/>';
							html+='<input type="hidden" name="stock_hospital_id[]" value="'+hospitalId+'"/>';
							html+='<input type="hidden" name="stock_user_id[]" value="'+userId+'"/>';
							html+='<td><center><button type="submit" class="badge badge-danger remove_medicine_btn" id="'+productId+'">Remove</button></center></td>';
							html+='</tr>';
							
							$('.searched_term_body').append(html);
							
							$(".searched_term_body").on('click', '.remove_medicine_btn', function () {
								$(this).closest('tr').remove();
							});
							
					   });
					},
					error: function(){ 
					
						alert('No Medicine found'); 
					}
				});
			}
			
		});
		
		//Submit order
		$('#refill_stock_form').submit(function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#refill_stock_form").trigger("reset");
		});
		
		//Search Product
		$('.search_products').on('keyup',function(){
			var searchedProductTerm = $(this).val();
			
			if(searchedProductTerm == ''){
				$.ajax({
					type: "POST",
					url: url,
					data: {'get_products_user_id':userId}, 
					success: function(data){
						$('.product_details_table_body').html(data);
						
						//View product details
						$('.product_view_button').on('click',function(){
							var productId = $(this).data('product-id');
							var hospitalId = $(this).data('hospital-id');
							var productName = $(this).data('product-name');
							
							$('#view_product_name_header').html(productName);
							
							$.ajax({
								type: "POST",
								url: url,
								data: {'view_details_product_id':productId,'view_details_product_hospital_id':hospitalId,'view_details_user_id':userId}, 
								success: function(data){
									$('#view_a_product_container').html(data);
									
									//Save edit product info
									$('#edit_product_form').submit(function(e){
										
										e.preventDefault(); // avoid to execute the actual submit of the form.
										var form = $(this);	
										//If the checkbox is checked, save the data, if not, give an alert
									
										$.ajax({
										   type: "POST",
										   url: url,
										   data: form.serialize(), // serializes the form's elements.
										   success: function(data)
										   {
											   alert(data);// show response from the php script.
											   window.location.reload();
										   },
											error: function() 
											{ 
												alert('error'); 
											}
										});
										 
										/*/Reload page after Ajax request
										$(document).ajaxStop(function(){
											window.location.reload();
										});*/
										
										//Call the native javascript reset object to reset form
										$("#edit_product_form").trigger("reset");
									});
									
								},
								error: function(){ 
									alert('No stock found'); 
								}
							});
						});
						
						//Edit product details
						$('.product_edit_button').on('click',function(){
							var productId = $(this).data('product-id');
							var hospitalId = $(this).data('hospital-id');
							var productName = $(this).data('product-name');
							
							$('#product_name_header').html(productName);
							
							$.ajax({
								type: "POST",
								url: url,
								data: {'editProductId':productId,'editProductHospitalId':hospitalId,'editProductUserId':userId}, 
								success: function(data){
									$('#edit_a_product_container').html(data);
									
									//Save edit product info
									$('#edit_product_form').submit(function(e){
										
										e.preventDefault(); // avoid to execute the actual submit of the form.
										var form = $(this);	
										//If the checkbox is checked, save the data, if not, give an alert
									
										$.ajax({
										   type: "POST",
										   url: url,
										   data: form.serialize(), // serializes the form's elements.
										   success: function(data)
										   {
											   alert(data);// show response from the php script.
											   window.location.reload();
										   },
											error: function() 
											{ 
												alert('error'); 
											}
										});
										 
										/*/Reload page after Ajax request
										$(document).ajaxStop(function(){
											window.location.reload();
										});*/
										
										//Call the native javascript reset object to reset form
										$("#edit_product_form").trigger("reset");
									});
									
								},
								error: function(){ 
									alert('No stock found'); 
								}
							});
						});
						
						$('.delete_product_button').on('click', function(){
							var productId = $(this).data('product-id');
							var hospitalId = $(this).data('hospital-id');
							
							$.ajax({
								type: "POST",
								url: url,
								data: {'delete_product_id':productId,'delete_product_hospital_id':hospitalId,'delete_product_user_id':userId}, 
								success: function(data)
								{
									alert(data);
									window.location.reload();
								},
								error: function() 
								{ 
									alert('There was an error'); 
								}
							});
						});
						
					},
					error: function(){ 
						alert('No stock found'); 
					}
				});
			}else{
				$.ajax({
					type: "POST",
					url: url,
					data: {'searchedProductTerm':searchedProductTerm,'searchedProductUserId':userId}, 
					success: function(data){
						$('.product_details_table_body').html(data);
						
						//View product details
						$('.product_view_button').on('click',function(){
							var productId = $(this).data('product-id');
							var hospitalId = $(this).data('hospital-id');
							var productName = $(this).data('product-name');
							
							$('#view_product_name_header').html(productName);
							
							$.ajax({
								type: "POST",
								url: url,
								data: {'view_details_product_id':productId,'view_details_product_hospital_id':hospitalId,'view_details_user_id':userId}, 
								success: function(data){
									$('#view_a_product_container').html(data);
									
									//Save edit product info
									$('#edit_product_form').submit(function(e){
										
										e.preventDefault(); // avoid to execute the actual submit of the form.
										var form = $(this);	
										//If the checkbox is checked, save the data, if not, give an alert
									
										$.ajax({
										   type: "POST",
										   url: url,
										   data: form.serialize(), // serializes the form's elements.
										   success: function(data)
										   {
											   alert(data);// show response from the php script.
											   window.location.reload();
										   },
											error: function() 
											{ 
												alert('error'); 
											}
										});
										 
										/*/Reload page after Ajax request
										$(document).ajaxStop(function(){
											window.location.reload();
										});*/
										
										//Call the native javascript reset object to reset form
										$("#edit_product_form").trigger("reset");
									});
									
								},
								error: function(){ 
									alert('No stock found'); 
								}
							});
						});
						
						//Edit product details
						$('.product_edit_button').on('click',function(){
							var productId = $(this).data('product-id');
							var hospitalId = $(this).data('hospital-id');
							var productName = $(this).data('product-name');
							
							$('#product_name_header').html(productName);
							
							$.ajax({
								type: "POST",
								url: url,
								data: {'editProductId':productId,'editProductHospitalId':hospitalId,'editProductUserId':userId}, 
								success: function(data){
									$('#edit_a_product_container').html(data);
									
									//Save edit product info
									$('#edit_product_form').submit(function(e){
										
										e.preventDefault(); // avoid to execute the actual submit of the form.
										var form = $(this);	
										//If the checkbox is checked, save the data, if not, give an alert
									
										$.ajax({
										   type: "POST",
										   url: url,
										   data: form.serialize(), // serializes the form's elements.
										   success: function(data)
										   {
											   alert(data);// show response from the php script.
											   window.location.reload();
										   },
											error: function() 
											{ 
												alert('error'); 
											}
										});
										 
										/*/Reload page after Ajax request
										$(document).ajaxStop(function(){
											window.location.reload();
										});*/
										
										//Call the native javascript reset object to reset form
										$("#edit_product_form").trigger("reset");
									});
									
								},
								error: function(){ 
									alert('No stock found'); 
								}
							});
						});
						
						$('.delete_product_button').on('click', function(){
							var productId = $(this).data('product-id');
							var hospitalId = $(this).data('hospital-id');
							
							$.ajax({
								type: "POST",
								url: url,
								data: {'delete_product_id':productId,'delete_product_hospital_id':hospitalId,'delete_product_user_id':userId}, 
								success: function(data)
								{
									alert(data);
									window.location.reload();
								},
								error: function() 
								{ 
									alert('There was an error'); 
								}
							});
						});
						
					},
					error: function(){ 
						alert('No stock found'); 
					}
				});								
			}
		});
	});
	
	//Submit stock alert settings
	$('#add_stock_alert_settings_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_stock_alert_settings_form").trigger("reset");
	});

	//Add expiry settings
	$('#add_expiry_alert_settings_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_expiry_alert_settings_form").trigger("reset");
	});


	
	//Make Order button is clicked
	$('.reorder_button').on('click',function(){
		var productId = $(this).data('product-id');
		var hospitalId = $(this).data('hospital-id');
		var productName = $(this).data('product-name');
		var departmentName = $(this).data('department');
		var soldAs = $(this).data('sold-as');
		
		$('#make_order_header').html(productName+' - '+soldAs);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'order_product_id':productId,'order_product_name':productName,'order_hospital_id':hospitalId,'order_user_id':userId,'order_department':departmentName}, 
			success: function(data){
				
				$('.make_order_card').html(data);
				
				//Submit order
				$('.re_order_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$(".re_order_form").trigger("reset");
				});
				
			},
			error: function(){ 
				alert('No stock found'); 
			}
		});
	});
	
	//Get prescriptions
	$.ajax({
	   type: "POST",
	   url: url,
	   data: {'get_prescriptions_user_id':userId}, 
	   success: function(data){
		   
		   $('.dispense_medicine_button').on('click',function(){
				var patientId = $(this).data('patient-id');
				var hospitalId = $(this).data('hospital-id');
				var firstName = $(this).data('first-name');
				var lastName = $(this).data('last-name');
				var gender = $(this).data('gender');
				var age = $(this).data('age');
				
				var patientInfo = firstName+' '+lastName+' || '+gender+' || '+age+' Yrs';
				
				$('#dispense_header').html(patientInfo);
				
				
				$.ajax({
				   type: "POST",
				   url: url,
				   data: {'get_patient_id_to_dispense':patientId, 'get_hospital_id_to_dispense':hospitalId, 'get_user_id_to_dispense':userId}, 
				   success: function(data){
					   $('.prescriptions_body').html(data);
					   
					   //Delete a prescription
					   $('.delete_prescription_btn').on('click',function(){
						   var productId = $(this).data('product-id');
						   var hospitalId = $(this).data('hospital-id');
						   var prescriptionId = $(this).data('prescription-id');
						   
						   $.ajax({
								type: "POST",
								url: url,
								data: {'delete_prescription_product_id':productId,'delete_prescription_prescription_id':prescriptionId,'delete_prescription_hospital_id':hospitalId,'delete_prescription_user_id':userId}, 
								success: function(data)
								{
									alert(data);
									window.location.reload();
								},
								error: function() 
								{ 
									alert('There was an error'); 
								}
							});
					   });
					   					   
					   //Submit order
						$('#dispense_medicine_form').submit(function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							
							//Submit form		
							var formdata = new FormData(this); 
							formdata.append('dispenser_id',userId);
							
							$.ajax({
							   type: "POST",
							   url: url,
								data: formdata,
								processData: false,
								contentType: false,
								cache: false,
							   success: function(data){
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function(){ 
									alert('error'); 
								}
							});
							
							//Call the native javascript reset object to reset form
							$("#dispense_medicine_form").trigger("reset");
						});					
					   
				   },
					error: function(){ 
						alert('No stock found'); 
					}
				});
				
				//Get expiry records of the clicked item
				$.ajax({
				   type: "POST",
				   url: url,
				   data: {'get_prescription_exp_patient_id':patientId, 'get_prescription_exp_hospital_id':hospitalId, 'get_prescription_exp_user_id':userId}, 
				   success: function(data){
					   $('#prescription_fefo_corner').append(data);
				   },
					error: function(){ 
						alert('No stock found'); 
					}
				});
				
		   });
		   
		   $('.dispense_details_button').on('click',function(){
			   
			   
				var patientId = $(this).data('patient-id');
				var hospitalId = $(this).data('hospital-id');
				var visitId = $(this).data('visit-id');
				var firstName = $(this).data('first-name');
				var lastName = $(this).data('last-name');
				var gender = $(this).data('gender');
				var age = $(this).data('age'); 
				
				var patientInfo = firstName+' '+lastName+' || '+gender+' || '+age+' Yrs';
				
				$('#dispense_details_header').html(patientInfo);
				
				$.ajax({
				   type: "POST",
				   url: url,
				   data: {'get_patient_id_details_to_dispense':patientId, 'get_hospital_id_details_to_dispense':hospitalId, 'get_visit_id_details_to_dispense':visitId}, 
				   success: function(data){
					   $('.prescriptions_details_body').html(data);
				   },
					error: function(){ 
						alert('No stock found'); 
					}
				});
				
		   });
		   
	   },
		error: function(){ 
			alert('No stock found'); 
		}
	});		
			
	//Search pharmacy item
	$('#walkin_search_pharmacy_term').on('keyup', function(){
		var searchTerm = $(this).val();
		
		if(searchTerm == ''){
			$('#searched_medicine').html('');
		}else{
			$.ajax({
				type: "POST",
				url: url,
				data: {'search_product_name':searchTerm,'search_product_user_id':userId}, 
				success: function(data){
					
				   $('#walkin_searched_medicine').html(data);  
				   
				   $('.search_term_result').on('click', function(){
					   var productId = $(this).data('product-id');						   
					   var productName = $(this).data('product-name');						   
					   var productBrand = $(this).data('product-brand');					   
					   var unitStrength = $(this).data('unit-strength');
					   var soldAs = $(this).data('sold-as');
					   var sellingPrice = $(this).data('selling-price');
					   var stockQty = $(this).data('stock-qty');
					   
						var html='<tr>';
						html+='<td><center>'+productId+'</center></td>';
						html+='<td><center>'+productName+'</center></td>';
						html+='<td><center>'+productBrand+'</center></td>';
						html+='<td><center>'+unitStrength+'</center></td>';
						html+='<td><center>'+soldAs+'</center></td>';
						
						//If there is no stock, remove the input field
						if(stockQty <= 0 || stockQty == ''){
							html+='<td style = "color:red;"><center> No stock added yet</center></td>';
						}else{
							html+='<td data-price="'+sellingPrice+'"><center><input type="text" name="walkin_dispensed[]" class="walkin_dispensed"/></center></td>';
						}
						
						html+='<td class="cost_cell" id="'+productId+'"><center>'+sellingPrice+'</center></td>';
						html+='<input type="hidden" name="walkin_product_id[]" value="'+productId+'"/>';
						html+='<input type="hidden" name="walkin_name[]" value="'+productName+'"/>';
						html+='<input type="hidden" name="walkin_strength[]" value="'+unitStrength+'"/>';
						html+='<input type="hidden" name="walkin_dosage_type[]" value="'+soldAs+'"/>';
						html+='<input type="hidden" name="selling_price[]" class="selling_price" value="'+sellingPrice+'"/>';
						html+='<td><button type="submit" class="badge badge-danger remove_medicine_btn" id="'+productId+'">Remove</button></td>';
						html+='</tr>';
						
						$('.walkin_searched_term_body').append(html);
						
						$(".walkin_searched_term_body").on('click', '.remove_medicine_btn', function () {
							$(this).closest('tr').remove();
						});
						
						//Get expiry records of the clicked item
						$.ajax({
						   type: "POST",
						   url: url,
						   data: {'get_product_exp_id':productId, 'get_product_exp_name':productName, 'get_product_exp_user_id':userId}, 
						   success: function(data){
							   $('#fefo_corner').append(data);
						   },
							error: function(){ 
								alert('No stock found'); 
							}
						});
											
				   });
				   
				},
				error: function(){ 
				
					alert('No Medicine found'); 
				}
			});
		}
		
	});
	
	//Pay and Dispense`
	var totalAmount = 0;
	$("#walkin_patient_dispense_table").on("change", "input", function () {  //use event delegation
	  var tableRow = $(this).closest("tr");  //from input find row
	  var walkinQty = Number(tableRow.find(".walkin_dispensed").val());  //get first textbox
	  var price = Number(tableRow.find(".selling_price").val());  //get first textbox
	  //var price = Number(tableRow.find(".walkin_dispensed").data("price"));
	  var totalCostPerItem = walkinQty * price;
	  totalAmount += totalCostPerItem;
	  
	  //Add commas to totalAmount
	  var numFor = Intl.NumberFormat('en-US');
	  var totalAmountWithCommas = numFor.format(totalAmount);
	  $('#amount_to_pay').html(totalAmountWithCommas);
	  
	  //Enter the amount paid
	  $('#amount_paid').on('keyup',function(){
		  var paid = $('#amount_paid').val();
		  
		  var balance = paid - totalAmount; 
		  $('#due_to_customer').html(balance);
	  });
	  
	  //Update the value attribute of the hidden total amount input
	  $('#total_amount_to_pay').val(totalAmount);
	  
	  //Update the value attribute of the hidden paid input
	  $('#total_amount_paid').val(paid);
	  
	});
	
	//Submit walkin prescription
	$('#save_prescription_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#save_prescription_form").trigger("reset");
	});
	
	//Add a product request row
	$('.add_request_product_btn').on('click', function(){
		html='<tr class="added_row">';
		html+='<td><center><select name="order_store_product_name[]" type="text" class="form-control order_store_product_name">';
		html+='</select></center></td>';
		html+='<td><center><input name="order_store_quantity[]" type="text" class="form-control" /></center></td>';
		html+='<td><center><button type="button" class="btn btn-badge btn-danger remove_request_product_btn">Remove</button></center></td>';
		html+='</tr>';

		$('.add_request_product_body').append(html);

		$(".add_request_product_body").on('click', '.remove_request_product_btn', function () {
			$(this).closest('tr').remove();
		});

		$.ajax({
			type: "POST",
			url: url,
			data: {'getRequestProductUserId':userId}, 
			success: function(data){
			   $('.order_store_product_name').html(data);
			},
			error: function(){ 
				alert('Products not detected'); 
			}
		});
	});
	
	
	//Place stock order
	$('#order_supplies_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#order_supplies_form").trigger("reset");
			
	});
	
	//Confirm supplies receipt
	$('.confirm_receipt_btn').on('click',function(){
		var hospitalId = $(this).data('hospital-id');
		var confirmReceiptUserId = $(this).data('user-id');
		var orderId = $(this).data('order-id');
		var productId = $(this).data('product-id');
		var quantityIssued = $(this).data('quantity-issued');
		var deptName = $(this).data('dept-name');
		var productName = $(this).data('product-name');
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'confirmReceiptUserId':confirmReceiptUserId,'confirmReceiptHospitalId':hospitalId,'confirmReceiptOrderId':orderId,'confirmReceiptProductId':productId,'confirmReceiptQuantityIssued':quantityIssued,'confirmReceiptDeptName':deptName,'confirmReceiptProductName':productName}, 
			success: function(data){
			    alert(data);
				//window.location.reload();
				$('#confirm'+productId).html('<center><span style="color:blue; font-weight:bold;">Confirmed</span><center>');
			},
			error: function(){ 
				alert('Products not detected'); 
			}
		});
	});
	
	//Add a product physical count row
	$('.physical_count_product_btn').on('click', function(){
		
		var deptName = $(this).data('dept-name');
		
		html='<tr class="added_row">';
		html+='<td><center><select name="physical_count_product_name[]" type="text" class="form-control physical_count_product_name">';
		html+='</select></center></td>';
		html+='<td><center><input name="physical_count_quantity[]" type="text" class="form-control" /></center></td>';
		html+='<td><center><button type="button" class="btn btn-badge btn-danger remove_physical_count_btn">Remove</button></center></td>';
		html+='</tr>';

		$('.physical_count_product_body').append(html);

		$(".physical_count_product_body").on('click', '.remove_physical_count_btn', function () {
			$(this).closest('tr').remove();
		});

		$.ajax({
			type: "POST",
			url: url,
			data: {'getPhysicalCountProductUserId':userId,'getPhysicalCountDeptName':deptName}, 
			success: function(data){
			   $('.physical_count_product_name').html(data);
			},
			error: function(){ 
				alert('Products not detected'); 
			}
		});
	});
	
	//Save physical count
	$('#physical_count_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		//Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
		
		//Call the native javascript reset object to reset form
		$("#physical_count_form").trigger("reset");
			
	});
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},1000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});	
		
	});
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	 
});