$(document).ready(function(){
	
	//user controller url
	var url = './../controller/procurement.php';
	var userId = $('#user_id').data('user-id');
	
	//Make Order button is clicked
	$('#add_stock_btn').on('click',function(){
		
		//If the red minus button is clicked
		$(".add_product_body").on('click', '.remove_new_product_btn', function () {
			$(this).closest('tr').remove();
		});
		
		//Save edit product info
		$('#order_product_form').on('submit',function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			
			//Call the native javascript reset object to reset form
			$('#order_product_form').trigger('reset');
		});
		
		//Plus button to add other products is clicked
		$('.add_order_product_btn').on('click',function(){
			var html = '<tr>';
			html +='<td><input name="order_product_name[]" type="text" class="form-control" placeholder="Eg. Paper, Panadol, Soap etc ...etc" style="border:solid 1px; border-radius:3px;"/></td>';
			html +='<td><input name="order_unit_strength[]" type="text" class="form-control" style="border:solid 1px; border-radius:3px;"/></td>';
			html +='<td><input name="order_product_brand[]" type="text" class="form-control" style="border:solid 1px; border-radius:3px;"/></td>';
			html +='<td><select name="order_product_sold_as[]" type="text" class="form-control">';
			html +='<option>Tablet</option>';
			html +='<option>Capsule</option>';
			html +='<option>Piece</option>';
			html +='<option>Bottle</option>';
			html +='<option>Packet</option>';
			html +='<option>Box</option>';
			html +='<option>Strip</option>';
			html +='<option>Vial</option>';
			html +='<option>Reagent</option>';
			html +='<option>Litres</option>';
			html +='</select>';
			html +='</td>';
			html +='<td><input name="order_product_quantity[]" type="text" class="form-control" style="border:solid 1px; border-radius:3px;"><input name="order_product_id[]" type="hidden" class="form-control" value="other" style="border:solid 1px; border-radius:3px;"/></td><input name="order_po_id[]" value="po_id" type="hidden" class="form-control"/>';
			html +='<td><center><button type="button" class="btn btn-sm btn-danger remove_order_product_btn"><i class="fa fa-minus"></i></button></center></td>';
			html +='</tr>';
			
			$('.add_other_products_body').append(html);
			
			//If the red minus button is clicked
			$(".add_other_products_body").on('click', '.remove_order_product_btn', function () {
				$(this).closest('tr').remove();
			});
		});
	});
	
	//View order details 
	$('.view_order_btn').on('click',function(){
		var orderId = $(this).data('order-id');
		var hospitalId = $(this).data('hospital-id');
		$.ajax({
			type: "POST",
			url: url,
			data: {'details_order_id':orderId,'details_hospital_id':hospitalId,'details_user_id':userId}, 
			success: function(data){
				$('#view_order_details_body').html(data);
			},
			error: function(){ 
				alert('No stock found'); 
			}
		});
	});
	
	//Approve order 
	$('.approve_order_btn').on('click',function(){
		var orderId = $(this).data('order-id');
		var hospitalId = $(this).data('hospital-id');
		$.ajax({
			type: "POST",
			url: url,
			data: {'approved_order_id':orderId,'approved_hospital_id':hospitalId,'approved_user_id':userId}, 
			success: function(data){
				$('#approve_order_details_body').html(data);
				
				//Submit order
				$('#approve_order_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					
					//Call the native javascript reset object to reset form
					$("#approve_order_form").trigger("reset");
				});
			},
			error: function(){ 
				alert('No stock found'); 
			}
		});
	});
	
	//Receive order 
	$('.receive_order_btn').on('click',function(){
		var orderId = $(this).data('order-id');
		var hospitalId = $(this).data('hospital-id');
		$.ajax({
			type: "POST",
			url: url,
			data: {'receive_order_id':orderId,'receive_hospital_id':hospitalId,'receive_user_id':userId}, 
			success: function(data){
				$('#receive_order_container').html(data);
				
				//Submit order
				$('#receive_order_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					
					//Call the native javascript reset object to reset form
					$("#receive_order_form").trigger("reset");
				});
			},
			error: function(){ 
				alert('No stock found'); 
			}
		});
	});
	
	//Make Order button is clicked
	$('.reorder_button').on('click',function(){
		var productId = $(this).data('product-id');
		var hospitalId = $(this).data('hospital-id');
		var productName = $(this).data('product-name');
		var departmentName = $(this).data('department');
		
		$('#make_order_header').html(productName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'order_product_id':productId,'order_product_name':productName,'order_hospital_id':hospitalId,'order_user_id':userId,'order_department':departmentName}, 
			success: function(data){
				
				$('.make_order_card').html(data);
				
				//Submit order
				$('.re_order_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$(".re_order_form").trigger("reset");
				});
				
			},
			error: function(){ 
				alert('No stock found'); 
			}
		});
	});
	 
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	 
});