$(document).ready(function(){
	
	//user controller url
	var url = './../controller/roles.php';
	var userId = $('#user_id').data('user-id');
	
	//Submit the registration form
	$('#add_roles_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_roles_form").trigger("reset");
			
	});
	
	$('#save_role_btn').on('click',function(){
		
		var staffId = $('#role_staff_id').val();
		
		$('.department_access').each(function(){
			
			if($(this).is(':checked')){
				
				var deptId = $(this).val();
				
				$.ajax({
				   type: "POST",
				   url: url,
				   data: {'dept_role_staff_id':staffId,'dept_role_dept_id':deptId,'dept_role_user_id':userId}, 
				   success: function(data)
				   {
					   //alert(data);
				   },
					error: function() 
					{ 
						//alert('No roles found'); 
					}
				 });
			}
		});
	});
	
	//Edit Role Button is Clicked
	$('.edit_role_button').on('click',function(){
		 var staffId = $(this).data('staff-id');
		 var hospitalId = $(this).data('hospital-id');
		 var firstName = $(this).data('first-name');
		 var lastName = $(this).data('last-name');
		 
		 $('#role_header').append(firstName+' '+lastName);
		 
		 $.ajax({
		   type: "POST",
		   url: url,
		   data: {'edit_role_staff_id':staffId,'edit_role_hospital_id':hospitalId,'edit_role_user_id':userId}, 
		   success: function(data)
		   {
			   $('.edit_role_body').html(data);
			   
			   //Submit the registration form
				$('#edit_roles_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#edit_roles_form").trigger("reset");
						
				});
		   },
			error: function() 
			{ 
				alert('No roles found'); 
			}
		 });
	});
	
	//Delete Role Button is Clicked
	$('.delete_role_button').on('click',function(){
		 var staffId = $(this).data('staff-id');
		 var hospitalId = $(this).data('hospital-id');
		 
		 $.ajax({
		   type: "POST",
		   url: url,
		   data: {'delete_role_staff_id':staffId,'delete_role_hospital_id':hospitalId,'delete_role_user_id':userId}, 
		   success: function(data)
		   {
			   alert(data);
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('No roles found'); 
			}
		 });
		 
		 /*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
	});
	
	//View Role Button is Clicked
	$('.view_role_button').on('click',function(){
		 var staffId = $(this).data('staff-id');
		 var hospitalId = $(this).data('hospital-id');
		 var firstName = $(this).data('first-name');
		 var lastName = $(this).data('last-name');
		 $('#view_role_header').html(firstName+' '+lastName);
		 
		 $.ajax({
		   type: "POST",
		   url: url,
		   data: {'view_role_staff_id':staffId,'view_role_hospital_id':hospitalId}, 
		   success: function(data)
		   {
			   $('.view_role_body').html(data);
		   },
			error: function() 
			{ 
				alert('No roles found'); 
			}
		 });
	});
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
		   type: "POST",
		   url: url,
		   data: {'logout_staff_id':userId}, 
		   success: function(data)
		   {
			   //alert(data);
			   window.location.href="./../index.php";
			   
		   },
			error: function() 
			{ 
				alert('There was an error finding the clicked user'); 
			}
		 });
	 });
	 
	 //Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	 
});