$(document).ready(function(){
	
	//user controller url
	var url = './../controller/store.php';
	var userId = $('#user_id').data('user-id');
	
	//view products details
	$.ajax({
		type: "POST",
		url: url,
		data: {'get_products_user_id':userId}, 
		success: function(data){
			$('#product_details_table_body').html(data);
			
			//View product details
			$('.product_view_button').on('click',function(){
				
				var productId = $(this).data('product-id');
				var hospitalId = $(this).data('hospital-id');
				var productName = $(this).data('product-name');
				
				$('#view_product_name_header').html(productName);
				
				$.ajax({
					type: "POST",
					url: url,
					data: {'view_details_product_id':productId,'view_details_product_hospital_id':hospitalId,'view_details_user_id':userId}, 
					success: function(data){
						$('#view_a_product_container').html(data);
						
						//Save edit product info
						$('#edit_product_form').submit(function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							var form = $(this);	
							//If the checkbox is checked, save the data, if not, give an alert
						
							$.ajax({
							   type: "POST",
							   url: url,
							   data: form.serialize(), // serializes the form's elements.
							   success: function(data)
							   {
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function() 
								{ 
									alert('error'); 
								}
							});
							 
							/*/Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});*/
							
							//Call the native javascript reset object to reset form
							$("#edit_product_form").trigger("reset");
						});
						
					},
					error: function(){ 
						alert('No stock found'); 
					}
				});
			});
			
			//Edit product details
			$('.product_edit_button').on('click',function(){
				var productId = $(this).data('product-id');
				var hospitalId = $(this).data('hospital-id');
				var productName = $(this).data('product-name');
				
				$('#product_name_header').html(productName);
				
				$.ajax({
					type: "POST",
					url: url,
					data: {'editProductId':productId,'editProductHospitalId':hospitalId,'editProductUserId':userId}, 
					success: function(data){
						$('#edit_a_product_container').html(data);
						
						//Save edit product info
						$('#edit_product_form').submit(function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							var form = $(this);	
							//If the checkbox is checked, save the data, if not, give an alert
						
							$.ajax({
							   type: "POST",
							   url: url,
							   data: form.serialize(), // serializes the form's elements.
							   success: function(data)
							   {
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function() 
								{ 
									alert('error'); 
								}
							});
							 
							/*/Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});*/
							
							//Call the native javascript reset object to reset form
							$("#edit_product_form").trigger("reset");
						});
						
					},
					error: function(){ 
						alert('No stock found'); 
					}
				});
			});
				
			$('.delete_product_button').on('click', function(){
				var productId = $(this).data('product-id');
				var hospitalId = $(this).data('hospital-id');
				
				$.ajax({
					type: "POST",
					url: url,
					data: {'delete_product_id':productId,'delete_product_hospital_id':hospitalId,'delete_product_user_id':userId}, 
					success: function(data)
					{
						alert(data);
						window.location.reload();
					},
					error: function() 
					{ 
						alert('There was an error'); 
					}
				});
			});
			
			$('.stock_card_button').on('click', function(){
				var productId = $(this).data('product-id');
				var hospitalId = $(this).data('hospital-id');
				var productName = $(this).data('product-name');
				
				$('#stock_name_header').html(productName);
				
				$.ajax({
					type: "POST",
					url: url,
					data: {'stock_card_product_id':productId,'stock_card_product_hospital_id':hospitalId,'stock_card_product_user_id':userId}, 
					success: function(data){
					   $('#stock_card_body').html(data);
					},
					error: function(){ 
						alert('Stock card not detected'); 
					}
				});
			});
			
		},
		error: function(){ 
			alert('No stock found'); 
		}
	});
	
	$('#universal_list_btn').on('click',function(){
		
		//Get universal Products
		$.ajax({
				type: "POST",
				url: url,
				data: {'get_universal_products_user_id':userId}, 
				success: function(data){
					$('#universal_list_card_body').html(data);
					
					//If Pagination link is clicked
					$('.pagination_link').each(function(){
						$(this).click(function(){
							var pageId = $(this).data('page_number');
							
							$.ajax({
								type: "POST",
								url: url,
								data: {'get_universal_page_id':pageId,'get_universal_page_user_id':userId}, 
								success: function(data){
									$('#universal_list_card_body').html(data);
									
									//Pagination
									$('#universal_list_card_body').on('click', '.next_pagination_link', function(){
											
									var nextPageId = $(this).data('page_number');
									
									$.ajax({
										type: "POST",
										url: url,
										data: {'get_universal_page_id':nextPageId,'get_universal_page_user_id':userId}, 
										success: function(data){
											$('#universal_list_card_body').html(data);
												
											//Add a product to store list
											$('.add_universal_btn').on('click', function(){
												
												var productName = $(this).data('product-name');
												var productId = $(this).data('product-id');
												
												$.ajax({
													type: "POST",
													url: url,
													data: {'check_universal_id':productId,'check_universal_name':productName,'check_universal_user_id':userId}, 
													success: function(data){
														if(data == 'exists'){
															alert('Item already added to store list');
														}else{
															//Do nothing
														}
													},
													error: function(){ 
														alert('Stock card not detected'); 
													}
												});
												
												html='<tr>';
												html+='<td style="height:0.7rem; font-size:11px; color:black;">'+productName+'<input name="universal_product_name[]" type="hidden" class="form-control" value="'+productName+'"/><input name="universal_product_id[]" type="hidden" class="form-control" value="'+productId+'"/></td>';
												html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>';
												html+='<td style="height:0.7rem; font-size:11px; color:black;">';
												html+='<select name="universal_product_unit[]" type="text" class="form-control product_unit"></select>';
												html+='</td>';
												html+='<td style="height:0.7rem; font-size:11px; color:black;">';
												html+='<select name="universal_product_sold_as[]" type="text" class="form-control">';
												html+='<option>Tablet</option>';
												html+='<option>Capsule</option>';
												html+='<option>Piece</option>';
												html+='<option>Syrup</option>';
												html+='<option>Bottle</option>';
												html+='<option>Packet</option>';
												html+='<option>Box</option>';
												html+='<option>Strip</option>';
												html+='<option>Vial</option>';
												html+='<option>Ampule</option>';
												html+='<option>Reagent</option>';
												html+='</select>';
												html+='</td>';
												html+='<td style="height:0.7rem; font-size:11px; color:black;">';
												html+='<select name="universal_product_route[]" type="text" class="form-control">';
												html+='<option>N/A</option>';
												html+='<option>PO (by mouth)</option>';
												html+='<option>PR (per rectum)</option>';
												html+='<option>IM (intramuscular)</option>';
												html+='<option>IV (intravenous)</option>';
												html+='<option>ID (intradermal)</option>';
												html+='<option>IN (intranasal)</option>';
												html+='<option>TP (topical)</option>';
												html+='<option>SL (sublingual)</option>';
												html+='<option>BUCC (buccal)</option>';
												html+='<option>IP (intraperitoneal)</option>';
												html+='</select>';
												html+='</td>';
												html+='<td style="height:0.7rem; font-size:11px; color:black;">';
												html+='<input name="universal_product_brand[]" type="text" class="form-control">';
												html+='</td>';
												html+='<td style="height:0.7rem; font-size:11px; color:black;">';
												html+='<select name="universal_product_category[]" type="text" class="form-control product_category">';
												html+='</select>';
												html+='</td>';
												html+='<td style="height:0.7rem; font-size:11px; color:black;"> </td>';
												html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
												html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
												html+='<td><button type="button" class="btn btn-sm btn-danger remove_universal_product_btn"><i class="fa fa-trash"></i></button></td>';
												html+='</tr>';
												
												$('#add_universal_product_body').append(html);
												
												$("#add_universal_product_body").on('click', '.remove_universal_product_btn', function () {
													$(this).closest('tr').remove();
												});
												
												//Get units used
												$.ajax({
														type: "POST",
													url: url,
													data: {'getUnitsUserId':userId}, 
													success: function(data){
													   $('.product_unit').html(data);
													},
													error: function(){ 
														alert('Units not detected'); 
													}
												});
												
												$.ajax({
													type: "POST",
													url: url,
													data: {'getBrandsUserId':userId}, 
													success: function(data){
													   $('.product_brand').html(data);
													},
													error: function(){ 
														alert('Brands not detected'); 
													}
												});
												
												$.ajax({
													type: "POST",
													url: url,
													data: {'getCategoriesUserId':userId}, 
													success: function(data){
													   $('.product_category').html(data);
													},
													error: function(){ 
														alert('Categories not detected'); 
													}
												});
													
												
											});
										},
										error: function(){ 
											alert('No supplies found'); 
										}
										});
									});	
										
									//Add a product to store list
									$('.add_universal_btn').on('click', function(){
										
										var productName = $(this).data('product-name');
										var productId = $(this).data('product-id');
										
										$.ajax({
											type: "POST",
											url: url,
											data: {'check_universal_id':productId,'check_universal_name':productName,'check_universal_user_id':userId}, 
											success: function(data){
												if(data == 'exists'){
													alert('Item already added to store list');
												}else{
													//Do nothing
												}
											},
											error: function(){ 
												alert('Stock card not detected'); 
											}
										});
										
										html='<tr>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">'+productName+'<input name="universal_product_name[]" type="hidden" class="form-control" value="'+productName+'"/><input name="universal_product_id[]" type="hidden" class="form-control" value="'+productId+'"/></td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_unit[]" type="text" class="form-control product_unit"></select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_sold_as[]" type="text" class="form-control">';
										html+='<option>Tablet</option>';
										html+='<option>Capsule</option>';
										html+='<option>Piece</option>';
										html+='<option>Syrup</option>';
										html+='<option>Bottle</option>';
										html+='<option>Packet</option>';
										html+='<option>Box</option>';
										html+='<option>Strip</option>';
										html+='<option>Vial</option>';
										html+='<option>Ampule</option>';
										html+='<option>Reagent</option>';
										html+='</select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_route[]" type="text" class="form-control">';
										html+='<option>N/A</option>';
										html+='<option>PO (by mouth)</option>';
										html+='<option>PR (per rectum)</option>';
										html+='<option>IM (intramuscular)</option>';
										html+='<option>IV (intravenous)</option>';
										html+='<option>ID (intradermal)</option>';
										html+='<option>IN (intranasal)</option>';
										html+='<option>TP (topical)</option>';
										html+='<option>SL (sublingual)</option>';
										html+='<option>BUCC (buccal)</option>';
										html+='<option>IP (intraperitoneal)</option>';
										html+='</select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<input name="universal_product_brand[]" type="text" class="form-control">';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_category[]" type="text" class="form-control product_category">';
										html+='</select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"> </td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
										html+='<td><button type="button" class="btn btn-sm btn-danger remove_universal_product_btn"><i class="fa fa-trash"></i></button></td>';
										html+='</tr>';
										
										$('#add_universal_product_body').append(html);
										
										$("#add_universal_product_body").on('click', '.remove_universal_product_btn', function () {
											$(this).closest('tr').remove();
										});
										
										//Get units used
										$.ajax({
												type: "POST",
											url: url,
											data: {'getUnitsUserId':userId}, 
											success: function(data){
											   $('.product_unit').html(data);
											},
											error: function(){ 
												alert('Units not detected'); 
											}
										});
										
										$.ajax({
											type: "POST",
											url: url,
											data: {'getBrandsUserId':userId}, 
											success: function(data){
											   $('.product_brand').html(data);
											},
											error: function(){ 
												alert('Brands not detected'); 
											}
										});
										
										$.ajax({
											type: "POST",
											url: url,
											data: {'getCategoriesUserId':userId}, 
											success: function(data){
											   $('.product_category').html(data);
											},
											error: function(){ 
												alert('Categories not detected'); 
											}
										});
											
									});
								},
								error: function(){ 
									alert('No supplies found'); 
								}
							});
						});
					});	
					//Add a product row
					$('.add_universal_btn').on('click', function(){
						
						var productName = $(this).data('product-name');
						var productId = $(this).data('product-id');
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'check_universal_id':productId,'check_universal_name':productName,'check_universal_user_id':userId}, 
							success: function(data){
								if(data == 'exists'){
									alert('Item already added to store list');
								}else{
									//Do nothing
								}
							},
							error: function(){ 
								alert('Stock card not detected'); 
							}
						});
						html='<tr>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">'+productName+'<input name="universal_product_name[]" type="hidden" class="form-control" value="'+productName+'"/><input name="universal_product_id[]" type="hidden" class="form-control" value="'+productId+'"/></td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_unit[]" type="text" class="form-control product_unit"></select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_sold_as[]" type="text" class="form-control">';
						html+='<option>Tablet</option>';
						html+='<option>Capsule</option>';
						html+='<option>Piece</option>';
						html+='<option>Syrup</option>';
						html+='<option>Bottle</option>';
						html+='<option>Packet</option>';
						html+='<option>Box</option>';
						html+='<option>Strip</option>';
						html+='<option>Vial</option>';
						html+='<option>Ampule</option>';
						html+='<option>Reagent</option>';
						html+='</select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_route[]" type="text" class="form-control">';
						html+='<option>N/A</option>';
						html+='<option>PO (by mouth)</option>';
						html+='<option>PR (per rectum)</option>';
						html+='<option>IM (intramuscular)</option>';
						html+='<option>IV (intravenous)</option>';
						html+='<option>ID (intradermal)</option>';
						html+='<option>IN (intranasal)</option>';
						html+='<option>TP (topical)</option>';
						html+='<option>SL (sublingual)</option>';
						html+='<option>BUCC (buccal)</option>';
						html+='<option>IP (intraperitoneal)</option>';
						html+='</select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<input name="universal_product_brand[]" type="text" class="form-control">';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_category[]" type="text" class="form-control product_category">';
						html+='</select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"> </td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
						html+='<td><button type="button" class="btn btn-sm btn-danger remove_universal_product_btn"><i class="fa fa-trash"></i></button></td>';
						html+='</tr>';
						
						$('#add_universal_product_body').append(html);
						
						$("#add_universal_product_body").on('click', '.remove_universal_product_btn', function () {
							$(this).closest('tr').remove();
						});
						
						//Get units used
						$.ajax({
								type: "POST",
							url: url,
							data: {'getUnitsUserId':userId}, 
							success: function(data){
							   $('.product_unit').html(data);
							},
							error: function(){ 
								alert('Units not detected'); 
							}
						});
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'getBrandsUserId':userId}, 
							success: function(data){
							   $('.product_brand').html(data);
							},
							error: function(){ 
								alert('Brands not detected'); 
							}
						});
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'getCategoriesUserId':userId}, 
							success: function(data){
							   $('.product_category').html(data);
							},
							error: function(){ 
								alert('Categories not detected'); 
							}
						});
							
					});
					
				},
				error: function(){ 
					alert('No stock found'); 
				}
			});
			
		//If user searched a product	
		$('.search_universal_products').on('keyup',function(){
		var searchedProductTerm = $(this).val();
		
		if(searchedProductTerm == ''){
			$.ajax({
				type: "POST",
				url: url,
				data: {'get_universal_products_user_id':userId}, 
				success: function(data){
					$('#universal_list_card_body').html(data);
					
					//If Pagination link is clicked
					$('.pagination_link').each(function(){
						$(this).click(function(){
							var pageId = $(this).data('page_number');
							
							$.ajax({
								type: "POST",
								url: url,
								data: {'get_universal_page_id':pageId,'get_universal_page_user_id':userId}, 
								success: function(data){
									$('#universal_list_card_body').html(data);
									
									//Pagination
									$('#universal_list_card_body').on('click', '.next_pagination_link', function(){
											
										var nextPageId = $(this).data('page_number');
										
										$.ajax({
											type: "POST",
											url: url,
											data: {'get_universal_page_id':nextPageId,'get_universal_page_user_id':userId}, 
											success: function(data){
												$('#universal_list_card_body').html(data);
												
												//Add a product row
												$('.add_universal_btn').on('click', function(){
													
													var productName = $(this).data('product-name');
													var productId = $(this).data('product-id');
													
													$.ajax({
														type: "POST",
														url: url,
														data: {'check_universal_id':productId,'check_universal_name':productName,'check_universal_user_id':userId}, 
														success: function(data){
															if(data == 'exists'){
																alert('Item already added to store list');
															}else{
																//Do nothing
															}
														},
														error: function(){ 
															alert('Stock card not detected'); 
														}
													});
													html='<tr>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">'+productName+'<input name="universal_product_name[]" type="hidden" class="form-control" value="'+productName+'"/><input name="universal_product_id[]" type="hidden" class="form-control" value="'+productId+'"/></td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">';
													html+='<select name="universal_product_unit[]" type="text" class="form-control product_unit"></select>';
													html+='</td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">';
													html+='<select name="universal_product_sold_as[]" type="text" class="form-control">';
													html+='<option>Tablet</option>';
													html+='<option>Capsule</option>';
													html+='<option>Piece</option>';
													html+='<option>Syrup</option>';
													html+='<option>Bottle</option>';
													html+='<option>Packet</option>';
													html+='<option>Box</option>';
													html+='<option>Strip</option>';
													html+='<option>Vial</option>';
													html+='<option>Ampule</option>';
													html+='<option>Reagent</option>';
													html+='</select>';
													html+='</td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">';
													html+='<select name="universal_product_route[]" type="text" class="form-control">';
													html+='<option>N/A</option>';
													html+='<option>PO (by mouth)</option>';
													html+='<option>PR (per rectum)</option>';
													html+='<option>IM (intramuscular)</option>';
													html+='<option>IV (intravenous)</option>';
													html+='<option>ID (intradermal)</option>';
													html+='<option>IN (intranasal)</option>';
													html+='<option>TP (topical)</option>';
													html+='<option>SL (sublingual)</option>';
													html+='<option>BUCC (buccal)</option>';
													html+='<option>IP (intraperitoneal)</option>';
													html+='</select>';
													html+='</td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">';
													html+='<input name="universal_product_brand[]" type="text" class="form-control">';
													html+='</td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">';
													html+='<select name="universal_product_category[]" type="text" class="form-control product_category">';
													html+='</select>';
													html+='</td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;"> </td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
													html+='<td><button type="button" class="btn btn-sm btn-danger remove_universal_product_btn"><i class="fa fa-trash"></i></button></td>';
													html+='</tr>';
													
													$('#add_universal_product_body').append(html);
													
													$("#add_universal_product_body").on('click', '.remove_universal_product_btn', function () {
														$(this).closest('tr').remove();
													});
													
													//Get units used
													$.ajax({
															type: "POST",
														url: url,
														data: {'getUnitsUserId':userId}, 
														success: function(data){
														   $('.product_unit').html(data);
														},
														error: function(){ 
															alert('Units not detected'); 
														}
													});
													
													$.ajax({
														type: "POST",
														url: url,
														data: {'getBrandsUserId':userId}, 
														success: function(data){
														   $('.product_brand').html(data);
														},
														error: function(){ 
															alert('Brands not detected'); 
														}
													});
													
													$.ajax({
														type: "POST",
														url: url,
														data: {'getCategoriesUserId':userId}, 
														success: function(data){
														   $('.product_category').html(data);
														},
														error: function(){ 
															alert('Categories not detected'); 
														}
													});
														
												});
											},
											error: function(){ 
												alert('No supplies found'); 
											}
										});
									});	
									
									//Add a product row
									$('.add_universal_btn').on('click', function(){
										
										var productName = $(this).data('product-name');
										var productId = $(this).data('product-id');
										
										$.ajax({
											type: "POST",
											url: url,
											data: {'check_universal_id':productId,'check_universal_name':productName,'check_universal_user_id':userId}, 
											success: function(data){
												if(data == 'exists'){
													alert('Item already added to store list');
												}else{
													//Do nothing
												}
											},
											error: function(){ 
												alert('Stock card not detected'); 
											}
										});
										html='<tr>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">'+productName+'<input name="universal_product_name[]" type="hidden" class="form-control" value="'+productName+'"/><input name="universal_product_id[]" type="hidden" class="form-control" value="'+productId+'"/></td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_unit[]" type="text" class="form-control product_unit"></select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_sold_as[]" type="text" class="form-control">';
										html+='<option>Tablet</option>';
										html+='<option>Capsule</option>';
										html+='<option>Piece</option>';
										html+='<option>Syrup</option>';
										html+='<option>Bottle</option>';
										html+='<option>Packet</option>';
										html+='<option>Box</option>';
										html+='<option>Strip</option>';
										html+='<option>Vial</option>';
										html+='<option>Ampule</option>';
										html+='<option>Reagent</option>';
										html+='</select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_route[]" type="text" class="form-control">';
										html+='<option>N/A</option>';
										html+='<option>PO (by mouth)</option>';
										html+='<option>PR (per rectum)</option>';
										html+='<option>IM (intramuscular)</option>';
										html+='<option>IV (intravenous)</option>';
										html+='<option>ID (intradermal)</option>';
										html+='<option>IN (intranasal)</option>';
										html+='<option>TP (topical)</option>';
										html+='<option>SL (sublingual)</option>';
										html+='<option>BUCC (buccal)</option>';
										html+='<option>IP (intraperitoneal)</option>';
										html+='</select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<input name="universal_product_brand[]" type="text" class="form-control">';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_category[]" type="text" class="form-control product_category">';
										html+='</select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"> </td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
										html+='<td><button type="button" class="btn btn-sm btn-danger remove_universal_product_btn"><i class="fa fa-trash"></i></button></td>';
										html+='</tr>';
										
										$('#add_universal_product_body').append(html);
										
										$("#add_universal_product_body").on('click', '.remove_universal_product_btn', function () {
											$(this).closest('tr').remove();
										});
										
										//Get units used
										$.ajax({
												type: "POST",
											url: url,
											data: {'getUnitsUserId':userId}, 
											success: function(data){
											   $('.product_unit').html(data);
											},
											error: function(){ 
												alert('Units not detected'); 
											}
										});
										
										$.ajax({
											type: "POST",
											url: url,
											data: {'getBrandsUserId':userId}, 
											success: function(data){
											   $('.product_brand').html(data);
											},
											error: function(){ 
												alert('Brands not detected'); 
											}
										});
										
										$.ajax({
											type: "POST",
											url: url,
											data: {'getCategoriesUserId':userId}, 
											success: function(data){
											   $('.product_category').html(data);
											},
											error: function(){ 
												alert('Categories not detected'); 
											}
										});
											
									});
								},
								error: function(){ 
									alert('No supplies found'); 
								}
							});
						});
					});	
					//Add a product row
					$('.add_universal_btn').on('click', function(){
						
						var productName = $(this).data('product-name');
						var productId = $(this).data('product-id');
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'check_universal_id':productId,'check_universal_name':productName,'check_universal_user_id':userId}, 
							success: function(data){
								if(data == 'exists'){
									alert('Item already added to store list');
								}else{
									//Do nothing
								}
							},
							error: function(){ 
								alert('Stock card not detected'); 
							}
						});
						html='<tr>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">'+productName+'<input name="universal_product_name[]" type="hidden" class="form-control" value="'+productName+'"/><input name="universal_product_id[]" type="hidden" class="form-control" value="'+productId+'"/></td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_unit[]" type="text" class="form-control product_unit"></select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_sold_as[]" type="text" class="form-control">';
						html+='<option>Tablet</option>';
						html+='<option>Capsule</option>';
						html+='<option>Piece</option>';
						html+='<option>Syrup</option>';
						html+='<option>Bottle</option>';
						html+='<option>Packet</option>';
						html+='<option>Box</option>';
						html+='<option>Strip</option>';
						html+='<option>Vial</option>';
						html+='<option>Ampule</option>';
						html+='<option>Reagent</option>';
						html+='</select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_route[]" type="text" class="form-control">';
						html+='<option>N/A</option>';
						html+='<option>PO (by mouth)</option>';
						html+='<option>PR (per rectum)</option>';
						html+='<option>IM (intramuscular)</option>';
						html+='<option>IV (intravenous)</option>';
						html+='<option>ID (intradermal)</option>';
						html+='<option>IN (intranasal)</option>';
						html+='<option>TP (topical)</option>';
						html+='<option>SL (sublingual)</option>';
						html+='<option>BUCC (buccal)</option>';
						html+='<option>IP (intraperitoneal)</option>';
						html+='</select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<input name="universal_product_brand[]" type="text" class="form-control">';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_category[]" type="text" class="form-control product_category">';
						html+='</select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"> </td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
						html+='<td><button type="button" class="btn btn-sm btn-danger remove_universal_product_btn"><i class="fa fa-trash"></i></button></td>';
						html+='</tr>';
						
						$('#add_universal_product_body').append(html);
						
						$("#add_universal_product_body").on('click', '.remove_universal_product_btn', function () {
							$(this).closest('tr').remove();
						});
						
						//Get units used
						$.ajax({
								type: "POST",
							url: url,
							data: {'getUnitsUserId':userId}, 
							success: function(data){
							   $('.product_unit').html(data);
							},
							error: function(){ 
								alert('Units not detected'); 
							}
						});
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'getBrandsUserId':userId}, 
							success: function(data){
							   $('.product_brand').html(data);
							},
							error: function(){ 
								alert('Brands not detected'); 
							}
						});
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'getCategoriesUserId':userId}, 
							success: function(data){
							   $('.product_category').html(data);
							},
							error: function(){ 
								alert('Categories not detected'); 
							}
						});
							
					});
					
				},
				error: function(){ 
					alert('No stock found'); 
				}
			});
		}else{
			$.ajax({
				type: "POST",
				url: url,
				data: {'searchedUnivesalProductTerm':searchedProductTerm,'searchedUniversalProductUserId':userId}, 
				success: function(data){
					$('#universal_list_card_body').html(data);
					
					//If Pagination link is clicked
					$('.pagination_link').each(function(){
						$(this).click(function(){
							var pageId = $(this).data('page_number');
							
							$.ajax({
								type: "POST",
								url: url,
								data: {'get_universal_page_id':pageId,'get_universal_page_user_id':userId}, 
								success: function(data){
									$('#universal_list_card_body').html(data);
									
									//Pagination
									$('#universal_list_card_body').on('click', '.next_pagination_link', function(){
											
										var nextPageId = $(this).data('page_number');
										
										$.ajax({
											type: "POST",
											url: url,
											data: {'get_universal_page_id':nextPageId,'get_universal_page_user_id':userId}, 
											success: function(data){
												$('#universal_list_card_body').html(data);
												
												//Add a product row
												$('.add_universal_btn').on('click', function(){
													
													var productName = $(this).data('product-name');
													var productId = $(this).data('product-id');
													
													$.ajax({
														type: "POST",
														url: url,
														data: {'check_universal_id':productId,'check_universal_name':productName,'check_universal_user_id':userId}, 
														success: function(data){
															if(data == 'exists'){
																alert('Item already added to store list');
															}else{
																//Do nothing
															}
														},
														error: function(){ 
															alert('Stock card not detected'); 
														}
													});
													
													html='<tr>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">'+productName+'<input name="universal_product_name[]" type="hidden" class="form-control" value="'+productName+'"/><input name="universal_product_id[]" type="hidden" class="form-control" value="'+productId+'"/></td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">';
													html+='<select name="universal_product_unit[]" type="text" class="form-control product_unit"></select>';
													html+='</td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">';
													html+='<select name="universal_product_sold_as[]" type="text" class="form-control">';
													html+='<option>Tablet</option>';
													html+='<option>Capsule</option>';
													html+='<option>Piece</option>';
													html+='<option>Syrup</option>';
													html+='<option>Bottle</option>';
													html+='<option>Packet</option>';
													html+='<option>Box</option>';
													html+='<option>Strip</option>';
													html+='<option>Vial</option>';
													html+='<option>Ampule</option>';
													html+='<option>Reagent</option>';
													html+='</select>';
													html+='</td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">';
													html+='<select name="universal_product_route[]" type="text" class="form-control">';
													html+='<option>N/A</option>';
													html+='<option>PO (by mouth)</option>';
													html+='<option>PR (per rectum)</option>';
													html+='<option>IM (intramuscular)</option>';
													html+='<option>IV (intravenous)</option>';
													html+='<option>ID (intradermal)</option>';
													html+='<option>IN (intranasal)</option>';
													html+='<option>TP (topical)</option>';
													html+='<option>SL (sublingual)</option>';
													html+='<option>BUCC (buccal)</option>';
													html+='<option>IP (intraperitoneal)</option>';
													html+='</select>';
													html+='</td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">';
													html+='<input name="universal_product_brand[]" type="text" class="form-control">';
													html+='</td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;">';
													html+='<select name="universal_product_category[]" type="text" class="form-control product_category">';
													html+='</select>';
													html+='</td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;"> </td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
													html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
													html+='<td><button type="button" class="btn btn-sm btn-danger remove_universal_product_btn"><i class="fa fa-trash"></i></button></td>';
													html+='</tr>';
													
													$('#add_universal_product_body').append(html);
													
													$("#add_universal_product_body").on('click', '.remove_universal_product_btn', function () {
														$(this).closest('tr').remove();
													});
													
													//Get units used
													$.ajax({
															type: "POST",
														url: url,
														data: {'getUnitsUserId':userId}, 
														success: function(data){
														   $('.product_unit').html(data);
														},
														error: function(){ 
															alert('Units not detected'); 
														}
													});
													
													$.ajax({
														type: "POST",
														url: url,
														data: {'getBrandsUserId':userId}, 
														success: function(data){
														   $('.product_brand').html(data);
														},
														error: function(){ 
															alert('Brands not detected'); 
														}
													});
													
													$.ajax({
														type: "POST",
														url: url,
														data: {'getCategoriesUserId':userId}, 
														success: function(data){
														   $('.product_category').html(data);
														},
														error: function(){ 
															alert('Categories not detected'); 
														}
													});
												});
											},
											error: function(){ 
												alert('No supplies found'); 
											}
										});
									});	
									
									//Add a product row
									$('.add_universal_btn').on('click', function(){
										
										var productName = $(this).data('product-name');
										var productId = $(this).data('product-id');
										
										$.ajax({
											type: "POST",
											url: url,
											data: {'check_universal_id':productId,'check_universal_name':productName,'check_universal_user_id':userId}, 
											success: function(data){
												if(data == 'exists'){
													alert('Item already added to store list');
												}else{
													//Do nothing
												}
											},
											error: function(){ 
												alert('Stock card not detected'); 
											}
										});
										html='<tr>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">'+productName+'<input name="universal_product_name[]" type="hidden" class="form-control" value="'+productName+'"/><input name="universal_product_id[]" type="hidden" class="form-control" value="'+productId+'"/></td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_unit[]" type="text" class="form-control product_unit"></select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_sold_as[]" type="text" class="form-control">';
										html+='<option>Tablet</option>';
										html+='<option>Capsule</option>';
										html+='<option>Piece</option>';
										html+='<option>Syrup</option>';
										html+='<option>Bottle</option>';
										html+='<option>Packet</option>';
										html+='<option>Box</option>';
										html+='<option>Strip</option>';
										html+='<option>Vial</option>';
										html+='<option>Ampule</option>';
										html+='<option>Reagent</option>';
										html+='</select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_route[]" type="text" class="form-control">';
										html+='<option>N/A)</option>';
										html+='<option>PO (by mouth)</option>';
										html+='<option>PR (per rectum)</option>';
										html+='<option>IM (intramuscular)</option>';
										html+='<option>IV (intravenous)</option>';
										html+='<option>ID (intradermal)</option>';
										html+='<option>IN (intranasal)</option>';
										html+='<option>TP (topical)</option>';
										html+='<option>SL (sublingual)</option>';
										html+='<option>BUCC (buccal)</option>';
										html+='<option>IP (intraperitoneal)</option>';
										html+='</select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<input name="universal_product_brand[]" type="text" class="form-control">';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;">';
										html+='<select name="universal_product_category[]" type="text" class="form-control product_category">';
										html+='</select>';
										html+='</td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"> </td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
										html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
										html+='<td><button type="button" class="btn btn-sm btn-danger remove_universal_product_btn"><i class="fa fa-trash"></i></button></td>';
										html+='</tr>';
										
										$('#add_universal_product_body').append(html);
										
										$("#add_universal_product_body").on('click', '.remove_universal_product_btn', function () {
											$(this).closest('tr').remove();
										});
										
										//Get units used
										$.ajax({
												type: "POST",
											url: url,
											data: {'getUnitsUserId':userId}, 
											success: function(data){
											   $('.product_unit').html(data);
											},
											error: function(){ 
												alert('Units not detected'); 
											}
										});
										
										$.ajax({
											type: "POST",
											url: url,
											data: {'getBrandsUserId':userId}, 
											success: function(data){
											   $('.product_brand').html(data);
											},
											error: function(){ 
												alert('Brands not detected'); 
											}
										});
										
										$.ajax({
											type: "POST",
											url: url,
											data: {'getCategoriesUserId':userId}, 
											success: function(data){
											   $('.product_category').html(data);
											},
											error: function(){ 
												alert('Categories not detected'); 
											}
										});
											
									});
								},
								error: function(){ 
									alert('No supplies found'); 
								}
							});
						});
					});	
					//Add a product row
					$('.add_universal_btn').on('click', function(){
						
						var productName = $(this).data('product-name');
						var productId = $(this).data('product-id');
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'check_universal_id':productId,'check_universal_name':productName,'check_universal_user_id':userId}, 
							success: function(data){
								if(data == 'exists'){
									alert('Item already added to store list');
								}else{
									//Do nothing
								}
							},
							error: function(){ 
								alert('Stock card not detected'); 
							}
						});
						html='<tr>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">'+productName+'<input name="universal_product_name[]" type="hidden" class="form-control" value="'+productName+'"/><input name="universal_product_id[]" type="hidden" class="form-control" value="'+productId+'"/></td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_unit[]" type="text" class="form-control product_unit"></select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_sold_as[]" type="text" class="form-control">';
						html+='<option>Tablet</option>';
						html+='<option>Capsule</option>';
						html+='<option>Piece</option>';
						html+='<option>Syrup</option>';
						html+='<option>Bottle</option>';
						html+='<option>Packet</option>';
						html+='<option>Box</option>';
						html+='<option>Strip</option>';
						html+='<option>Vial</option>';
						html+='<option>Ampule</option>';
						html+='<option>Reagent</option>';
						html+='</select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_route[]" type="text" class="form-control">';
						html+='<option>N/A</option>';
						html+='<option>PO (by mouth)</option>';
						html+='<option>PR (per rectum)</option>';
						html+='<option>IM (intramuscular)</option>';
						html+='<option>IV (intravenous)</option>';
						html+='<option>ID (intradermal)</option>';
						html+='<option>IN (intranasal)</option>';
						html+='<option>TP (topical)</option>';
						html+='<option>SL (sublingual)</option>';
						html+='<option>BUCC (buccal)</option>';
						html+='<option>IP (intraperitoneal)</option>';
						html+='</select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<input name="universal_product_brand[]" type="text" class="form-control">';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;">';
						html+='<select name="universal_product_category[]" type="text" class="form-control product_category">';
						html+='</select>';
						html+='</td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"> </td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
						html+='<td style="height:0.7rem; font-size:11px; color:black;"><input name="universal_selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
						html+='<td><button type="button" class="btn btn-sm btn-danger remove_universal_product_btn"><i class="fa fa-trash"></i></button></td>';
						html+='</tr>';
						
						$('#add_universal_product_body').append(html);
						
						$("#add_universal_product_body").on('click', '.remove_universal_product_btn', function () {
							$(this).closest('tr').remove();
						});
						
						//Get units used
						$.ajax({
								type: "POST",
							url: url,
							data: {'getUnitsUserId':userId}, 
							success: function(data){
							   $('.product_unit').html(data);
							},
							error: function(){ 
								alert('Units not detected'); 
							}
						});
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'getBrandsUserId':userId}, 
							success: function(data){
							   $('.product_brand').html(data);
							},
							error: function(){ 
								alert('Brands not detected'); 
							}
						});
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'getCategoriesUserId':userId}, 
							success: function(data){
							   $('.product_category').html(data);
							},
							error: function(){ 
								alert('Categories not detected'); 
							}
						});
							
					});
					
				},
				error: function(){ 
					alert('No stock found'); 
				}
			});								
		}
	});
		
		//Add a product 
		$('#add_universal_product_form').submit(function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert('Products added to local list successfully');// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			
			//Call the native javascript reset object to reset form
			$("#add_universal_product_form").trigger("reset");
				
		});
	});
	
	
			
	//Submit brand form
	$('#add_brand_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_brand_form").trigger("reset");
			
	});
	
	//if the Brands button is clicked
	 $('#add_brand_btn').on('click',function(){
		 
		 var userId = $(this).data('brand-user-id');
		 
		 $.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_brands_user_id':userId}, 
		   success: function(data)
		   {
			   
			   $('#all_brands_body').html(data);
			   
			   //Delete brand
			   $('.delete_brand_btn').on('click',function(){
				   var brandId = $(this).data('brand-id');
				   var hospitalId = $(this).data('hospital-id');
				   $.ajax({
					   type: "POST",
					   url: url,
					   data: {'delete_brand_id':brandId,'delete_hospital_id':hospitalId,'delete_brand_user_id':userId}, 
					   success: function(data){
						   alert(data);
						},
						error: function(){ 
							alert('Brand not deleted'); 
						}
					 });
					 
					 //Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});
				   
			   });
			   
		   },
			error: function() 
			{ 
				alert('No brands found'); 
			}
		 });
	 });
	
	//Add a category 
	$('#add_category_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_category_form").trigger("reset");
			
	});
	
	//if the Brands button is clicked
	 $('#add_category_btn').on('click',function(){
		 
		 var userId = $(this).data('category-user-id');
		 
		 $.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_category_user_id':userId}, 
		   success: function(data)
		   {
			   
			   $('#all_categories_body').html(data);
			   
			   //Delete brand
			   $('.delete_category_btn').on('click',function(){
				   var categoryId = $(this).data('category-id');
				   var hospitalId = $(this).data('hospital-id');
				   $.ajax({
					   type: "POST",
					   url: url,
					   data: {'delete_category_id':categoryId,'delete_category_hospital_id':hospitalId,'delete_category_user_id':userId}, 
					   success: function(data){
						   alert(data);
						},
						error: function(){ 
							alert('Çategory not deleted'); 
						}
					 });
					 
					 //Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});
				   
			   });
			   
		   },
			error: function() 
			{ 
				alert('No brands found'); 
			}
		 });
	 });
	 
	 //Add a product row
	 $('.add_new_product_btn').on('click', function(){
		html='<tr>';
		html+='<td><input name="product_name[]" type="text" class="form-control" placeholder="Eg. Panadol, Carbol Fuchsin, Tongs ...etc"/></td>';
		html+='<td><input name="unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>';
		html+='<td>';
		html+='<select name="product_unit[]" type="text" class="form-control product_unit"></select>';
		html+='</td>';
		html+='<td>';
		html+='<select name="product_sold_as[]" type="text" class="form-control">';
		html+='<option>Tablet</option>';
		html+='<option>Capsule</option>';
		html+='<option>Piece</option>';
		html+='<option>Syrup</option>';
		html+='<option>Bottle</option>';
		html+='<option>Packet</option>';
		html+='<option>Box</option>';
		html+='<option>Strip</option>';
		html+='<option>Vial</option>';
		html+='<option>Ampule</option>';
		html+='<option>Reagent</option>';
		html+='</select>';
		html+='</td>';
		html+='<td>';
		html+='<select name="product_route[]" type="text" class="form-control">';
		html+='<option>N/A</option>';
		html+='<option>PO (by mouth)</option>';
		html+='<option>PR (per rectum)</option>';
		html+='<option>IM (intramuscular)</option>';
		html+='<option>IV (intravenous)</option>';
		html+='<option>ID (intradermal)</option>';
		html+='<option>IN (intranasal)</option>';
		html+='<option>TP (topical)</option>';
		html+='<option>SL (sublingual)</option>';
		html+='<option>BUCC (buccal)</option>';
		html+='<option>IP (intraperitoneal)</option>';
		html+='</select>';
		html+='</td>';
		html+='<td>';
		html+='<input name="product_brand[]" type="text" class="form-control">';
		html+='</td>';
		html+='<td>';
		html+='<select name="product_category[]" type="text" class="form-control product_category">';
		html+='</select>';
		html+='</td>';
		html+='<td> </td>';
		html+='<td><input name="buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
		html+='<td><input name="selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>';
		html+='<td><button type="button" class="btn btn-badge btn-danger remove_new_product_btn">Remove</button></td>';
		html+='</tr>';
		
		$('.add_product_body').append(html);
		
		$(".add_product_body").on('click', '.remove_new_product_btn', function () {
			$(this).closest('tr').remove();
		});
		
		//Get units used
		$.ajax({
				type: "POST",
			url: url,
			data: {'getUnitsUserId':userId}, 
			success: function(data){
			   $('.product_unit').html(data);
			},
			error: function(){ 
				alert('Units not detected'); 
			}
		});
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'getBrandsUserId':userId}, 
			success: function(data){
			   $('.product_brand').html(data);
			},
			error: function(){ 
				alert('Brands not detected'); 
			}
		});
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'getCategoriesUserId':userId}, 
			success: function(data){
			   $('.product_category').html(data);
			},
			error: function(){ 
				alert('Categories not detected'); 
			}
		});
		
	 });
	 
	//Add a product 
	$('#add_product_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_product_form").trigger("reset");
			
	});
	
	//View product details
	$('.view_product_button').on('click',function(){
		var productId = $(this).data('product-id');
		var hospitalId = $(this).data('hospital-id');
		var productName = $(this).data('product-name');
		
		$('#view_product_name_header').html(productName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'viewProductId':productId,'viewProductHospitalId':hospitalId}, 
			success: function(data){
				$('#view_a_product_container').html(data);						
			},
			error: function(){ 
				alert('No stock found'); 
			}
		});
	});
	
	//Edit product details
	$('.product_edit_button').on('click',function(){
		var productId = $(this).data('product-id');
		var hospitalId = $(this).data('hospital-id');
		var productName = $(this).data('product-name');
		
		$('#product_name_header').html(productName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'editProductId':productId,'editProductHospitalId':hospitalId,'editProductUserId':userId}, 
			success: function(data){
				$('#edit_a_product_container').html(data);
				
				//Save edit product info
				$('#edit_product_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
					
					//Call the native javascript reset object to reset form
					$("#edit_product_form").trigger("reset");
				});
				
			},
			error: function(){ 
				alert('No stock found'); 
			}
		});
	});
	
	//Delete product details
	$('.delete_product_button').on('click',function(){
		var productId = $(this).data('product-id');
		var hospitalId = $(this).data('hospital-id');
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'delete_product_id':productId,'delete_hospital_id':hospitalId,'delete_user_id':userId}, 
		   success: function(data){
			   alert(data);
			},
			error: function(){ 
				alert('Product not deleted'); 
			}
		 });
		 
		//Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});
		
	});
	
	//Update stock card
	$('.stock_card_button').on('click', function(){
		var productId = $(this).data('product-id');
		var hospitalId = $(this).data('hospital-id');
		var productName = $(this).data('product-name');
		
		$('#stock_name_header').html(productName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'stock_card_product_id':productId,'stock_card_product_hospital_id':hospitalId,'stock_card_product_user_id':userId}, 
			success: function(data){
			   $('#stock_card_body').html(data);
			},
			error: function(){ 
				alert('Stock card not detected'); 
			}
		});
	});
	
	//Add new stock
	$('#add_stock_btn').on('click', function(){
		//Search pharmacy item
		$('#search_product_term').on('keyup', function(){
			var searchTerm = $(this).val();
			
			if(searchTerm == ''){
				$('#searched_medicine').html('');
			}else{
				$.ajax({
					type: "POST",
					url: url,
					data: {'search_product_name':searchTerm,'search_product_user_id':userId}, 
					success: function(data){
						
					   $('#searched_medicine').html(data);  
					   
					   $('.search_term_result').on('click', function(){
						   var productId = $(this).data('product-id');						   
						   var productName = $(this).data('product-name');						   
						   var productBrand = $(this).data('product-brand');						   
						   var unitStrength = $(this).data('unit-strength');
						   var soldAs = $(this).data('sold-as');
						   var hospitalId = $(this).data('hospital-id');
						   //var userId = $(this).data('user-id');
						   var stockQty = $(this).data('stock-qty');
						   
							var html='<tr>';
							html+='<td><center>'+productName+'</center></td>';
							html+='<td><center>'+unitStrength+'</center></td>';
							html+='<td><center>'+productBrand+'</center></td>';
							html+='<td><center><input type="text" name="stock_quantity[]" style="width:5rem;"/></center></td>';
							html+='<td><center><input type="text" name="stock_ppi[]" style="width:5rem;"/></center></td>';
							html+='<td><center><input type="date" name="stock_exp_date[]" style="width:5rem;"/></center></td>';
							html+='<td><center><input type="text" name="stock_lot_no[]" style="width:5rem;"/></center></td>';
							html+='<td><center><input type="text" name="stock_buy_price[]" style="width:5rem;"/></center></td>';
							html+='<td><center><input type="text" name="stock_sell_price[]" style="width:5rem;"/></center></td>';
							html+='<input type="hidden" name="stock_product_id[]" value="'+productId+'"/>';
							html+='<input type="hidden" name="stock_product_name[]" value="'+productName+'"/>';
							html+='<input type="hidden" name="stock_strength[]" value="'+unitStrength+'"/>';
							html+='<input type="hidden" name="stock_brand[]" value="'+productBrand+'"/>';
							html+='<input type="hidden" name="stock_hospital_id[]" value="'+hospitalId+'"/>';
							html+='<input type="hidden" name="stock_user_id[]" value="'+userId+'"/>';
							html+='<td><center><button type="submit" class="badge badge-danger remove_medicine_btn" id="'+productId+'">Remove</button></center></td>';
							html+='</tr>';
							
							$('.searched_term_body').append(html);
							
							$(".searched_term_body").on('click', '.remove_medicine_btn', function () {
								$(this).closest('tr').remove();
							});
							
					   });
					},
					error: function(){ 
					
						alert('No Medicine found'); 
					}
				});
			}
			
		});
		
		//Submit order
		$('#refill_stock_form').submit(function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#refill_stock_form").trigger("reset");
		});
	});
	
	//Make Order button is clicked
	$('.reorder_button').on('click',function(){
		var productId = $(this).data('product-id');
		var hospitalId = $(this).data('hospital-id');
		var productName = $(this).data('product-name');
		var departmentName = $(this).data('department');
		
		$('#make_order_header').html(productName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'order_product_id':productId,'order_product_name':productName,'order_hospital_id':hospitalId,'order_user_id':userId,'order_department':departmentName}, 
			success: function(data){
				
				$('.make_order_card').html(data);
				
				//Submit order
				$('.re_order_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					//Call the native javascript reset object to reset form
					$(".re_order_form").trigger("reset");
				});
				
			},
			error: function(){ 
				alert('No stock found'); 
			}
		});
	});

	//Search Product
	$('.search_products').on('keyup',function(){
		var searchedProductTerm = $(this).val();
		
		if(searchedProductTerm == ''){
			$.ajax({
				type: "POST",
				url: url,
				data: {'get_products_user_id':userId}, 
				success: function(data){
					$('#product_details_table_body').html(data);
					
					//View product details
					$('.view_product_button').on('click',function(){
						var productId = $(this).data('product-id');
						var hospitalId = $(this).data('hospital-id');
						var productName = $(this).data('product-name');
						
						$('#view_product_name_header').html(productName);
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'viewProductId':productId,'viewProductHospitalId':hospitalId}, 
							success: function(data){
								$('#view_a_product_container').html(data);						
							},
							error: function(){ 
								alert('No stock found'); 
							}
						});
					});
					
					//Edit product details
					$('.product_edit_button').on('click',function(){
						var productId = $(this).data('product-id');
						var hospitalId = $(this).data('hospital-id');
						var productName = $(this).data('product-name');
						
						$('#product_name_header').html(productName);
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'editProductId':productId,'editProductHospitalId':hospitalId,'editProductUserId':userId}, 
							success: function(data){
								$('#edit_a_product_container').html(data);
								
								//Save edit product info
								$('#edit_product_form').submit(function(e){
									
									e.preventDefault(); // avoid to execute the actual submit of the form.
									var form = $(this);	
									//If the checkbox is checked, save the data, if not, give an alert
								
									$.ajax({
									   type: "POST",
									   url: url,
									   data: form.serialize(), // serializes the form's elements.
									   success: function(data)
									   {
										   alert(data);// show response from the php script.
										   window.location.reload();
									   },
										error: function() 
										{ 
											alert('error'); 
										}
									});
									 
									/*/Reload page after Ajax request
									$(document).ajaxStop(function(){
										window.location.reload();
									});*/
									
									//Call the native javascript reset object to reset form
									$("#edit_product_form").trigger("reset");
								});
								
							},
							error: function(){ 
								alert('No stock found'); 
							}
						});
					});
					
					$('.delete_product_button').on('click', function(){
						var productId = $(this).data('product-id');
						var hospitalId = $(this).data('hospital-id');
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'delete_product_id':productId,'delete_product_hospital_id':hospitalId,'delete_product_user_id':userId}, 
							success: function(data)
							{
								alert(data);
								window.location.reload();
							},
							error: function() 
							{ 
								alert('There was an error'); 
							}
						});
					});
					
				},
				error: function(){ 
					alert('No stock found'); 
				}
			});
		}else{
			$.ajax({
				type: "POST",
				url: url,
				data: {'searchedProductTerm':searchedProductTerm,'searchedProductUserId':userId}, 
				success: function(data){
					$('#product_details_table_body').html(data);
					
					//View product details
					$('.view_product_button').on('click',function(){
						var productId = $(this).data('product-id');
						var hospitalId = $(this).data('hospital-id');
						var productName = $(this).data('product-name');
						
						$('#view_product_name_header').html(productName);
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'viewProductId':productId,'viewProductHospitalId':hospitalId}, 
							success: function(data){
								$('#view_a_product_container').html(data);						
							},
							error: function(){ 
								alert('No stock found'); 
							}
						});
					});
					
					//Edit product details
					$('.product_edit_button').on('click',function(){
						var productId = $(this).data('product-id');
						var hospitalId = $(this).data('hospital-id');
						var productName = $(this).data('product-name');
						
						$('#product_name_header').html(productName);
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'editProductId':productId,'editProductHospitalId':hospitalId,'editProductUserId':userId}, 
							success: function(data){
								$('#edit_a_product_container').html(data);
								
								//Save edit product info
								$('#edit_product_form').submit(function(e){
									
									e.preventDefault(); // avoid to execute the actual submit of the form.
									var form = $(this);	
									//If the checkbox is checked, save the data, if not, give an alert
								
									$.ajax({
									   type: "POST",
									   url: url,
									   data: form.serialize(), // serializes the form's elements.
									   success: function(data)
									   {
										   alert(data);// show response from the php script.
										   window.location.reload();
									   },
										error: function() 
										{ 
											alert('error'); 
										}
									});
									 
									/*/Reload page after Ajax request
									$(document).ajaxStop(function(){
										window.location.reload();
									});*/
									
									//Call the native javascript reset object to reset form
									$("#edit_product_form").trigger("reset");
								});
								
							},
							error: function(){ 
								alert('No stock found'); 
							}
						});
					});
					
					$('.delete_product_button').on('click', function(){
						var productId = $(this).data('product-id');
						var hospitalId = $(this).data('hospital-id');
						
						$.ajax({
							type: "POST",
							url: url,
							data: {'delete_product_id':productId,'delete_product_hospital_id':hospitalId,'delete_product_user_id':userId}, 
							success: function(data)
							{
								alert(data);
								window.location.reload();
							},
							error: function() 
							{ 
								alert('There was an error'); 
							}
						});
					});
					
				},
				error: function(){ 
					alert('No stock found'); 
				}
			});								
		}
	});
	
	//Submit walkin prescription
	$('#save_prescription_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#save_prescription_form").trigger("reset");
	});
	
	
	
	//Issue stock item
	$('.issue_item_btn').on('click', function(){
		  var productId = $(this).data('product-id');
		  var orderId = $(this).data('order-id');
		  var hospitalId = $(this).data('hospital-id');
		  var departmentName = $(this).data('department-name');
		  var orderQuantity = $(this).data('order-quantity');
		  var inStock = $(this).data('in-stock');
		  var quantityIssued = $('#product'+productId).val();
		  
		  //If quantity issued is greater than the quantity in stock
		  if(parseInt(quantityIssued) > parseInt(inStock)){
			  alert('Quantity issued cannot be more than what is in stock. Please update the stock and issue again.');
		  }else{
			  $.ajax({
				   type: "POST",
				   url: url,
				   data: {'issue_item_user_id':userId,'issue_item_product_id':productId, 'issue_item_hospital_id':hospitalId, 'issue_item_order_id':orderId, 'issue_item_quantity_issued':quantityIssued, 'issue_item_department_name':departmentName,'issue_item_order_quantity':orderQuantity}, 
				   success: function(data)
				   {
					   alert(data);
					   //window.location.reload();
					   $('#item'+productId).html('<span style="color:blue; font-weight:bold;">Issued</span>');
					   $('#issue'+productId).html('');
					   $('#delete'+productId).html('');
					   
				   },
					error: function() 
					{ 
						alert('There was an error encountered. Try again or contact the administrator'); 
					}
				 });
		  }
	 });
	 
	 //Add a product physical count row
	$('.physical_count_product_btn').on('click', function(){
		
		var deptName = $(this).data('dept-name');
		
		html='<tr class="added_row">';
		html+='<td><center><select name="physical_count_product_name[]" type="text" class="form-control physical_count_product_name">';
		html+='</select></center></td>';
		html+='<td><center><input name="physical_count_quantity[]" type="text" class="form-control" /></center></td>';
		html+='<td><center><button type="button" class="btn btn-badge btn-danger remove_physical_count_btn">Remove</button></center></td>';
		html+='</tr>';

		$('.physical_count_product_body').append(html);

		$(".physical_count_product_body").on('click', '.remove_physical_count_btn', function () {
			$(this).closest('tr').remove();
		});

		$.ajax({
			type: "POST",
			url: url,
			data: {'getPhysicalCountProductUserId':userId,'getPhysicalCountDeptName':deptName}, 
			success: function(data){
			   $('.physical_count_product_name').html(data);
			},
			error: function(){ 
				alert('Products not detected'); 
			}
		});
	});
	
	//Save physical count
	$('#physical_count_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#physical_count_form").trigger("reset");
			
	});
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	 
});