$(document).ready(function(){
	
	//user controller url
	var url = './../controller/surgical.php';
	var userId = $('#user_id').data('user-id');
	
	//Add a Theatre
	$('#add_theatre_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data){
			   
			   alert(data);// show response from the php script.
			   window.location.reload();
			   
		   },
			error: function(){
				
				alert('error'); 
				
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_theatre_form").trigger("reset");
	});
	
	//Get all theatres
	$.ajax({
		type: "POST",
		url: url,
		data: {'get_all_theatres':userId}, 
		success: function(data){
			
			$('#all_theatre_body').html(data);
		},
		error: function(){ 
		
			alert('No samples found'); 
			
		}
	});
	
	//Add a Surgical Procedure
	$('#add_procedure_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data){
			   
			   alert(data);// show response from the php script.
			   window.location.reload();
			   
		   },
			error: function(){
				
				alert('error'); 
				
			}
		});
		
		//Call the native javascript reset object to reset form
		$("#add_procedure_form").trigger("reset");
	});
	
	//Get all theatres
	$.ajax({
		type: "POST",
		url: url,
		data: {'get_all_surgical_procedures':userId}, 
		success: function(data){
			
			$('#all_procedures_body').html(data);
		},
		error: function(){ 
		
			alert('No samples found'); 
			
		}
	});
	
	//Confirm theatre booking
	$('.confirm_booking_btn').on('click',function(){
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var procedureId = $(this).data('procedure-id');
		var theatre = $(this).data('theatre');
		var patientId = $(this).data('patient-id');
		var patientName = $(this).data('patient-name');
		var requestId = $(this).data('surgical-request-id');
		
		$('#confirm_theatre_header').html(theatre);
		$('#confirm_name_header').html(patientName);
		//Get all sample details for results entry
		$.ajax({
			type: "POST",
			url: url,
			data: {'booking_user_id':userId,'booking_patient_id':patientId,'booking_hospital_id':hospitalId,'booking_request_id':requestId}, 
			success: function(data){
				
				$('.confirm_booking_card').html(data);
				
				$('#confirm').on('click', function(){
					//get hospital id and sample no
					var hospitalId = $(this).data('hospital-id');
					var requestId = $(this).data('request-id');
					var patientId = $(this).data('patient-id');
					var requesterId = $(this).data('requester-id');
					
					//Get all sample details for results entry
					$.ajax({
						type: "POST",
						url: url,
						data: {'confirm_user_id':userId,'confirm_patient_id':patientId,'confirm_hospital_id':hospitalId,'confirm_request_id':requestId,'confirm_requester_id':requesterId}, 
						success: function(data){
							alert(data);
							window.location.reload();
						},
						error: function(){ 
						
							alert('No bookings found'); 
							
						}
					});
				});
				
			},
			error: function(){ 
			
				alert('No samples found'); 
				
			}
		});
	});
	
	//Prepare patient for theatre
	$('.prepare_patient_btn').on('click',function(){
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var procedureId = $(this).data('procedure-id');
		var procedureName = $(this).data('procedure-name');
		var theatre = $(this).data('theatre');
		var patientId = $(this).data('patient-id');
		var patientName = $(this).data('patient-name');
		var requestId = $(this).data('surgical-request-id');
		
		$('#prepare_name_header').html(patientName);
		$('#prepare_procedure_header').html(procedureName);
		//Get all sample details for results entry
		$.ajax({
			type: "POST",
			url: url,
			data: {'prepare_patient_user_id':userId,'prepare_patient_patient_id':patientId,'prepare_patient_hospital_id':hospitalId,'prepare_patient_request_id':requestId}, 
			success: function(data){
				
				$('.prepare_patient_card').html(data);
				
				//Submit the edit sample form 
				$('#prepare_patient_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data){
						   
						   alert(data);// show response from the php script.
						   window.location.reload();
						   
					   },
						error: function(){
							
							alert('error'); 
							
						}
					});
					
					//Call the native javascript reset object to reset form
					$("#prepare_patient_form").trigger("reset");
				});
				
			},
			error: function(){ 
			
				alert('No samples found'); 
				
			}
		});
	});
	
	//Start procedure for the patient
	$('.start_procedure_btn').on('click',function(){
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var procedureId = $(this).data('procedure-id');
		var procedureName = $(this).data('procedure-name');
		var theatre = $(this).data('theatre');
		var patientId = $(this).data('patient-id');
		var patientName = $(this).data('patient-name');
		var requestId = $(this).data('surgical-request-id');
		
		$('#start_procedure_name_header').html(patientName);
		$('#start_procedure_header').html(procedureName);
		//Get all sample details for results entry
		$.ajax({
			type: "POST",
			url: url,
			data: {'start_procedure_user_id':userId,'start_procedure_patient_id':patientId,'start_procedure_hospital_id':hospitalId,'start_procedure_request_id':requestId}, 
			success: function(data){
				
				$('.start_procedure_card').html(data);
				
				//If patient in OR
				$('#start_prep_room').on('change',function(){
					$.ajax({
						type: "POST",
						url: url,
						data: {'start_prep_user_id':userId,'start_prep_patient_id':patientId,'start_prep_hospital_id':hospitalId,'start_prep_request_id':requestId}, 
						success: function(data){
							//alert(data);
						},
						error: function(){ 
						
							alert('No bookings found'); 
							
						}
					});
				});
				
				//If timeout is heald
				$('#start_timeout_held').on('change',function(){
					$.ajax({
						type: "POST",
						url: url,
						data: {'timeout_held_user_id':userId,'timeout_held_patient_id':patientId,'timeout_held_hospital_id':hospitalId,'timeout_held_request_id':requestId}, 
						success: function(data){
							//alert(data);
						},
						error: function(){ 
						
							alert('No bookings found'); 
							
						}
					});
				});
				
				//If anaesthesia starts
				$('#start_anaesthesia_start').on('change',function(){
					$.ajax({
						type: "POST",
						url: url,
						data: {'anaesthesia_start_user_id':userId,'anaesthesia_start_patient_id':patientId,'anaesthesia_start_hospital_id':hospitalId,'anaesthesia_start_request_id':requestId}, 
						success: function(data){
							//alert(data);
						},
						error: function(){ 
						
							alert('No bookings found'); 
							
						}
					});
				});
				
				//If anaesthesia is ready
				$('#start_anaesthesia_ready').on('change',function(){
					$.ajax({
						type: "POST",
						url: url,
						data: {'anaesthesia_ready_user_id':userId,'anaesthesia_ready_patient_id':patientId,'anaesthesia_ready_hospital_id':hospitalId,'anaesthesia_ready_request_id':requestId}, 
						success: function(data){
							//alert(data);
						},
						error: function(){ 
						
							alert('No bookings found'); 
							
						}
					});
				});
				
				//If position start
				$('#start_position_start').on('change',function(){
					$.ajax({
						type: "POST",
						url: url,
						data: {'position_start_user_id':userId,'position_start_patient_id':patientId,'position_start_hospital_id':hospitalId,'position_start_request_id':requestId}, 
						success: function(data){
							//alert(data);
						},
						error: function(){ 
						
							alert('No bookings found'); 
							
						}
					});
				});
				
				//If position ready
				$('#start_position_ready').on('change',function(){
					$.ajax({
						type: "POST",
						url: url,
						data: {'position_ready_user_id':userId,'position_ready_patient_id':patientId,'position_ready_hospital_id':hospitalId,'position_ready_request_id':requestId}, 
						success: function(data){
							//alert(data);
						},
						error: function(){ 
						
							alert('No bookings found'); 
							
						}
					});
				});
				
				//If procedure start
				$('#start_procedure_start').on('change',function(){
					$.ajax({
						type: "POST",
						url: url,
						data: {'procedure_start_user_id':userId,'procedure_start_patient_id':patientId,'procedure_start_hospital_id':hospitalId,'procedure_start_request_id':requestId}, 
						success: function(data){
							//alert(data);
						},
						error: function(){ 
						
							alert('No bookings found'); 
							
						}
					});
				});
				
				//If procedure finished
				$('#start_procedure_finished').on('change',function(){
					$.ajax({
						type: "POST",
						url: url,
						data: {'procedure_fin_user_id':userId,'procedure_fin_patient_id':patientId,'procedure_fin_hospital_id':hospitalId,'procedure_fin_request_id':requestId}, 
						success: function(data){
							//alert(data);
						},
						error: function(){ 
						
							alert('No bookings found'); 
							
						}
					});
				});
				
				//If patient leaving OR
				$('#start_patient_out_of_room').on('change',function(){
					$.ajax({
						type: "POST",
						url: url,
						data: {'leave_or_user_id':userId,'leave_or_patient_id':patientId,'leave_or_hospital_id':hospitalId,'leave_or_request_id':requestId}, 
						success: function(data){
							//alert(data);
						},
						error: function(){ 
						
							alert('No bookings found'); 
							
						}
					});
				});
				
				//Submit the edit sample form 
				$('#start_procedure_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data){
						   
						   alert(data);// show response from the php script.
						   window.location.reload();
						   
					   },
						error: function(){
							
							alert('error'); 
							
						}
					});
					
					//Call the native javascript reset object to reset form
					$("#start_procedure_form").trigger("reset");
				});
				
			},
			error: function(){ 
			
				alert('No samples found'); 
				
			}
		});
	});
	
	//Prepare patient for theatre
	$('.recovery_btn').on('click',function(){
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var procedureId = $(this).data('procedure-id');
		var procedureName = $(this).data('procedure-name');
		var theatre = $(this).data('theatre');
		var patientId = $(this).data('patient-id');
		var patientName = $(this).data('patient-name');
		var requestId = $(this).data('request-id');
		
		$('#recovery_name_header').html(patientName);
		$('#recovery_header').html(procedureName);
		//Get all sample details for results entry
		$.ajax({
			type: "POST",
			url: url,
			data: {'start_recovery_user_id':userId,'start_recovery_patient_id':patientId,'start_recovery_hospital_id':hospitalId,'start_recovery_request_id':requestId}, 
			success: function(data){
				
				$('.recovery_card').html(data);
				
				$('#recovery_report').summernote();
				
				//Submit the edit sample form 
				$('#recovery_form').on('submit',function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
				
					$.ajax({
					   type: "POST",
					   url: url,
					   data: form.serialize(), // serializes the form's elements.
					   success: function(data){
						   
						   alert(data);// show response from the php script.
						   window.location.reload();
						   
					   },
						error: function(){
							
							alert('error'); 
							
						}
					});
					
					//Call the native javascript reset object to reset form
					$("#recovery_form").trigger("reset");
				});
				
			},
			error: function(){ 
			
				alert('No surgeries found'); 
				
			}
		});
	});
	
	//Recovery report
	$('.recovery_report_btn').on('click',function(){
		//get hospital id and sample no
		var hospitalId = $(this).data('hospital-id');
		var procedureId = $(this).data('procedure-id');
		var procedureName = $(this).data('procedure-name');
		var theatre = $(this).data('theatre');
		var patientId = $(this).data('patient-id');
		var patientName = $(this).data('patient-name');
		var requestId = $(this).data('request-id');
		
		$('#recovery_report_name_header').html(patientName);
		$('#recovery_report_header').html(procedureName);
		//Get all sample details for results entry
		$.ajax({
			type: "POST",
			url: url,
			data: {'recovery_report_user_id':userId,'recovery_report_patient_id':patientId,'recovery_report_hospital_id':hospitalId,'recovery_report_request_id':requestId}, 
			success: function(data){
				
				$('.recovery_report_card').html(data);
				
				//Print patient report
				$('.print_surgery_report').click(function(){
					var mode = 'iframe';
					var Close=mode=='popup';
					var standards = "html5";
					var options = {mode:mode,popClose:Close,standard:standards};
					$('.recovery_report_card').printArea(options);
				});
				
				
			},
			error: function(){ 
			
				alert('No surgeries found'); 
				
			}
		});
	});
	
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	
	
});