<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$dpt_name;
	$user_id = $_GET['user_id'];
	if(isset($_GET['department'])){
		$dpt_name = $_GET['department'];
	}else{
		$dpt_name = 'OPD';
	}
    $objUser = new Users();
    $objHospital = new Hospitals();
	


?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Patients</title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/helper.css" rel="stylesheet">
    <link href="../assets/css/lib/jquery-ui.min.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
    <link href="../assets/css/style.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>" data-department="<?php echo $dpt_name; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<div class="row" style="margin-top:10px;">
						<div class="col-md-12">
							<div class="row page-titles mx-0">
								<div class="col-sm-12 p-md-0  mt-2 mt-sm-0 d-flex justify-content-between">
									<?php
									//Get the type of user
									$get_user_details = $objUser->get_user_details($user_id);
									if(empty($get_user_details)){
										$user_type='no';
									}else{
										$user_type='super_admin';
									}
									
									$get_staff_roles = $objHospital->get_user_staff_roles($user_id);
									if(empty($get_staff_roles)){
										//Do nothing
									}else{
										foreach($get_staff_roles as $roles){
											//$enter_patient_data = $roles['enter_patient_data'];
											$full_reception_access = $roles['full_reception_access'];
											$full_doctors_room_access = $roles['full_doctors_room_access'];
											$super_user = $roles['super_user'];
										}
									}
									if($super_user == 'yes' || $user_type=='super_admin' || ($access_patient_data=='yes' && $full_doctors_room_access=='yes')){
									?>
									<a href="triaged.php?user_id=<?php echo $user_id; ?>" class="btn btn-dark"><span class="btn-icon-right"><i class="fa fa-arrow-left"></i></span>Go to Manage Patient</a>
									<?php }?>
									<button id="add_patient" type="button" class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-lg"><span
											class="btn-icon-right"><i class="fa fa-plus"></i></span>Add New Patient</button>
								</div>
							</div>
							<div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true">
								<div class="modal-dialog modal-lg">
									<div class="modal-content">
										<div class="modal-header">
											<h5 class="modal-title">Add Patient</h5>
											<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
											</button>
										</div>
										<form method="post" id="add_patient_form" enctype="multipart/form-data">
										<div class="modal-body">
											<div class="card">
												<div class="card-body">
													<div class="basic-form">
														<div class="form-row">
															<div class="form-group col-md-6">
																<label><span style="color:black;">First Name</span><span style="color:red;">*</span></label>
																<input type="text" name="patient_first_name" class="form-control" required>
															</div>
															<!--<div class="form-group col-md-4">
																<label><span style="color:black;">Middle Name</span></label>-->
																<input type="hidden" name="patient_middle_name" class="form-control">
															<!--</div>-->
															<div class="form-group col-md-6">
																<label><span style="color:black;">Last Name</span><span style="color:red;">*</span></label>
																<input type="text" name="patient_last_name" class="form-control" required>
															</div>
														</div>
														<div class="form-row">
															<div class="form-group col-md-4">
																<label><span style="color:black;">Gender</span><span style="color:red;">*</span></label>
																<select type="text" class="form-control" name="patient_gender" required>
																	<option value="Male">Male</option>
																	<option value="Female">Female</option>
																</select>
															</div>
															<div class="form-group col-md-4">
																<label><span style="color:black;">Phone Number</span><span style="color:red;">*</span></label>
																<input type="text" name="patient_phone_number" class="form-control" required>
															</div>														
															<div class="form-group col-md-2">
																<label><span style="color:black;">Age(Years)</span></label>
																<input type="text" name="patient_age_year" class="form-control">
															</div>
															<div class="form-group col-md-2">
																<label><span style="color:black;">Age(Months)</span><span style="color:red;"></span></label>
																<input type="text" name="patient_age_month" class="form-control">
															</div>
														</div>
														<div class="form-row">
															<div class="form-group col-md-6">
																<label><span style="color:black;">Physical Address</span><span style="color:red;">*</span></label>
																<input type="text" name="patient_address" class="form-control" required>
															</div>
															<div class="form-group col-md-6">
																<label><span style="color:black;">Email (to send results on):</span></label>
																<input type="text" class="form-control" name="patient_email">
															</div>
														</div>
														<div class="form-row">
																<input type="hidden" class="form-control" name="nature_of_visit" />
															<div class="form-group col-md-6">
																<label><span style="color:black;">Next of Kin Name</span><span style="color:red;"></span></label>
																<input type="text" name="next_of_kin" class="form-control" >
															</div>
															<div class="form-group col-md-6">
																<label><span style="color:black;">Next of Kin Phone Number</span><span style="color:red;"></span></label>
																<input type="text" name="next_of_kin_phone" class="form-control" />
															</div>
														</div>
														<div class="form-row">
															<div class="form-group col-md-4">
																<label><span style="color:black;">Attach Photo</span></label>
																<div class="custom-file">
																	<input type="file" name="patient_photo" id="staff_image" class="custom-file-input">
																	<label class="custom-file-label">Choose file</label>
																</div>
															</div>
															<div class="form-group col-md-4" align="center">
																<label><span style="color:black;">Or Take Photo</span></label>
																<div id="my_camera" class="pre_capture_frame">
																	<!---Camera preview goes here--->
																</div>
																<input type="hidden" name="patient_snap" id="patient_snap" class="form-control" />
																<input style="margin-top:5px;" type="button" id="take_photo" class="btn btn-info btn-round btn-file" value="Take Photo" />
															</div>
															<div class="form-group col-md-4" align="center">
																<label><span style="color:black;"><b>Taken Photo</b></span></label>
																<div id="result" class="after_capture_frame" >
																	<!----Screenshot image goes here--->
																</div>
															</div>
														</div>
														<div class="form-row">
															<div class="form-group col-md-4" align="center">
																<label><span style="color:black;"><b></b></span></label>
																<div id="finger_print" class="after_capture_frame" >
																	<!----Screenshot image goes here--->
																</div>
															</div>
															<div class="form-group col-md-4" align="center">
																<!---<label><span style="color:black;">Fingerprint</span></label>-->
																<div id="my_finger_print" class="pre_capture_frame">
																	<!---Camera preview goes here--->
																</div>
																<input type="hidden" name="patient_snap" id="patient_fingerprint" class="form-control" />
																<!---<input style="margin-top:5px;" type="button" id="take_fingerprint_btn" class="btn btn-dark btn-round btn-file" value="Take Fingerprint" />--->
																<button type="button" class="btn btn-rounded btn-success" data-toggle="collapse" href="#vital_signs"><i class="fa fa-plus"></i>&nbsp; Add Vital Signs</button>
															</div>
														</div>
														<div class="img-container collapse" id="vital_signs">
															<div class="img-container">
																<div class="card" style="width:100%;">
																	<div class="row">
																		<div class="col-sm-6">  
																			<label><span style="color:black;">Blood Pressure (mm Hg)</span></label>
																			<div class="row">
																				<input type="text" style="width:9rem; float:left;" name="systolic" class="form-control" placeholder="Systolic"> &nbsp; &nbsp; <span style="font-size:30px;"> / </span>&nbsp; &nbsp; <input type="text" name="diastolic" style="width:9rem; float:right;" class="form-control" placeholder="Diastolic">
																			</div>
																		</div>
																		<div class="col-sm-6">  
																			<label><span style="color:black;">Heart Rate (Beats/Min)</span></label>
																			<input type="text" name="heart_rate" class="form-control" >
																		</div>
																	</div>
																	<div class="row">
																		<div class="col-sm-6">
																			<label><span style="color:black;">Weight (Kg)</span></label>
																			<input type="text" name="weight" class="form-control">
																		</div>
																		<div class="col-sm-6">  
																			<label><span style="color:black;">Temperature (Degrees Celcius)</span></label>
																			<input type="text" name="temperature" class="form-control" >
																		</div>
																	</div>
																	<div class="row">
																		<div class="col-sm-6">  
																			<label><span style="color:black;">Respiratory Rate (Breaths/Min)</span></label>
																			<input type="text" name="respiratory_rate" class="form-control" >
																		</div>
																		<div class="col-sm-6">
																			<label><span style="color:black;">Oxygen Saturation (S<sub>p</sub>O<sub>2</sub> in %)</span></label>
																			<input type="text" name="oxygen_saturation" class="form-control">
																		</div>
																	
																	</div>
																	<div class="row">
																		<div class="col-sm-6">  
																			<label><span style="color:black;">Height (Centimeters)</span></label>
																			<input type="text" name="height" class="form-control">
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
										<div class="modal-footer">
											<input type="hidden" name="add_patient_user_id" value="<?php echo $user_id; ?>">
											<input type="hidden" name="add_patient_department" value="<?php echo $dpt_name; ?>">
											<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
											<button type="submit" class="btn btn-primary">Save Patient</button>
										</div>
										</form>
									</div>
								</div>
							</div>							
						</div>
					</div>
					<div class="col-md-12" style="overflow-y:scroll;">
						<!-- Modal for patients details -->
						<div class="modal fade edit_patient" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
						  <div class="modal-dialog">
							<div class="modal-content" style="width: 1000px;">
							<form method="post" id="edit_patient_form" enctype="multipart/form-data">
							  <div class="modal-header">
								<h5 class="modal-title" id="staticBackdropLabel">Edit Patient Details</h5>
								<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
							  </div>
							  
							  <div class="edit_patient_body">
								<!-------Patient details to edit go here--->
							  </div>
							</form>
							</div>
						  </div>
						</div>
					</div>
                    <div class="row">
						<div class="col-md-12">
							<div class="card">
								<div class="card-header all_patients d-flex">
									<div class="col-sm-8">
										<h3 class="card-title">All Patients at Reception</h3>
									</div>
									<div class="col-sm-4" style="float:right;">
										<input class="form-control search_patients" placeholder="Search Patients">
									</div>
								</div>
								<div class="card-body">
									<div class="table-responsive">
										<table class="table table-hover table-responsive-sm">
											<thead>
												<tr>
													<th><center>Patient ID</center></th>
													<th colspan="2">Patient Name</th>
													<th><center>Gender</center></th>
													<th><center>Phone Number</center></th>
													<th><center>Age(Yrs)</center></th>
													<th><center>Status</center></th>
													<th><center>Requested Services</center></th>
													<th><center>Actions</center></th>
												</tr>
											</thead>
											<tbody class="added_patients">
												
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
                    </div>

					<!------Follow up patient----->
					<div class="modal fade" id="followup_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
						<div class="modal-dialog modal-lg" role="document">
							<div class="modal-content" style="height:45rem; overflow-y:scroll;">
								<div class="modal-header">
									<h5 class="modal-title" id="modalLabel">Please indicate Whether or Not the patient needs review</h5>
									<button type="button" class="close" data-dismiss="modal" aria-label="Close">
										<span aria-hidden="true">×</span>
									</button>
								</div>
								<form method="post" class="add_follow_up_form">
								<div class="modal-body">
									<div class="img-container">
										<div class="row">
											<div class="col-sm-12">  
												<div class="form-group">
												  <label for="event_name">Status/Condition at discharge:</label>
												  <select class="form-control" type="text" name="follow_up_condition">
													<option>Good</option>
													<option>Stable</option>
													<option>Fair</option>
													<option>Critical</option>
													<option data-toggle="collapse" href="#death_details" aria-expanded="false" aria-controls="category">Dead</option>
												  </select>
												</div>
											</div>
											<div class="col-sm-12">  
												<div class="form-group">
												  <label for="event_name">Additional Notes:</label>
												  <textarea class="form-control" type="text" name="follow_up_notes" rows="3" style="height:100%;"></textarea>
												</div>
											</div>
										</div>
										<div class="row collapse" id="death_details">
											<div class="form-group col-md-6">
											  <label for="event_name">Date of Birth:</label>
											  <input class="form-control" type="date" name="death_dob" id="death_dob">
											</div>
											<div class="form-group col-md-6">
											  <label for="event_name">Place of Birth:</label>
											  <input class="form-control" type="text" name="place_of_birth" id="place_of_birth">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">Date of Death:</label>
											  <input class="form-control" type="date" name="date_of_death" id="date_of_death">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">Time of Death:</label>
											  <input class="form-control" type="text" name="time_of_death" id="time_of_death">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">Place of Death:</label>
											  <input class="form-control" type="text" name="place_of_death" id="place_of_death">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">No of House and Name of Street:</label>
											  <input class="form-control" type="text" name="death_house_address" id="death_house_address">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">Occupation:</label>
											  <input class="form-control" type="text" name="death_occupation" id="death_occupation">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">Village:</label>
											  <input class="form-control" type="text" name="death_village" id="death_village">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">Parish:</label>
											  <input class="form-control" type="text" name="death_parish" name="death_parish">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">Sub County:</label>
											  <input class="form-control" type="text" name="death_subcounty" id="death_subcounty">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">Country:</label>
											  <input class="form-control" type="text" name="death_country" id="death_country">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">District:</label>
											  <input class="form-control" type="text" name="death_district" id="death_district">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">Nationality:</label>
											  <input class="form-control" type="text" name="death_nationality" id="death_nationality">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">NIN:</label>
											  <input class="form-control" type="text" name="nin" id="nin">
											</div>
											<div class="form-group col-md-4">
											  <label for="event_name">Cause of Death:</label>
											  <input class="form-control" type="text" name="death_cause_of_death" id="death_cause_of_death">
											</div>
											<div class="form-group col-md-12">
											  <label for="event_name">If a dead body is found, also the name and address of the finder and narrate shortly the circumstances:</label>
											  <textarea class="form-control" type="text" name="dead_body_found" id="dead_body_found" rows="3" style="height:100%;"></textarea>
											</div>
											<div class="form-group col-md-12">
											  <label for="event_name">If name unknown, give full description for purposes of identification:</label>
											  <textarea class="form-control" type="text" name="death_name_unknown" id="death_name_unknown" rows="3" style="height:100%;"></textarea>
											</div>
											<div class="form-group col-md-12">
											  <label for="event_name">Why was the death not registered within the prescribed period?*:</label>
											  <textarea class="form-control" type="text" name="why_death_not_registered" id="why_death_not_registered" rows="3" style="height:100%;"></textarea>
											</div>
										</div>
										<div class="row">
											<div class="col-sm-12">  
												<div class="form-group">
												  <label for="event_name">Is Review Required:</label>
												  <select type="text" name="follow_up_required" id="follow_up_required" class="form-control" style="width:100%;">
													<option>No</option>
													<option>Yes</option>
												  </select>
												</div>
											</div>
										</div>
										<div class="row">
											<div class="col-sm-6">  
												<div class="form-group">
												  <label for="event_name">Select Doctor:</label>
												  <select type="text" name="follow_up_doctor" id="appointment_doctor" class="js-example-disabled-multi" multiple="multiple" style="width:100%;">
													<?php
													$get_doctors = $objHospital->get_all_doctors($user_id);
													if(empty($get_doctors)){
														echo'<option>There are no Doctors yet</option>';
													}else{
														foreach($get_doctors as $doctors){
															$first_name = $doctors['first_name'];
															$last_name = $doctors['last_name'];
															$staff_id = $doctors['staff_id'];
															echo'<option value="'.$staff_id.'">'.$first_name.' '.$last_name.'</option>';
														}
													}
													
													?>
												  </select>
												 </div>
											</div>
											<div class="col-sm-6">  
												<div class="form-group">
												  <label for="event_start_date">Review Date:</label>
												  <input type="date" name="follow_up_date" id="follow_up_date" class="form-control onlydatepicker">
												 </div>
											</div>
										</div>
									</div>
								</div>
								<div class="modal-footer">
									<input type="hidden" name="follow_up_user_id" value="<?php echo $user_id; ?>">
									<input type="hidden" name="follow_up_patient_id" id="follow_up_patient_id">
									<input type="hidden" name="follow_up_hospital_id" id="follow_up_hospital_id">
									<input type="hidden" name="follow_up_visit_id" id="follow_up_visit_id">
									<button type="submit" id="follow_up_discharge" class="btn btn-success discharge_patient_btn">Discharge Patient</button>
								</div>
								</form>
							</div>
						</div>
					</div>
					
					
					<div class="col-md-6" style="overflow-y:scroll;">
						<!-- Modal for patients details -->
						<div class="modal fade send_to_doc_modal" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
						  <div class="modal-dialog">
							<div class="modal-content" style="width: 45rem; height:12rem;">
							<form method="post" id="edit_staff_category_form">
							  <div class="modal-header">
								<h5 class="modal-title" id="staticBackdropLabel">Select Doctor from the Drop-Down list below</h5>
								<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
							  </div>
							  <form method="post" id="send_to_doc_form">
							  <div class="set_consultation_fee_body">
								<div class="col-md-12">
								  <select name="select_doctor" id="send_to_doctor" type="text" class="form-control" style="border: 1px solid grey;">
								    <?php
									    $get_staff_categories = $objHospital->get_staff_categories_fees($user_id);
										if(empty($get_staff_categories)){
											echo'<option>There are no fees added yet</option>';
										}else{
											foreach($get_staff_categories as $category){
												$staff_category_id = $category['staff_category_id'];
												$staff_category_name = $category['staff_category_name'];
												$fees = $category['fee'];
												echo'<option value="'.$staff_category_id.'">'.$staff_category_name.'</option>';
											}
										}
									?>
								  </select>
								  <input type="hidden" name="send_to_doc_user_id" id="send_to_doc_user_id" value="<?php echo $user_id;?>">
								  <input type="hidden" name="send_to_doc_patient_id" id="send_to_doc_patient_id" >
								  <input type="hidden" name="send_to_doc_department" id="send_to_doc_department" >
								</div>
							  </div>
							  <div class="modal-footer">
								<button type="button" id="send_to_doc_btn" class="btn btn-primary">Send to Doctor</button>
								<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
							  </div>
							  </form>
							</div>
						  </div>
						</div>
					</div>
					
					
					
					
					
					
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
	<script src="../assets/js/lib/jquery.min.js"></script>
	<script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/lib/popper.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>


    <script src="../assets/js/lib/weather/jquery.simpleWeather.min.js"></script>
    <script src="../assets/js/lib/weather/weather-init.js"></script>
    <script src="../assets/js/lib/circle-progress/circle-progress.min.js"></script>
    <script src="../assets/js/lib/circle-progress/circle-progress-init.js"></script>
    <script src="../assets/js/lib/chartist/chartist.min.js"></script>
    <script src="../assets/js/lib/sparklinechart/jquery.sparkline.min.js"></script>
    <script src="../assets/js/lib/sparklinechart/sparkline.init.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <script src="../assets/js/lib/webcam.js"></script>
    <!-- scripit init-->
    <script src="js/patient.js"></script>
</body>

</html>
<?php } ?>