<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	//Get user staff category;
	$get_doctors_details = $objHospital->get_staff_details($user_id,$user_id);
	foreach($get_doctors_details as $doctor){
		$user_type = $doctor['user_type'];
		
		if($user_type == 'super_admin'){
			$category_name = 'All';
		}else{
			$category_name = $doctor['category_name'];
		}
	}
	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Patients</title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/helper.css" rel="stylesheet">
    <link href="../assets/css/lib/jquery-ui.min.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
    <link href="../assets/css/style.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<div class="row d-flex justify-content-between">
						<div class="col-md-4">
							<a href="patients.php?user_id=<?php echo $user_id; ?>" style="width:100%;" class="btn btn-dark"><span class="btn-icon-right"><i class="fa fa-arrow-left"></i></span>Go to Triage Patient</a>
						</div>
						<div class="col-md-4">
							<a style="width:100%; color:#fff;" class="btn btn-dark" data-target="#add_symptoms_modal" data-toggle="modal"><span class="btn-icon-right"></span>Symptoms</a>
						</div>
					</div>
                    <div class="row">
						<div class="col-md-6" style="height:38rem; overflow-y:auto">
							<div class="card">
								<div class="card-header all_patients d-flex">
									<div class="col-sm-5">
										<div class="btn btn-danger"><h3 class="card-title" style="color:white">Unseen Patients</h3></div>
									</div>
									<div class="col-sm-7" style="float:right;">
										<input class="form-control search_triaged" placeholder="Search Patients">
									</div>
								</div>
								<div class="card-body">
									<div class="table-responsive">
										<table class="table table-hover table-responsive-sm">
											<thead>
												<tr>
													<th><center><?php echo $category_name; ?></center></th>
													<th><center>Patient ID</center></th>
													<th colspan="2"><center>Patient Name</center></th>
													<th><center>Gender</center></th>
													<th><center>Age</center></th>
													<th><center>Waiting Time</center></th>
												</tr>
											</thead>
											<tbody id="triaged_body">
												<?php
												//get patients that are not yet discharged
												$get_patients = $objHospital->get_all_unseen_visits($user_id);
	
												if(empty($get_patients)){
													echo'<tr><td colspan="8" style="color:green;"><center>There are no patients on your waiting list</center></td></tr>';
												}else{
													
													foreach($get_patients as $patient){
														$patient_id = $patient['patient_id'];
														$visit_id = $patient['visit_id'];
														$hospital_id = $patient['hospital_id'];
														$patient_unique_no = $patient['patient_unique_no'];
														$first_name = $patient['first_name'];
														$last_name = $patient['last_name'];
														$gender = $patient['gender'];
														$phone_number = $patient['phone_number'];
														$age = $patient['age'];
														$added_date = $patient['added_date'];
														$date_created = date('m-d-Y',strtotime($patient['added_date']));
														$nature_of_visit = $patient['nature_of_visit'];
														$doctor_category = $patient['doctor_category'];
														
														//If the patient is sent to the doctor that is viewing this section or the admins
														//if($category_name == $doctor_category || $category_name=='All'){
															
															if($nature_of_visit == 'Walk-In'){
																//Do nothing
															}else{
																//Set default time zone to nairobi
																date_default_timezone_set("Africa/Nairobi");
															
																//Check whether the visit exists in the all request table
																$get_visit_requests = $objHospital->get_patient_visit_requests($visit_id,$patient_id,$user_id);
																
																//Get case by visit_id
																$get_visit_case = $objHospital->get_case_by_visit_id($patient_id,$user_id,$visit_id);
																if(empty($get_visit_requests) && empty($get_visit_case) && !is_null($patient_id)){
																	echo'
																	<tr class="patient_tr" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'">
																		<td><center>'.$date_created.'</center></td>
																		<td><center>'.$patient_unique_no.'</center></td>
																		<td colspan="2"><center>'.$first_name.' '.$last_name.'</center></td>
																		<td><center>'.$gender.'</center></td>
																		<td><center>'.$age.'</center></td>
																		<td><center>';
																		
																		$time_diff_mins = round(abs(strtotime($added_date) - strtotime(date('Y-m-d H:i:s'))) / 60,1);
																		$time_diff_hrs = round(abs(strtotime($added_date) - strtotime(date('Y-m-d H:i:s'))) / (60*60),1);
																		
																		if($time_diff_mins < 30){
																			echo '<span class="badge badge-primary" style="color:white; font-size:13px;">'.$time_diff_mins.' Mins </span>';
																		}elseif($time_diff_mins > 30 && $time_diff_mins < 60){
																			echo '<span class="badge badge-warning" style="color:black; font-size:13px;">'.$time_diff_mins.' Mins </span>';
																		}elseif($time_diff_mins > 60){
																			echo '<span class="badge badge-danger" style="color:white; font-size:13px;">'.$time_diff_hrs.' Hrs </span>';
																		}
																		
																		echo'</center></td>
																	</tr>';
																}else{
																	//Do nothing
																}
															}
														/*}else{
															//Do nothing
														}*/
													}
												}
												
												?>
												
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
						<div class="col-md-6" style="height:38rem; overflow-y:auto">
							<div class="card">
								<div class="card-header all_patients d-flex">
									<div class="col-sm-5">
										<div class="btn btn-primary"><h3 class="card-title" style="color:white">Seen Patients</h3></div>
									</div>
									<div class="col-sm-7" style="float:right;">
										<input class="form-control search_seen_triaged" placeholder="Search Patients">
									</div>
								</div>
								<div class="card-body">
									<div class="table-responsive">
										<table class="table table-hover table-responsive-sm">
											<thead>
												<tr>
													<th><center>Date</center></th>
													<th colspan="2"><center>Patient Name</center></th>
													<th><center>Requests</center></th>
												</tr>
											</thead>
											<tbody id="triaged_seen_body">
												<?php
												$get_patients = $objHospital->get_patients($user_id);
	
												if(empty($get_patients)){
													echo'<tr><td colspan="3" style="color:red;">There are no seen patients yet</td></tr>';
												}else{
													$count=0;
													foreach($get_patients as $patient){
														$patient_id = $patient['patient_id'];
														$hospital_id = $patient['hospital_id'];
														$patient_unique_no = $patient['patient_unique_no'];
														$first_name = $patient['first_name'];
														$last_name = $patient['last_name'];
														$gender = $patient['gender'];
														$phone_number = $patient['phone_number'];
														$age = $patient['age'];
														$date_created = date('m-d-Y',strtotime($patient['date_created']));
														$nature_of_visit = $patient['nature_of_visit'];
																													
														if($nature_of_visit == 'Walk-In'){
															//Do nothing
														}else{
															$count++;
															
															//Check whether the visit exists in the all request table
															$get_visit_requests = $objHospital->get_patients_requests($patient_id,$user_id);
															
															//Get current visit
															$get_visit = $objHospital->get_active_visits($patient_id,$user_id);
															if(empty($get_visit)){
																$visit_id = '';
																$doctor_category = 'All';
															}else{
																foreach($get_visit as $visit){
																	$visit_id = $visit['visit_id'];
																	$doctor_category = $visit['doctor_category'];													
																}
															}
															
															
															//If the patient is sent to the doctor that is viewing this section or the admins
															//if($category_name == $doctor_category || $category_name=='All'){
																//Get case by visit_id
																$get_visit_case = $objHospital->get_case_by_visit_id($patient_id,$user_id,$visit_id);
																if(!empty($get_visit_requests) || !empty($get_visit_case)){
																
																	echo'
																	<tr class="patient_tr" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'">
																		<td><center>'.$date_created.'</center></td>
																		<td colspan="2"><center>'.$first_name.' '.$last_name.'</center></td>
																		<td><center>'.$gender.'</center></td>
																	</tr>';
																}else{
																	//Do nothing														
																}
															/*}else{
																//Do nothing
															}*/
														}
													}
												}
												
												?>
												
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
                    </div>
					
					<!-- Start popup dialog box -->
					<div class="modal fade bd-example-modal-lg" id="add_symptoms_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
						<div class="modal-dialog modal-lg">
							<div class="modal-content" style="margin-top:-35px; height:45rem;">
								<div class="modal-header">
									<h5 class="modal-title" id="modalLabel">All Patient Symptoms<span style="color:blue;" id="test_menu_name_header"></span></h5>
									<button type="button" class="close" data-dismiss="modal" aria-label="Close">
										<span aria-hidden="true">×</span>
									</button>
								</div>
								<div class="modal-body results_modal_body" style=" height:42rem; overflow-y:scroll;">
									<h5 style="text-align:right;"><a class="badge badge-success" data-toggle="collapse" href="#add_a_symptom" aria-expanded="false" aria-controls="category">
										<i class="fa fa-plus"></i>
										<span class="menu-title"><b>Add a Symptom</b></span>
										<i class="menu-arrow"></i>
									</a></h5>
									<div class="img-container collapse" id="add_a_symptom">
										<div class="card add_category_card">
											<form method="post" class="form-sample" id="add_symptom_form">
											  <div class="row">
												  <div class="form-group col-md-12">
													<label class="col-form-label" style="color:black; font-size:16px;">Add Symptom Here:</label>
													<textarea name="add_symptom_name" type="text" rows="2" style="border-radius:5px; border:solid 1px grey; height:100%;" class="form-control" placeholder="Eg. Vomiting, Fever...etc"></textarea>
												  </div>
											  </div>
											  <div class="row">
												<div class="col-md-12">
													<input type="hidden" name="add_symptom_user_id" value="<?php echo $user_id?>">
													<center><button type="submit" style="margin-top:10px;" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Symptom</span></button></center>
												</div>
											  </div>
											</form>
											<!-- partial -->
										</div>
									</div>
									<div class="table-responsive" style=" height:32rem; overflow-y:scroll;">
										<table class="table primary-table-bg-hover">
											<thead>
												<tr>
													<th scope="col">Symptom ID</th>
													<th scope="col">Symptom Name</th>
													<th scope="col"><center>Added By</center></th>
													<th scope="col"><center>Delete</center></th>
												</tr>
											</thead>
											<tbody>
												<?php
												$get_symptoms = $objHospital->get_symptoms($user_id);
												foreach($get_symptoms as $symptom){
													$symptom_id = $symptom['symptom_id'];
													$symptom = $symptom['symptom_name'];
													
													if(empty($symptom['added_by'])){
														$doctors_name = 'System Default';
													}else{
														$added_by = $symptom['added_by'];
														//Get staff details
														$get_doctors_details = $objHospital->get_staff_details($added_by,$user_id);
														foreach($get_doctors_details as $doctor){
															$first_name = $doctor['first_name'];
															$last_name = $doctor['last_name'];
															$doctors_name = $first_name.' '.$last_name;
														}
													}
													
													
													
													echo'<tr>
														<td>'.$symptom_id.'</td>
														<td>'.$symptom.'</td>
														<td><center>'.$doctors_name.'</center></td>
														<td><center><button class="btn btn-sm btn-danger">Delete</button></center></td>
													</tr>';
												}
												?>
											</tbody>
										</table>
									</div>
								</div>
								<div class="modal-footer">
									<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
								</div>
							</div>
						</div>
					</div>

                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
	<script src="../assets/js/lib/jquery.min.js"></script>
	<script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/lib/popper.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>


    <script src="../assets/js/lib/weather/jquery.simpleWeather.min.js"></script>
    <script src="../assets/js/lib/weather/weather-init.js"></script>
    <script src="../assets/js/lib/circle-progress/circle-progress.min.js"></script>
    <script src="../assets/js/lib/circle-progress/circle-progress-init.js"></script>
    <script src="../assets/js/lib/chartist/chartist.min.js"></script>
    <script src="../assets/js/lib/sparklinechart/jquery.sparkline.min.js"></script>
    <script src="../assets/js/lib/sparklinechart/sparkline.init.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
    <!-- scripit init-->
    <script src="js/patient.js"></script>
</body>

</html>
<?php } ?>